Introduction

BarTender utilizes individual dialogs and menu options to control every aspect of creating, designing, and printing your labels. You can reference BarTender's extensive help system at any time by pressing the F1 key on your keyboard or clicking the Help button from within the corresponding dialog.

About BarTender's Help System

The Help System is divided into several sections:

  • Setting Up BarTender. Describes how to perform certain administrative and configuration tasks.

  • Understanding Label Formats. Describes how to open and save label formats, describes page setup options, and describes viewing options.

  • Creating Objects on a Label Format. Describes how to create and arrange label formats.

  • Modifying Objects. Describes how to specify data sources for label formats, and describes how to modify label objects.

  • Reading Data From Databases. Describes how to configure BarTender to read data files of various kinds, including how BarTender uses ODBC (Open Data Base Connectivity), OLE DB, SAP IDocs, and text data sources to read label data out of almost every database and spreadsheet in existence. Also describes how to perform table joins and database queries.

  • Printing Label Formats. Describes how to specify a printer, the available printing options, and how to print labels. It also describes record selection at print time, and reading "Identical Copies of Label" or "Number of Serialized Labels."

  • Visual Basic Scripting. Describes how to create scripts that execute at print-time in BarTender's internal scripting engine.

  • Automating BarTender Sections. Describes the ways in which BarTender can be automated.

  • Bar Code Symbology Reference. Includes an overview of symbology characteristics, a table of bar code symbologies, and detailed help topics about each one.

  • Interface Reference. Describes BarTender's main menus, toolbars, toolbox, keyboard shortcuts, and context (right-click) menus.


Using the Online Help

Show All Hide All

The window on the right of this help always contains the most recent topic viewed.

On the left are five tabs:

  • TOC. The help table of contents. Browse to any topic and open it by double-clicking.

  • Index. The index for the help. The terms you are most likely to want to look up are included. Click on any term. If it is associated with just one topic, that topic will open on the right. If it is associated with more than one, a list of the topics will appear. Click the desired topic.

  • Search. A full-text search utility. See below for details in the use of this tab.

  • Favorites. A list of your most frequently consulted help topics. To put a help topic on the list, open the topic, then open the Favorites tab and click the Add button at the bottom of the tab.

  • Glossary. A glossary containing definitions of important terms from the labelling and bar code industries.

The button bar on the top has these buttons:

  • Hide/Show. Toggles the visibility of the left pane.

  • Locate. Will show you where the topic you currently have open appears in the Table of Contents. (Some topics are not in the table of contents.)

  • Back. Reopens the last topic you viewed.

  • Forward. Returns you to the topic you had open when you pressed the Back button.

  • Print. Prints the current topic.

  • Options. Click to see the options on this menu:

    • Hide Tabs/Show Tabs. Duplicates the function of the Hide/Show button (see above).

    • Back. Duplicates the function of the Back button (see above).

    • Forward. Duplicates the function of the Forward button (see above).

    • Home. Opens the first page of this help.

    • Stop. Cancels the opening of an Internet page in this help.

    • Refresh. Reopens the page currently showing in this help.

    • 1 Seagull. Duplicates the function of the Seagull button (see below).

      •

    • 2 Jump. Duplicates the function of the Jump button (see below).

    • Internet Options. Opens the Internet Options dialog of Windows and Internet Explorer.

    • Print. Duplicates the function of the Print button (see above).

    • Search Highlight On/Off. Toggles on and off a feature that works with the Search tab (see above). When the feature is on and you find a help topic by means of the Search tab, then your search term(s) will appear highlighted in any topic opened from the Search tab.

  • Seagull. Opens Seagull Scientific's home page on the web.

    •

  • Jump. Opens a page where you can enter the file name of a particular help topic and immediately open that topic. This is normally used only on the instructions of Seagull Scientific's Technical Support departmenttechnical support.

Using the Search Tab

If you want to find all topics that have something to say about a subject that is central to BarTender, then you will probably find the term listed in the Index tab. If you do not find it there, or you need to make a logically more complex search, then use the Search tab.

Simple Searches

The simplest way to use the Search tab is to type the term of interest in the text box at the top of the tab, and then click List Topics. Every topic that contains the term will be listed in the larger text box on the tab. To open any of the topics, click it once and click Display, or double-click it.

Note: Topics that contain a close grammatical variation of the term will also be included on the list. For example, if the search term is "water", then topics containing "watering" and "watered" as well as "water" will be listed. However, words that begin with the letters "water" but are not really a form of the word "water," such as "waterfall," will not be found. See below under Searching with Wildcards.

Narrowing Your Search

If you want to narrow your search to only topics that contain all of a list of terms, simply type more than one word with a space between the words. For example, if you want topics that refer to deleting text objects from a label format, you would enter "delete text object" (without the quotation marks) in the text box.

Widening Your Search

If you want to widen your search to include topics that contain either one or the other of two terms (or at least one from among three or more terms), then you must enter a logical "OR" (sometimes called a Boolean "OR") between the terms. To enter a Boolean term, click the small button just to right of the text box. It has a rightward pointing arrow head on it. This opens a drop down list of Boolean terms. Click the OR. For example, if you are interested in any topic that has to do with deleting things, but you are not sure if the help uses the term "delete" or "remove" to talk about deleting things, you could enter "delete OR remove" as your search terms. This will produce a list of any topic that contains either of these words.

Excluding Certain Topics

If you want to exclude topics that contain certain terms, add the Boolean term NOT to your search terms followed by the term in question. For example, if you want to find all topics that mention databases, but not topics that are about SAP IDocs, you could use "database NOT IDoc" as your search terms.

Getting Topics with Terms Closely Connected

If you want to find topics that contain two (or more) terms close together, then add the Boolean term NEAR between the words. For example, "delete text" will generate a list that includes topics that are not really about deleting text, but simply happen to have the two words "delete" and "text" in them. But "delete NEAR text" will generate a shorter list of topics all of which are highly likely to be at least partly about deleting text.

Note: If you want to find an exact multi-word phrase, put it in quotation marks. For example, using "delete text" including the quotation marks will find only topics that contain that exact phrase. This may produce results that are too narrow: For example, some topics may contain information about deleting text even if they do not contain that exact phrase.

Complex Boolean Searches

You can use parentheses in your search terms to nest Boolean expressions within other Boolean expressions (up to five layers deep). For example, "text AND (delete OR remove)" will find all topics that contain the word "text" and at least one or the other of "delete" and "remove".

Note: Although AND is one of the Boolean operators on the drop down list, it is not strictly necessary. A space between words is interpreted by the search feature as an AND. So "text (delete OR remove)" is equivalent to "text AND (delete OR remove)".

Note: If you use more than one Boolean operator in a search expression without parentheses, the search feature will assume that you intend a close-parentheses after every search term except the very first and the very last (and a sting of open-parentheses at the beginning of the expression). Hence, "text AND delete OR remove" will be interpreted as "(delete AND text) OR remove", and "text AND delete OR remove NOT IDoc" will be interpreted as "((text AND delete) OR remove) NOT IDoc".

Searching with Wildcards

You can use standard Windows wildcards "*" and "?" in your search strings. A "?" is a placeholder for any single character or numeral. A "*" is a placeholder for any string of characters and numerals. Searching for "water?" (without the quotation marks) will locate topics that contain "waters", but searching for "water*" (without the quotation marks) will locate topics that contain "waterfall" and "waterproof".

Other Ways of Narrowing or Widening Your Search

At the bottom of the Search tab are check boxes that you can use to turn on and off certain search features.

Search previous results. When this option is checked, each search will ignore any topics that were not found in the preceding search.

Match similar words. When this option is checked, topics that contain words similar to your search term(s), will be included even if your search term(s) is not itself (or themselves) contained in the topic.

Search titles only. When this topic is checked, only topics whose titles match your search expression will be listed.


Overview of the Application Setup

Overview of BarTender Setup

BarTender can be used immediately after installation, but you may want or need to change some configuration settings.

  • Log File Setup. A dialog with which you configure detailed logs of each print job in order to track the production of labels.

    •

  • IDoc Definitions Setup. A dialog with which you configure how BarTender works with IDoc Definition files.

  • Message Setup. A dialog with which you configure how BarTender will handle information, warning, and error messages.

  • Printer Code Template Setup. A dialog with which you configure print systems used for exporting printer code templates.

    •

  • General Options. A dialog with which you configure certain details about BarTender's user interface.

  • Administrative Setup. A dialog with which you configure certain special purpose BarTender files and directories.


Log File Setup Dialog

Show All Hide All

Note: This dialog is only available only with Enterprise edition of BarTender.

The Log File Setup dialog allows you to keep a record of each print job in order to track the production of labels. The options allow you to specify:

  • where the log file will be saved

  • whether BarTender will append data to a single log file or create one for every print job

  • whether the log file will be saved in HTML or text format

  • what information to include in the log file

The individual options on the Log File Setup dialog are described below.

  • Log Print Job. Used to enable the options in the Log File Setup dialog.

  • Sample Log File. Displays a sample of what the log file will look like based on your current Log File Setup settings.

Setup Options

  • Log File Folder. Used to specify the folder in which to save the log file(s). (Use the Browse button to locate the folder and enter the path into the Log File Folder option.)

  • Organization. Used to specify whether log files will be appended to an existing file or saved in separate files.

  • Output. Used to specify whether log files should be saved to an HTML file (viewable with a web browser) or a (simple) text file.

  • Encoding. Select the character set of the log file if it is different from the default. For example, you might need to do this if you are using a language other than the default for your version of Windows. Your options are

  • Unicode

  • Unicode (Big Endian)

  • UTF-8

  • Use Windows Settings

  • Arabic (1256)

  • Baltic (1257)

  • Central Europe (1250)

  • Chinese Simplified (GB-2312, 936)

  • Chinese Traditional (Korea, Big 5, 950)

  • Cyrillic (1251)

  • Greek (1253)

  • Hebrew (1255)

  • Japanese (SHIFT-JIS, 932)

  • Korean (Hangul, 949)

  • Korean (Johab, 1361)

  • Thai (874)

  • Turkish (1254)

  • US, Western Europe (ANSI, 1252)

  • Vietnam (1258)

  • View. Used to open a previously generated log file in Notepad (for text files) or your web browser (for HTML).

  • View Last. Used to open the last log file created by the last print job.

  • Delete All. Used to delete all .txt and .htm files located in the folder specified in the Log File Folder option.

    • Caution: This will delete all files of these types. If you have other files of these types in the specified folder, do not use this option to delete them. Instead, use My Computer or the Windows Explorer.

    Header, Per Label, and Footer Options

    The options on the Header, Per Label, and Footer tabs are used to specify the information that will be stored in the log file. For example, you may want the print time to be logged for each label. To do so, you would enable the Start Time setting on the Per Label tab.

    • Substrings to Log. (Per Label) Used to specify whether the data contained in label objects should be included with the data in the log file.

    See Also:

    Accessing the Log File Setup dialog


IDoc Definitions Setup Dialog

Note: This dialog is only available only with Enterprise edition of BarTender.

Use this screen to link an IDoc type definition to a parser file, so you will not have to separately link each IDoc to a parser file.

On the left of the Add/Remove IDoc Type Definitions window is a list of IDoc Type definitions currently available to BarTender:

  • Name field holds the name by which the type is known. (See IDoc Type Definition Window.)

  • Type field holds the name given to the type by SAP AG (or by its creator, if it is a custom type made at your business).

  • Release field identifies the version of the type.

  • Default IDoc File field holds the path to the default IDoc file.

On this screen you can:

  • Add a new IDoc type to those available for BarTender by clicking the Create New button.

  • Modify how BarTender works with an IDoc Type by highlighting the IDoc type and clicking Modify.

  • Delete an IDoc type from those available for BarTender by highlighting the type and clicking Delete.

See Also:

Understanding IDocs

Parser Files


Message Setup Dialog

Use this dialog to configure how BarTender will handle information, warning, and error messages.

There are three tabs on this dialog. The Restore to Defaults button will restore settings on all tabs to their defaults when the OK button is pressed. Pressing Cancel after pressing Restore to Defaults does not restore the default settings.

  • Messages Tab. Use this tab to determine what messages will be displayed or logged, and how BarTender will respond to them.

  • Log File Tab. Use this tab to configure how messages will be logged to a file.

  • E-Mail Tab. Use this tab to configure how, and to whom, messages will be e-mailed.


Printer Code Template Setup Dialog

Show All Hide All

Note: This feature is available only with the Enterprise Edition of BarTender.

BarTender comes with predefined print systems. You are not limited to these print systems, however. You can create your own custom print system using the Printer Code Template Setup dialog. Any number of systems can be defined. Each new system defined will be added to the File | Export Printer Code Template menu for selection.

Note: For more information on what a print system is, see Understanding Printer Code Templates.

Print Systems List

This is a list of all the print systems available.

Below the list are buttons for maintaining the print system list:

Button | Purpose
 | New Print System. Inserts a new print system into the list.
 | Delete Print System. Deletes the selected print system.
 | Cut Print System. Deletes the selected print system but places a copy of the print system into BarTender's clipboard.
 | Copy Print System. Copies the selected print system into BarTender's clipboard.
 | Paste Print System. Pastes a copy of the print system currently in the clipboard into the list.
 | Move Print System Up. Moves the selected print system up one position in the list.
 | Move Print System Down. Moves the selected print system down one position in the list.

Note: Each of these commands can also be accessed by right-clicking anywhere in the list.

The Name box contains the name of the selected print system.

Delimiters Tab

The Delimiters tab is used to configure the printer code template delimiters. These delimiters are used by a print system that parses the printer code template, and the delimiters will be replaced by the print system prior to printing.

The table lists each type of delimiter you can insert into the printer code template.

  • Property. This column provides a brief description of each type of delimiter, usually in terms of its location in the printer code template.

  • Value. The cells in this column provide the value of each delimiter. This value will be inserted into the template file, so you must use a value your print system will be expecting. For example, if the print system expects lines in the printer code template to begin with the delimiter {SL} and end with the delimiter {EL}, then you should enter "{SL}" (without the quotation marks) as the Start of Line delimiter name, "{EL}" as the End of Line delimiter name.

    • Use the Header and Footer delimiters to specify the character(s), if any, that the print system expects to find at the very beginning and very end, respectively, of the template file.

    • Use the Start of Line and End of Line delimiters to specify the character(s), if any, that the print system expects to find at the beginning and end, respectively, of each line of the template file.

    • Use the Start Field Delimiter and End Field Delimiter to set the character (or set of characters) that immediately precede and immediately follow the template field names. For more information about template fields see the help for the General tab of the More Options dialog.

    • Use the Start Print Code and End Print Code to specify the character(s) (if any) that the print system expects to find at the beginning and end of passages of printer language code.

  • … button. Opens a Delimiter Value dialog in which you enter a delimiter value.

Printer Tab

The Printer tab allows filtering of print systems by printer language and/or printer manufacturer so that only print systems that are compatible with the current printer are listed in the Export Printer Code Template menu.

  • Supported Printer Languages. A parameter that with the specified Printer Languages filters what printer languages are supported by the selected print system. The options are all printer languages available; only the printer languages specified; or all except the printer languages specified.

  • Printer Languages. The list of printer languages, specified by three-letter codes. The button displays a list of currently supported language codes. Multiple entries are separated by semicolons. New languages not listed but supported by updated Seagull Scientific drivers can be added by entering the appropriate code in this box.

  • Supported Printer Manufacturers. A parameter that with the specified Printer Manufacturers filters for printer manufacturers. The options are all manufacturers; specified manufacturer only; or all except a specified manufacturer.

  • Printer Manufacturers. The list of printer manufacturers. The button displays a list of supported printer manufacturers that can be selected, or a user-specified name can be entered. Multiple entries are separated by semicolons.

  • Driver Parameters. Additional parameters that are rarely needed may be entered here. Seagull Scientific technical support will provide guidance if such parameters are required.

Output Tab

The Output tab determines what options will be available, and sets default values for controls in the Export Printer Code Template dialog. In addition, the default location and/or extension of the exported files can be set here.

  • Output to Port. Printer Code Templates can be sent directly to the printer, keyboard terminal, XML enabled printer, or ERP system instead of being exported to a file. This option can be set so that it is Optional, Required, or Disabled in the Export Printer Code Template dialog.

    • Optional: The dialog will permit Output to Port to be selected.

    • Required: Output to Port will be the only export method available.

    • Disabled: Output to Port will not be available.

  • Separate Format and Data Files. Printer Code Templates can be exported in one file or in separate format and data files. This option can be set so that it is Optional, Required, or Disabled in the Export Printer Code Template dialog.

    • Optional: The dialog will permit either All in One File or Separate Format and Data Files to be selected.

    • Required: Only Separate Format and Data Files will be available.

    • Disabled: Separate Format and Data Files will be unavailable.

  • Printer Code Only for Format File. When Separate Format and Data Files is available as an option the format file can be set to only contain printer code. This option can be set so that it is Optional, Required, or Disabled in the Export Printer Code Template dialog.

    • Optional: The Printer Code Only checkbox is enabled and can be checked.

    • Required: The Printer Code Only checkbox is checked and cannot be changed.

    • Disabled: The Printer Code Only checkbox is unchecked and cannot be changed.

  • Default Directory. Default directory for printer code template file(s). If no path is specified in the Export Printer Code Template the default printer template path is used. If the Default Directory is specified here the export path textbox will be blank in the Export Printer Code Template and the Browse button will open the file browser to the specified default value.

  • Default Extension. The default extension added to the printer code template file(s) exported. If no extension is specified in the Export Printer Code Template dialog the default .prn is used.

Performance Tab

Seagull printer drivers permit certain printer capabilities to be utilized in the printer code template to optimize performance. Each of the options on this tab can be individually set to control the allowed behavior to Optional/Required/Disabled. Selecting Optional for a setting will display it as enabled and checked in Export Printer Code Template | Options | Performance; Required will display it as disabled and checked, and Disabled will display it as disabled and unchecked. If the option is not supported by the current printer, it will show as unchecked and disabled.

  • Allow Static Graphics. Raster-type graphic objects that do not change from label to label can be stored at the printer, including TrueType fonts.

  • Allow Static Objects. All objects that remain constant from label to label are stored at the printer. In addition to raster graphics, this includes printer fonts, bar codes, imported graphics, and TrueType fonts.

  • Allow Variable Data Optimization. The label formatting specifications (object positions, symbols, fonts, etc.) are stored at the printer so that only object data needs to be transmitted and merged for a specific label.

  • Allow Serialization. Serialized objects will be incremented using the printer's built-in serialization functionality.

General Tab

Encoding. Select the encoding to be used on the templates of the print system. The default value is Windows' System Default.

Visible in File Export Menu. When checked the print system appears in the sub-menu of Export Printer Code Template on the File menu.

File Export Intended For Use With FTP. If checked, the PCT Export file is intended for FTP transport.

Printer Code Modifier. Each print system can have printer code modification actions or scripts associated with it that can replace, insert, or delete specified data in the printer code. The actions and scripts can be created and modified with the following buttons:

  • Action List... button. Brings up the Action List setup dialog for printer code modification.

  • Visual Basic Script... button. Brings up the VB Script assistant.

See Also:

Understanding Printer Code Templates

Exporting to a Printer Code Template

Printer Code Export Options

Printer Code Validation


General Options

General Options Dialog

Show All Hide All

Selecting General Options on the Tools menu, opens the General Options dialog on which you specify details about how you want BarTender to function.

Note: Click this link for help about the License Management tab. (Enterprise Edition only.)

General Tab

Languages

The Language option allows you to specify the language in which BarTender will display its menus and dialogs. If the language in which you need to display BarTender is not on the drop-down list, some additional languages can be installed using BarTender's setup program.

Save Options

  • Save Formats As. Used to specify BarTender version format in which label formats should be saved. Formats can be saved in versions as early as 5.40.

  • Warn When Saving To Older Formats. Used to enable or disable the pop-up warning message box that is displayed when attempting to save your label as an older format.

Miscellaneous Options

  • Immediate Print From Toolbar. Used to specify that the Print dialog will not be displayed before the format is sent to the printer when you click on the Print button on the Main Toolbar.

  • Always Use Advanced Data Source Dialog. Used to specify that the Data Source property page in the Modify Selected Object tabbed dialog should always be displayed in Advanced mode.

  • Use Transparent Effects. Used to enable certain visual effects that may make label format design easier. (This option is available only if the computer's display settings are set for 24-bit color or greater.)

  • Show RFID Antenna on Label Design Area. Used to specify whether an image of the label's RFID antenna will appear on the label format in design view.

  • Minimize Location. Use to specify whether BarTender's icon will be in the system tray or the task bar when BarTender is minimized.

Application Startup

  • Action. Used to specify how BarTender will behave when it starts. Select an option from the scrollable drop down list.

New Format Tab

The options on this tab determine how BarTender will respond if you select New from the File menu or click the New button on the Main Toolbar.

  • Run Wizard. The New Label Format Wizard will launch.

  • Instant, Blank Format. A new blank label format with default shape and size settings will be created immediately.

  • Start Based on Existing Format. A new label format will be created that is initially identical to the existing format that you enter in the Format box. You then edit it as needed.


Administrative Setup Dialog

This dialog is used to configure certain special purpose BarTender files and directories. Descriptions of each file and directory are below.

To identify any file or change its location, highlight it, click Select location, and browse to the file or directory.

To edit any editable file, highlight it and click Edit Type.

To return the settings to their default values, click Reset to Defaults.

  • Background Picture Directory. This directory will be opened by default when you navigate to a picture you want to use as a background on a label format. Use the Background tab of the Page Setup dialog.

  • Custom Print Systems. When you export printer code templates you can use a pre-defined system of delimiters and data field names, such as SAPScript-ITF, or you can create one or more systems of your own. These are called custom print systems and they are stored in a file at the location identified here. You cannot edit this file directly, but you can change its location. To create/change any custom print system, open Printer Code Template Setup on the Tools menu.

    •

  • Custom Stock File. BarTender is installed with size and layout definitions of most of the stock types of nearly every common manufacturer of label stock. If you create your own stock definitions they will be stored in the file Custom.stk. You cannot edit this file directly, but you can change its location. To create a custom stock, use the Stock tab of the Page Setup dialog opened from the File menu or main toolbar.

  • Label Format Directory. This directory is where the label formats that you create will be saved (unless you browse to a different directory in the Save As dialog).

  • License Management. (License-enabled editions of BarTender only.) Settings made on the License Management tab of the General Options dialog are stored in the license management configuration file, BTLM.ini. You can open that dialog directly with the Edit Type button.

    •

  • Message. Any changes you make on the Message Setup dialog are stored in a file with a extension of *.btm. You can set the location for the file and/or use the Edit Type button to open the Messages Setup dialog.

  • Picture Directory. This directory will be opened by default when you browse to a picture you want to add to a label format.

  • RFID Antenna Image Directory. This directory contains the images listed in Image drop down list on the RFID tab of the Page Setup dialog.

  • SAP IDoc Type Definition. The settings you make on the IDoc Definitions Setup dialog are stored in a file with the extension of *.itd. You can change its location, or use the Edit Type button to open the dialog directly.

    •

  • Toolbox Components Directory. When you create reusable customized components for your labels they are stored in the directory identified here.

See Also:

Message Setup Dialog

SAP IDoc Definition File

Stock Options of Page Setup

The Toolbox

Understanding Printer Code Templates


Logging In to the Application

Log In Dialog

Enter the password required for editing label formats and click OK.


Password Setup Dialog

To setup password protection of the right to edit label formats, enter the old password, if any, and enter the new password twice. If you want the login prompt to display automatically when BarTender is launched, select the checkbox for that option. Click OK.


Understanding Label Formats

Show All Hide All

Creating labels is very simple. Using your mouse and the toolbar and menu options, you can design labels with bar codes, pictures, and text. This collection of objects placed on your label viewing area is called a label format.

Note: Keep in mind if you are creating a new label, the format does not need to be saved in order for it to be printed. However, it is always a good idea to save a label format if you plan to print similar labels in the future.

Designing Simple Labels

All of BarTender's menu settings and dialog parameters come preset to their most commonly used settings. These are called the "default" settings and they allow you to start using BarTender "right out of the box."

A default is an option or setting BarTender automatically uses unless you specify otherwise. There are two types of default settings. One determines the printer to use and the dimensions and placement of a label. The other effects the initial appearance of objects placed on the label format, such as bar codes and text.

Printer Default Settings

Regardless of the printer setting you may have saved with one label format, when you begin a new label format, BarTender automatically uses the printer selected as your default windows printer. Consequently, the label settings in Page Setup will automatically format to the default settings for your default printer. For example, you may be working on a label formatted to print on a thermal printer, but your default printer is a laser printer. When you start a new label, the size and dimensions of the new label will be determined based on the default page size and margin settings for the laser printer. If you want to set a label to print on another printer, you can change the printer setting in the Print dialog.

Label Object Default Settings

When you insert objects into a label format, the appearance of the objects is affected by BarTender's default settings. If you want newly created objects to appear somewhat differently, you can modify the default settings on a per label basis to more closely suit your needs.

Using Label Formats Supplied with BarTender

Creating label formats can be very simple and easy. However, to assist you, BarTender comes with several common label formats. You can easily customize these predesigned label formats according to your needs. They are located in the Samples sub-directory of the directory in which BarTender was installed.

Note: You can use BarTender to design and print circular and elliptical labels as well.


Start New Label Format

Starting a New Label Format

The New command in the File menu is used to create a new label format. Depending on the choices you have made on the General Options dialog, the command will do one of these:

  • Create a new blank label format with default stock and size properties

  • Create a copy of an existing label format

  • Launch the New Label Format Wizard. The wizard will step you through the process of selecting a printer and setting up your label stock. When the wizard finishes, the new label will be open. If you run the wizard while an existing label format is already on the label viewing screen, BarTender will open a new label format window without effecting the current window.

You can access other open label format windows using the list of open windows located on the Window menu.

The New button [image] on the BarTender toolbar has the same purpose as the New command.

See Also:

Open Label Format

Understanding Label Formats

General Options Dialog


Page Setup Options

Page Setup

Show All Hide All

The Page Setup dialog contains the options that control the configuration of the label stock.

There is a Preview window that displays the current page layout and the changes currently being made using the Page Setup options.

The Wizard button launches the New Label Format Wizard. It will step you through the process of selecting a printer, configuring your stock, and creating a new format.

Options on each tab in the Page Setup dialog are described below.

Stock Options

  • Category. Select the manufacturer of the label stock from the drop down list. If the manufacturer is not listed click the Save button and add it.

  • Stock Name. Select the label stock from the list. If the stock is not listed click the Save button and add it.

  • Save button. Click this to open a dialog where you can add manufacturers and stock types.

  • Delete button. Click this to remove the currently selected stock type. If the stock type you remove is the only one listed for a given manufacturer, then the manufacturer is removed as well.

Page Options

  • Page Size. Used to specify the size of the page being used with your printer. "User Defined Size" will be one option on the list if and only if the current printer supports user-defined page sizes.

  • Width (of Page). When the Size option is set to "User Defined Size," used to specify a custom width for the page being used with your printer. This option is disabled if the current printer does not support user-defined page sizes.

Note: If the backing of the label stock is wider than the labels, enter the width of the backing here and use the Right Margin and Left Margin boxes on the Layout tab to adjust for the difference in width.

  • Height (of Page). When the Size option is set to "User Defined Size," used to specify a custom height for the page being used with your printer. This option is disabled if the current printer does not support user-defined page sizes.

  • Paper Tray. Specifies the source if multiple trays are available on the current printer. This option is only visible and available for page printers.

  • Orientation. Used to specify an orientation for the labels. You will always have Portrait and Landscape as options. Some thermal printers also give you the options of Portrait 180 and Landscape 180.

  • Mirror Image. (Available on only some thermal printers.) Used to print a mirror image of the label: the left and right margins are swapped. To swap the top and bottom margins combine Mirror Image with Landscape orientation.

  • Negative. (Available on only some thermal printers.) Used to reverse which pixels are printed, so printed text and bar codes become white on a black background.

Layout Options

Layout

  • Rows. Used to specify the number of rows of labels on the page.

  • Columns. Used to specify the number of columns of labels across the page.

Margins

  • Top Margin. Used to specify the distance between the top edge of the page and the top of the first row of labels.

  • Bottom Margin. Used to specify the distance between the bottom edge of the page and the bottom of the last row of labels.

  • Left Margin. Used to specify the distance between the left edge of the page and the left edge of the first column of labels.

  • Right Margin. Used to specify the distance between the right edge of the page and the right edge of the last column of labels.

Label Size

  • Width (of Label). Used to specify the width of your labels when the Set Manually option has been enabled.

  • Height (of Label). Used to specify the height of your labels when the Set Manually option has been enabled.

  • Set Manually. Used to specify that you want to set the height and width of your labels manually rather than having BarTender calculate them automatically based on your stock selection and the other settings in the Page Setup dialog.

Gap / Pitch

  • Horizontal. Used to specify the width of the gap between columns of labels when the Set Manually option has been enabled.

  • Vertical. Used to specify the height of the gap between rows of labels when the Set Manually option has been enabled.

  • Set Manually. Used to specify that you want to set the gaps between labels manually rather than having BarTender calculate them automatically based on your stock selection and the other settings in the Page Setup dialog.

Shape Options

  • Shape. Used to specify the general shape of the labels.

Note: If you want a circular label, select Ellipse and then enable Set Manually on the Label Size tab and enter the diameter in the Height and Width boxes.

  • Options. The options displayed in this section are used to specify the properties of the selected shape. Depending on the shape you select, you will have different options.

  • Hole. Used to specify that an elliptical label will have a hole in the center.

  • Diameter. Used to specify the size of the hole in the center of the labels.

  • Print Borders. Used to specify that the border around labels, whether circular or rectangular, will print when labels are printed.

Media Handling Options

These settings permit driver-supported devices such as cutters and label-taken sensors to be utilized in a print job. These actions are triggered by options set by the user. See Media Handling for additional information.

  • Action. Used to specify the media handling action. The default is set to Use Driver's Settings.

    • Use Driver's Settings. No action is taken unless the driver itself has been configured to do so.

    • Page Break. No additional labels are printed on the current page, and any subsequent labels are printed on a new page. If the format has only one label per page no action is taken.

    • Pause. Printer will wait for user input before printing any subsequent labels.

    • Wait for Label Taken Sensor. Printer will wait until the label-taken sensor is activated before printing any subsequent labels.

    • Cut. Label stock is cut.

    • Cut and Pause. Label stock is cut, and printer will wait for user input before printing any subsequent labels.

  • Driver Settings .... This button brings up the printer driver's Property dialog, allowing the user to select and configure Media Handling options.

  • Occurrence. Used to specify when the selected media handling action will take place. Some options will not be available in all editions of BarTender. This option is not available if Use Driver's Settings is selected.

    • At End of Print Job. The selected action will be performed at the end of the print job.

    • After Every Page. The selected action will be performed at the end of each page. If the format has only one label per page this action will take place after every label.

    • After Every Record. The selected action will be performed after all labels associated with a given database record have been printed.

    • After Identical Copies. The selected action will be performed after all identical copies of a label have been printed.

    • After Data Change. The selected action will be performed after the specified data item has changed. See Data Item Types for the data types that can be selected.

    • After Specified Number of Labels. The selected action will be performed after the specified number of labels. The Number of Labels textbox will be available to set the value at which the selected action will occur.

    • Data Item Types. If After Data Change is selected, the Data Item Types option is visible and allows the data type and the value (Data Item) to be specified.

      • Database Field. A database field name in a database used in the label format.

      • Named Substring. Any named substring used in the label format.

      • Label Object String. Any string associated with an object used in the label format.

    • Ignore Case checkbox. If selected, the comparison between values of the specified data item will ignore differences in case. This checkbox will only be visible if After Data Change is selected.

Note: Some thermal printers do not support all Media Handling actions and the Action dropdown will show only the actions supported by the printer. Page printers will only have Use Driver's Settings and Page Break options

Printing Order Options

These options only apply when printing labels that have multiple labels per "page," such as with die-cut laser or ink-jet printer labels.

  • Starting Corner. Used to specify which corner label will print as the first label.

  • Primary Direction. Used to specify the direction in which labels will print. Horizontal means labels will print row by row. (They will print left or right across each row depending on the starting corner.) Vertical means labels will print column by column. (They will print up or down in each column depending on the starting corner.)

  • Prompt for Starting Label Number at Print Time. Used to display a prompt at the start of a print job that allows the user to define which label to print as the first label. This is especially valuable when you need to start printing on a sheet of labels that has been partially used. The value you enter in the prompt will not be any number that actually appears on the label. It will merely indicate the location of the starting label on the sheet, given the values you have set for starting corner and primary direction. Use the preview pane on the dialog to determine the number you should use.

  • Track Starting Label Number. Used to keep track of which label on a partially used sheet should be the first label in the next print job. When this is enabled, BarTender remembers between print jobs which label on a partially used sheet was the last label of the previous print job.

Background

  • Picture Mini-Tab. Used to set up a background picture for the label format.

  • Color Mini-Tab. Used to set up a colored background for the label format.

RFID

Use this tab to configure how the RFID antenna image will appear in the label design view. RFID support is available only with the RFID Enterprise Edition and version 7.0 or later of Seagull Scientific printer drivers.

  • Show RFID Antenna Image. Used to show the antenna image that will appear in the label design view.

Note: The image will appear in label design view only if Show RFID Antenna on Label Design Area is enabled on the General tab of the General Options dialog.

Image Options

  • Image. Used to specify the file that contains the image of the antenna. (You can specify the folder that will be used by this list in the Administration Setup dialog.)

  • Add. Used to browse to an antenna image file and add it to the Image list.

  • Delete. Used to delete the currently selected antenna image file from the Image list.

Size

  • Method. Used to size the antenna's image. Select from these options:

    • Original Size. BarTender will use the original size of the picture.

    • Fit to Label. The picture will shrink or expand as needed to ensure that it fits entirely within the label. The orginal height-to-width ratio will be maintained.

    • Fit to Width. The picture will shrink or expand as needed to ensure that its width fits the width of the label. BarTender will maintain the picture's height-to-width ratio.

    • Fit to Height. The picture will shrink or expand as needed to ensure that its height fits the height of the label. BarTender will maintain the picture's height-to-width ratio.

    • Custom. The picture will have the dimensions set in the Height and Width boxes.

  • Height. Used to set the height of the antenna's image.

  • Width. Used to set the width of the antenna's image.

Position

For more information on the position options, refer to Understanding Reference Points.

  • X coordinate: Use this to specify the distance, left or right, of the antenna image's reference point from the label's reference point.

  • Y coordinate: Use this to specify the distance, higher or lower, of the antenna image's reference point from the label's reference point.

  • Object Reference Point. Use this to select the antenna image's reference point.

  • Advanced button: Use this to open the Advanced Position Settings dialog where you can select the label's reference point.

Rotation

  • Angle. Use this to specify the degrees by which the antenna image should be rotated around the rotation point.

See Also:

Creating Circular Labels


Orientation

The Orientation option allows your printer to print your labels with either a "Portrait" or "Landscape" orientation. In the publishing industry, a "Portrait" orientation has traditionally meant that a page would be printed taller than it was wide, while a "Landscape" orientation meant that a page would be printed wider than it was tall. However, in the label printing industry, these terms have a different meaning. Very simply, a page or label printed with a "Portrait" orientation is not rotated relative to the direction of paper motion, while a page or label with a "Landscape" orientation is rotated 90 degrees.

For example, in the figure shown below, the labels are the same height and width. The only difference between the two is that the label on the right has been rotated counterclockwise into a "Landscape" orientation.

Important Note: You may also change the orientation of your page or label by accessing the Orientation option for your printer through the Printer Setup dialog of the Windows Control Panel.

Some thermal printers also give you the options of "Portrait 180," which is a label upside down relative to the direction of paper motion, and "Landscape 180," which is like Landscape except that the label is rotated the clockwise.


Page Margins

Margins

The four Margin options allow you to specify the page margins of your label stock.

Note: Be advised that most laser and other "page" printers cannot print within a certain narrow zone around the perimeter of a page. This "unprintable region" varies from printer to printer. For example, Hewlett-Packard compatible laser printers cannot print closer than about 0.200" to the edges of the page. Therefore, changing your margins to zero will not allow you to print right up to the edge of your paper.

If you enable the Show Unprintable Region option in the View Options dialog, BarTender will display a lightly dashed line to indicate the border of the unprintable region of the label. For more about this option, be sure to read the help topic for the Show Unprintable Region option.

Top Margin

The Top Margin option specifies the distance between the top edge of the page and the top of the first row of labels.

Bottom Margin

The Bottom Margin option specifies the distance between the bottom of the last row of labels on the page and the bottom edge of the page.

Left Margin

The Left Margin option specifies the distance between the left edge of the page and the left edge of the first column of labels.

Right Margin

The Right Margin option specifies the distance between the right edge of the page and the right edge of the last column of labels.


Picture Mini-Tab

Background Picture Mini-Tab

Use this mini-tab, on the Background tab of the Page Setup dialog, to set up a background picture for your label format.

  • Source. Select either Embedded Picture or Linked Picture to enable a picture background. If you select Embedded Picture, a copy of the picture is saved in the BarTender label format file. If you select Linked Picture, the picture remains a separate file and only the path to it is added to the label format file.

  • Select Picture. Click this button to navigate to, and select, the picture file. (The button is available only if you are embedding the picture.)

  • File Name. Enter the path to the picture file or use the Browse button to navigate to the file. (The box and button are available only if you are linking the picture.)

  • Size Method. Select from these options:

    • Original Size. BarTender will use the original size of the picture.

    • Fit to Width. The picture will shrink or expand as needed to ensure that its width fits the width of the label. BarTender will maintain the picture's height-to-width ratio.

    • Fit to Height. The picture will shrink or expand as needed to ensure that its height fits the height of the label. BarTender will maintain the picture's height-to-width ratio.

    • Stretch. The picture will shrink or expand as needed to ensure that it fits the dimensions of the label.

      Note: If there is an overhang value, the fit will not be exact.

  • Transparency. Set the degree of transparency from 0 to 100% using either the slider or the arrows in the text box. The higher the value, the more transparent the picture. A partially transparent background picture allows the background color, if there is one, or the color of the physical stock itself to be visible on the printed labels.

    •

  • Rotation. Enter the desired rotation of the image in degrees.

  • Do Not Print. Used to specify that the background picture should not print.

  • Do Not Show in Print Preview. Used to specify that the background picture should not appear in Print Preview.

  • Overhang Label. Enter the distance at which the background picture should exceed the dimensions of the label. This is useful if the label stock slips a little as it moves through the printer.

  • Error Handling. Opens a dialog with which you tell BarTender what to do if it cannot find the picture file at print-time. (Enabled only if you are linking a picture.)

See Also:

Background Color


Color Mini-Tab

Background Color Mini-Tab

Use this mini-tab, on the Background tab of the Page Setup dialog, to set up a colored background for your label format.

  • Background Color. Use this to select the desired color.

  • Do Not Print. Used to specify that the colored background should not print.

  • Do Not Show in Print Preview. Used to specify that the colored background should not appear in Print Preview.

  • Overhang Label. Enter the distance at which the colored background should exceed the dimensions of the label. This is useful if the label stock slips a little as it moves through the printer.

See Also:

Background Picture


Media Handling

Note: Media Handling is only available in Professional or higher editions of BarTender.

Media Handling is a term that covers a range of printer actions that occur after printing. These actions, such as cutting the label stock or detecting that a label has been removed, can be incorporated in a print job in addition to settings such as number of labels. The full range of media handling options are only available in BarTender if:

  • The active printer has the physical apparatus to cut, pause, and/or detect when a label has been removed,

  • A Seagull driver for that printer is installed.

If the printer does not support media handling actions or does not have a Seagull driver, you can still make use of the general Use Driver's Settings or Page Break options.

Media Handling and Optimization

If a label format has more than one label per page and media handling is in use, printer optimizations will be turned off.


Making Adjustments for Labels with Gaps

Show All Hide All

When your label stock has gaps (small spaces) between each row of labels, such as the stock used on thermal and some other continuous-form printers, the actual label size you have to print on is slightly smaller than the size computed when Set Manually is disabled.

If you want the difference between the page size and the actual label size to be properly accounted for in the label viewing area on your screen, you must enable the Set Manually option and set the label dimensions on your own. Because BarTender bases its automatic label height and width settings on all the other settings in the Page Setup dialog, we recommend using the following procedure. This procedure enables BarTender to give you label size settings that are very close to those you need. After BarTender does most of the work, you simply make a minor adjustment to one (or two) of the settings.

To specify label height and width for label stock with gaps:

Important! Do not enable the Set Manually option until Step 5.

  1. Click on the Page Setup option in the File menu to open the Page Setup dialog.

  2. Specify the size and orientation of your page using the options on the Page tab. (If your page size does not show up in the drop-down list displayed by the Page Size option, click on the "User Defined Size" setting at the end of the list and then type the appropriate values into the Width (of Page) and Height (of Page) options.)

  3. Type the appropriate margin values into the four options on the Margins tab.

  4. Enter the number of rows and columns on the Layout tab.

  5. Now, enable the Set Manually option by clicking on it once to place a check mark in the check box.

  6. If you have followed this procedure, BarTender will now display label width and height settings that are very close to those you need. Choose one (or both) of the following:

  • If you have gaps between the rows on your label stock, reduce the Height (of Label) setting to match the actual height of your labels.

AND/OR

  • If you have gaps between the columns on your label stock, reduce the Width (of Label) setting to match the actual width of your labels.

  7. Click the OK button.


Using Label Formats Supplied with the Application

Using Label Formats Supplied with BarTender

BarTender gives you full control over the appearance of your label formats. However, because creating formats from scratch can be time consuming, numerous standard formats have been included with BarTender. It is recommended that you examine these before creating labels from scratch as one of them may match your label requirements exactly. Alternatively, if one is close but doesn't quite match, you can modify it rather than starting from scratch.

Note: Loading the supplied label formats into the label viewing area is a quick way to learn about the capabilities of BarTender. After you have loaded a format, you can examine the various dialog settings to determine what label characteristics are available. Use BarTender's Open command to load and view any of the supplied label formats.


Creating Circular Labels

To create circular labels:

  1. Select the correct printer. (For more information, see Selecting a Printer.)

  2. Access the Page Setup dialog by clicking on the Page Setup button on the Main toolbar or on the Page Setup option in the File menu to display the Page Setup dialog. (You may also double-click on any blank location on the label viewing area.)

  3. Click on the Shape tab to display the Shape options.

  4. Select Ellipse.

  5. Click on the Layout tab.

  6. Click on the Set Manually option to enable both the Height and Width options.

  7. Enter desired diameter of the circle into the Height and Width options.

If you need to specify Margins, Page Size, Orientation, Rows, Columns, or other stock setup values, see the Page Setup dialog.


Print Preview

Selecting Print Preview from the File menu, or clicking the Print Preview button, [image], on the main toolbar, switches BarTender to print preview mode. (If you are already in Print Preview mode, it will switch you back to the main BarTender screen.) In this mode you can see how your print job will look when it prints.

A special toolbar is provided in this view:

Button | Purpose
 | Print. Clicking this button will print the label(s).
 | Close. Clicking this button returns you to either label design view or prompt design view, whichever you were in when you opened print preview mode.
 | Multiple Page. Clicking this button enables you to see more than one page of your print job.
 | Zoom In. Clicking this button will turn the cursor into a zoom-in cursor. Click anywhere on the preview image and the image is magnified. Or hold down the left mouse button and select an area to be magnified.
 | Zoom Out. Clicking this button will turn the cursor into a zoom-out cursor. Click anywhere on the preview image and the image is shrunk.
 | Fit in Window. Clicking this button will undo the effects of any zooming in or out that you have done and return the image to its default size.
 | Page tool. Use the [image] and [image] buttons (or the TAB and SHIFT-TAB keys) to page through the print job. Use the [image] and [image] buttons to jump to the first and last pages, respectively, of the print job. To move immediately to a particular page, enter the page number in the text box.

Note: You can also do a test print of a single label from the Print dialog.


Opening Existing Label Formats

  1. Click on the File Open button [image] or select the Open command in the File menu to display the File Open dialog.

  2. Check the format type displayed in the Files of type option. The default setting, "BarTender Format Files (*.btw)," displays the available label formats.

  3. Choose one of the following settings for the View option area of the File Open dialog.

  • Preview. (Default setting.) To view a miniature WYSIWYG view of the label to be loaded.

OR

  • Comments. To view the comments that were previously saved with the label format.

  4. In the Look in field, click on the drive that contains the label format. Then, in the list box directly below the Look in field, double-click on the name of the folder that contains the label format. Continue double-clicking until you open the subfolder that contains the desired file.

  5. Highlight the name of the desired label format by clicking on it once. (Note: If you pause for more than a second on the name of a label format while selecting it from the list of available files, BarTender will display either a miniature picture of the currently highlighted label format or the comment that was saved with the currently highlighted label format in the View option area.)

  6. Click the Open button.

Shortcut: To open a label format that has been used recently, simply click its name in the list of recently used files at the bottom of the File menu.

See Also:

The Open Command

Comments


Saving Label Formats

There are three commands that can be used to save the currently loaded label format: Save, Save As, and, for some situations, the Print to File option on the Options tab of the Print dialog. The Save command is used to save modifications to an already existing file while the Save As command is used to save a newly created file. The Print to File option is used to save the file in the special language of your printer.

To save modifications to an already existing file:

Select the Save command on the File menu. This saves the currently loaded label format using the same file name from which it was opened.

To save a new label format:

  1. Click on the File Save button [image] or select the Save As command on the File menu to display the File Save dialog.

  2. Specify the desired file type in the Files of type option located at the bottom of the File Save dialog. The default setting, "BarTender Format Files (*.btw)," saves the file as a label format.

  3. In the Save in field, click on the drive containing the required folder. In the list box directly below the Save in field, double-click on folder names until you open the subfolder within which you want to save the label format.

  4. If you want to give the label format a new file name, type the new name into the File name field. If you do not need to change the name of your label format, skip to Step 5 to save the label format.

  5. When you have finished editing the File name field, click on the Save button to save the label format.

To save a label format in your printer's language:

Select the Print command on the File menu. Click the Options tab on the Print dialog, Click the Print to File checkbox. When you have completed making settings on the Print dialog and press Print, you will be prompted to choose a path and filename for the printer language version of your label.

See Also:

The Save Command

The Save As Command

The Print to File Option


Save Label Format Using Another Name

Save As

The Save As command in the File menu is used to name and save newly created label formats or make a copy of an existing format with a new name, which allows the original label format to remain unchanged.

The File Save Dialog

When you select the Save As command, BarTender displays the File Save dialog. The File Save options are summarized below:

  • Save in. Used to display the names of the available drives. The currently specified drive is displayed at the top of the list. The contents of the selected drive are listed directly below the Save in option.

  • File name. Used to specify the name of the label format that you want to save.

  • Save as type. Used to specify what BarTender version the label format will be saved as.

Before you read the procedure used to save a file, you need to be aware of the file naming conventions discussed in the following section.

Naming Your Label Formats

When using the Save As command to save an existing format, you have the option of specifying a new format name or of using the existing name.

When you no longer need the old format specifications save your changes using the existing file name.

When you need to maintain a copy of the original label format specifications save your changes to a label format using a new file name.

Procedure:

Saving Label Formats

Saving a Label Format as a Previous Version Format

See Also:

Save Label Format

Save All Open Label Formats


Saving All Open Label Formats

Save All

The Save All command saves all of the formats that are currently open in BarTender. This command functions differently depending on the type of format to be saved:

  • If the format is new (has not been saved before) you will be prompted to save it using the Save As dialog.

  • If the format was originally created in some earlier versions of BarTender, you will be cautioned that, once saved in your current version, the format cannot be loaded into the earlier version of BarTender.

  • If the format has previously been saved in the current version, BarTender will simply save it to disk. No message dialogs will be displayed.

See Also:

Save Label Format Using Another Name

Save Label Format


Saving a Label Format as a Previous Version Format

It is possible for you to save label formats as a previous version format for versions as early as 5.40. This is possible by performing the following procedure:

  1. Click on the File menu.

  2. Click on Save As.

  3. Click on the Save as type drop down box to select which version number to save the label format as.

  4. Click on Save.

Important Note: If you save your label format as an older version format and your label has objects or features enabled that didn’t exist in the previous version, you will lose these objects and features from the label format. If this is the case and you attempt to save your label, a dialog box warning you of these effects will pop up before saving and give you a final chance to save as the older version, save as the current version, or cancel this decision. It is recommended that you save your formats first in the current version before saving in the older version so you will have a backup copy of your label if needed.

Setting the Default Version Number to Use when Saving Formats

BarTender allows you to set a default version to save your label formats as. This can be set via the General Options dialog box and is possible by doing the following:

  1. Click on Tools.

  2. Click on General Options.

  3. Click on the Save Formats As drop down box and select the desired version number.

  4. Click OK.

Disabling the Warning Message when Saving as an Older Format

If you save a label as an older format and there are features enabled or objects on the label that the older version does not support, a warning message will pop up and inform you those objects and features will be lost if you continue to save. This message can be disabled with the following procedure.

  1. Click on Tools.

  2. Click on General Options.

  3. Uncheck Warn When Saving To Older Formats.

  4. Click OK.


Print to File

The Print to File option in the Print dialog allows you to print your labels to a file rather than directly to a printer. (This option gives you a quick alternative to using the Windows Control Panel to connect your printer to a file.) Printing your labels to a file can be useful, especially in the following situations:

  • To save the print output data in order to print your labels at a later time.

  • To print your labels from another computer.

  • To view or edit the print output data for various purposes.

When the Print to File option is selected, BarTender displays a Print to File dialog at print-time that allows you to specify a path and filename for your print data.

See the DOS COPY and PRINT commands for information on how to print the file later.


View Menu

The View Menu

The View menu contains options that allow you to change the size and position at which you view your label on the screen and whether or not to switch from label design mode to prompt design mode. These options do not change the actual contents of your label in any way. Only the viewing size and position change. The View menu also allows you to access the View Options dialog, which contains the ruler, grid, and zoom factor settings.

Important Viewing Feature: The Find Label Button

When using BarTender's scrolling tools, especially in combination with the zoom commands in the View menu, it is possible to "lose" your label by scrolling it completely out of the label viewing area. When this occurs, BarTender displays a Find Label button on the right side of your top ruler. Click on this button to have BarTender automatically find the label and center it in the viewing area. A similar function is provided when in Prompt Design View mode.

For more information about View menu options, click on the appropriate menu name below.

  • Label Design View. Used to design and view label formats (default).

  • Prompt Design View. Used to design custom print-time prompt dialogs.

  • Toolbars. Used to show or hide the available toolbars.

  • Zoom In. Used to magnify a section of the label viewing area by the percentage of the currently specified zoom factor.

  • Zoom Out. Used to de-magnify a section of the label viewing area by the percentage of the currently specified zoom factor.

  • Actual Size. Used to scale the label image to fit in the label viewing area at Windows default magnification.

  • Fit in Window. Used to scale the label image to fit entirely within the label viewing area.

  • View Options. Used to specify certain viewing options for the format, including the ruler and grid parameters and the zoom factor that will be used by the Zoom In and Zoom Out commands. Also can be used to write comments for the format and set regional settings for the format.


Understanding RFID

(RFID support requires BarTender's RFID Enterprise Edition and Seagull Scientific printer drivers, version 7.0 or greater.)

A text or bar code label is useful only in situations in which there is an uninterrupted line-of-sight between the label and the human or machine reader. When this condition is not met, RFID (Radio Frequency Identification) can be used to replace or supplement a plain label identification system. An RFID system uses very small transponders to broadcast identification data. Each item that needs identification has its own programmable transponder attached, and each broadcasts a different identification number. The numbers are read by a special radio transceiver called an "interrogator." A transponder does not broadcast its data continuously: instead, it waits until an interrogator broadcasts a request for identification. The transponder and interrogator will exchange verification signals and then the transponder will broadcast its data to the interrogator.

The transponders are small enough that one can be included within the layers of a paper label. These labels can be printed with text or bar codes that duplicate, or add to, the information encoded in the transponder. Such labels are often called "smart labels," "tags," or "RFID cards."

Many printer manufacturers now produce RFID-capable printers that simultaneously print data onto a smart label and encode data into the label's transponder. You can design BarTender labels to work with these printers by placing RFID objects on your label formats.

See Also:

RFID Property Page

RFID Tab of the Page Setup Dialog

Creating and RFID Object


Creating Objects

Creating Objects on a Label Format

You have several choices when you want to add a bar code, text, or various graphic objects to your label. You can:

  • Click the appropriate button on the Main toolbar and then click on the label.

  • Select the appropriate command from the Create menu and then click on the label.

  • Drag an object of the desired type from the Default Objects pane of the Toolbox to the label.

  • Drag a previously created and configured object (or group of objects) from the Components pane of the Toolbox to the label.

  • Drag-and-drop a data source type from the Data Sources pane of the Toolbox to the label.

  • Drag a previously used database field or an existing named substring from the Data Sources pane of the Toolbox to the label.

After an object has been inserted on the label, use the options in the Modify dialogs to adjust its appearance and properties.

Object Default Settings

A default is an option or setting that BarTender automatically uses unless you specify otherwise. Each time you execute the New command, BarTender clears the label viewing area and automatically resets the menu and dialog options to their built-in default settings. However, these default settings can be modified (and saved with the label format) using the Default Object option in the Modify menu. If you want to modify the default setting, see Modifying the Built-in Default Settings.

See Also:

Understanding Label Formats


Drawing a Box

Use the method that fits best with your working style:

With the Toolbox:

  1. Drag-and-drop a box from the Default Objects pane of the Toolbox to the approximate location on the label where you want the box.

  2. Use the handles to adjust the box's dimensions and location or to rotate it.

  3. Double-click the object to open the Modify Selected Box dialog to configure the box's properties.

With the Main Toolbar or the Create Menu:

  1. Click on the Create Box button [image] on the Main toolbar. (Or select Box from the Create menu.) Your mouse cursor will assume the shape of the box mouse cursor.

  2. Move the cursor to the point in the label viewing area where you want to position one corner of your box.

  3. Click the left mouse button and hold it down while you drag the cursor to the corner diagonally opposite the corner from which you began. (A box made of lightly dashed lines will stretch along with the cursor so that you know the size of the box you are creating.)

  4. Release the mouse button and the object appears.

  5. Use the handles to adjust the box's dimensions and location or to rotate it.

  6. Double-click the object to open the Modify Selected Box dialog to configure the box's properties.

See Also:

Creating Label Objects


Drawing an Ellipse

Use the method that fits best with your working style:

Note: To create a circle, hold down the Shift key when placing the object on the label.

With the Toolbox:

  1. Drag-and-drop an ellipse from the Default Objects pane of the Toolbox to the approximate location on the label where you want the ellipse.

  2. Use the handles to adjust the ellipse's dimensions and location or to rotate it.

  3. Double-click the object to open the Modify Selected Ellipse dialog to configure the ellipse's properties.

With the Main Toolbar or the Create Menu:

  1. Click on the Create Ellipse button [image] on the Main toolbar. (Or select Ellipse from the Create menu.) Your mouse cursor will assume the shape of the ellipse mouse cursor.

  2. Move the cursor to the point in the label viewing area where you want to position one end of your ellipse.

  3. Click the left mouse button and hold it down while you drag the cursor to the corner diagonally opposite the corner from which you began. (An ellipse made of lightly dashed lines will stretch along with the cursor so that you know the size of the ellipse you are creating.)

  4. Release the mouse button and the object appears.

  5. Use the handles to adjust the ellipse's dimensions and location or to rotate it.

  6. Double-click the object to open the Modify Selected Ellipse dialog to configure the ellipse's properties.

See Also:

Creating Label Objects


Drawing a Line

Use the method that fits best with your working style:

With the Toolbox:

  1. Drag-and-drop a line from the Default Objects pane of the Toolbox to the approximate location on the label where you want the line.

  2. Use the handles to adjust the line's dimensions and location or to rotate it.

  3. Double-click the object to open the Modify Selected Line dialog to configure the line's properties.

With the Main Toolbar or the Create Menu:

  1. Click on the Create Line button [image] on the Main toolbar. (Or select Line from the Create menu.) Your mouse cursor will assume the shape of the line mouse cursor.

  2. Move the cursor to the point in the label viewing area where you want to begin your line.

  3. Click the left mouse button and hold it down while you drag the cursor to the point where you want the line to end.

  4. Release the mouse button and the object appears.

  5. Use the handles to adjust the line's dimensions and location or to rotate it.

  6. Double-click the object to open the Modify Selected Line dialog to configure the line's properties.

See Also:

Creating Label Objects


Importing Pictures into a Label Format

Note: You may not need to import a picture if what you want is a standard complex caution, warning, or hazardous materials symbol. Most of these are available in one of the special symbol "fonts" that come with BarTender. Also included in these "fonts" are symbols for packaging, textile care, electrical matters, and the industrial workplace.

You can import any of the following picture types: BMP, DXF, EPS, IMG, JPG, PCD, PCX, PNG, TGA, TIF, WPG, and WMF. The last of these cannot be rotated.

There is more than one way to put a picture on your label:

With the Toolbox:

  1. Drag-and-drop a picture from the Default Objects pane of the Toolbox to the approximate location on the label where you want a picture. A sample picture will be placed on your label.

  2. Use the handles to adjust the line's dimensions and location or to rotate it.

  3. Double-click on the newly placed sample picture to display the Modify Selected Picture dialog. Continue with the section Importation Method below.

With the Main Toolbar or the Create Menu:

  1. Click on the Create Picture button [image] on the Main toolbar. (Or select Picture from the Create menu.) Your mouse cursor will assume the shape of the Create Picture button.

  2. Move your mouse cursor to the point in the label viewing area where you want to position your graphic and click the left mouse button. A sample picture will be placed on your label.

  3. Use the handles to adjust the picture's dimensions and location or to rotate it.

  4. Double-click on the newly placed sample picture to display the Modify Selected Picture dialog. Continue with the section Importation Method below.

Importation Method

BarTender gives you three options for importing pictures into label formats. If you know which option you want, select the appropriate procedure below:

  • To Embed Pictures.

  • To Link External Pictures.

  • To Read Pictures from a Data File.

If you are uncertain which option to use, see the Help topic Options for Importing Pictures.

Note: You can also insert a picture, and assign it a data source type in a single step, from the Data Sources pane of the Toolbox.

Note: You can add to a label a previously created picture object from the Components pane.

See Also:

Creating Label Objects


Creating a Bar Code

Use the method that fits best with your working style:

With the Toolbox:

  1. Drag-and-drop a bar code that has already been configured for a symbology from the Standard Bar Codes pane of the Toolbox to the approximate location on the label where you want the object. Alternatively, you can add a bar code configured with default options by dragging it from the Default Objects pane.

  2. Use the handles to adjust the bar code's dimensions and location or to rotate it.

  3. Double-click the object to open the Modify Selected Bar Code Object dialog to configure the bar code's properties.

With the Main Toolbar or the Create Menu:

  1. Click on the Create Bar Code [image] button on the Main toolbar. (Or select Bar Code from the Create menu.)

  2. Move the cursor into the label viewing area. Notice that when the pointer crosses over the ruler into the label viewing area, it changes shape to match the picture on the toolbar button. This indicates that you can now create a bar code.

  3. Point at the location in the label viewing area where you want the center of the bar code to be positioned and click. A bar code is placed on your label.

  4. Use the handles to adjust the bar code's dimensions and location or to rotate it.

  5. Double-click the object to open the Modify Selected Bar Code Object dialog to configure the bar code's properties.

Note: You can also create a bar code, and assign it a data source type in a single step, from the Data Sources pane of the Toolbox.

Note: You can add to a label a previously created bar code from the Components pane.

See Also:

Creating Label Objects


Creating a Text Object

Use the method that fits best with your working style:

With the Toolbox:

  1. Drag-and-drop a text object from the Default Objects pane of the Toolbox to the approximate location on the label where you want the object. (Right-click the object and select Edit from the context menu so that you can edit the text.)

  2. When you are finished with any edits, click away from the object, or press SHIFT+ENTER, to restore the arrow cursor and accept the changes.

  3. Click on the object again and use the handles to adjust the text object's dimensions and location or rotate it.

  4. Right-click the object and select Properties from the drop down menu to open the Modify Selected Text Object dialog where you can configure the text object's properties.

With the Main Toolbar or the Create Menu:

  1. Click on the Create Text [image] button on the Main toolbar. (Or select Text from the Create menu.)

  2. Move the cursor into the label viewing area. Notice that when the pointer crosses over the ruler into the label viewing area, it changes shape to match the picture on the toolbar button. This indicates that you can now create a text object.

  3. Point at the location in the label viewing area where you want the center of the object to be positioned and click. A text object is placed on your label. (Right-click the object and select Edit from the context menu so that you can edit the text.)

  4. When you are finished with any edits, click away from the object, or press SHIFT+ENTER, to restore the arrow cursor and accept the changes.

  5. Click on the object again and use the handles to adjust the text object's dimensions and location or rotate it.

  6. Right-click the object and select Properties from the drop down menu to open the Modify Selected Text Object dialog where you can configure the text object's properties.

Note: You can also create a text object, and assign it a data source type in a single step, from the Data Sources pane of the Toolbox.

Note: You can add to a label a previously created text object from the Components pane.

See Also:

Creating Label Objects


Creating an RFID Object

Use the method that fits best with your working style. Regardless of the method you use, be sure to first select an RFID-capable printer.

With the Toolbox:

Drag-and-drop a standard RFID object from the from the Standard RFID pane of the Toolbox.

With the Main Toolbar or the Create Menu:

  1. Click on the Create RFID [image] button on the Main toolbar. (Or select RFID from the Create menu.)

  2. Use the Modify Selected RFID Object dialog, which opens automatically to configure the object's properties. The options available depend on the current printer.

Note: You can also drag an RFID object from the Default Objects pane of the Toolbox to the label format. Double-click the object to open the Modify Selected RFID Object dialog to configure the object's properties.

Note: You can add to a label a previously created RFID object from the Components pane.

Note: If the current printer does not support the RFID tag type which the RFID object is originally configured to use, or the current printer does not support RFID at all, then the RFID object will appear with a red spot with an "X" on it. Place the cursor over the red spot to see a message that identifies the problem.

See Also:

Creating Label Objects

Understanding RFID


Copying an Object

Using the "Click and Drag" method:

  1. Hold down your keyboard's CTRL key.

  2. While keeping the control key pressed, click and hold your left mouse button. A dashed line will show around the object.

  3. Drag your mouse cursor to the location on your label where you want a copy of the object to be placed.

  4. Let go of your mouse button. If you want the new object to be exactly the same distance from the top and bottom of the label as the original, or exactly the same distance from the right and left sides, then hold down the SHIFT key as well as the CTRL key. This will ensure that the new object can only be placed either directly above or below the original, or directly to the side. Diagonal movement is prevented.

Using the Clipboard method:

  1. Click on the object that you want to copy.

  2. Click on the Copy button [image] on the Main toolbar. BarTender will copy the selected object and store the copy in the Windows clipboard.

  3. Click on the Paste button [image] on the Main toolbar. BarTender will paste a copy of the object from the clipboard into the upper left corner of the label viewing area.

  4. Position the pointer cursor over the pasted object and "click and drag" it to the desired location on the label.

Note: You can also store and reuse objects, and groups of objects, using the Components pane of the the Toolbox.

See Also:

The Copy Command

Moving an Object


Associating a Print-Time Prompt with a Label Object

Creating a Print-Time Prompt

Sometimes the data needed on a label is not known until print time. For example, when a text object, RFID object, or bar code expresses the final weight of a package. In such situations, you need to create a prompt that will appear at print-time and prompt a user to enter the needed data into a reply box. For an overview of print-time prompting refer to Understanding Prompt at Print-Time.

The basic steps to creating a prompt are:

  1. Double-click the object to open the Modify Selected … Object dialog.

  2. Click the Data Source tab.

  3. Click the More Options button to open the More Data Source Options dialog.

  4. Click the Prompting tab and then the Prompt at Print-Time checkbox, and configure other settings on the dialog as needed.

  5. Click Close and then OK to return to the main BarTender screen.

  6. Switch to the prompt design view by pressing F8, or clicking the prompt design button on the toolbar or selecting Prompt Design View in the View menu. A simple draft prompt window will appear with a reply box to the right and a caption for the reply box to the left.

  7. Double-click the caption to open a Modify Selected Objects dialog and change the caption's properties as needed.

  8. Double-click the reply box to open a Modify Selected Objects dialog and change the reply box's properties as needed.

  9. Use the design tools to modify and add objects to the prompt.

Note: There is never more than one prompt associated with a given label format, but you may have more than one text object, RFID object, or bar code set to prompt-at-print-time. Simply repeat steps 1 through 6. Each time you complete step 6, a new reply box and caption are added.


Arrange Menu

The Arrange Menu

The Arrange menu options perform two types of functions:

  • Combine multiple objects together into a group that can be moved as a single object.

  • Provide some advanced ways of positioning objects relative to one another.

Ordinarily, basic mouse motions are sufficient to organize and position objects on your labels. Sometimes, however, your may need more advanced control over the layout of your label, as provided for in the Arrange menu.

The Arrange menu options are summarized below. For more information about each option, click on the appropriate menu name below.

  • Move to Front. Used to move an object to the front of all other objects that overlap it.

  • Send to Back. Used to send an object to the back of all other objects that overlap it.

  • Group. Used to combine two or more objects into a single group to allow simultaneous positioning or modification of all the objects in the group.

  • Ungroup. Used to break apart a group of combined objects.

  • Align. Used to organize selected objects into rows or columns and adjust the horizontal and vertical spacing between objects.

  • Rotate. Used to rotate individual objects and groups of objects on your labels.

  • Lock. Used to lock selected objects so that they cannot be moved or rotated.

  • Unlock. Used to unlock selected objects so that they can again be moved or rotated.


Move to Front/Send to Back

The Move to Front and Send to Back commands in the Arrange menu allow you to move a selected object to the front or back of other objects that overlap it on the label.

By overlapping different objects on a label you can create labels with unique graphics and other special effects. However, having overlapping objects can complicate editing of the label because selecting the top object is always easier than selecting the object(s) underneath. Also, the objects need to be placed on top of each other in the right order to achieve the desired effect at print time.

Example

The above example uses a combination of BarTender features. To duplicate the effect, execute the following steps.

  1. Place a bar code on your label format.

  2. Double-click on the bar code to access the Modify Selected Bar Code Object page.

  3. Click the Bar Code tab.

  4. Click on Color and select white from the color palate.

  5. Switch to on the Font tab.

  6. Click on Color and select white from the color palate.

  7. Click OK to return to your label format. You will see only the handles surrounding your bar code.

  8. Click on the Create Box button on the Main toolbar and use the cursor to draw a box around the bar code.

  9. Click on the Select button on the toolbar.

  10. Double-click on the box that you just created to access the Box property page.

  11. Click on the check box for Fill Interior of Box.

  12. Click OK to return to your label format. You will see a black box.

  13. Click on Arrange on the menu bar, and select Send to Back. Your bar code will display in reverse type as shown in the example above. You may adjust the size of your box or bar code as desired.


Grouping Objects Together

Group

The Group command in the Arrange menu allows you to combine two or more objects in the label viewing area into a single group. After the individual objects have been combined into a group, the entire group can be selected by clicking on any object in the group. Groups of objects can also have certain attributes shared by the objects in the group modified all at once.

For example, you can use your mouse to move an entire group of objects without changing the positioning of the individual objects within the group relative to one another. Or, as a second example, if some of the objects in a group are bar codes, the symbology or density for all of the bar codes in the group can be changed at the same time.

Important Note: In these last two examples, groups of objects which have been temporarily combined using the SHIFT key or by doing a block select with the Select cursor can be modified in the same manner.

To combine objects into a single group:

1. Select the objects that you want to combine using one of the following methods.

  • Hold down the SHIFT key while you click one at a time on the objects that you want to select.

OR

  • Use the Select cursor to select the objects that you want in the group.

2. Select the Group command.

After the individual objects have been combined into a single group, whichever object you click on to select the group temporarily becomes the master selected object for the group. The master selected object is always easy to recognize as it is displayed with solid handles rather than the hollow handles displayed by the other objects in the group.

When modifying objects in a group, the master selected object can be modified as a single object using the Modify Selected Object tabbed dialogs or as part of the group using the Modify Selected Group tabbed dialogs. Non-master objects in a group can only be modified as part of the group. However, a different master object for a group can be specified at any time simply by clicking once on the object you want to specify as the new master object.


Ungroup (Break Apart) a Group of Objects

Ungroup

The Ungroup command in the Arrange menu is used to break apart a group of combined objects. After the objects have been ungrouped, you can select the individual objects one at a time.

To break apart a group into individual objects:

  1. Select the group that you want to break apart by clicking on one of the objects in the group.

  2. Click the Ungroup command.


Rotate Objects

Rotate

Options in the Rotate dialog allow you to rotate any individual object (or group of objects) around the center point of the object (or group).

You can choose the Direction (Clockwise or Counterclockwise) and the Angle. For lines, boxes, and pictures, you can select a commonly used degree from the dropdown list or enter one with precision to a tenth of a degree (0.1). For all other kinds of objects, you must select 0°, 90°, 180°, or 270° from the drop down list.

You can also use the rotation buttons on the Arrange toolbar to rotate the currently highlighted object 1° or 90° (either clockwise or counterclockwise) or 180°.

If you want to rotate an object around a point other than its own center point, then use the Position tab in the Modify Selected … Object dialog.

Note: A quick means of rotating an object is to use the rotation tool available on the main toolbar.


Selecting a Group of Objects Using the Pointer Tool

The Select command (pointer tool) can also be used to select a group of objects. This capability is often used in conjunction with the Group command in the Arrange menu, which allows you to combine the selected objects into a single group for manipulation.

To select a group of objects, you define a rectangle that completely encloses the desired objects. (Any object that is not completely within the bounding box of the rectangle will not be selected.)

To select a group of objects:

  1. Click on the Select button in the Main toolbar.

  2. Decide which objects in the label viewing area you want to select.

  3. In the label viewing area, place the mouse cursor outside one of the four corners of the desired group of objects and press and hold the left mouse button.

  4. Still holding down the left mouse button, drag the cursor from the starting corner of the group of objects to be selected to the diagonally opposite corner. (Note that a lightly dashed bounding box will follow the motion of the mouse cursor as you move it.)

  5. Release the mouse button once all of the desired objects are within the bounding box.

To deselect selected objects:

Click on a blank part of the label viewing area or on an object that is not selected.

Selecting Non-Adjacent Objects

BarTender also allows you to simultaneously select non-adjacent objects. To do so, you activate the Select command and then hold down the SHIFT key as you click on each object that you want to select.

The SHIFT key can be used in a similar manner to remove objects from a group of selected objects. After the group has been selected, hold down the SHIFT key and then click with the pointer tool on each object that you want to deselect.

See Also:

Select Command

Select All Command


Align Objects in a Group

Align

The Align dialog contains options which allow you to perform two different types of position adjustments to the label objects you select.

Alignment:

Moves multiple objects into rows or columns. This is done by setting the horizontal and vertical alignment values for a group of selected objects to the same value.

Spacing:

Evenly spaces apart multiple objects in a group.

Most of the Align options are specifically for aligning two or more label objects relative to each other. Accordingly, most of these options will be disabled (grayed) unless two or more objects on the label are selected. The one exception is the Center on Label option, which can be performed on a single label object.

To allow the horizontal and vertical alignment of objects on your label to be controlled separately, there are individual controls for the alignment and spacing categories. These controls are described in the following sections:

Horizontal Alignment Settings

Vertical Alignment Settings


Horizontal Alignment Settings

In the following descriptions, keep in mind that the master selected object is always easy to recognize — it has solid handles rather than the hollow handles displayed by the other objects in the same group. Also, after you become familiar with the Align commands, you may find it easier to use the shortcut buttons in the Arrange toolbar positioned along the bottom edge of the label viewing area.

Button | Purpose
 | No Change. (Default setting.) Because each of the horizontal alignment options can be set independently of the vertical alignment options, and vice versa, the No Change option lets you leave the positioning of your label objects alone in one direction, while you adjust the objects' alignment in the other.
 | Align Left Sides. Aligns the left edges of two or more selected objects with the left edge of the master selected object. In addition, all of the selected objects will have their Horizontal Position method set to Left Alignment, regardless of what their settings were before the alignment action was requested.
 | Align Centers. Aligns the centers of two or more selected objects with the center of the master selected object. In addition, all of the selected objects will have their Horizontal Position method set to Center Alignment, regardless of what their settings were before the alignment action was requested.
 | Align Right Sides. Aligns the right edges of two or more selected objects with the right edge of the master selected object. In addition, all of the selected objects will have their Horizontal Position method set to Right Alignment, regardless of what their settings were before the alignment action was requested.
 | Center on Label. Although they may sound similar, this option is different from the Align Centers option. Instead of aligning the selected object(s) relative to the center of the master selected object, this option aligns the selected object(s) relative to the center of the label itself. If a single object is selected, its horizontal center will be aligned with the horizontal center of the label. If multiple objects are selected, they will be moved horizontally as a group such that their common center lines up with the horizontal center of the label. Finally, unlike the previous three horizontal alignment options, this option does not change the Horizontal Position method of the selected objects, as specified in the Position dialog.
 | Space Evenly. Unlike the other align options, which require that one or two objects be selected, this option requires that a minimum of three objects be selected. The position of the selected objects relative to each other is analyzed and the positions of the two objects closest to the left and right sides of the label are not changed. The position of the object(s) in between these two are then adjusted such that, from left to right, all of the selected objects are spaced evenly apart. All position adjustments are performed relative to the left and right edges of the selected objects and the objects' Horizontal Position methods, as specified in the Position dialog, are not changed.

See Also:

Vertical Alignment Settings


Vertical Alignment Settings

In the following descriptions, keep in mind that the master selected object is always easy to recognize — it has solid handles rather than the hollow handles displayed by the other objects in the same group. Also, after you become familiar with the Align commands, you may find it easier to use the shortcut buttons in the Arrange toolbar positioned along the bottom edge of the label viewing area.

Button | Purpose
 | No Change. (Default setting.) Because each of the horizontal alignment options can be set independently of the vertical alignment options, and vice versa, the No Change option lets you leave the positioning of your label objects alone in one direction, while you adjust the objects' alignment in the other.
 | Align Top Sides. Aligns the top edges of two or more selected objects with the top edge of the master selected object. In addition, all of the selected objects will have their Vertical Position method set to Top Alignment, regardless of what their settings were before the alignment action was requested.
 | Align Centers. Aligns the centers of two or more selected objects with the center of the master selected object. In addition, all of the selected objects will have their Vertical Position method set to Center Alignment, regardless of what their settings were before the alignment action was requested.
 | Align Bottom Sides. Aligns the bottom edges of two or more selected objects with the bottom edge of the master selected object. In addition, all of the selected objects will have their Vertical Position method set to Bottom Alignment, regardless of what their settings were before the alignment action was requested.
 | Center on Label. Although they may sound similar, this option is different from the Align Centers option. Instead of aligning the selected object(s) relative to the center of the master selected object, this option aligns the selected object(s) relative to the center of the label itself. If a single object is selected, its vertical center will be aligned with the vertical center of the label. If multiple objects are selected, they will be moved vertically as a group such that their common center lines up with the vertical center of the label. Finally, unlike the previous three vertical alignment options, this option does not change the Vertical Position method of the selected objects, as specified in the Position dialog.
 | Space Evenly. Unlike the other align options, which require that one or two objects be selected, this option requires that a minimum of three objects be selected. The position of the selected objects relative to each other is analyzed and the positions of the two objects closest to the top and bottom sides of the label are not changed. The position of the object(s) in between these two are then adjusted such that, from top to bottom, all of the selected objects are spaced evenly apart. All position adjustments are performed relative to the top and bottom edges of the selected objects and the objects' Vertical Position methods, as specified in the Position dialog, are not changed.

See Also:

Horizontal Alignment Settings


Modifying Objects

Options accessed through the Modify menu and the Modify tabbed dialogs allow you to adjust the appearance of the objects on your labels to fit your exact requirements. The Modify dialogs also allow you to specify the data sources for your bar codes, RFID, and text objects.

The Modify options may be applied to both single objects and groups of objects. However, since there are only a certain number of Modify options that are relevant to any given object or groups of objects, the dialog displayed at any given time may contain several disabled (grayed) options. Also, some of the Modify dialogs contain dynamic areas that display different options depending on the settings of other options in the dialog.


Data Source Property Page

Show All Hide All

To view this property page double-click the object to open the Modify Selected … Object dialog. Then click the Data Source tab.

When working with bar codes, RFID objects, and text objects, the options on the Data Source property page allow you to specify whether the data used to print labels will be typed in at the keyboard, read from an external data file, or received from one of a number of other possible sources. When using data sourced pictures, the Data Source property page is used to specify the field in the external data file that contains the names of the pictures to read.

The Source option on the Data Source property page allows you to specify the type of information needed to create a bar code, RFID object, or text object and the field needed to import data sourced pictures. You can choose from the following:

  • Screen Data. Data typed directly into the label format.

  • Database Field. Data read from a database specified in the Database Connection Setup dialog.

  • Visual Basic Script. Data read from a user-defined Visual Basic Script.

  • Date. Data read from the date setting of your computer or printer.

  • Time. Data read from the time setting of your computer or printer.

  • Printer Code Template Field. Use this source if the field will be used only when the label format is exported to a Printer Code Template.

  • Label Object String. String data is read from another label object.

Each of the different data sources has its own set of options. Instead of displaying all of the options for the different data sources at once, regardless of whether or not they are needed, the Data Source property page includes a dynamic area that changes to display only those options relevant to the data source you have specified.

The New Substring Wizard button, [image], is used to open a data format wizard. The wizard can be used to guide you through the process of configuring the structure of the data for a text or bar code object.

For details on the options available read this topic on Basic and Advanced Data Source Options.

The Basic and Advanced Options

The Data Source property page provides two modes for manipulating the data in a label object:

  • Basic. Used for label objects that require only one data source.

  • Advanced. Used to combine data from multiple sources for use by a single label object or to share data from a single source with multiple label objects.

When you first access the Data Source property page, BarTender displays it in Basic mode, which contains all the options you may ever need. The Advanced mode is simply an expanded version of the Basic that offers more sophisticated data manipulation for users with more complex data sourcing needs.

Note: Unlike the other Modify property pages, the Data Source options can only be applied to one object at a time, not groups of objects.

Procedure:

Displaying the Data Source Property Page


Displaying the Data Source Property Page

Double-click on the object you want to modify, then click the Data Source tab to display the Data Source property page.


[The set of data characters assigned to a bar code or text object that will print out for that object at print-time. This data may consist of screen data, input file data, prompt at print-time data, the date or the time. While it is usually only necessary for bar code and text objects to receive their data from a single substring, sometimes it is necessary for label objects to receive their data from multiple substrings.]

[Part of a dialog that displays different options or status settings depending on the settings of other options in the same or related dialogs.]

Basic and Advanced Data Source Options

Show All Hide All

Because most label objects use a single data source, the Basic options for the Data Source property page contain all the options most users will need for most label objects. However, the Advanced options allow you to design more sophisticated label objects.

Permanent Basic Data Source Options

When you first access the Data Source property page, you will see the Basic options. These options are available in both Basic and Advanced mode. For further information, click on the appropriate option name below.

  • Source. Used to specify whether or not the screen data for an object will be replaced on your printed labels by data from an external data file, the date, the time, or the output of a Visual Basic script.

  • New Substring Wizard button, [image]. Used to open a data format wizard. The wizard can be used to guide you through the process of configuring the structure of the data for a text or bar code object. The location of this button changes as you change between Basic to Advanced mode.

  • More Options. Used to access the More Data Source Options dialog for Serialization, Prompt at Print Time, Data Validation, and a variety of other options.

  • Basic/Advanced. Used to switch between viewing the Basic mode and the Advanced mode.

Permanent Advanced Options

The Advanced options are an expanded version of the Basic options. With the additional options, you can read data from multiple data sources (using data substrings) and share data with other label objects.

  • Substring List. Used to view and, if applicable, edit the data for bar code, RFID, and text objects which contain multiple substrings.

  • Share/Name Mini-Tab. Used to specify whether the data for a substring will be shared with another substring, or will be referred to by a script.

  • Font Mini-Tab. Contains information about the font being used in the data field and a button that will open the Font property page. (This mini-tab is not available in the Ultra-Lite or Basic Editions of BarTender.)

  • Sample. Used to display a sample of the combined substrings for the selected object.

Dynamic Options

When you choose a data source, some of the available options will change so that only options relevant to the specified source will be displayed. The options that change are called dynamic options and are located in the dynamic area.) directly beneath the Source option. In Basic mode, this area is titled Options. In Advanced mode, BarTender will display them on a mini-tab with the same name as the selected data source.

  • Screen Data/Sample Data/Default Reply. Used to enter the words and or numbers that will be the default content of the object, or the default reply if prompting has been turned on for the object.

  • Character Assistant. The Character Assistant appears just to the right of the Screen Data/Sample Data/Default Reply text box as the following button:

  • Field Name. Used to designate which field of a database is to be used as the data source for the object.(If the type of data source is Merge Field, then this box is used to assign a name to the field.)

  • Type drop down box with Edit button. The drop down box is used to select the type of Visual Basic Script to be used. The Edit button opens the Script Assistant.

  • Date Format. Used to select the format of a date object.

  • Time Format. Used to select the format of a time object.

  • Offset. Check this to enable offsetting the date/time from the current date/time. Then use the text boxes to the right of this checkbox to set the length of the offset.

See Also:

Combining Different Data Sources


Deciding Whether to Use Basic or Advanced Mode

There are two important considerations when determining whether you need to use the Basic or Advanced Data Source options:

  1. The number of data substrings that have been specified for the selected object.

  2. Whether any of these substrings need to be manipulated using the more advanced options.

A data substring is the set of data characters assigned to a bar code, RFID, or text object that will print out for that object at print-time. This data may consist of screen data, database data, prompt data, data from Visual Basic script, the date, or the time. While it is usually only necessary for objects to receive their data from a single substring, sometimes it is necessary for label objects to receive their data from multiple substrings.

The following paragraphs summarize when you should use each.

Use the Basic Source Options

When you need to create bar codes, RFID objects, and text objects that use a single data substring that does not need to be manipulated using the more advanced options.

Use the Advanced Data Source Options

When you need to create bar codes, RFID objects, and text objects, using multiple data substrings, or when you need to share data between objects or substrings.

To switch the view between Basic and Advanced:

The Basic/Advanced Button is used to switch between viewing the Basic mode and the Advanced mode.


Screen Data

The Screen Data option on the Data Source property page and on the Modify Screen Data dialog is used to enter data that will display on the label viewing area and print onto a label for the currently selected object. BarTender‘s default Source setting for newly created objects is always screen data. BarTender will also use screen data at print-time for any bar code, RFID, or text object for which data from another source type has not been specified.

To enter screen data, simply type the desired data directly into the Screen Data option.


Database Options

Whenever the currently specified substring uses Database Field as its data source, the dynamic area of the Data Source property page will display the specified database options.

Database Field is the preferred source when many labels need to be printed during a single print job and the data changes for each those labels.

Because such data is usually different for every label, the data in the file is not displayed in the label viewing area, only the text in the Sample Data area is displayed. You can see your data in advance by clicking on the Browse tab on found on the Database Connection Setup dialog.

The Data Source options are summarized in the following paragraphs.

  • Field Name. Used to specify which field from your database will replace the sample data for the currently specified substring at print-time.

  • Sample Data. Used to specify the data that will be displayed in the label viewing area. At print-time, this sample data will be replaced on your labels by data from the data source file.

  • Database Connection Setup button. Used as an alternative to the File menu for accessing the Database Connection Setup dialog.

See Also:

Combining Different Data Sources

Setting up a Label Object to Read Data from a Data Source File


Visual Basic Scripting Options

Visual Basic Scripting as a Data Source

The Visual Basic Script data source, on the Data Sources tab of the Modify Selected … Object dialog, is by far the most advanced of all those available in BarTender. It is most commonly used when you need to produce final data for a text or bar code object by processing data from one or a combination of the other data sources in a way that is not otherwise possible.

Note: There are also a number of advanced uses of Visual Basic Scripting that don’t actually involve the sourcing of data at all. When using scripting for these advanced uses, you should set the object's data source to screen data, database, or system date/time. Then click the More Options button to open the More Data Source Options dialog. Click the VB Scripting tab and use it to enable and write scripts.

The Visual Basic Script options are summarized below. Before using them, review the topic Understanding Visual Basic Scripting in BarTender.

  • Type. Used to specify the type of Visual Basic script to use. Depending on your needs and technical expertise, three different levels of Visual Basic Script are available.

  • Edit. Used to access the Script Assistant, which helps you to write your scripts and then stores them. It also offers a variety of help on Visual Basic and Visual Basic Scripting.


Label Object Data Source

Label Object String

A Label Object String uses an object on the label as a data source when you print the label. When you select Label Object String as the source, the following controls appear in the Options area of the Data Source tab of the Modify Selected … Object dialog.

  • Object Name. Select a label object name to use.

  • String. Option availability will depend on the object selected and what object strings it has. The options are:

    • Main Data Source. The same data source as the referenced label object.

    • Human Readable Text. The Bar Code Human Readable Text data of the referenced label object, if available.

    • Hexadecimal Encoded Data. The RFID Hexadecimal Encoded data of the referenced label object, if available.

  • More Options. Opens the More Options dialog.


Date Options

Whenever the source for the selected data substring is set to "Date" the dynamic area of the Data Source property page will display the appropriate options. On the Basic Data Source property page, the options will be displayed in the area of the property page titled Options. On the Advanced Data Source property page, the options will be displayed on the Date tab.

  • Date Format. Used to specify the format of the date. (If the Use Printer's Clock checkbox —see below— is checked, then the options available will vary depending on your printer.)

  • Offset by. Used to specify a past or future date by entering either a positive or negative value. A positive value specifies a date in the future (postdate); a negative value specifies a date in the past (predate).

  • Units. Used to choose the time units for the offset.

  • Use Printer's Clock. Used to specify that you want to use the printer's clock instead of the system clock of the computer.

If the printer supports the expression of the time in different languages, select the needed language on the printer's front panel. To use the printer's clock, you must have a device-based font chosen on the Font tab. If the time object is a substring of a larger text or bar code object, the same (device-based) font must be used for all substrings in the larger object. If you are using the printer's clock, you may not refer to the time object in a VB Script.

  • Clock Options. Opens the Printer Clock Options dialog.

Example:

Suppose the current date is January 19, 1997. You need to print a label with a bar code object that displays the date December 28, 1996. After you place the bar code on the label, double-click on the bar code to display the Modify Selected Bar Code tabbed dialog. Click again on the Data Source tab to display the Data Source property page. Using the Source option, select "Date" as your data source. Enable the Offset By option by clicking on the check box and then enter the number "-22" into the day(s) data-entry box. Click the OK button. The bar coded date on the label will now display 12/28/96.

See Also:

Time Options

Combining Different Data Sources


Time Options

Whenever the source for the selected data substring is set to "Time" the dynamic area of the Data Source property page will display the appropriate options. On the Basic Data Source property page, the options will be displayed in the area of the property page titled Options. On the Advanced Data Source property page, the options will be displayed on the Time tab.

  • Time Format. Used to specify the time in 12-hour (AM/PM) and 24-hour formats. (If the Use Printer's Clock checkbox —see below— is checked, then the options available will vary depending on your printer.)

  • Offset by. Used to specify a past or future time by entering either a positive or a negative value into the hour(s) and/or min(s) data-entry boxes. Positive values specify a time in the future; negative values specify a time in the past.

  • Use Printer's Clock. Used to specify that you want to use the printer's clock instead of the system clock of the computer.

If the printer supports the expression of the time in different languages, select the needed language on the printer's front panel. To use the printer's clock, you must have a device-based font chosen on the Font tab. If the time object is a substring of a larger text or bar code object, the same (device-based) font must be used for all substrings in the larger object. If you are using the printer's clock, you may not refer to the time object in a VB Script.

  • Clock Options. Opens the Printer Clock Options dialog.

See Also:

Date Options

Combining Different Data Sources


Printer Code Template Field Options

Whenever the source for the selected data substring is set to "Printer Code Template Field" the dynamic area of the Data Source property page will display the appropriate options. On the Basic Data Source property page, the options will be displayed in the area of the property page titled Options. On the Advanced Data Source property page, the options will be displayed on the Template Field tab. The Printer Code Template Field source is used to specify that an object will receive its data from an external print system (e.g. keyboard terminals, XML enabled printers, and ERP specific systems).

See Also:

Combining Different Data Sources


Enabling Prompt at Print-Time

When you enable Prompt at Print-Time for an object, BarTender automatically creates a user prompt and a reply box and places them on a prompt dialog. At the start of a print job, the prompt dialog will display, in the Print Wizard, all the user prompts and reply boxes which were created using Prompt at Print-Time, allowing the required data to be entered.

  • User Prompt. The message displayed on the prompt dialog which will request data from the user.

  • Reply Box. The data-entry box displayed on the prompt dialog into which a user can enter a response.

To Enable Prompt at Print-Time:

  1. Double click on the object for which you want the data to be entered at print-time. BarTender will display the Modify Selected … Object dialog.

  2. Click on the Data Source tab to display the Data Source property page.

  3. Click on the More Options button and select the Prompting tab for the Prompt at Print Time Options options.

  4. Click on the Prompt at Print-Time box to enable the Prompt options and Reply options.

See Next:

Editing the User Prompt


Prompting Options

Prompting

Show All Hide All

When information needed for a label is unknown until print time, you can use the Prompting options to tell BarTender to request data for an object at the start of a print job. For example, you may need to print a standard shipping label which includes the weight of a package, and the weight of the package may be not be known until the start of a print job.

You can set the selected label object to deliver a prompt at the start of a print job by clicking on the More Options button and selecting the Prompting tab. When the Prompting property page is on top, check the Prompt at Print-Time box and set the options as desired.

The Prompting options allow you to define how BarTender will request information. For more information, click on the desired option below.

Prompt Options

  • Print-time User Prompt. Used to enter the text that will display on the prompt dialog at the start of a print job to remind the user to type in data.

  • Prompt Frequency. Used to specify whether prompt data for an object will be requested once at the start of a print job or for every record.

Reply Options

  • Default Reply. This message displays the source of the default reply.

  • Read Only. Used to specify that the default reply is for display purposes only and cannot be edited.

  • Update Default Reply After Print. Used to specify that the last reply entered in response to a prompt at print time will be displayed as the new default reply.

  • Treat Carriage Return as a Tab. Used to specify that the cursor will move to the next reply box when the ENTER key is pressed.

  • Skip Data Entry Box When Tabbing. Used to specify that a reply box will automatically be skipped when entering data in response to a prompt.

Note: There is a tack button, [image], on this dialog. When it is pushed in, [image], the dialog will stay open even if you switch focus to another window.

See Also:

Understanding Prompt at Print-Time

Understanding Query Prompting


Validation

The Validation options allow you to force data to conform to certain rules. Although you can use the Validation options with any of the different data sources, you will generally use them when receiving data from a data source file or entering data in response to a prompt. For example, you may want to strip out unwanted data or add special characters when prompting for data at the start of a print job.

The Validation options are summarized below. For additional information, click on the desired option name below.

  • Allowable Characters. Used to specify the type of characters that will be accepted.

  • Characters. Used to specify the characters that will be accepted when the Allowable Characters option is set to "Custom."

  • Select Sample Mask. Used to select one of several prepared sample input masks when the Allowable Characters option is set to "Set by Input Mask."

  • Input Mask. Used to create and/or display the template to which the data will be forced to conform when the Allowable Characters option is set to "Set by Input Mask."

  • Test. Used to display an example of the data template specified in the Input Mask data-entry box and to allow you to enter data to test that the data template works as desired.

  • Placeholder Character. Used to specify the character that will be displayed as the placeholder in the Test area and in the reply box on the prompt dialog.

  • Print Literal Characters. Used to specify that the data template entered into the Input Mask data entry box will be displayed in the label viewing area and printed on the labels.

  • Fill Characters From Right to Left. Used to specify that data will be entered from the right and shifted to the left.

  • Convert to Uppercase. Used to change alphabetical data to capital letters.

  • Convert to Lowercase. Used to change alphabetical data to lowercase letters.

  • Warn When Data Validation Fails. Used to specify that a message will be displayed when the data contains unacceptable characters. You will be allowed to remove the unacceptable characters and continue or cancel the print job.

Note: There is a tack button, [image], on this dialog. When it is pushed in, [image], the dialog will stay open even if you switch focus to another window.


Truncation

When reading data from a data source file, sometimes you may not want an entire data file field to be read into a label object. For example, you may have a data file field that contains leading or trailing spaces before or after the desired data. (This can be caused by converting from one database format to another or from a database to a text file.) Since BarTender doesn’t know whether the spaces are necessary or not, they will be treated as data at print time. This can increase the size of a bar code and can cause other problems.

The options on the Truncation property page allow you to specify which characters to keep or remove. These options are described below.

  • Trim Spaces on Left. Used to remove unwanted leading spaces.

  • Trim Spaces on Right. Used to remove unwanted trailing spaces.

  • Discard Characters on Left. Used to remove a specified number of characters from the left side of a data file field.

  • Number of Characters to Discard. Used to specify the number of characters to remove from the left side of a data file field.

  • Discard Characters on Right. Used to remove a specified number of characters from the right side of a data file field.

  • Number of Characters to Discard. Used to specify the number of characters to remove from the right side of a data file field.

  • Keep Characters on Left. Used to keep a specified number of characters on the left side of a data file field.

  • Number of Characters to Keep. Used to specify the number of characters to keep on the left side of a data file field.

  • Keep Characters on Right. Used to keep a specified number of characters on the right side of a data file field.

  • Number of Characters to Keep. Used to specify the number of characters to keep on the right side of a data file field.

  • Strip .0 From Value. Used to remove (.0) from the right side of the data file field.

Note: There is a tack button, [image], on this dialog. When it is pushed in, [image], the dialog will stay open even if you switch focus to another window.


Minimum

Sometimes the data read from a field in a data file contains fewer characters than you want to print in a given bar code, RFID, or text object. When this is the case, the options on the Minimum property page (on the More Data Source Options dialog that is opened with the More Options button on the Modify Selected … Object dialog) enable you to specify how the data contained in these fields will be handled.

The Minimum options are described below.

  • Require Minimum Number of Characters. Used to enable the Minimum options.

  • Minimum Number of Characters. Used to specify the minimum number of characters to read from a data file.

  • Pad On. Used to specify whether extra characters will be inserted on the left or right side of the data when the data for a field is less than the minimum number of characters required.

  • Pad Character. Used to specify the character to use when padding.

  • Warn When Number of Characters is Insufficient. Used to specify that BarTender will deliver a warning at print time when the data read is less than the minimum number of required characters.

Note: There is a tack button, [image], on this dialog. When it is pushed in, [image], the dialog will stay open even if you switch focus to another window.


Maximum

Sometimes the data read from a field in a data file contains more characters than you want to print in a given bar code, RFID, or text object. In this case, the options on the Maximum property page allow you to limit the maximum number of characters and specify that a warning will be delivered at print time when the data entered exceeds that maximum.

The Maximum options are described below

  • Limit Maximum Number of Characters. Used to enable the Maximum options.

  • Maximum Number of Characters. Used to specify the maximum number of characters to allow.

  • Warn When Maximum Exceeded. Used to specify that BarTender will deliver a warning at print time when the number of characters is greater than the maximum number of allowable characters.

Note: There is a tack button, [image], on this dialog. When it is pushed in, [image], the dialog will stay open even if you switch focus to another window.


Serialization Options

Serialization

Occasionally, you may find it necessary for one or more data substrings to automatically increment or decrement as the labels print out. You can do this by clicking on the More Options button and clicking on the Serialization tab. When Serialization property page is displayed, check Serialize and set the options according to your needs.

The Serialization options allow you to specify exactly how you would like the selected data substring to serialize.

  • Type. Specifies the set of characters which will be used to serialize the substring data.

  • Sequence. When the "Custom" setting has been selected for the Type option, allows you type in a custom set of characters to be used to serialize the substring data. For all other Type settings, the Sequence option is for display only.

  • Increment/Decrement. Specifies whether to increment or decrement the substring data. (Also specifies how much and how often the data should be changed.)

  • Rollover. Enables rollover detection and specifies the maximum, minimum, and reset values.

  • Preserve substring length. Specifies whether or not to preserve the length of the substring when rollover or rollunder occurs.

  • Serialize identical copies. Specifies that the substring data should be serialized on identical copies of a label.

  • Update substring after print. Specifies that the substring data should be updated to its new value after every print job.

Note: There is a tack button, [image], on this dialog. When it is pushed in, [image], the dialog will stay open even if you switch focus to another window.

See Also:

Serializing Data

Setting up a Field that Counts


General Tab

General

The options on the General tab, of the More Data Source Options dialog, are used to:

  • Suppress an empty text, RFID, or bar code object (or a substring within the object).

  • Specify whether the characters in a bar code (or substring within the bar code) will be displayed as human readable characters for a bar code.

  • Specify whether the data in a text, RFID, or bar code object will be included on the log file.

    •

  • Specify how substrings will be treated when you export a printer code template.

    •

These options are summarized below.

Printer Code Template Field:

Use this section of the tab to specify how the substring should be given a template field name if the label format is ever exported to a printer code template. More information on this topic can be found in Understanding Printer Code Templates.

  • Source. Used to determine what name BarTender will give to the printer template field. The options are:

    • Auto. BarTender will decide at export-time what printer template field name to use. It will choose the prompt text, if there is a prompt associated with the substring. If there is no associated prompt but the substring is linked to a database field, BarTender will choose the database field name. If the substring is not associated with either a database field or a prompt, the substring will not be tagged at all.

    • Prompt Text. Use the prompt text linked to the substring.

    • Database Field Name. Use the database field name linked to the substring.

    • Shared Substring Name. Use the shared substring name.

    • Screen Data. Use the screen data for the substring.

    • Custom. Use the custom name entered in the Name box below.

    • None. No field name at all will be inserted into the printer code template.

  • Name. Displays the current name, if any.

  • Add Field Delimiters. Check this box to wrap the template field name with the field delimiters you select on the Delimiters tab of the Printer Code Template Setup dialog.

Visibility:

  • Suppress if substring is empty. Used to specify that the contents of the selected substring will be ignored during a print job if the next (or previous) substring is empty. This option has no effect if the bar code, RFID, or text object consists of just a single string.

  • Visible When Used as Human Readable Characters. Used to specify whether the currently specified substring data will be displayed in a bar code's human readable characters.

Log File Options:

  • Log Substring. Used to specify whether the data for this substring will be included in the log file. When this option is enabled and the Substrings to Log option on the Per Label tab of the Log File Setup dialog is set to "Selected," the data for the object will be included in the log file. This allows you to include in the log file as few or as many substrings as you need.

Note: There is a tack button, [image], on this dialog. When it is pushed in, [image], the dialog will stay open even if you switch focus to another window.


Substring List

Substring List (Advanced Mode Only)

Most of the time, objects in a label format use a single data source. However, sometimes you may wish to place information from two or more data sources into a single bar code, RFID, or text object. You would do this by attaching (appending) multiple data substrings so that they are output as a single string. (This is sometimes referred to as string "concatenation.")

The Substring List option is used, together with the tabbed data source options, to define the type and order of the data substrings for the objects that use multiple substrings. To access this option, double-click the object to open the Modify Selected . . . Object dialog. Click the Data Source tab and then the Advanced button. The Substring List is on the left of the tab.

The following topics contain important information about understanding and using the Substring List. If you are new to BarTender, be sure to read all of these topics.

See Also:

Understanding the Substring List

Building a Substring List

Reconfiguring the Substring List

Shortcut Menu for the Substring List Option

Example of Substring Concatenation

Combining Different Data Sources


Understanding the Substring List

The Substring List serves two main purposes:

  • To Display the Structure of the Data Source. The Substring List provides a clear, visual description of how many substrings are in your label object and which data source is being used for each substring. At the left of each entry in the list is a small icon that represents the type of data being used for each string. To the right of each entry is the currently specified sample data for that substring.

  • To Edit the Structure of the Data Source. The Substring List also makes it very easy to edit the content of the individual substrings and change the order in which the substrings are used. Each time you click with your mouse on one of the substrings in your list, or change the position of the highlighted substring using your up and down arrow keys, the important characteristics for the newly highlighted substring will be displayed in the Substring box to the right of the list. This lets you quickly and easily view and edit the existing configuration of each data substring.

See Also:

Building a Substring List

Reconfiguring the Substring List

Example of Substring Concatenation


Building a Substring List

The first time you display the Advanced Data Source dialog for a given label object, the Substring List will display only a single substring for the selected object. The sample data for this substring data will be displayed in a single cell at the top of an otherwise empty white section of the dialog. If the selected object is to use screen data, the substring list will display whatever data is currently displayed in the Screen Data option. Likewise, if the selected object is to use input file data, the substring list will display whatever data is currently displayed in the Sample Data option, and so on for the other data types.

The total number of substrings and the maximum number of characters that may be added together for a single bar code, RFID, or text object is limited only by the number of data characters you can fit on your label.

There are several ways to add new data substrings the Substring List:

  • Click on the empty cell at end of the list. You can click on the empty rectangle at the end of the substring list to add a new substring to the end of the existing substring list. After you do so, the dynamic data area to the right will change to indicate that you are adding a new substring. Then, simply click on the desired Source type.

  • Click on the New button at the bottom of the Substring List. There is a row of buttons along the bottom of the Substring List option used to create, edit, and reconfigure multiple substrings. The leftmost button is the New button and clicking on it will cause the dynamic data area to the right to change to indicate that you are adding a new substring. However, instead of being limited to adding a new substring to the end of the list, as in the previous method, the New button can be used to insert a new substring anywhere in your existing substring list.

  • Click on the New Substring Wizard button, [image] , at the top right of the Substring List. This will open a menu from which you select the type of data format wizard you need (for example, Application Identifier). After you have finished with the wizard the new substring will be inserted.

See Also:

Understanding the Substring List

Reconfiguring the Substring List

Example of Substring Concatenation


Reconfiguring the Substring List

Once you have created and defined your substring list, you may need to reorder some of your substrings or, perhaps, delete them altogether. A tool bar at the bottom of the Substring List allows you to make any changes quickly and easily.

The purpose of each button is summarized below.

Button | Purpose
 | New Substring. Inserts a new substring into the substring list of the selected object.
 | Delete Substring. Deletes the selected substring from the data substring list of the selected object.
 | Cut Substring. Deletes the selected substring from the data substring list of the selected object but places a copy of the substring into BarTender's clipboard.
 | Copy Substring. Copies the selected substring into BarTender's clipboard.
 | Paste Substring. Pastes a copy of the substring currently in the clipboard into the data substring list.
 | Move Substring Up. Moves the selected substring up one position in the substring list.
 | Move Substring Down. Moves the selected substring down one position in the substring list.

Important Note: Each of these commands can also be accessed through one of BarTender's shortcut menus, as described in the first SEE ALSO topic below.

See Also:

Shortcut Menu for the Substring List Option

Understanding the Substring List

Building a Substring List

Example of Substring Concatenation


Shortcut Menu for the Substring List Option

Shortcut Menu for the Substring List

Contains shortcuts for the commands used to edit data for objects that contain multiple substrings. Each of the commands on this menu corresponds to a button in the mini-toolbar positioned along the bottom of the Substring List option in the Advanced view of the Data Source tab of the Modify Selected … Object dialog (click the Advanced button on the tab). To display this shortcut menu, right click anywhere within the Substring List area. So you can use it to create a new entry; cut, copy, and paste entries; delete entries; and change the order of entries.


Example of Substring Concatenation

Substring concatenation is used to combine multiple data substrings into a single string.

A good example of string concatenation is the combining of the CITY, STATE and ZIP fields in addresses into a single field. Because of the way concatenation combines fields, the name of the city can be a long data string (South San Francisco) or a short one (Troy) — and the spacing between the CITY and STATE data fields will be the same for both.

The two lines that follow do not use concatenation, so in order to compensate for the longer city names, the state field must be positioned a considerable distance from the beginning of the city field. This makes the Troy address line look awkward.

South San Francisco, | CA | 90001
Troy, | MI | 40001

However, the next two lines do use concatenation, with a comma and one space specified to follow the city field and two spaces specified to follow the state field. Note the improvement in the appearance of the Troy address line.

South San Francisco, CA 90001

Troy, MI 40001

In the previous example, substring #1 would be CITY, substring #2 would be a single comma and space, substring #3 would be STATE, substring #4 would be two spaces, and substring #5 would be ZIP.


Combining Different Data Sources

Sometimes, you may find it helpful to use screen or prompt data in combination with data from a data source file. For example, suppose you have a data string, like your company's name, that is to appear exactly the same on every label to be printed. One way of printing these labels would be to repeat this text on each line of the data source file, as follows:

"NY","00123","Wrenches","Acme Scientific"

"LA","32014","Oranges","Acme Scientific"

"PA","43444","Bells","Acme Scientific"

Rather than repeat it on each line of the data source file, it would be most efficient to specify the company name once as Screen Data. This way, since the company name field doesn't change from label to label, it won't have to be read in repeatedly from the data file for each label that prints. To make this change, display the Query Prompts dialog by clicking on the corresponding button found on the Query tab of the Database Connection Setup dialog. Next, specify Screen Data as the Source. Finally, type the company name into the Screen Data option and select OK.

Once the changes in the above example have been made, the fourth field in the data source file could either be left empty:

"NY","00123","Wrenches",""

"LA","32014","Oranges",""

"PA","43444","Bells",""

or left out altogether:

"NY","00123","Wrenches"

"LA","32014","Oranges"

"PA","43444","Bells"


Share/Name Options (Advanced Mode Only)

The Share/Name option on the Advanced view of the Data Source property page (of the Modify Selected … Objects dialog) is displayed by clicking on the Share/Name mini-tab. The Share/Name options can be used to specify whether the data for a substring will be shared with another substring. The Share/Name options can be applied to any data substring and are used the same way no matter which data source type has been specified.

The Share/Name option is summarized below. For further information, click on the option name below.

  • Name. Used to specify that the currently specified data substring is to share data with or from another substring. Also used to name the shared substring.


Bar Code Property Page

Show All Hide All

Options on the Bar Code property page allow you to specify exactly how you want your printed bar code to appear on the label. The easiest way to display the Bar Code property page is to double-click on the bar code that you want to modify.

The Bar Code property page contains a dynamic area, called Symbology Specific Options, which displays different options depending on which bar code symbology is selected. For example, if the Symbology is set to "Interleaved 2-of-5," the only symbology-specific option that will be displayed is Check Digit. However, if the Symbology option is set to "Code 128," the symbology-specific area will also display the UCC/EAN-128 and Code Set options.

Note: If you select a group containing bar codes of different symbologies, the Symbology Specific Options area of the Bar Code and Human Readable property pages will be empty.

The Bar Code options are summarized below. For further information about each of these options, click on the appropriate option name.

Bar Code Options

  • Symbology. Used to specify the symbology (bar code language) for your bar codes.

  • Color. Used to specify the color of the bars for the bar codes on your labels.

  • Print Method. Used to open a dialog on which you specify how bar codes will be printed on thermal printers.

Dimensions

  • X dimension. Used to specify the narrowest unit of width, usually this is the width of the narrowest bar or space. A width of a single X dimension is sometimes called a "module." The X dimension values are determined by the selected printer's resolution capability. (Used with all symbologies except US Postnet.)

  • Ratio. Used to specify the wide-to-narrow element ratio of the bar code. (This box will be disabled if the symbology does not allow a choice of ratio.)

  • Density. Used to specify the width of the bars and spaces of your bar codes. (Used with all symbologies except US Postnet.)

  • Height. Used to specify the height of your bar codes.

Symbology Specific Options

The information displayed in this area of the dialog will vary depending on which symbology has been selected.

Australia Post 4-State Customer Code

  • Format Control Code. Used to determine which one of the Australian Post's Format Control Codes should be used.

  • Hold to Specifications. Used to determine if the bar code should remain within the required specification. If this is not checked, the bar code can be sized manually.

  • Generate Data Source Template. Used to have BarTender automatically generate a template with data based on the mode selected.

  • Error Correction is mandatory.

Aztec Code

  • Error Correction. Used to specify one of 98 levels of error correction.

  • Data Layers. Used to set the number of data layers (1 to 32), or to let BarTender set the number in proportion to the data (Auto).

  • Finder Pattern. Used to specify whether or not BarTender will let the size of the data determine whether the bar code will use the Aztec compact structure or the Aztec full structure. The user can choose only if Data Layers is set to "4."

  • White on Black. Used to reverse the bar code so that it prints white on a black background.

Codabar

  • Start Character. Used to specify which one of the four letters, a – d, will be used as the start character with a Codabar bar code.

  • Stop Character. Used to specify which one of the four letters, a – d, will be used as the stop character with a Codabar bar code.

Code 39 — Full ASCII

  • Start Character. Used to specify whether start character will be used.

  • Stop Character. Used to specify whether stop character will be used.

  • Check Digit. Used to specify whether or not check digits will be added to your bar codes.

  • Check Digit Type. Used to specify the type of check digit to be added to your Code 39 bar codes.

Note: Other check digit types are provided as VB Script functions. Examples of how to do this can be seen in the sample label format VBScriptedBarCodes.btw. There are built in functions to calculate a wide variety of standard check digits. You can also use VB Script to write your own check digit algorithms.

Code 39 — Regular

  • Start Character. Used to specify whether start character will be used.

  • Stop Character. Used to specify whether stop character will be used.

  • Check Digit. Used to specify whether or not check digits will be added to your bar codes.

  • Check Digit Type. Used to specify the type of check digit to be added to your Code 39 bar codes.

Note: Other check digit types are provided as VB Script functions. Examples of how to do this can be seen in the sample label format VBScriptedBarCodes.btw. There are built in functions to calculate a wide variety of standard check digits. You can also use VB Script to write your own check digit algorithms.

Code 93

  • There are no true options with this bar code. There is a mandatory Check Digit.

Code 128

  • There is a mandatory Check Digit.

  • UCC/EAN-128. Used to specify whether or not the bar code will be the special type of Code 128 bar code called UCC/EAN-128. The latter bar codes include FNC1 characters, Application Identifiers, check digits, and extra spaces and parentheses in the human readable text. With this option enabled, BarTender will attempt to match the first digits of the bar code with one of the UCC/EAN Application Identifiers. These digits can be either part of the data stream coming to BarTender or you can configure the bar code to have more than one substring, with the first substring expressing the Application Identifier. To automate the process of structuring the bar code, click the Application Identifier Data Source Wizard button (see bulleted item below).

  • Code Set. Used to specify which of the Code 128 characters sets (e.g. Code A, Code B, Code C, Auto, Auto A, Manual) will be used to print your Code 128 bar codes.

  • Application Identifier Data Source Wizard. Click this to launch a wizard that will enable you to add Application Identifiers to the bar code, structure the bar code's data, and configure how it will appear in human readable text.

Code One

  • Version. Used to select one of several supported sizes of Code One.

  • UCC/EAN FNC1 Prefix. Used to specify whether or not the first character in a Code One bar code should be the UCC/EAN FNC1 character.

Composite (EAN.UCC)

Before using a composite bar code review this introduction to composites.

  • Type. Used to select the composite symbology type. For all symbologies, except UCC/EAN-128, the two-dimensional component is always CC-A/CC-B. BarTender automatically selects CC-A or CC-B at print-time based on the size of the data.

  • Separator Height. Used to set the height of the rows in the separator area between the one-dimensional and two-dimensional components, and between the rows of a stacked one-dimensional component. (A separator area may consist of more than one such row as determined by the symbology's specification.)

  • Segments/Row. (RSS Expanded Stacked only.) Used to set the number of segments for each row. A segment is the smallest readable portion of a bar code, and consists of one data character and one finder pattern.

  • 1D Row Height. Used to set the row height for the one-dimensional component.

  • 2D Row Height. Used to set the row height for the two-dimensional component.

  • Hold to EAN.UCC Specifications. Used to ensure that the size parameters are held to the EAN.UCC Composite Specification.

  • Apply Application Identifier Specification to Secondary Data. Used to indicate that BarTender should interpret the Secondary Data (the two-dimensional part) according to EAN.UCC formatting rules for application identification. A check digit will be added to required Application Identifier fields.

  • Apply Application Identifier Specification to Primary Data. Used to indicate that BarTender should interpret the Primary Data (the one-dimensional part) according to EAN.UCC formatting rules for application identification. A check digit will be added to required Application Identifier fields. The human readable data will be formated using the UCC/EAN Template drop down list on the Human Readable tab. This box cannot be unchecked for some one-dimensional symbologies.

  • Composite Data Source Wizard. Used to open a wizard that can be used to structure the data of your composite bar code.

Data Matrix

  • Symbol Type. Used to specify the type and level of error correction to use.

  • Character Set. Used to specify the allowable characters for data.

  • Use Prefix. Used to add a prefix to a bar code.

  • Size. Used to specify the bar code size dimensions.

  • White on Black. Used to reverse the bar code so that it prints white on a black background.

EAN/JAN-8

  • There is a mandatory Check Digit.

  • Guard Bars. Used to specify the length of your UPC guard bars.

  • UPC Supplemental. Used to access the options which append UPC supplemental bar codes and control their appearance.

EAN/JAN-13

  • There is a mandatory Check Digit.

  • Guard Bars. Used to specify the length of your UPC guard bars.

  • UPC Supplemental. Used to access the options which append UPC supplemental bar codes and control their appearance.

EAN/JAN/UPC 2-digit Supplemental

  • There are no true options with this bar code. There is a mandatory Check Digit.

EAN/JAN/UPC 5-digit Supplemental

  • There are no true options with this bar code. There is a mandatory Check Digit.

Japanese Post 4-State Customer Code

  • There is a mandatory Check Digit.

  • Highest Priority. Used to change the priority value from the default standard priority.

  • Hold to Specifications. Used to determine if the bar code should remain within the required specification. If this is not checked, the bar code can be sized manually.

  • Generate Data Source Template. Used to have BarTender automatically generate a template with data based on the mode selected.

Interleaved 2-of-5

  • Check Digit. Used to specify whether or not check digits will be added to your bar codes.

  • Bearer Bars. Used to specify whether or not there will be a quiet zone and or bearer bars on the bar code, and the thickness of each.

KIX 4-State Customer Code

  • Hold to Specifications. Used to determine if the bar code should remain within the required specification. If this is not checked, the bar code can be sized manually.

  • Generate Data Source Template. Used to have BarTender automatically generate a template with data based on the mode selected.

MaxiCode

  • Mode. Used to specify one of the different modes MaxiCode supports.

  • Hold to Specifications. Used to determine if the bar code should remain within the required specification. If this is not checked, the bar code can be sized manually.

  • Maxicode Setup Wizard. Used to have BarTender automatically generate a template with data based on the mode selected.

MicroPDF417

  • Row Height. Used to specify the height of each row in a PDF417 and MicroPDF417 bar code.

  • Rows. Used to specify the number of rows in the checkerboard data area of a MicroPDF417 bar code.

  • Columns. Used to specify the number of columns in the checkerboard data area of a PDF417 and MicroPDF417 bar code.

MSI Plessey

  • Check Digit. Used to specify whether or not a second check digit will be added to your bar codes. (A special MOD 10 check digit is mandatory.)

PDF417

  • Correction Level. Used to specify one of nine levels of error correction for PDF417 bar codes.

  • Truncated. Used to specify that a trimmed-down version of a PDF417 bar code be printed in order to save space on your labels.

  • Row Height. Used to specify the height of each row in a PDF417 and MicroPDF417 bar code.

  • Columns. Used to specify the number of columns in the checkerboard data area of a PDF417 and MicroPDF417 bar code.

QR Code

  • Model. Used to specify whether the QR Code bar code will be Model 1 or Model 2.

  • Mask. Used to specify which type of masking will be used to increase the readability of a QR Code bar code.

  • Start Mode. Used to specify which character set will be used at the beginning of a QR Code bar code.

  • Error Correction. Used to specify which degree of error correction should be used with a QR Code bar code.

Royal Mail 4-State Customer Code

  • There is a mandatory Check Digit.

  • Hold to Specifications. Used to determine if the bar code should remain within the required specification. If this is not checked, the bar code can be sized manually.

  • Generate Data Source Template. Used to have BarTender automatically generate a template with data based on the mode selected.

RSS

  • Type. Used to select the particular RSS symbology type.

  • Separator Height. Used to set the height of each row in the separator areas between the rows of a stacked bar code. (A separator area may consist of more than one such row as determined by the symbology's specification.)

  • Segments/Row. (RSS Expanded Stacked only.) Used to set the number of segments for each row. A segment is the smallest readable portion of a bar code, and consists of one data character and one finder pattern.

  • Row Height. Used to set the row height.

  • Apply Application Identifier Specification. Used to indicate that BarTender should interpret the data according to EAN.UCC formatting rules for application identification. A check digit will be added to required Application Identifier fields. The human readable data will be formatted using the UCC/EAN Template drop down list on the Human Readable tab.

  • Hold to EAN.UCC Specifications. Used to ensure that the size parameters are held to the EAN.UCC Composite Specification.

  • RSS Data Source Wizard. Used to launch a wizard that can be used to guide you through the process of configuring the data for your RSS bar code.

Telepen

  • Type. Used to select either Alphanumeric or Numeric. Alphanumeric allows up to 8 characters/digits per inch. Numeric allows up to 16 digits per inch.

  • Start Character. Used to specify a start character.

  • Stop Character. Used to specify a stop character.

  • There is a mandatory Check Digit.

UCC/EAN 128

  • The options for UCC/EAN 128 are identical to those for Code 128 (see above), except that the UCC/EAN-128 option is always enabled.

UPC-A

  • There is a mandatory Check Digit.

  • Guard Bars. Used to specify the length of your UPC guard bars.

  • UPC Supplemental. Used to access the options which append UPC supplemental bar codes and control their appearance.

UPC-E

  • There is a mandatory Check Digit.

  • Guard Bars. Used to specify the length of your UPC guard bars.

  • Number System. Used to specify whether the first character of the bar code will be either a zero or a one.

  • Data Format. Used to specify either 6-digits or 11-digits.

  • UPC Supplemental. Used to access the options which append UPC supplemental bar codes and control their appearance.

US POSTNET (Zip, Zip + 4, & DPBC)

  • There is a mandatory Check Digit.

  • Hold to Specifications. Used to determine if the bar code should remain within the required specification. If this is not checked, the bar code can be sized manually.


Symbology of Bar Code

Symbology

The Symbology option on the Bar Code property page allows you to specify the symbology of your bar codes. A bar code symbology is the encoding scheme used to convert character data into the pattern of wide and narrow bars and spaces in a bar code. Just as people can communicate in different languages, BarTender can output bar codes in different symbologies.

To select a symbology, simply click once on the down arrow to the right of the selected symbology to display the list of symbologies. Click once more on the symbology of your choice.

See Also:

Table of Symbologies


X dimension

(This option is enabled with all of the symbologies except US Postnet.)

The X dimension option on the Bar Code property page allows you to specify the most basic element of a bar code — the width of its narrowest element. The width of this narrow element is called the bar code's X dimension. Along with a bar code's wide-to-narrow element ratio, the X dimension is one of the factors that determines the density of a bar code. Decreasing a bar code's X dimension value increases its density, while increasing the X dimension value decreases its density.

Example:

Assume that you are printing a Code 39 bar code (with its Ratio option set to "Auto") to a 300 dpi Hewlett-Packard LaserJet II printer. The lowest X dimension value that you will be able to specify is 5.0 mil. With an X dimension value of 5.0 mil, the density of your bar code will be 12.5 cpi, which is the highest density setting you can specify.

On the other hand, the highest X dimension value that you will be able to specify is 168.3 mil, which will give you a density of .416 cpi (the lowest density setting you can specify).


Ratio of Bar Code

Ratio

(This is a symbology-specific option that is only enabled for the following symbologies: Code 39 — Full ASCII, Code 39 — Regular, Codabar, Interleaved 2-of-5, and MSI Plessey.)

The wide-to-narrow element ratio of a bar code defines the ratio between the widths of the wide and narrow elements in a bar code. The default setting for the Ratio option on the Bar Code property page is "Auto," which allows BarTender to select whatever ratio it thinks is best (2.5 to 1 on laser printers and 3.0 to 1 on dot-matrix printers). However, you can specify any ratio from 2.0 to 1 through 3.0 to 1 in one-tenth increments.


Density of Bar Code

Density

Show All Hide All

(This option is enabled with all of the symbologies except US Postnet.)

The density of a bar code refers to how many characters can be encoded per inch. One factor controlling the density of a bar code is its symbology. Different symbologies require different numbers of bars and spaces to represent the same information. The density of a bar code is also affected by the thickness of the narrow and wide bars and spaces. The narrower the bars and spaces, the less room it takes to print out the bar code and the higher the density of the bar code in characters per inch.

As the character density of a bar code increases, the room required to print it decreases, allowing the bar code message to take up less space. While this seems desirable, if the density is increased too much, the readability of the bar codes can decrease due to the following factors:

The optics of the scanning device may not be precise enough to properly detect the skinny lines and spaces of the bar codes.

The printing tolerance of the printing device may not be precise enough to produce good bars at the higher density settings.

Changing the Density of a Bar Code

There are two methods of changing the density of a bar code using BarTender. One method uses the bar code object handles and your mouse. The other method uses the Density option on the Bar Code property page.

Mouse Method:

  1. Click on the bar code that you want to modify.

  2. Position the pointer cursor over any one of the bar code's left or right side handles and click and hold down your left mouse button.

  3. Continuing to hold down your left mouse button, drag the selected handle until the bar code is displayed at the desired density.

  4. Release the mouse button.

Menu Method:

  1. Double-click on the bar code that you want to modify. This displays the Modify Selected Bar Code tabbed dialog.

  2. Click the Density option on the Bar Code property page.

  3. Click on the up or down spin control arrows until the desired density value is displayed in the edit box.

  4. Click the OK button.

High Density Bar Code Limitations

When printing high-density bar codes on either dot matrix or laser printers, please keep in mind that you may require a high-resolution optical scanner to read the codes. For a variety of reasons (e.g., the age of your dot-matrix printer head or toner specks from your laser printer), it is possible that the narrow white spaces between the bars can become too narrow to be detected by a low to medium resolution optical scanner. In addition, it is also possible for your laser printer to produce lines that are finer than the optical resolving capability of your optical scanner. Therefore, if you plan to print high-density bar codes, we recommend the use of a high-resolution optical scanner.

Low Density Bar Codes & Photo-Reproduction

Low-density dot-matrix bar codes can be used for the production of high quality camera-ready artwork. If a low-density bar code is photographically reduced, the individual dots from the dot-matrix printer disappear, making it appear as though it was produced using a high quality laser printer.

Density and the US Postnet Symbology

When the US Postnet symbology is specified, BarTender does not allow you to specify a density setting for your bar code. Instead, BarTender automatically determines the density of the bar code based upon its height.


Height of Bar Code

Show All Hide All

Use the Height option on the Bar Code property page to specify the length of the bars in a bar code from the top edge to the bottom edge of the bar code.

The length of the bars in the tallest possible bar code can be no taller than the full height of the page.

The length of the bars in the shortest possible bar code can be no shorter than .001" tall.

Changing the Height of a Bar Code

There are two methods of changing the height of a bar code using BarTender that are very similar to the methods used to change the density of a bar code.

Mouse Method:

  1. Click on the bar code that you want to modify.

  2. Position the pointer cursor over any one of the bar code's top or bottom handles and click and hold down your left mouse button.

  3. Continuing to hold down your left mouse button, drag the selected handle until the bar code is displayed at the desired height.

  4. Release the mouse button.

Menu Method:

  1. Double-click on the bar code object that you want to modify. This displays the Modify Selected Bar Code tabbed dialog.

  2. Click the Height option on the Bar Code property page.

  3. Type the value for the desired height into the edit box.

  4. Select the OK button.

Tip for Users Specifying Short Bar Codes

If you are using a contact scanner, such as a wand, avoid specifying very short bar codes. Bar codes with very short bars are difficult to scan with contact scanners because most people can't hold their hands steady enough to stay within the boundaries of the bar code throughout the scan. If you are using a non-contact scanner, such as a moving beam laser gun, you will not have this difficulty.

Height and the US Postnet Symbology

When the US Postnet symbology is specified for a bar code, the default value for the Height option is set to 0.125" (one-eighth of an inch) tall. This is the correct height for the tall bars in a US Postnet bar code. Modification of this default value is not recommended unless you need to print a larger US Postnet bar code that will then be photo-reduced to the appropriate size.


The Human Readable Property Page

Human Readable Property Page

Show All Hide All

The characters encoded in a bar code are usually also displayed below the bar code in human readable form. This way, if a bar code reader does not function correctly (or is not installed), the person performing the data entry can read the human readable characters and enter the information into the computer using the keyboard. Options on the Human Readable property page allow you to specify exactly how you want these human readable characters to be printed with your bar code (or if you want them to be printed at all).

Like the Bar Code property page, the Human Readable property page contains a dynamic area that displays different options depending on which bar code symbology is selected. For further information about the human readable options, click on the appropriate option name below.

Human Readable Options

  • Visibility. Used to specify whether or not a bar code's human readable characters will be visible.

  • Placement. Used to specify whether the human readable characters will be printed above or below the bar code.

  • Alignment. Used to specify the horizontal alignment method used to position the human readable characters relative to the bar code.

  • Vertical Offset. Used to specify the vertical distance of the human readable characters from the bar code.

  • Horizontal Offset. Used with the Alignment option to specify the horizontal position of the human readable characters in relationship to the bar code.

  • Character Template. Used to specify extra characters in a bar code's human readable text that are not part of the scanned bar code's data string.

Symbology Specific Options

  • Hide Check Digit. Used to specify whether or not check digits (if the computation of check digits is enabled) will be displayed with the human readable characters. (Used with Code 39 — Full ASCII, Code 39 — Regular, Code 93, Code 128, Interleaved 2-of-5, UPC-A, UPC-E, EAN-8, EAN-13, MSI Plessey, and Telepen only.)

  • Hide Error Correction Digits. Used to specify whether or not error correction digits will be displayed with the human readable characters. (Used with Australian Post 4-State Customer Code only.)

  • Split UPC Digits. Used to specify whether or not to separate the first and last human readable digits from the other digits in UPC-A bar codes. (Used with UPC-A only.)

  • Shrink UPC Split Digits. Used to specify whether or not the first and last digits for a split UPC bar code will be printed smaller than the other human readable characters. (Used with UPC-A and UPC-E only.)

  • Code 39 Translation. Used to specify whether or not the two character representation of a text character in a Full ASCII Text bar code will be displayed with the human readable characters. (Used with Code 39 — Full ASCII only.)

  • Show Start/Stop Characters. Used to specify whether or not the human readable versions of the start and stop characters will be printed with your bar code messages. (Used with Code 39 — Full ASCII, Code 39 — Regular, Codabar, and Telepen only.)

  • UCC/EAN Template. Used to specify the configuration of the extra spaces and parentheses in a bar code's human readable text. (Used with Code 128, RSS, and Composite only.)

  • Show. Used to specify which parts of a composite bar code will be made human readable. If you choose to make both visible, the data from the two-dimensional component will appear on a separate line below the line for the one-dimensional component's data. (Used with Composite only.)


Visibility of Human Readable Characters

Visibility

The Visibility option on the Human Readable property page allows you to choose whether or not to display the human readable characters with your bar codes. The three Visibility settings are described below.

  • Full. This is the default setting for the Visibility option in BarTender and it specifies that the human readable characters are to be displayed with the bar code.

  • None. Specifies that the human readable characters are not to be displayed with the bar code.

  • Set by Data Source Options. Specifies that the visibility of the human readable characters will be determined by the Visible When Used as Human Readable Characters option on the General tab in the More Data Source Options dialog. The latter dialog is opened by clicking the More Options button on the Data Source property page.

Although most bar codes are printed with the display of human readable characters enabled, there are times when it is more advantageous not to display the human readable characters. One of the main reasons for not displaying the human readable characters is to provide a slight measure of added data security. Consider, as an example, an employee ID card used for tracking time and attendance. Without the human readable characters, it is more difficult for the typical person to walk up to a computer and manually enter information and perhaps tamper with the database.


Placement of Human Readable Characters

The Placement option on the Human Readable property page allows you to place the human readable characters below or above your bar codes. The default setting for the placement of your human readable characters is "Below Bars."


Alignment of Human Readable Characters

Alignment

The Alignment option on the Human Readable property page gives you four methods for aligning the human readable text characters associated with a bar code: Left, Right, Centered, and Bar Density/Space Evenly.

  • Left. The human readable characters are printed next to one another and the left edge of the first character in the text string lines up exactly with the left edge of the first bar in the bar code.

  • Right. The human readable characters are printed next to one another and the right edge of the last character in the text string lines up exactly with the right edge of the last bar in the bar code.

  • Centered. (Default setting.) The human readable characters are printed next to one another and centered between the two edges of the bar code.

  • Bar Density. The human readable characters are spaced according to the density of the bar code. The left edge of each human readable character lines up exactly with the left edge of the beginning of each bar code character in the bar code message. If Bar Density is an available option, the Space Evenly option will not be available.

  • Space Evenly. The human readable characters are spaced evenly along the width of the bar code. The left and right edges of the human readable line up exactly with the left and right edges of the bar code. If Space Evenly is an available option, the Bar Density option will not be available.

Note: If the Character Template option is checked or if an Australian Post 4-State bar code is in use and the Hide Error Correction Digits option is unchecked, the Alignment option will have Space Evenly available instead of Bar Density.


Vertical Offset of Human Readable Characters from Bar Code

Vertical Offset

The Vertical Offset option on the Human Readable property page specifies the vertical distance between the human readable characters and the bar code.


Horizontal Offset of Human Readable Characters from Bar Code

Horizontal Offset

The Horizontal Offset option on the Human Readable property page may be used together with the Alignment option to adjust the horizontal position of the human readable characters in relationship to the bar code. For example, instead of positioning the left edge of the first character in the text string directly in line with the left edge of the first bar in the bar code, you may need to move it slightly to the right or left.

The default setting for this option is 0.00". However, you may enter either a positive value (which moves the characters to the right) or a negative value (which moves the characters to the left).


Extra Spaces in Human Readable Text

More and more often, bar code labels need to have extra characters printed in the bar code's human readable text that are not part of the bar code to be scanned. For example, the Code 128 bar code used on the UCC-128 shipping container labels required by several large retail stores requires extra spaces and parentheses in the human readable text. These characters are not part of the bar code and are therefore not read into the computer by the bar code reader. The Character Template option on the Human Readable property page allows you to specify these extra characters and their position in the data string. The following figure shows a simple example of the type of data a label may require (in this case, the price for an item in a store).

The bar code contains the numeric data string "1099."

Each question mark in the Character Template option signifies one character from the actual bar code data string. The $ sign and decimal point represent the extra data that will appear in the human readable characters, but not the bar code.


Hide Check Digit in Human Readable Characters

Hide Check Digit

(This is a symbology-specific option which is only enabled for the following symbologies: Code 39 — Full ASCII, Code 39 — Regular, Interleaved 2-of-5, UPC-A, UPC-E, EAN-8, and EAN-13.)

The Hide Check Digit option on the Human Readable property page allows you to choose whether or not to display the check digit in the human readable characters of your bar codes. The default setting for this option is to hide the check digit, so the human readable version of the check digit character will not normally be displayed with the rest of the human readable characters. If you would like to display the check digit with the rest of the human readable characters, just click on the check box to deactivate the option.

For more information about check digits, be sure to read the help topic for the Check Digit option.


Hide Error Correction Digits in Human Readable Characters

Hide Error Correction Digits

(This is a symbology-specific option which is only enabled for Australian Post 4-State Customer Code.)

The Hide Error Correction Digits option on the Human Readable property page allows you to choose whether or not to display the error correction digits in the human readable characters of your bar codes. If you would like to hide the error correction digits, click the check box.


Split UPC-A First and Last Human Readable Characters

UPC Digits

(This is a symbology-specific option that is only enabled for UPC-A.)

UPC-A is a twelve digit code. The first digit is the "number system digit," the last digit is the "check digit," and the ten digits in between contain the actual product code. The convention is usually to separate or "split" the first and last digits from the center ten digits. However, some users prefer to have one continuous twelve digit human readable code.

By default, the Split UPC Digits option on the Human Readable property page is enabled, which tells BarTender to automatically split the first and last digits from the center ten digits. If you want the human readable characters to be printed as one continuous code, click on the check box to remove the "X" and disable the option.


Translate Two Character Representation of ASCII Character

Code 39 Translation

(This is a symbology-specific option that is only enabled for Code 39 — Full ASCII.)

The Code 39 Translation option on the Human Readable property page allows you to specify whether or not the two character representation of a text character in a Full ASCII bar code will be displayed with the human readable characters.

The character sets for the Code 39 — Full ASCII and Code 39 — Regular symbologies both contain the same set of 43 bar code characters. However, in order to represent all 128 Delimited text characters, the Code 39 — Full ASCII symbology uses special two character combinations of the 43-character set. Unless you specify otherwise, when BarTender prints the human readable characters for your Code 39 — Full ASCII bar codes, it automatically converts this two character combination into the single Delimited character that it represents.

Example:

In order to use the Code 39 — Full ASCII symbology to barcode the question mark character, "?", BarTender uses the two-character combination of "%J". The default setting for the Code 39 Translation option tells BarTender to automatically convert this two-character combination into the question mark "?" when your human readable characters are printed. However, if you change the default setting for Code 39 Translation by deselecting the option, both the percentage sign "%" and the capital letter "J" will appear in the bar code's human readable characters.


Show Start and Stop Characters in Human Readable Characters

Show Start/Stop Characters

(This is a symbology-specific option which is only enabled for the following symbologies: Code 39 — Full ASCII, Code 39 — Regular, and Codabar.)

The Show Start/Stop Characters option on the Human Readable property page allows you to specify whether or not to display the start and stop characters in the human readable characters of your Code 39 and Codabar bar codes.

For Code 39 — Full ASCII and Code 39 — Regular

It is common to refer to the start and stop characters for Code 39 (they are actually the same character) as an asterisk. Some users like them displayed in the human readable characters, while others just like the data portion of the bar code message to be displayed. The only real advantage to displaying the asterisks is that it allows for a quick, visual determination of whether or not Code 39 is in use. A user printing both Code 39 and another bar code symbology might find this feature useful.

The default setting for BarTender is not to print the start and stop characters for Code 39 — Full ASCII or Code 39 — Regular bar codes. If you do want the human readable representation of the start and stop characters to be printed with your bar codes, click on the check box to activate the option.

For Codabar

Since BarTender's default setting for this option is disabled (the check box does not have an "X" in it), the start and stop characters normally will not be printed with the other human readable characters in your Codabar bar codes. If you would like BarTender to print the start and stop characters with your Codabar bar codes, just click on the check box to activate the option.


UCC/EAN Template

The UCC/EAN-128 bar code used on the shipping container labels required by several large retail stores often requires extra spaces and parentheses in the human readable text. Some RSS symbologies also use this special formatting. Depending on the requirements, these extra characters may be positioned in a variety of ways. The default setting for the UCC/EAN Template option ("Parenthesis and Spaces") defines the most common configuration of these extra characters. BarTender also gives you some other settings from which to choose.

Setting | Sample Human Readable String
Parenthesis and Spaces (default setting) | (00) 1 2345678 912345678 9
Parenthesis Only | (00)123456789123456789
Parenthesis, Spaces, and Split | (00) 1 23 45678 912345678 9
None. Select this setting when your application specifies that no additional characters be added to the human readable string. This setting may also be selected when you need to add characters to the human readable string that are not specified in any of the other settings for this option. The additional characters may then be added using BarTender's standard Character Template option. | 00123456789123456789

Note: The position of the extra parenthesis and spaces in the human readable character string can vary somewhat from the samples shown depending on which Application Identifiers and data fields are placed in the bar code.


Print Method Options

Options in the Print Method Options dialog allow you to specify how your bar codes will be printed when you are using a thermal printer. The dialog is opened by clicking the Print Method button on the Bar Code tab of the Modify Selected Bar Code Object dialog. The button is only available when a thermal Windows printer driver from Seagull Scientific, Inc. is specified as the active printer driver. The default setting will work best for almost every purpose, so it is rarely necessary to modify this option.

  • Bar codes and human readable text controlled by the printer. Prints bar codes at the highest possible speed by using the printer's built-in bar code and text capabilities.

  • Bar codes and human readable text controlled by BarTender. Although this setting gives you the best WYSIWYG printing of the bar code and the human readable text, it will cause your labels to print out more slowly (sometimes significantly), especially when using a serial port. This is because the bar codes are generated and sent to the printer as bitmaps, rather than using the printer's built-in bar code capabilities.

  • Bar codes controlled by the printer and text controlled by BarTender. Prints bar codes at high speed using the printer's built-in bar code capabilities but still gives you the best selection of fonts for the human readable text. (Default setting.)


Editing a Text Object

The best method for editing a text object depends on whether it contains multiple substrings.

If the object does not contain multiple substrings …

Click the Edit button [image] on the Main toolbar, then click the text object to edit and format it as you would any text box in Windows. (For complex text formatting, including adding tab stops, auto-sizing the text box, etc., change to the arrow cursor by clicking the Select button [image] on the Main toolbar. Right-click the text object and select Properties from the drop down menu to open the Modify Selected Text Object dialog. Use the Font and Text tabs as needed. You can also change the content on the Data Source tab.)

Note: If the text object has been rotated or stretched, a temporary, horizontal and unstretched, copy of it will appear when the object is in edit mode. This makes it easier for you to see what you are doing when editing. The temporary copy disappears when you exit edit mode (by clicking away from the object, or pressing ESC or SHIFT+ENTER) and your changes are saved to the rotated or stretched object.

If the object does contain multiple substrings …

  1. If the cursor is not already an arrow, click the Select button [image] on the Main toolbar.

  2. Right-click the text object and select Properties from the drop down menu to open the Modify Selected Text Object dialog.

  3. Open the Data Source tab.

  4. Click the Advanced button.

  5. Highlight the substring you want to change on the Substring List.

  6. Change the text on the Screen Data mini-tab.

Note: If you click the Edit button [image] on the Main toolbar and then click a text object that contains multiple substrings, then the Modify Screen Data dialog will open.


Adding Special Characters

Sometimes you may want to add special characters to your labels, such as registration or copyright symbols. To place special symbols not located on the keyboard into a text object, you must copy them to the clipboard using the Character Map accessory which comes with Windows and paste them into a text object.

Note: If you want to add certain complex symbols such as standard caution, warning, and hazardous materials symbols to your label; or you want to add standard electrical, packaging, textile care, or industrial workplace symbols, you will probably find the complex symbol you want in one of the special symbol "fonts" that come with BarTender. These complex symbols are not in the Character Map accessory.

To add special characters, perform the following steps:

  1. Click on the Start button.

  2. Navigate to Character Map. It is directly under Accessories or in a sub-menu of Accessories.

  3. Scroll through the list of available fonts and select the necessary font.

  4. Double-click on the desired special symbol.

  5. Click on Copy to place a copy in the clipboard.

  6. Click on Close and return to BarTender.

  7. Either paste the symbol directly onto the label, thereby creating a new object, or double-click on the text object and paste, using Ctrl-V, into the required text object.

Important Note: Commonly used special symbols are located in most of the readable character sets (for example, the copyright and registration symbols can be found in Arial, Times New Roman, and other sets) and can be placed inside a regular text object using the same typeface. However, if you use a special symbol from one of the symbol sets (such as Wingdings or Symbols; or one of the special symbol "fonts" that come with BarTender), you will need to place this symbol inside a separate substring within the text object because a single substring cannot support more than one typeface. If you are using a thermal printer and text objects are set to substitute the best matching printer font, you will need to use a TrueType font for the special symbol; otherwise, the most closely matching symbol will be substituted.


Special Symbol Fonts

Show All Hide All

BarTender provides several special True Type symbol fonts, from Seagull Scientific, Inc., that enable you to include certain complex symbols on your labels by simply typing a letter or number instead of having to import, or link to, a graphic file. And because the symbols are font characters, instead of images, you can scale them larger or smaller as you would any other True Type font.

To put one of these symbols on your label, create a text object, select the desired special font when you choose your typeface, and then press the key for the represented symbol. Adjust the font size as necessary.

Note: When you open the Data Source tab of the Modify Selected Text Object dialog for a text object that uses one of these fonts, the Screen Data box will show the letter rather than the special symbol itself. This is done so that you can verify what letter was typed and because the symbol would be too small to be readable in the Screen Data box.

Click on the font name below for a table of the font's symbols and the corresponding keys.

Seagull ADR

ADR (European Agreement Concerning the International Carriage of Dangerous Goods by Road)

Seagull Electrical

Seagull Emergency

Seagull Hazard

Seagull Logos

Seagull Packaging

Seagull Paint

Seagull Recycling

Seagull Risk Phrases

Seagull Textile Care

Seagull Warning


The Font Property Page

Font Property Page

Show All Hide All

Options on the Font property page are used to format the printed text on a label, including most of the characteristics of the human readable characters of a bar code. All of the TrueType fonts supplied with Windows are available for use by BarTender. These include Arial (which is similar to Helvetica), Courier New, Times New Roman in a variety of styles, Symbol, and others. In addition, BarTender supplies two True Type fonts optimized for optical character recognition, OCR-A and OCR-B; as well as several True Type "fonts" of special symbols, including standard caution, warning, and hazardous materials symbols, and packaging, electrical, textile care, and industrial workplace symbols.

TrueType fonts are completely scaleable, meaning that you can specify any size text you want. It is an especially easy system to work with because what is displayed on the screen is always an accurate representation of what will be output at print time. And, with TrueType, you don't have to reselect or install new type faces when you change to a new printer. You can freely change between printers, even between dot matrix and laser printers, without having to adjust your type specs.

The Font property page can be displayed from either the Modify Selected Bar Code Object or Modify Selected Text Object tabbed dialogs.

For further information about the Font options, click on the appropriate option name below.

Font Options

  • Typeface. Used to specify the typeface family for the text on your labels. To have the typefaces sorted by type (printer-based, True Type, etc.), click the checkbox Sort Typeface by Type near the bottom of the dialog.

  • Font Style. Used to specify whether regular, bold, or italic text will be printed on your labels.

  • Point Size. Used to specify the point size of the text on your labels.

  • Substitute Best Matching Printer Font. Used to specify that BarTender replace the selected TrueType font with a font that is built into your thermal printer. (Thermal printers only.)

Text Effects Options

  • Strikeout. Used to specify whether strikeout text will be printed on your labels.

  • Underline. Used to specify whether underlined text will be printed on your labels.

  • White on Black. Used to specify whether reverse text will be printed on your labels.

  • Scale. Used to specify how much a text object will be compressed or stretched.

Note: If the Auto Size option is enabled, then this value is overridden by the Maximum Scale value on the Auto Size mini-tab of the Text property page.

  • Color. Foreground Color is used to specify the color of your text objects and the human readable characters of your bar code objects. Background Color sets the text area background color.

Script Option

Select the desired script from the drop down list. A script is an alphabet or a family of closely related alphabets.

See Also:

Adding Special Characters

Special Symbol Fonts


Typeface Family for Text

Typeface

The Typeface option on the Font property page is used to specify the typeface family that will be used for the currently selected text object or substring. A typeface "family" is a related group of typefaces, usually available in different sizes.

Some of the typefaces supplied with Windows and which are available for use by BarTender include Arial, Courier New, Symbol, and Times New Roman. Additional fonts may be installed in your Windows system that will also be available for use by BarTender.

BarTender includes two fonts, OCR-A and OCR-B, from Seagull Scientific, Inc., which are often used on bar code labels. In addition, BarTender includes several Seagull Scientific "fonts" of special symbols frequently used on a label, whether or not the label uses a bar code. These include dozens of standard caution, warning & hazardous materials symbols, as well as industrial workplace, electrical, packaging, and textile care symbols.


Font Style

The Font Style option on the Font property page allows you to specify a regular, italic, bold, or bold italic font style for the text on your labels.


Size of Text

Use the Point Size option on the Font property page to specify the point size of the text for the selected bar code or text object. The Point Size option consists of a list box with scroll bars so that you can quickly change the specified size of the text. Whole and half point sizes can be specified. No other point fractions can be specified.

You can also use the mouse to change the point size of your text objects. After you click on the text object to select it, click again on one of the object's handles and hold down the mouse button while you drag the handle until the text is the desired size. A lightly dashed outline representing the text's new size will move along with the mouse cursor. When the outline of the text object is displayed at the desired size, release the mouse button and BarTender will redraw the text at its new size.


Substitute Best Matching Printer Font

Note: This option is only available when printing to thermal printers.

Windows TrueType font technology makes it possible for your thermal printer to print the same designer typefaces that were once available only on PostScript laser printers. However, on thermal printers, TrueType fonts are typically manipulated and printed as graphics, which can be quite slow to download and print, especially when printing through a serial port.

Increasing Printer Speed

When enabled, the Substitute Best Matching Printer Font option replaces at print time the selected TrueType font with the built-in printer font that most closely resembles it. Depending on the complexity of your label format, this may significantly increase the speed at which your labels will print, especially if the text in question is changing from label to label.

When you first begin designing a label, if your thermal printer is already selected, any text fields you create will automatically be set to a font that is built into your printer. In this situation, font substitution will not come into play. However, if you start your label design with a laser printer or a different brand of thermal printer selected, your text will print as TrueType unless you enable font substitution. Accordingly, TrueType font substitution allows you to create a single label design and print it at high speed on multiple brands of thermal printers without having to individually setup the label design for each specific printer.

Print-Time TrueType Font Warning

When one or more object on a label format is set to print using a TrueType font, at the start of a print job you will receive a TrueType Font Warning. TrueType fonts are typically manipulated and printed as graphics, which can be quite slow to download and print. The settings in this dialog allow you to specify whether you want TrueType fonts to be replaced at print-time by the built-in printer font that most closely resembles it. Depending on the complexity of your label format, this may significantly increase the speed at which your labels will print, especially if the text in question is changing from label to label.


Strikeout Text

Use the Strikeout option on the Font property page to specify whether or not you want the text objects on your labels to be printed with a line through the text. This allows you to show the text while at the same time indicating that it is to be deleted from the label format, perhaps at some future time.


Underlined Text

Use the Underline option on the Font property page to specify whether or not you want the text for a particular object on your label to be underlined.


White Characters on Black Background

White on Black

Use the White on Black option on the Font property page to specify whether or not you want the text for a particular object on your label to display and print as reverse type (white characters on a black background).


Scale

The easiest way to stretch a text object containing a single line of data is on-screen, using your mouse and the text object's handles. After a text object has been stretched on-screen, the Scale option on the Font property page can be used to view exactly how much the text object has been distorted from normal.

You can also enter a value directly into the Scale option to specify the factor by which a text object will be either compressed or stretched horizontally. The default setting for all text objects is 100%. However, this number may be increased or decreased as necessary for your needs. A number greater than 100 will stretch your text, while a number less than 100 will compress your text.

Important Notes:

When stretching text objects, using either your mouse or the Scale option, you need to keep the following points in mind.

  • TrueType and PostScript fonts can be stretched in BarTender. However, device fonts, such as those built into thermal and thermal-transfer printers, cannot be stretched.

  • When you specify a Scale value, you are entering an approximate value. Windows will give you the closest matching stretch value that is available.

  • With paragraph text objects, the on-screen handles do not allow you to stretch the text. Instead, they are used to increase and decrease the width of the paragraph itself. In order to compress or stretch the size of the actual text in a paragraph, you must use the Scale option on the Font property page.


Text Property Page for Labels

Text Property Page

When you create text in BarTender, it starts out as a single-line text object, unless the default text object has been changed. However, once the text has been placed on the label, a variety of additional formatting characteristics can be assigned, including wrapping the lines of text into paragraph form and curving a line of text into an arc.

Note: The formatting characteristics referred to here are the overall shape of the body of text and not to the font characteristics themselves, such as bold, italics, typeface and type size. For information on the latter, see the Font property page.

The options on the Text property page will change depending on the Type of text that you specify. For a description of the available options, click on the desired type below.

Type

  • Single Line . Specifies that text for the object will be displayed on one line.

  • Paragraph. Specifies that text for the object will wrap onto multiple lines if there is more than one line worth of data.

  • Arc (TrueType only). Specifies that text for the object will be curved.


Single Line Text

When you specify Single Line for the Type on the Text property page, you have two mini-tabs of displayed options.

  • The Auto Size mini-tab enables you to specify whether or not the line should be dynamically sized to fit into the rectangle marked out by the text object's handles.

  • The Tabs mini-tab enables you to set tab stops in your text.

  • The Effects mini-tab enables you to specify the reading order for the text object. Set this to Auto to use the reading order of the script identified on the Font tab of this dialog.


Auto Size a Single Line of Text

This feature, on the Auto Size mini-tab of the Text tab of the Modify Selected Text Object dialog, is useful when the data that will appear in a text object is highly variable in length, but must always fit within a certain area on each label. This can be accomplished by one or all of the following methods.

  • BarTender will increase or decrease the font size of the data so that it fits within the rectangle (marked by the object's handles) when the label is printed.

  • BarTender will squeeze or stretch the horizontal width of each character so that the data fits within the rectangle when the label is printed. By itself, this does not change the height (font size) of the text.

Click Auto Size to enable this feature.

  • Use the Minimum and Maximum Point Size options to ensure that the data will always be large enough to be readable but never too large. Set both items to the same value, if the font must stay at a fixed size (height).

Note: The values set here override the Point Size value set on the Font property page.

  • Use the Minimum and Maximum Scale options to ensure that the data is never squeezed or stretched to the point of unreadability. Set both values to 100%, if the letters must stay at their standard width relative to the font size.

Note: If data for the text object is ever too long to fit within the rectangle at the minimum point size, even when squeezed to the set limit, it will be truncated.

Note: The values set here override the Scale value set on the Font property page.

  • Use the Horizontal Alignment options to choose whether the text will be aligned to the left or right of the rectangle or centered.

  • Use the Vertical Alignment options to choose whether the text will be aligned to the top or bottom of the rectangle or vertically centered.


Setting Tab Stops

Use the Tabs mini-tab to set the tab stops for your text object.

Select Tab Stops to turn on this feature.

  • Default Tab Stops. The value you set here determines the distance between the tab stops and between the margin and the first tab stop.

  • Custom. Use this box to add tab stops in addition to the default tab stops.

To add a tab stop, enter a value in the box and click Set.

To remove a tab stop, highlight it and click Delete.

To remove all custom tab stops, click Delete All.


Paragraph Text

When you specify Paragraph for the Type on the Text property page, the displayed options allow you to specify the alignment, width, tab sets, and line spacing of the paragraph, as well as to turn on the optional Auto Size feature.

The paragraph text capabilities can also be combined with other features of BarTender. For example, one very common purpose for paragraph text takes the individual fields from an address record and combines them into a single paragraph to print on address labels. By combining the fields into a paragraph and using the Suppress If option on General tab of the More Data Source Options dialog, you can avoid the blank lines and spaces that might otherwise print on your labels whenever an address record contains a blank field. For additional information on how to do this, read Suppressing Substrings.

The following mini-tabs are on the Text property page when Paragraph is selected as the text Type.

  • General. Used to set the alignment, width, and indentation of the paragraph.

  • Auto Size. Used to turn on and configure the Auto Size feature.

  • Tabs. Used to configure the tab stops in the paragraph.

  • Spacing. Used to specify the line spacing of a paragraph and extra line leading above and below the paragraph.

  • Effects. Used to specify the reading order for the text object. Set this to Auto to use the reading order of the script identified on the Font tab of this dialog.

An example window below the mini-tabs shows you the effect of your choices.


General Paragraph Options

Use the General mini-tab to set the alignment, width, and indentation of the paragraph. A sample at the bottom of the page shows you what effect your choices will have.

  • The Alignment option is used to specify whether the alignment of the text in a paragraph will be left, center, right, or justified. A sample is shown below the mini-tab.

  • Paragraph Width. The easiest way to change the width of a selected paragraph is to use your mouse to drag the left or right handle on the selected paragraph. However, you can also use this option. The default setting for the width of a paragraph is two inches wide, but you can specify any width between 0 and 60 inches (or 0 and 152.4 centimeters if you are using metric units).

  • Indentation. Select (none), First Line, or Hanging. For either of the latter two options, enter the distance in the box to the right.


Auto Size a Paragraph

This feature, on the Auto Size mini-tab of the Text property page of the Modify Selected Text Object dialog, is useful when the data that will appear in a paragraph text object is highly variable in length, but must always fit within a certain area on each label. BarTender will increase or decrease the font size of the data so that it fits within the rectangle (marked by the object's handles) when the label is printed.

Click Auto Size to enable this feature.

  • Use the Minimum and Maximum Point Size options to ensure that the data will always be large enough to be readable but never too large. Set both items to the same value, if the font must stay at a fixed size (height).

Note: If data for the text object is ever too long to fit within the rectangle at the minimum point size, it will be truncated.

Note: The values set here override the Point Size value set on the Font property page.

  • Use the Vertical Alignment options to choose whether the text will be aligned to the top or bottom of the rectangle or vertically centered.


Paragraph Line Spacing

Line Spacing

The Spacing mini-tab enables you to specify the vertical spacing between the lines in a paragraph, and what degree of extra line leading, if any, you want above and below the paragraph.

  • Line Spacing. The default setting is Single, but you can also specify Double, Triple, or Custom. If you select the latter, enter the amount of space you want between lines in the box to the right.

  • Before Paragraph. Enables you to add extra line-leading above the paragraph, measured in lines or a unit of measurement.

  • After Paragraph. Enables you to add extra line-leading below the paragraph, measured in lines or a unit of measurement.

Note: The distance between two paragraphs will be the sum of the Before Paragraph and After Paragraph values.


Arc Text

When you specify Arc for the Type option on the Text property page, the displayed options allow you to specify how the curved text will be displayed on your label.

The Arc options are summarized below. For further information, click on the desired option name.

General Mini-Tab

  • Reference Point. Used to specify whether text will curve automatically depending on the distance of the text from the center of the label or will curve depending on the distance of the text from a point that will move with the object.

  • Radius. Used to adjust the curvature by specifying the distance from the Reference Point to the text.

  • Reference Angle. Used to rotate the text around the Reference Point.

  • Direction. Used to specify whether text will be displayed clockwise (bottom of the text faces into the center) or counterclockwise (bottom of the text faces away from the center).

  • Alignment. Used to specify that text within the object will be positioned on the left or right edge of the object or centered between the left and right edges.

Effects Mini-Tab

  • Effects. Used to specify the reading order for the text object. Set this to Auto to use the reading order of the script identified on the Font tab of this dialog.


Reference Point

The Reference Point option specifies the point around which arc text will be curved and is the starting point from which the Radius option is measured. The curvature of the text is determined by the distance (the radius) that the text is from the reference point. The closer the text is to the reference point the more curved it will be.

  • Use Center of Label. Specifies that the radius will be measured from the center of the label.

  • Use Position Tab. Specifies that the radius will be measured from a point that moves with the object. This point is specified by moving the object with the mouse or specifying a point using the options on the Position tab of this dialog.


Radius

The Radius option determines the distance between the Reference Point of the arc and the text. It also determines the curvature of the arc. The smaller the radius, the closer the text will be to the reference point and the tighter the curvature.


Reference Angle

The Reference Angle option allows you to rotate the arc text around the reference point.


Direction

The Direction option allows you to specify whether text will be facing toward the reference point or away.

  • Clockwise. Specifies that the bottom of the text will be facing toward the reference point.

  • Counterclockwise. Specified that the bottom of the text will be facing away from the reference point.


Alignment

When you place arc text on a label, the Radius and Reference Angle options define an imaginary line that extends from the reference point to the text. The Alignment option allows you to specify how the text will be aligned relative to that imaginary radius line.

  • Left. Specifies that the left edge of the text will start at the outer end of the imaginary radius line.

  • Center. Specifies that the text will be centered at the outer end of the imaginary radius line. (Default)

  • Right. Specifies that the right edge of the text will end at the outer end of the imaginary radius line.

The Alignment settings are displayed in the picture below in relation to the imaginary line.


RFID Property Page

Show All Hide All

The RFID property page can be used to modify the properties of the RFID object.

Options on the RFID property page are summarized below.

Note: Options not supported by the current printer will be grayed or not present at all.

  • Tag Type. Used to select the RFID tag type. All tag types supported by the current printer are listed.

  • Printer RFID Properties. Used to open the printer driver's RFID properties dialog.

Data Location

Use these options to specify what part of the transponder should be programmed at print-time and whether the programming will be protected from later reprogramming.

  • Segment. Used to specify which segment of the RFID tag the printer should program at print-time. The options you see will depend on what is supported by the printer and the tag type. See the specification of the tag type for details on the different segments. Segments not programmed at print-time can be programmed at some other time.

  • Start Block. Used to specify the block in the tag where the printer will begin writing information. A block is a set of bits, typically eight. Some tag types reserve certain blocks, so it is necessary to specify the block at which the printer should begin. BarTender will suggest a starting block. You should change this only if you are thoroughly familiar with the specifications of your tag type.

  • Write Protect Blocks. Used to ensure that the RFID object's data cannot be changed after the printer has programmed it. Not all tag types support this feature.

Data Format

Use these options to specify how data will be encoded.

  • Type. Used to specify the data format type. The choices that appear on the list will vary depending on the tag type.

Note: Whenever the data format type is changed, the pattern of substrings in the Substring List is changed to match the selected type.

Table of Current Format Types

This table lists the current data format types. See below for how you can support new EPC data formats released since BarTender's release.

Format

Required Data

Remarks

SGTIN-64 and SGTIN-96

Filter Value;Company Prefix;Item Reference;Serial Number

Some 96-bit formats have fields that vary in length depending on a parameter called the "partition value." The driver calculates the required partition value automatically based on the provided company prefix; it should not be provided in the data.

SSCC-64 and SSCC-96

Filter Value;Company Prefix;Serial Reference

SGLN-64 and SGLN-96

Filter Value;Company Prefix;Location Reference;Serial Number

GRAI-64 and GRAI-96

Filter Value;Company Prefix;Asset Type;Serial Number

GIAI-64 and GIAI-96

Filter Value;Company Prefix;Individual Asset Reference

GID-96

General Manager Number;Object Class;Serial Number

DOD/UID-64 and DOD/UID-96

Filter Value;CAGE;Serial Number

For DOD formats, the CAGE ignores the current encoding and expects data to be supplied as ASCII text.

To support future EPC formats, you can select Custom to create a formatting scheme in the Scheme box that appears. A scheme is a string that expresses the sizes (and sometimes the data) of the fields in the data stream. Field sizes are measured in bits and fields are separated with semicolons. If the data for a particular field should always be the same when initially programmed, then a colon should follow the field size and the mandatory data should follow the colon. For example, "8:8;10;32" describes a three-field scheme. The first field, the header, is 8 bits long and has an immediate value 8 (this is a specification requirement and cannot be set by the user). The second field has 10 bits and the last has 32 bits, both values that can be set by the user.

Once you have created a custom scheme, use the Advanced view of the Data Sources tab to create substrings for every field that has variable data. Do not create a substring for any fields with constant data. Constant data includes the header and partition fields and BarTender will insert data into these fields automatically. In the first example above, you would not create a substring for the first field because the ":8" tells BarTender that it is a constant field that always contains "8".

  • Input. Used, with a custom data format type, to determine how the printer driver will process the data before it programs it to the RFID tag. The options available will vary by printer. They may include any of these:

    • Hexadecimal. The printer driver will treat the character data as hexadecimal numbers and convert them to binary numbers.

    • Decimal. The printer driver will treat the character data as decimal numbers and convert them to binary numbers.

    • Binary. The printer driver will treat the character data as a series of "0"s and "1"s, each expressed with a whole character, and convert them to binary numbers, so that each "0" and "1" is expressed with a single bit.

  • Text Encoding. Used to specify what writing system BarTender should convert the data into before it sends it to the printer.

See Also:

Understanding RFID


Picture Property Page

Show All Hide All

The Picture property page contains options which allow you to choose which picture to import and how to import it, adjust the picture's size to fit on your label, and determine how BarTender will respond if the original picture file is not found at print time. (BarTender supports the following picture types: BMP, DXF, EPS, IMG, JPG, PCD, PCX, PNG, TGA, TIF, WPG, and WMF. The last of these cannot be rotated.)

When you first use the Import Picture button to insert a picture into a label format, BarTender initially inserts the default picture, a replica of the Import Picture button. This default picture acts only as a placeholder on your label format. No picture will be printable until you double-click on the default picture and use the Picture property page to assign a valid picture file to this picture object.

To adjust the position of your picture, use your mouse or the options on the Position property page.

Picture Source Options

  • Type. Used to specify how BarTender will import a picture into your label format. This option allows you to embed or link pictures or read pictures from an external data file.

The options listed below are located in a dynamic area of the Picture property page and will appear or disappear depending on which Type you choose. Listed after each option is the source type with which the option becomes available.

  • Select Picture. Used to specify the picture file to insert into your label format (embedded picture and linked picture only).

  • File Name. Used to specify the path and file name of the picture to import into your label format (linked picture only).

  • Default Path. Used to specify the folder where the pictures referenced in an external database are stored (data sourced picture only).

  • Select Path. Used to specify the default path using the mouse instead of by typing it in using the Default Path option (data sourced picture only).

Picture Dimensions Options

  • Sizing Method. Used to determine whether or not a picture can be resized in the label viewing area and, if so, in what manner it will be resizable.

  • Preserve Aspect Ratio. Used to enable or disable proportional sizing.

  • Height and Width. Used to size a picture as a percentage of the original picture or using exact height and width measurements.

Print-Time Error Handling Options

  • If Picture Not Found. Used to determine how BarTender will handle a label if linked or data sourced pictures cannot be found in the expected folder.

Effects

  • Mirror Horizontal If checked, flips picture about a horizontal axis.

  • Mirror Vertical If checked, flips picture about a vertical axis.

Procedures:

Importing Pictures into a Label Format


The Three Different Ways to Import a Picture

The Picture Source Type option on the Picture property page allows you to import pictures into label formats in three different ways. Embedded pictures are typically easiest to use, but at times one of the other options may better suit your needs. (BarTender supports the following picture types: BMP, DXF, EPS, IMG, JPG, PCD, PCX, PNG, TGA, TIF, WPG, and WMF. The last of these cannot be rotated.)

Note: You may not need to import a picture if what you want is a standard complex caution, warning, or hazardous materials symbol. Most of these are available in one of the special symbol "fonts" that come with BarTender. Also included in these "fonts" are symbols for packaging, textile care, electrical matters, and the industrial workplace.

Picture Source Types:

  • Embedded Picture

Embedded pictures become a permanent part of a label format, so even if the original picture file is moved, deleted or renamed, the picture in your label format remains the same. This is the easiest and most common picture source type with which to work. To Embed a Picture.

  • Linked Picture

With linked pictures, BarTender stores only the path and name of the picture file, not the actual picture. When you print a label format, BarTender will automatically update the open copy. Thus, if picture files frequently change, linking can be a time-saving alternative to embedding. To Link an External Picture.

  • Data Sourced Picture

Data sourced pictures allow BarTender to print variable pictures by referencing a field from a data source file. For example, if you have a database of parts for which you regularly print labels, assigning a field inside the database to reference picture files and then referencing that field from BarTender would allow you to print a different picture per label for each record in the database. To Read Pictures From a Data File. For information on how to set up your database, see Setting Up Your Database Properly.

Note: Unlike with embedded pictures, when pictures are linked or data sourced, BarTender looks for picture files stored in a specific location. For linked pictures, if an original picture file changes, BarTender updates the picture displayed on the label viewing area and subsequently the picture printed on the label. If the original picture file is moved, deleted, or renamed and BarTender cannot locate it, the picture will turn black. For data sourced pictures, BarTender searches for picture files referenced in your database. For both types of pictures, BarTender can alert you if picture files cannot be found. For additional information, see Handling Pictures Not Found.


Embedding Pictures

Note: You may not need to embed a picture if what you want is a standard complex caution, warning, or hazardous materials symbol. Most of these are available in one of the special symbol "fonts" that come with BarTender. Also included in these "fonts" are symbols for packaging, textile care, electrical matters, and the industrial workplace.

Note: This procedure assumes you have already placed a default picture on your label format and accessed the Modify Selected Picture dialog.

  1. Leaving the Type option set to Embedded Picture, press the Select Picture button to display the Select Picture dialog.

  2. The default setting of "All Image Files" for the Files of type option tells BarTender to display all of the picture files available in the currently specified directory.

  3. If desired, you can limit the list of pictures to a specific picture file type by clicking on the arrow to the right of "All Image Files" to drop-down the list of available picture file types. Then select the desired picture type.

  4. If the picture file name is not yet listed in the box directly below the Look in option, and the current disk drive letter is not correct, use the Look in option to select a different disk drive. Next, double-click in the list below the Look in option on the name of the folder that contains the graphic file. Continue double-clicking until you open the subfolder that contains the desired picture file.

  5. Double-click on the name of the picture file you want to import. BarTender automatically returns you to the Select Picture dialog.

  6. Click OK to close the dialog and view your imported picture on your label.

  7. After you have placed the picture in the label viewing area, you can use your mouse or the options on the Position property page to position it as desired.

Procedure:

Importing Pictures into a Label Format

See Also:

Creating Label Objects

Special Symbol Fonts


Linking a Picture

Note: You may not need to link a picture if what you want is a standard complex caution, warning, or hazardous materials symbol. Most of these are available in one of the special symbol "fonts" that come with BarTender. Also included in these "fonts" are symbols for packaging, textile care, electrical matters, and the industrial workplace.

Note: This procedure assumes you have already placed a default picture on your label format and accessed the Modify Selected Picture dialog.

  1. Click on the arrow to the right of "Embedded Picture," and select "Linked Picture" from the drop-down list. The Select Picture button moves to the right, and the File Name text box appears to the left of the button.

  2. Type in the path and name of the picture file, or click on the Select Picture button.

  3. In the Select Picture dialog, the default setting for the Files of type option, "All Image Files," sets BarTender to display all picture files available in the currently specified directory. To view or select from a list of specific picture file formats, click on the down arrow to the right of "All Image Files" and select the file format from the drop-down list.

  4. In the Look in field, click on the drive that contains the picture file. Then, in the list box directly below the Look in field, double-click on the name of the folder that contains the picture file. Continue double-clicking until you open the sub-folder that contains the desired picture file.

  5. Double-click on the name of the picture file you want to import.

  6. BarTender automatically returns you to the Select Picture dialog. Click OK to close the dialog, and see the selected picture on your label.

Procedure:

Importing Pictures into a Label Format

See Also:

Create Menu

Special Symbol Fonts


Reading Pictures from a Data File

Note: This procedure assumes you have already placed a default picture on your label format and accessed the Modify Selected Picture dialog.

  1. Click on the arrow to the right of "Embedded Picture," and select "Data Sourced Picture" from the drop-down list. Notice the new tab for the Data Source property page. The Select Path button replaces the Select Picture button, and the Default Path text box appears to the left of the button.

  2. Click on the Select Path button to access the Browse Folder dialog. Double-click on the name of the drive, folder and subfolder containing the desired picture files.

  3. Click the OK button to return to the Modify Selected Picture dialog. You may also enter the path without accessing the Browse Folder dialog by typing the path in the Default Path text box. The path should appear in the Default Path text box.

  4. Select the Data Source tab to display the Data Source property page.

  5. Click the arrow to the right of Source for a drop down list displaying Data Source options.

  6. Select Database Field to read text stored in an ODBC or OLE DB data source, SAP IDoc, or text data file. If you have already used the Database Connection Setup dialog to identify which data file to use, you will see an option called Field Name. Otherwise, you will have the option Use Data File Field #. Refer to the Help topic Database Connection Setup for information on how to setup your data source file.

  7. Click on the down arrow to the right of Field Name for a drop-down list, and select the field containing the picture file references.

  8. Choose OK. Your label format will still display the default picture.

  9. Choose Print from the File menu to set your label format to print using the data file information.

  10. In the Print dialog, select the option Use Database under Record Selection.

  11. Click Close to return to your label format or Print to print your labels.

Procedure:

Importing Pictures into a Label Format

See Also:

Setting Up Your Database Properly

Creating Label Objects


Using the Paste Command to Import Bitmaps

Using the Paste Command to Import Bitmaps from Other Programs

Important: The preferred method of importing graphics into a label format is to import the graphic from a file using the Create Graphic Picture button.

A bitmap is an image or picture composed of individual dots. A number of specific bitmap standards have been developed to allow the transfer of bitmaps from one program to another. In addition to its other functions, the Paste command can be used to place bitmaps created in other Windows programs into the label viewing area. For example, you can personalize your labels by adding your company logo or a special drawing. (BarTender supports the following picture types: BMP, DXF, EPS, IMG, JPG, PCD, PCX, PNG, TGA, TIF, WPG, and WMF. The last of these cannot be rotated.)

To paste a bitmap into the label viewing area:

  1. Run the Windows program that was used (or is to be used) to create your bitmap image.

  2. Load or create the image.

  3. Select the image and copy it to the clipboard.

  4. Exit or minimize the program.

  5. Run BarTender and open the label format that you want to add the bitmap image to.

  6. Click on the Paste command in the Edit menu or the Paste button in the Main toolbar. BarTender will paste the bitmap into the label viewing area.

Note: If BarTender's Paste command is not enabled when you pull-down the Edit menu, the program used to create the bitmap and copy it into the Windows clipboard does not use a clipboard format supported by BarTender. In this case, export the bitmap image from your program to a graphic file type supported by BarTender's Create Graphic Picture function, and then import it into BarTender using that same function.


Select Picture

The Select Picture button, available only with embedded and linked pictures, helps you locate and import a picture file. (BarTender supports the following picture types: BMP, DXF, EPS, IMG, JPG, PCD, PCX, PNG, TGA, TIF, WPG, and WMF. The last of these cannot be rotated.) Choosing the Select Picture button displays the Select Picture dialog that you can use to search for the desired picture file.


File Name

The File Name data-entry box, available only with linked pictures, allows you to enter the drive, folder, and file name of the desired picture file without accessing the Select Picture dialog.

To specify the file name to use, simply type the path and file name into the data-entry box provided.

If you need help locating the picture file, click on the Select Picture button to display the Select Picture dialog.


Default Path

The Default Path data-entry box, available only with data sourced pictures, allows you to tell BarTender where to find picture files referenced in an external data source. You can type this information into the Default Path data-entry box or use the Select Path button.

See Also:

Setting Up Your Database Properly


Select Path

The Select Path button, available only with data sourced pictures, helps you locate the drive and folder where picture files referenced in a data file are stored. When you select the Select Path button, you display the Browse for Folder dialog that you can use to enter the path with your mouse.

To select the path:

  1. Click on the Select Path button to display the Browse for Folder dialog.

  2. Double-click on the appropriate drive for a list of folders available on that drive.

  3. Double-click on the folder.

  4. If a folder contains sub-folders, continue double-clicking until you open the folder where the pictures files are stored.

  5. When you have selected the necessary path, click OK to return to the Picture property page. The path to your picture files will appear in Default Path.

See Also:

Setting Up Your Database Properly


Sizing Pictures

Sizing Method

The Sizing Method option on the Picture property page allows you to determine whether or not a picture can be sized and how you are able to resize it.

When you click on a picture to select it, notice the sizing handles that appear on each side and corner of your picture. Depending on the selections you make in the Picture Dimensions section on the Picture property page, you may have access to some or all sizing handles.

If a handle is solid, you can grab and drag it to proportionally size or stretch a picture. If a handle is hollow, you cannot use it to size a picture.

  • Original Size. Maintains the same height and width measurements as the image in the picture file.

  • Percentage of Original Size. Sizes a picture as a percentage of the original size.

  • Fit to Rectangle. Forces the size of a picture to exact dimensions.

See Also:

Preserve Aspect Ratio

Picture Property Page


Original Size

Original Size maintains the size of a picture at the same dimensions as the original image in the picture file from which it was imported. When chosen, the size of a picture cannot be changed in anyway. To enable sizing capabilities, change to the Percentage of Original Size or Fit to Rectangle sizing method instead.


Percentage of Original Size

Percentage of Original Size allows you to increase or decrease the size of a picture as a percentage of the picture's original dimensions. Use your mouse to adjust a picture's size or enter a percentage into the Height and Width data-entry boxes.


Fit to Rectangle

Fit to Rectangle enlarges or shrinks a picture forcing it to print inside a set area. This feature is especially helpful when using data sourced pictures. Because pictures linked to BarTender through a database may vary in size, Fit to Rectangle ensures that pictures imported from a database will print only at the preset size to fit on your label and not at their original size.

Use your mouse to adjust a picture's size or enter an actual measurement into the Height and Width data-entry boxes.


Preserve Aspect Ratio

Preserve Aspect Ratio enables or disables proportional sizing capabilities.

If enabled …

only corner handles on the picture are available, limiting you to proportionally sizing a picture using the mouse. You may also proportionally size using Height and Width on the Picture property page. Because sizing is proportional, any change you make to Height automatically alters the measurement in Width, and vice versa.

If disabled …

all handles on the picture are available, allowing you to size and stretch your picture as desired using your mouse. You may also size and stretch a picture using Height and Width on the Picture property page.


Height and Width of Pictures

Height and Width

Height and Width are used to adjust the size of a picture using exact measurements or a percentage of the original picture. There are two data-entry boxes for entering height and width in exact measurements and two for entering in percentages. Depending on the Sizing Method chosen, BarTender will enable or disable some or all of the Height and Width data-entry boxes.

Sizing Method | Height and Width Data-Entry Boxes
Original Size | All Height and Width data-entry boxes are disabled.
Percentage of Original Size | BarTender enables the Height and Width percentage data-entry boxes.
Fit to Rectangle | BarTender enables the Height and Width measurement data-entry boxes.


Handling Pictures not Found

When linking pictures or when importing pictures from an external data file, BarTender looks for picture files stored on a hard drive or floppy disk. If BarTender cannot locate the necessary file(s) at print time, the Print-Time Error Handling Options located on the Picture property page allow you to tell BarTender how to handle the print job.

Reasons for Receiving an Error Message:

  • A valid picture file has not been assigned.

  • BarTender cannot find a linked or data sourced picture file in the expected location.

Print-Time Error Handling Options:

  • Always Abort Print Job. Tells BarTender not to print a label if a picture file cannot be located.

  • Always Ask Before Aborting Print Job. Tells BarTender to notify you if a picture file cannot be located.

  • Never Abort Print Job. Tells BarTender to continue printing even if a picture file cannot be located.

See Also:

Setting Up Your Database Properly


Property Page

Box and Ellipse Property Pages

The Box or Ellipse property page can be used to modify the dimensions and other properties of the object.

Property page options are summarized below. For additional information, click on the appropriate option name below.

General

  • Width. Used to specify and/or display the horizontal dimension of the object.

  • Height. Used to specify and/or display the vertical dimension of the object.

  • Line Thickness. Used to specify the thickness of the lines that make up the object.

  • Line Color. Used to specify the color of the lines that make up the object.

  • Fill Color. Used to specify the fill color of the object.

Specific to Boxes

  • Corner Radius. Used to set the degree of rounding for the corners of a box.

Specific to Ellipses

  • Circle. Used to constrain height and width to form a circle.


Height

The easiest way to specify the height of a box, ellipse, (or a group box in Prompt Design) is to use your mouse. However, you can also specify height by entering a value into the Height option on the Box, Ellipse or Group Box property page. Both methods are described below.

Mouse Method:

(For greatest accuracy, make sure the Snap option in the View Options dialog is enabled.)

  1. Click on the object whose height you want to change.

  2. Position the pointer cursor over one of the object's top or bottom handles and click and hold down your left mouse button.

  3. Holding down your left mouse button, drag the selected handle until the object is the desired height.

  4. Release the mouse button.

Note: You can adjust both height and width at the same time using a corner handle. It is also possible to lock the aspect ratio by holding down the Shift key while resizing an object in the design area.

If you need to specify an exact height or the height of the object falls between the specified snap points of the ruler, you can enter an exact value into the Height option on the Box, Ellipse or Group Box property page using the following method.

Property Page Method:

  1. Double-click on the box whose height you want to change to display the Modify Selected Box or Modify Selected Ellipse tabbed dialog.

  2. Select the Height option on the appropriate property page.

  3. Type the desired height into the edit box.

  4. Click the OK button.

Note: When specifying the height of objects on your labels, if you specify a height that causes the object to extend out of the label viewing area only the portion of the object that is within the boundaries of your label will print.


Width

The easiest way to specify the width of a box or ellipse (or a group box in Prompt Design) is to use your mouse. However, you can also specify the width by entering a value into the Width option on the Box, Ellipse, or Group Box property page. Both methods are described below.

Mouse Method:

(For greatest accuracy, make sure the Snap option in the View Options dialog has been enabled.)

  1. Click on the object whose width you want to change.

  2. Position the pointer cursor over one of the object's left or right side handles and click and hold down your left mouse button.

  3. Continuing to hold down your left mouse button, drag the selected handle until the object is the desired height.

  4. Release the mouse button.

Note: You can adjust both height and width at the same time using a corner handle. It is also possible to lock the aspect ratio by holding down the Shift key while resizing an object in the design area.

If you need to specify an exact width or the width of the object falls between the specified snap points of the ruler, you can enter an exact value into the Width option on the Box, Ellipse, or Group Box property page using the following method.

Property Page Method:

  1. Double-click on the object whose width you want to change to display the Modify Selected Box or Modify Selected Ellipse tabbed dialog.

  2. Click the Width option on the appropriate property page.

  3. Type the desired box width into the edit box.

  4. Click the OK button.

Note: When specifying the width of objects on your labels, if you specify a width that causes the object to extend out of the label viewing area, only the portion of the object that is within the boundaries of your label will print.


Line Thickness

The Line Thickness options on the Line, Box, and Ellipse property pages are used to specify the width of the lines on your label.

  • The default setting is .010".

  • The minimum thickness is .001".

  • The maximum thickness is 14.0".


Line Color

The Line Color option on the Box or Ellipse property page is used to change the color of the lines making up the the currently specified object. Black is the default color. However, you can use the Color dialog to change the object to any of the available colors.


Fill Color

The Fill Color option on the Box or Ellipse property page is used to fill the currently specified object with a solid color. "None" is the default fill color. However, you can use the Color dialog to change the fill color to any of the available colors.


Changing the Color of an Object

A color control enables you to specify the color of the objects on your labels. For example, you can change the color of a box with the color control on the default tab of the Modify Selected Box Object dialog. And you can can change the background color of a label with the Background Color box on the Background tab of the Page Setup dialog.

Caution when Using Colored Bar Codes: Bar code scanners cannot read bar codes that have been printed in most colors as well as they can read those that have been printed in black. Therefore, unless they are going to be used for decoration, we don't recommend that you specify colored bar codes.

To set the color:

  1. Click on the arrow in the Color box. If one of the standard colors shown is what you need, click it and you are done. Otherwise proceed with the next step.

  2. Click More Colors to display the Color selection menu.

  3. Click on one of the basic or custom colors shown in the menu to select it, or click Define Custom Colors to expand the menu and create a new custom color.

  4. Click OK.

See Also:

Creating a Custom Color. Describes how to create a custom color.


Corner Radius

The corners of a box can be rounded by entering a positive value for corner radius. The higher the value, the more rounded the corner.


Circle

The Circle option on the Ellipse property page is used to create a circle by setting the height and width to the same value. It is also possible to create a circle by holding down the Shift key while resizing or adding an ellipse object in the design area.


Line (on Label) Property Page

The Line property page of the Modify Selected Line dialog can be used to specify the location of the end points of the line, as well as modify the length, thickness, and color of the line.

Options on the Line property page are summarized here:

  • The X and Y coordinates of End Point 1 and End Point 2. Used to specify the location of the end points of the line, relative to the label's reference point (the origin), not the line's reference point. The label reference point is set on the Advanced Position Setting dialog. The line's reference point is set on the Position property page of the Modify Selected Line dialog. You do not have to use the XY coordinates on this page to position the line. You can use the coordinates of the of the line's reference point on the Position property page if you prefer.

Important: The label reference point is not the same as the object reference point. Click here for information on the difference.

For additional information on the remaining options, click on the appropriate name below.

  • Length. Used to specify and/or display the distance between the two end points of a line.

  • Line Thickness. Used to specify the thickness of a line.

  • Color. Used to specify the color of a line.


Length of Line

The easiest way to specify the length of a line is to use your mouse. However, you can also specify line length by entering a value into the Length option on the Line property page. Both methods are described in the following paragraphs.

Mouse Method:

(For greatest accuracy, make sure the Snap option in the View Options dialog is enabled.)

  1. Click on the line whose length you want to change.

  2. Position the pointer cursor over either one of the line's end handles and then click and hold down your left mouse button.

  3. Continuing to hold down your left mouse button, drag the selected handle until the line is the desired length.

  4. Release the mouse button.

If you need to specify an exact length or the length of the line falls between the specified snap points of the ruler, you can enter an exact value into the Length option on the Line property page using the following method.

Menu Method:

  1. Double-click on the line whose length you want to change to display the Modify Selected Line tabbed dialog.

  2. Click the Length option on the Line property page.

  3. Type the desired line length into the edit box.

  4. Click the OK button.

When specifying the length of the lines on your labels, remember that if you specify a line length that causes the line to extend out of the label viewing area, only the portion of the line that is within the boundaries of your label will print out.


Moving an Object

Moving (Repositioning) an Object

An object can be moved by dragging it with your mouse or by entering values into options on the Position property page.

Note: An object or group of objects can also be rotated in place or around a specified point on the label.

To move an object using your mouse:

  1. Position the pointer cursor over the object that you want to move then click and hold down the left mouse button.

  2. Continue to hold down the left mouse button as you drag the object to the desired new location. (A dashed outline of the object will move along with the cursor as you drag it across the label viewing area.)

  3. When the outline of the object is in the desired new location, release the mouse button and BarTender will redraw the object in its new position. If you want the object to move to the side while keeping the same distance from the top and bottom of the label, or you want it to move up/down while keepign the same distance from the sides of the label, hold down the SHIFT key while dragging it. This prevents diagonal movement.

To move an object using the Position property page:

  1. Double-click on the object that you want to move. This selects the object and automatically displays the tabbed dialog for that object. Click on the Position tab to display the Position property page.

  2. Change the object's reference point from the default Top Left, if desired. Then enter the desired X and Y coordinates for the object's reference point, as measured from the label's reference point. (Optionally, you can also change the label's reference point, by clicking the Advanced button to open the Advanced Positioning Settings dialog. (See also Understanding Reference Points.)

  3. Click the OK button. BarTender will move the object to the newly specified location.

See Also:

Position

Understanding Reference Points

Rotation of an Object


Rotating Objects

You can rotate an object, either in place, or around a specified point on the label. Rotation can be done in several ways:

  • With the mouse.

  • With the Rotation section of the Position tab in the Modify Selected … Object dialog.

  • With the Rotate dialog. (This method can only be used to rotate the object in place.)


Positioning Objects Using the Position Property Page

When you need to specify exact coordinates for the position of an object, you need to use the Position property page. Options on the Position property page are especially useful when the position coordinates fall between the ruler's specified snap points. You can also display the Position property page when you want to examine the exact position of the currently selected object.

Position

  • X coordinate: Use this to specify the distance, left or right, of the object's reference point from the label's reference point. This will be a negative number if the object's reference point is left of the label's reference point. For more information, refer to Understanding Reference Points.

  • Y coordinate: Use this to specify the distance, higher or lower, of the object's reference point from the label's reference point. This will be a negative number if the object's reference point is higher than the label's reference point. For more information, refer to Understanding Reference Points.

  • Object Reference Point. Use this to select the object's reference point. Your options are:

    • Top Left corner of the object

    • Top Center of the object

    • Top Right corner of the object

    • Center Left edge of the object

    • Center of the object

    • Center Right edge of the object

    • Bottom Left corner of the object

    • Bottom Center of the object

    • Bottom Right corner of the object

  • Advanced button: Use this to open the Advanced Position Settings dialog where you can select the label's reference point.

Rotation

  • Angle. Use this to specify the degrees by which the object should be rotated around the rotation point. For lines, boxes, and pictures, you can select a commonly used degree from the dropdown list or enter one with precision to a tenth of a degree (0.1). For all other kinds of objects, you must select 90°, 180°, or 270° from the drop down list.

  • Advanced button: Use this to open the Advanced Rotation Settings dialog where you can select the label's rotation point.

Note: You can also rotate an object with your mouse. or with the Rotate dialog accessed from the Arrange menu.

Lock Object. Use this to lock the object into its current position. This ensures that the object cannot be moved, resized, or rotated inadvertently.

See Also:

Understanding Reference Points


General Property Page

The options on the General property page allow you to specify that an object placed on a label format should not print. You may also insert detailed comments about an object.

Options on the General property page are summarized below. For additional information, click on the appropriate option name.

  • Object Name. Used to specify a name for the object. Use this name to refer to the object in VB Scripts.

  • Do Not Print Object. Used to specify that a label object should not print.

  • Do Not Show in Print Preview. Used to specify that a label object should not appear in Print Preview.

  • Comments For This Object. Used to specify a comment for a label object.


Do Not Print Object

Do Not Print Object and Do Not Show in Print Preview

At times, you may have some objects on your label format that you do not want to print, or you may have objects that you do not want to print, but you want them to visible in Print Preview.

  • The Do Not Print [Object] option allows you to specify that certain objects (or the label background) should not print when you print the labels. If at a later time you want the object to print, you can easily disable Do Not Print Object and resume printing of the object.

  • The Do Not Show in Print Preview option allows you to specify that certain objects (or the label background) should not be visible in the Print Preview.


Comments For This Object

Sometimes you may want to enter instructions or other information for an object but do not want that information to print on the label. The Comments For This Object option allows you to enter such information for a label object. When a label object is selected, any text entered will display on the right side of the status bar.


Creating a Custom Color

To create a custom color you need to expand the Color selection menu to display the custom color controls. The expanded Color selection menu uses two color models that can be used to create custom colors. One model allows you to control the actual amount of red, green, and blue in the color that you are creating, while the other model allows you to control the hue, saturation, and luminosity of the color.

To create a custom color:

  1. From inside the Color selection menu, click on the custom color that you want to replace.

  2. Click on the Define Custom Colors button. BarTender will display the expanded Color selection menu.

  3. Enter the desired values into the edit boxes or drag the controls in the color chart and column until the desired color is displayed in the Color/Solid display box.

  4. Click on the Add to Custom Colors command button. The new color will replace the color that you specified in Step 1 and you can now select it in the same manner as any other color.

See Also:

Changing the Color of an Object


Modifying Groups of Objects

When a group containing different object types is selected in the label viewing area, and you click on the Selected Group option in the Modify menu, all of the property pages (except Data Source) for each object type in the group will be displayed. Since the data source for bar code and text objects must be modified one object at a time, the Data Source property page will not be displayed unless there is only one bar code or text object in the group. That bar code or text object must also be the master selected object (the handles on the master selected object in a group are solid rather than hollow).

For example, let's assume a bar code, a line, and a box are selected in the label viewing area (and the bar code is the master selected object). When the Selected Group option in the Modify menu is selected, the following tabs will be displayed at the top of the Modify Selected Objects tabbed dialog: Bar Code, Human Readable, Font, Data Source, Line, Box, and Position.

See Also:

Grouping Objects Together

Displaying the Properties for the Selected Object


Modifying Default Settings During a Label Formatting Session

Default Settings

Each time you execute the New command, you start a new label format and reset BarTender's menu options to their built-in default settings. However, once you start working on a new or existing label format, you can change the default settings for objects you will be creating using the Default Object option in the Modify menu. These modified default settings are available on a per label format basis and are saved in the label format for future use within that label format.


Overview of Reading Data from Databases

Reading Data From Databases

A database is a collection of information related to a particular subject or purpose, such as the type of information needed to print a label or bar code. Often data is read from an external data file (such as a database) to print a label or bar code. See the following topics to learn more about external data files and how BarTender uses them:

When to Read from External Data Files.

The Different Kinds of Databases from which BarTender Can Read.

How to Set up BarTender to Read Databases.


When to Read From External Data Files

The quickest way to print simple labels from BarTender is to use data that you type directly into the label format itself, using the Screen Data option. However, more complex label formats often require that some or all of the data to be printed be read in from a data source file, rather than be typed in at the keyboard. For example, in the following situations, the use of a separate data file is usually preferred.

  • When you have multiple labels to output and some of the data changes from label to label.

  • When you need to print labels using data from a database, spreadsheet, or other program.


The Different Kinds of Data Files

There are several categories of data files and sources:

  • OLE DB Data Source. OLE DB is a technology that enables Windows applications to obtain data from all major database and spreadsheet formats.

  • ODBC Data Sources. ODBC (Open Database Connectivity) is a technology with the same purpose as OLE DB, but it is older and can be used with fewer database types.

  • SAP R/3 Intermediate Document (IDoc) File. A SAP IDoc is a type of hierarchically organized text file that can be used to pass data from SAP R/3 systems to BarTender.

    •

  • Text Files. Delimited text files or fixed-width fields text files.

The above linked topics describe these data file types in more detail.


Understanding OLE DB

An OLE DB provider is a program that can retrieve information from a database and pass it to a requesting application like BarTender. Each type of database (e.g., Oracle, Microsoft Access, etc.) requires its own provider program. OLE DB technology is similar in its purposes to ODBC, but is newer and is compatible with a wider range of proprietary databases and data types.

A number of OLE DB providers are installed with Windows and others can be obtained from database manufacturers.

Note: To see what OLE DB data sources are available on your computer, create a plain text file and give it the extension ".udl". Double-click the file to open the Windows Data Link Properties dialog. Click the Providers tab to see the list of providers.


Understanding ODBC

ODBC stands for Open Data Base Connectivity. An ODBC data source is a set of configuration information that specifies at least the following:

  • An ODBC driver designed to read from a particular database format.

  • Depending on the database format, the name of either a directory or file containing one or more tables

  • A name for this set of information.

It is a capability that allows programs to read information from different data sources without having to understand specific details of the particular database format. This is done through the use of ODBC drivers. Because of the large number of available ODBC drivers, BarTender is able to read data from an enormous variety of data sources. These include every major database and spreadsheet format, as well as text files other than standard delimited text files or fixed-width fields text files.

Setting the Type option located on the Add Database Connection Wizard — Type dialog to "ODBC Data Source" allows BarTender to import data from any data source for which you have an ODBC driver. Although using a named ODBC data source does not require advanced knowledge of ODBC or the ODBC Administrator, understanding the basics of ODBC may make your work easier.

See Also:

Understanding ODBC Drivers

Selecting A Named ODBC Data Source

Understanding the ODBC Data Source Administrator

Setting Up ODBC Parameters Specific to the Data File Type


What SAP Is

What SAP R/3 Is

SAP™ R/3 (Systems, Applications, and Products in Data Processing) is an enterprise-scale, customizable, workflow program produced by SAP AG of Frankfurt, Germany. It is designed to automate all of the core processes in a large business including order processing, supply chain, inventory management, order fulfillment, and customer service, and it is used by medium and large businesses worldwide.

Crucial to SAP's success is its powerful integration features that enable disparate third-party programs and incompatible databases to exchange information with each other. BarTender uses one of these integration technologies, called Intermediate Documents (IDocs), to print data from any of your company's SAP-connected databases onto your labels.

SAP is a trademark of SAP Aktiengesellschaft.


Understanding IDocs

An IDoc (Intermediate Document) is a transactional message, in the form of a text file, sent from a SAP-connected program to other programs.

Most of an IDoc message consists of fields of data grouped into segments. The segments themselves have a hierarchical relation to each other.

Example: A physician's prescription of a drug for a hospital patient needs to get to the hospital's pharmacy. This could be done by means of an IDoc sent from a bedside program to a program in the pharmacy. Suppose the IDoc has a hierarchy of four levels of segments:

Patient Name: Johnson

Diagnosis: croup

Diagnosis: tibia fracture

Visit Type: admission

Drug: codeine

Drug: amidol

Visit Type: followup

Drug: naprosin

Level 1: Contains data that remains constant for years at a time, such as patient name and address.

Level 2: Contains data that remains constant through a given illness, but changes from illness-to-illness; such as primary physician and diagnosis. There can be more than one second level segment for a given patient.

Level 3: Contains data that remains constant through a particular visit to the hospital, but changes from visit-to-visit; such as visit type (admission or followup) and attending physician. A patient may have more than one hospital visit during an illness.

Level 4: Contains data that tends to change from prescription-to-prescription; such as prescribing physician, medicine, and dosage. More than one medicine may be ordered for a given patient on a given visit.

See Also:

IDoc Types and Segment Definitions

Converting IDoc Trees to Flat Records


IDoc Types and Segment Definitions

Since an IDoc is a message, both the sending and receiving programs must conform to a common convention about where, in a given IDoc, each piece of data will be found. To this end, SAP AG has defined several hundred IDoc types and a large number of segment types.

A sending program must construct an IDoc of a given type in accordance with these definitions and a receiving program, like this one, must conform to the definitions when parsing the IDoc. This means that identifying a parser file is one step in setting up BarTender to use data from IDocs.

IDoc types have names of six letters and two numerals. SHPMNT01 is an IDoc that embodies a message about shipments. SAP revises the definitions of IDocs from time-to-time, and the two numerals at the end of the name identify the revision.

Segment names may end in three digit version numbers. For example, E2KNA1M001 is a segment for the DEBMAS02 (customer masters) IDoc type.

SAP owners can create their own custom IDoc types and segment types.

Names of segments defined by SAP AG always begin with "E", while custom designed segment names always begin with "Z".


Parser Files

A parser file for an IDoc type contains the information BarTender needs to parse the IDocs; such as what segments can appear in it, which segments are repeatable, what data fields will appear in each segment, what order the fields will be in, and what length each field will have.

You associate a parser file with a particular IDoc type on the IDoc Type Definitions window.


Converting IDoc Hierarchical Data to Flat Records

Since data in a child segment is always associated with the data in its parent, any non-branching path through a tree in an IDoc, from a top node to a bottom node can be thought of as a record just like the records in a table-oriented database.

For example, consider the following data hierarchy, in which each segment has just one field for simplicity:

Patient Name: Johnson |  |  |
 | Diagnosis: croup |  |
 | Diagnosis: tibia fracture |  |
 |  | Visit Type: admission |
 |  |  | Drug: codeine
 |  |  | Drug: amidol
 |  | Visit Type: followup |
 |  |  | Drug: naprosin

Patient Johnson has been treated at different times for croup and a tibia fracture. (Details of the first illness are not depicted.) In the first hospital visit for the fracture the doctor prescribed codeine and amidol. In the second, the doctor ordered naprosin.

The path through the tibia fracture and the prescription for naprosin can be collapsed into a flat record like this:

Patient Name | Diagnosis | Visit | Drug
Johnson | tibia fracture | followup | naprosin

The two other complete paths could be collapsed into these records:

Patient Name | Diagnosis | Visit | Drug
Johnson | tibia fracture | admission | codeine
Johnson | tibia fracture | admission | amidol

When BarTender reads IDocs, it will collapse data trees into flat records. You will select the fields from these records that you need on your labels.

See Also:

Master Segment


Master Segment

You will not always need a label for every possible record that could be produced from the data hierarchy in an IDoc. BarTender can be configured at print time to select only some records, but some label formats that draw data from an IDoc will not need every possible record even in the typical case. BarTender uses the concept of the Master Segment to help you produce just the records you need from an IDoc.

The Master Segment is the segment whose data is the focus of interest with respect to your labeling needs. BarTender will produce one record for every segment in the IDoc that you designate as the Master Segment.

Consider the data tree shown in the Understanding IDocs help page. If the hospital needs a label for every drug prescribed, then it would set the Master Segment at the fourth level. This would cause BarTender to produce three records:

Patient Name | Diagnosis | Visit | Drug
Johnson | tibia fracture | admission | codeine
Johnson | tibia fracture | admission | amidol
Johnson | tibia fracture | followup | naprosin

Suppose the hospital keeps separate files for every patient visit and wants to generate labels to be used for file folders. Only one label is needed for each visit. So the Master Segment is set to the third level, and BarTender produces two records:

Patient Name | Diagnosis | Visit | Drug
Johnson | tibia fracture | admission | codeine amidol
Johnson | tibia fracture | followup | naprosin

In the first of these records, BarTender included the field Drug from the level below the Master Segment and concatenated all the data from segments at that lower level. (For more information, see Repeating Segment Rules window.)

Since BarTender will produce one record for every instance of the Master Segment, a rule of thumb for deciding what your Master Segment should be is:

In the typical run of labels built from this IDoc, I'll want one label for every _____________.

In the preceding example, if "visit" fills the blank, then the third level would probably be the best choice of Master Segment level, but if "prescribed drug" fills the blank, then the fourth level would probably be a better choice.


SAP IDoc Definition File

The SAP IDoc definition file is a list of the IDoc Types currently available to BarTender, and the default IDoc files, aliases, and parser files currently associated with each of the types.

Whenever you add, modify, or delete an IDoc type, you are modifying the SAP IDoc definition file.

When BarTender is installed it sets the definition file to <installation directory>\SAP\default.itd. You can switch to a different IDoc definition file by selecting Administrative Setup from the Tools menu and then using the Select button in the SAP IDoc Type Definition File section to browse to a new file.

You would change the SAP IDoc definition file when BarTender has been installed on an additional computer and you need it to use the same SAP IDoc definition file as the other computers running BarTender.

See Also:

Understanding IDocs

IDoc Types and Segment Definitions


Setting Up the Application to Read from Databases

Setting Up BarTender to Read from Databases

Setting up BarTender to read databases is accomplished using the Add Database Connection Wizard and tabbed dialogs contained within the Database Connection Setup dialog. The Add Database Connection Wizard is used to add databases. The tabbed dialogs are used to modify, browse, join, query, sort, create SQL statements, and create aliases for databases. All Database Tree View (located on the left-hand side of the Database Connection Setup dialog) gives the user access to all available databases, tables and fields for view, modification, queries and SQL statements. The Database Connection Setup dialog is accessed from the File menu, from the Database Connection Setup button [image], from the Modify Data Source tab, or from the Print dialog.


How to Start the Database Connection Setup Dialog

You can display the Database Connection Setup dialog using any of the following methods. (If you haven't previously setup a database, the Add Database Connection Wizard will open.)

From the File Menu or Main Toolbar

Click File on the main menu bar to access the File menu; then click on Database Connection Setup. Or click the Database Connection Setup button [image] on the Main toolbar.

From the Print Dialog

Click File on the main menu bar to access the File menu; then click on Print. From within the Print dialog, click on the Quantity tab, then click on the Database Connection Setup button.

From the Data Source Tab

When the Source option on the Data Source property page is set to "Database Field," the Database Connection Setup button will display. Click on this button to display the Database Connection Setup dialog.

From the Data Sources Pane of the Toolbox

Right-click the Database Fields group in the Data Sources pane of the Toolbox, and select Database Connection Setup from the drop-down menu.


Database Connection Setup Dialog

Show All Hide All

The Database Connection Setup dialog is used to setup one or more databases to be read from at print time. BarTender will read records from the databases and source the data into the appropriately configured objects on the label.

  • All Database Tree View. This is the leftmost area of the dialog that displays a hierarchical, tree-like, view of the databases, tables and fields.

  • Add. Adds a new database. Will display the Add Database Connection Wizard.

  • Remove. Removes a selected database or table.

Database Connection Setup Tabs

Tabs will appear based on the item that is selected in the All Database Tree. One or more of the following tabs will be shown:

  • Tables. Allows the user to view, add and remove tables from selected ODBC database.

  • Query. Specifies the criteria which records from the selected database must meet in order to be printed.

  • Sort. Sorts selected fields from the selected database.

  • SQL. Allows the user to write custom SQL statements for the selected ODBC or OLE DB data source.

  • Master Segment. Used to set the Master Segment for a SAP IDoc.

    •

  • Options. Specifies various options for the selected database.

  • Status. Displays the status of the item selected in the tree view.

  • Browse. View record data of the item selected in the tree view.


Add Database Connection Wizard

The Add Database Connection Wizard is used to setup databases from which that BarTender reads data when it is printing a label format. You can always add a database by clicking the Add button on the Database Connection Setup dialog. The pages that you see will vary depending on the configuration choices you make. When the wizard is finished, the Database Connection Setup dialog will be open.

See Also:

Database Connection Setup

Understanding ODBC

Understanding OLE DB


Add Database Connection Wizard - Type

Add Database Connection Wizard — Type

The Type dialog offers the following database choices.

  • Microsoft Access. A popular desktop relational database application that can be read by BarTender using an OLE DB provider. A provider is middleware that enables BarTender to read proprietary databases.

  • Microsoft Excel. A popular spreadsheet application that can be read by BarTender using an OLE DB provider.

  • Microsoft SQL Server. A popular server-based relational database application that can be read by BarTender using an OLE DB provider.

  • Oracle.

    • A popular server-based relational database application that can be read by BarTender using an OLE DB provider. This option will use the Microsoft's provider for Oracle. If you would prefer to use Oracle's provider, download it from Oracle's web site and select the Other Provider option before pressing Next.

  • General OLE DB Provider. Any database application for which there is an OLE DB provider.

  • Universal Data Link (UDL) File. An alternate means of BarTender's communication with an OLE DB provider.

    • Select this option if you want to use an OLE DB data source, but you want the connection information stored in a separate file rather than in the label format file. This is useful if you have other applications that will be accessing the very same OLE DB data source. All such applications can use the very same UDL file.

  • ODBC Data Source. Any database application that supports ODBC (Open Database Connectivity). ODBC is an older means by which BarTender can get access to a proprietary database. Many major types of databases are accessible through either ODBC or OLE DB technology. Click Next and you will select a particular ODBC database type on the next page of the wizard.

  • SAP Intermediate Document (IDoc) File. A specially structured text file that holds data from any source in a SAP R/3 system.

  • Text File. This category includes delimited text files and text files with fixed-width fields.

  • IBM Informix. This option will only be visible if the IBM Informix OLE DB Provider is available on your system.

See Also:

Understanding OLE DB

Understanding ODBC

Understanding SAP IDocs

Understanding Text File Data


Add Database Connection Wizard - Select Access

Add Database Connection Wizard — Select Access Data Source

Use this dialog to select an Access or Excel data source. There are two ways to do this.

  • Method 1: Enter the needed information directly in this dialog:

    • Filename. Enter the database name in the box or browse to it.

    • Username and Password. If the database requires a login, type the username and password in these boxes.

    • Save User Name and Password to Format. This option cannot be turned off. It saves the user ID and password with the label format.

    • Test Connection. Click this button to verify that BarTender will be able to access the database.

  • Method 2: Click the Advanced button to open a Windows Data Link Properties dialog where you will enter the database and security information. Click the Help button on that dialog for details.

See Also:

Understanding OLE DB


Add Database Connection Wizard - Select Excel

Add Database Connection Wizard — Select Excel Data Source

Use this dialog to select an Excel data source. There are two ways to do this.

  • Method 1: Enter the needed information directly in this dialog:

    • Filename. Enter the database name in the box or browse to it.

    • Test Connection. Click this button to verify that BarTender will be able to access the database.

  • Method 2: Click the Advanced button to open a Windows Data Link Properties dialog where you will enter the database and security information. Click the Help button on that dialog for details.

See Also:

Understanding OLE DB


Add Database Connection Wizard - Select MS SQL Server

Add Database Connection Wizard — Select MS SQL Server Data Source

Use this dialog to select a Microsoft SQL Server data source. There are two ways to do this.

  • Method 1: Enter the needed information directly in this dialog:

    • Server. Type the server name.

    • Database. Type the database name.

    • Use Windows NT Integrated Security. Enable this option and BarTender will be able to access the database as long as the current user on the machine running BarTender has access to the server and database.

    • Use a Specific User Name and Password. Select this to enable the User Name and Password text boxes.

    • Username and Password. If you want BarTender to login to the database, enter the username and password in these boxes.

    • Save User Name and Password to Format. Checking this option saves the user ID and password with the label format.

    • Test Connection. Click this button to verify that BarTender will be able to access the database.

  • Method 2: Click the Setup button to open a Windows Data Link Properties dialog where you will enter the database and security information. Click the Help button on that dialog for details.

See Also:

Understanding OLE DB


Add Database Connection Wizard - Select Oracle

Add Database Connection Wizard — Select Oracle Data Source

Use this dialog to select a Oracle data source. There are two ways to do this.

  • Method 1: Enter the needed information directly in this dialog:

    • Server. Type the server name.

    • Use Windows NT Integrated Security. Enable this option and BarTender will be able to access the database as long as the current user on the machine running BarTender has access to the server and database.

    • Use a Specific User Name and Password. Select this to enable the User Name and Password text boxes.

    • Username and Password. If you want BarTender to login to the database, enter the username and password in these boxes.

    • Save User Name and Password to Format. Checking this option saves the user ID and password with the label format.

    • Test Connection. Click this button to verify that BarTender will be able to access the database.

  • Method 2: Click the Advanced button to open a Windows Data Link Properties dialog where you will enter the database and security information. Click the Help button on that dialog for details.

See Also:

Understanding OLE DB


Add Database Connection Wizard - Select General OLE DB Provider

Add Database Connection Wizard — Select General OLE DB Data Source

Use this dialog to select an OLE DB data source.

  • Provider. Select the OLE DB provider from the list.

  • Connection Setup. Click this button to open the Windows Data Link Properties dialog where you will enter the database and security information. Click the Help button on that dialog for details.

  • Test Connection. Click this button to verify that BarTender will be able to access the database.

See Also:

Understanding OLE DB


Add Database Connection Wizard - UDL File

Add Database Connection Wizard — UDL File

Use this page of the wizard to select or create a UDL (Universal Data Link) file to store information BarTender needs to connect to the OLE DB data source.

  • UDL filename. Enter the path and name of the UDL file in the box or browse to it.

  • New. Click this button to create a new UDL file. It will open a Windows Data Link Properties dialog where you will select the provider and configure the database and security information. Click the Help button on that dialog for details. When you click OK, a Windows Save As dialog will open enabling you to save the UDL file.

  • Edit. After a UDL file is entered in the box, click this button to edit the file. It will open a Windows Data Link Properties dialog where you will configure the database and security information. Click the Help button on that dialog for details.

See Also:

Understanding OLE DB


Add Database Connection Wizard - ODBC Data Source

Add Database Connection Wizard — Select ODBC Data Source

Use this dialog to select, or create, an ODBC data source. See also these step-by-step instructions for selecting an ODBC data source.

  • Type. Select one of three types of existing data sources:

    • User Data Source. A local database that is accessible only to the currently logged in user.

    • System Data Source. A local database that is accessible to anyone on the network who has the needed privileges.

    • File Data Source. A database anywhere on the network.

  • Data Sources list or Enter the DSN file name text box. If you selected User or System Data Source as the type, then a Data Sources list is visible. Click the the desired existing database. If you selected File Data Source as the type, then an Enter the DSN file name text box appears. Enter the path and filename of the data source or browse to it after clicking the Select File button.

  • ODBC Administrator. Click this button to open the ODBC Administrator where you can create a new data source or modify an existing one.

  • Table Types. Click this to open the Table Types dialog where you can specify which kind of table types will be available.

Once an ODBC data source has been properly selected or created, individual databases can be accessed by specifying the data source name rather than a database file or location.

See Also:

Setting Up ODBC Parameters Specific to the Data File Type

Understanding ODBC


Selecting a Named ODBC Data Source

If you have already created a named ODBC data source, you can select it as follows:

  1. Select the Database Connection Setup option from the File menu. This will display the Database Connection Setup dialog. If you have not previously specified a database for the label format, the Add Database Connection Wizard — First Page will also display.

  2. To display the Add Database Connection Wizard — First Page, click the Add button found on the Database Connection Setup dialog.

  3. From the Add Database Connection Wizard — First Page, click Next>.

  4. From the Add Database Connection Wizard — Type dialog, select "ODBC Data Source." Then click Next>.

  5. From Add Database Connection Wizard — Select Data Source, select one of the three types of ODBC data sources from the Type drop down list.

If you choose File Data Source, click the Select File button and browse to the DSN file.

If you chose either User Data Source or System Data Source, select an available database from the Data Sources list.

Then click Next>.

  6. From Add Database Connection Wizard — Select Tables, specify the available tables you want to use. Then click Next>.

  7. If you select more than one table, then the tables will need to be joined via the Add Database Connection Wizard — Create join tables page.

  8. Once you have selected tables and made joins, click Finish.


Understanding the ODBC Data Source Administrator

From the ODBC Data Source Administrator dialog, you can: add, modify, or remove ODBC User data sources; specify data source file locations; specify OBDC drivers; create logs of the calls to ODBC drivers for tracing bugs; and employ connection pooling via the corresponding tabs.

  • User DSN. Stores Data Source Name and Driver information. Existing User data sources will appear in the User Data Sources list box

  • System DSN. Adds, deletes, or sets up data sources with system DSNs. These data sources are local to a computer, rather than dedicated to a user. The system, or any user having privileges, can use a data source set up with a system DSN.

  • File DSN. Adds, deletes, or sets up data sources with file DSNs. These are file-based data sources that can be shared among all users that have the same drivers installed, so they have access to the database. These data sources need not be dedicated to a user or local to a computer.

  • Drivers. Displays information about the installed ODBC drivers. The ODBC Drivers list shows you which drivers are already installed on your computer.

  • Tracing. Enables you to specify how the ODBC Driver Manager traces calls to ODBC functions. The Driver Manager can trace calls continuously, or for one connection only; can perform tracing dynamically; or can allow tracing to be performed by a custom trace DLL.

  • Connection Pooling. Allows you to alter the connection retry wait time and connection timeout period for a selected driver when using connection pooling. It also allows you to enable and disable Performance Monitoring, which records a number of connection statistics.

  • About. Provides version information about the ODBC Administrator components.

See Also:

Setting Up ODBC Parameters Specific to the Data

Selecting a Named ODBC Data Source

Modifying an Existing Named ODBC Data Source


Database Connection Setup - Join Tables

Database Connection Setup — Join Tab

The Join tab is where associations between fields in one table and fields of the same data type in another table are created (within the same database). A join tells BarTender how data is related.

  • Left Table. From this drop down menu, select the table(s) you would like to specify.

  • Left Field. From this drop drown menu, select the field(s) from the Left Table(s) that you would like to specify.

  • Operator. From this drop down menu, select an operator that defines the association between the field(s) in the left table to the field(s) in the right table.

  • Right Table. From this drop down menu, select the table(s) that are to be associated with those specified in the Left Table.

  • Right Field. From this drop down menu, select the field(s) that are to be associated with those specified in the Left Field.

  • Join Type. Reminds you of the type of join. All joins in BarTender are inner joins. This means that BarTender will use only records for which the data in the left field and right fields are exact matches in both content and datatype.

When the dialog first opens, BarTender makes a best guess about what table and field names should go into the various cells of this tab's grid. If you make changes and then decide you want to revert to BarTender's original guess, click the Generate Join Table button.

Note: Joins of tables from different databases are made on the Multiple Database Joins tab of the Database Connection Setup dialog. To make this tab visible, highlight All Databases at the top of the tree view in the dialog.


Add Database Connection Wizard for IDocs

The Add Database Connection Wizard takes you through the process of adding a SAP IDoc database to the pool of databases available to BarTender.

  1. On the Add Database Connection Wizard — Type window, select the radio button SAP R/3 Intermediate Document (IDoc) File, and then click Next>.

  2. On the Add Database Connection Wizard — Options window, select an IDoc type and an IDoc file from which to draw data for your labels. If necessary, add, modify, or remove IDoc types. When you are finished, click Next>.

  3. On the Add Database Connection Wizard — Master Segment window, select the Master Segment and click Next>.

  4. On the Add Database Connection Wizard — Fields window, select the fields on the IDoc from which you want to draw data. If you pick any fields on repeating segments, set the repeating segment rules for each such field.

  5. Click Finish.

The database addition process is now complete and you will be returned to the Database Connection Setup window. In the tree view of databases available to BarTender, there is now a child, called SAP Database, under All Databases.

See Also:

Understanding IDocs


Options Tab for IDocs

Database Connection Setup Options Tab for IDocs

Use this window to identify the IDoc type and a particular IDoc file.

Select an IDoc Type Definition

  • Name drop down list. Used to select the IDoc type you will be using.

  • Add/Remove. Used to add, modify, and remove IDoc type definitions.

IDoc File (Optional)

  • Name text box. Use this box to specify a particular IDoc file from which BarTender is to draw data. (IDoc files are obtained from your SAP system.)

Note: If the IDoc type you selected has a default file associated with it, then that file will already be listed in the IDoc File text box. You may change it.

  • Browse. Used to browse for IDoc files.

See Also:

Understanding IDocs

Master Segment


IDoc Type Definition Window

Use this window to make an additional IDoc Type Definition available to BarTender and to modify how BarTender works with an IDoc type.

The window has these elements:

  • Name text box. Used to set the name by which the IDoc type will be known in BarTender.

  • Select Parser File button. Used to browse to a parser file. (Parser files are obtained from your SAP system.)

  • IDoc Type field. Identifies the IDoc type(s) about which the parser file contains information.

Note: If the parser file contains parse information about more than one type of IDoc, then the IDoc Type field in the middle of the window will contain a drop down list of all the types that the parser can parse. Be sure the correct type is selected.

  • Segment Release drop down list. Used to set the IDoc version. You should choose the version number that matches the version of the parser file, or select the top option on the list <Fetch from Default IDoc File>.

  • File text box. Used to set or change the default IDoc file associated with the IDoc type. The file you choose will appear in the IDoc File text box on the Add Database Connection Wizard — Options Window for IDocs and the Database Connection Setup Options Tab for IDocs.

See Also:

Understanding IDocs

Parser Files


Master Tab

Database Connection Setup — Master Segment Tab

Use this tab to select the Master Segment, which identifies for BarTender the focus of interest in the IDoc data and how many flat records it should make from the IDoc file. In general one label per record will be generated.

Click a segment to make it the Master Segment.

See Also:

Understanding IDocs

IDoc Types and Segment Definitions

Converting IDoc Hierarchical Data to Flat Records


Fields Tab for IDocs

Use this screen to specify the particular fields of the IDoc from which you want to draw data for your labels.

  • Segment. Used to select segments containing fields from which you want to draw data.

  • Field. Used to select fields from which you want to draw data. Or use the Add Fields button for selecting many fields.

  • Alias. Used to set the names by which you want the fields known in BarTender. The default is to use the same entry as in the Field column.

  • Data Type. Used to set the data type of each field. The default is Character string.

  • Repeating Segment Rules. If this reads "First Segment Only", the segment is repeatable; so the segment can appear multiple times under the same parent segment. You must decide on rules for how to treat each field on a repeatable segment. Click the cell, and then click the button that appears in the cell to open the Repeating Segment Rules window and use it to set the rule for the field.

Note: If, at any time, you want to delete some of the fields you have selected, click the Remove Fields button, highlight a field and click OK.

See Also:

Understanding IDocs

IDoc Types and Segment Definitions

Converting IDoc Hierarchical Data to Flat Records


Add Fields Window

Use this window to select a large number of fields from an IDoc. Click on each segment/field pair that you wish to add. Click OK when finished.


Remove Fields Window

Use this window to select fields to be removed. Click on each field you wish to delete. To select them all, click the Select All button. Click OK when finished.


Repeating Segment Rules … Window

Use this window to determine the rules and conditions by which BarTender will draw data from fields for repeatable segments, which are segments that can appear multiple times under the same parent segment.

These are the ways that BarTender can draw data from a selected field of a repeatable segment:

True-or-False Conditions

Use the statement editor to create true-or-false statements if you want BarTender to draw data from the field only if certain conditions are met by the data in the IDoc. You can also compound two or more such statements using the Boolean operators "And" and "Or". For instructions see the Query Tab.

Use First Segment Only

Select this if you want data from the field only where it appears on the first occurrence of the segment that meets the rule.

Concatenate

Select this if you want data from field on every occurrence of the segment that meets the rule. The data will be concatenated into a single field on the flat record that BarTender creates.

Concatenate with Spaces

Select this if you want data from field on every occurrence of the segment that meets the rule. The data will be concatenated with spaces into a single field on the flat record that BarTender creates.

See Also:

Understanding IDocs

Converting IDoc Hierarchical Data to Flat Records

Query Tab


Text File

Text Files

All text files containing label data need to have some way for BarTender to tell which field belongs to an object on the label and which field belongs to another. This is done using delimitation or data fields of fixed width. Delimitation refers to the use of special characters to separate the fields in the data file. There are six types of text files currently supported by BarTender:

For more information, click on the desired type.

  • Mixed Quote and Comma

  • Quote and Comma

  • Comma

  • Tab

  • User Defined Delimiter

  • Fixed Width

The default text file delimitation method is "Mixed Quote and Comma." This is a mixture of quote and comma delimitation and is the most common type of delimitation used when exporting data from a database or spreadsheet to a text file. This default setting works with most delimited text files, because it supports both quote and comma delimited files and straight comma delimited files. However, when you do need to select an alternative delimitation method, simply click the Setup button and change the delimitation method as required.

See Also:

Delimiting Text Files


Add Database Connection Wizard - (Text) File

Add Database Connection Wizard — (Text) File

Specify the path of a text file, and its character set, using the Add Database Connection Wizard — File dialog.

File Location

There are two methods of specifying an existing text file.

Method 1

  1. Type the path of the text file to read from into the Text File Name field.

  2. Click Next>.

OR

Method 2

  1. Click the Select File button. This will display the Specify Text File dialog.

  2. From the Specify Text File dialog, locate and select the text file using the Look in drop down file menu.

  3. Having located and selected the text file, click Open. This will return you to the Add Database Connection Wizard — File dialog.

  4. From the Add Database Connection Wizard — File dialog, click Next>.

View File Button. Once a Text file has been specified, you may display the file in your default text editor by clicking the View File button.

Since BarTender's default extension for text files is .txt, we recommend that you use the .txt extension when naming your text files. If you do so, you will not have to specify the extension each time you request a text file in BarTender.

Encoding

Specify the file's character set in the drop down list provided, if it is different from the default. For example, you might need to do this if you are using a language other than the default for your version of Windows. Your options are

  • Unicode

  • Unicode (Big Endian)

  • UTF-8

  • Use Windows Settings

  • Arabic (1256)

  • Baltic (1257)

  • Central Europe (1250)

  • Chinese Simplified (GB-2312, 936)

  • Chinese Traditional (Korea, Big 5, 950)

  • Cyrillic (1251)

  • Greek (1253)

  • Hebrew (1255)

  • Japanese (SHIFT-JIS, 932)

  • Korean (Hangul, 949)

  • Korean (Johab, 1361)

  • Thai (874)

  • Turkish (1254)

  • US, Western Europe (ANSI, 1252)

  • Vietnam (1258)

Once you have specified a text file and its character set, you are ready to move to the Add Database Connection Wizard — Delimitation dialog by clicking Next>.

See Also:

Delimited Text


Add Database Connection Wizard - Delimitation

Add Database Connection Wizard — Delimitation

Delimitation Type. From this field, you can choose one of six different types of text file delimitation. BarTender reads the text file and automatically defaults to the most likely delimitation method. Click View File to look at a selected file via your default text editor.

For more information, click on the desired type.

  • Mixed Quote and Comma. Used with comma delimitation and quote and comma delimitation.

  • Quote and Comma Delimitation. Used when individual fields are separated by quotes and commas.

  • Comma Delimitation. Used when individual fields are separated by commas.

  • Tab Delimitation. Used when individual fields are separated by a tab.

  • User Defined Delimiter. Used when individual fields are separated by a character that is user defined.

  • Fixed Width. Used when there is no delimiter character but the width of each field has a fixed length.

Field Delimiter. Specifies the character that will separate the fields of data.

Once you have selected the delimitation type, then click Next> which will display the Add Database Connection Wizard — Fields dialog (or the Add Database Connection Wizard — Fixed Width dialog).

See Also:

Generating Data Files Using dBASE.


Delimited text

Delimitation is the use of special characters to separate the fields in a text file from each other.


Comma Delimitation

In a comma delimited text file, the individual fields are separated by commas. An example of a comma delimited file would look like this:

0543166,Oranges,Perishable

17890,Flower Pots,Breakable

1203768,Apples,Perishable

1029384,Bananas,Perishable

Since there are four lines in the file, four different labels with three fields of data on each label would be printed.

There is a space in the second field of the second line between the word "Flower" and the word "Pots." Comma delimitation recognizes spaces as long as they are embedded in between the data characters in a field. However, when the data for an individual field includes "leading" or "trailing" spaces that you wish to print, you must use quote and comma delimitation. Comma delimitation will automatically strip all leading and trailing spaces.

See Also:

Generating Data Files Using dBASE

Quote and Comma Delimitation

Tab Delimitation

Mixed Quote and Comma

Fixed Width


Mixed Quote and Comma

This is the default setting for BarTender because it works with both comma-delimited and quote-and-comma-delimited files. In a standard delimited dBASE text file, numeric fields are normally delimited by commas, while character string fields are delimited by double quotation marks and commas. Assuming that the first field of each line is a numeric field in your dBASE program, the data saved to the file would look like this:

0543166,"Oranges","Perishable"

17890,"Flower Pots","Breakable"

1203768,"Apples","Perishable"

1029384,"Bananas","Perishable"

Since there are four lines in the file, four different labels with three fields of data on each label would be printed.

See Also:

Generating Data Files Using dBASE

Quote and Comma Delimitation

Comma Delimitation

Tab Delimitation

Fixed Width


Quote and Comma Delimitation

In a quote and comma delimited text file, the individual fields are separated by quotes and commas. An example of a quote and comma delimited file follows:

"0543166","Oranges","Perishable"

"17890","Flower Pots","Breakable"

"1203768","Apples","Perishable"

"1029384","Bananas","Perishable"

Since there are four lines in the file, four different labels will be printed. Note that each line of the file contains three fields of data for each label. Each field has quotes around it and is separated from the others by a comma. For example, the first label contains an identification number of 0543166. This number would most likely be printed as a bar code. The text fields "Oranges" and "Perishable" would also appear on the same label. Almost all database, spreadsheet, and word processing software can create data files in this format.

See Also:

Generating Data Files Using dBASE

Comma Delimitation

Tab Delimitation

Mixed Quote and Comma

Fixed Width


Tab Delimitation

Tab delimitation uses a tab character to separate between fields. An example of a tab delimited file follows:

0543166 | Oranges | Perishable
17890 | Flower Pots | Breakable
1203768 | Apples | Perishable
1029384 | Bananas | Perishable

Since there are four lines in the file, four different labels with three fields of data on each label would be printed.

See Also:

Generating Data Files Using dBASE

Quote and Comma Delimitation

Comma Delimitation

Mixed Quote and Comma

Fixed Width


Fixed-Width Fields

A text file with fixed-width fields is one in which each field in a record begins at a fixed number of character positions from the beginning of the record. Because of this, there is no need to separate fields from each other with any delimiting characters.

The following is an example of records with fixed-width fields. The first field in each record has eight character positions, the second has ten, and the third has ten. Notice that in the second record, no delimiting character separates "Cantaloupe" from "Perishable". None is needed, because your label format can be set up to always treat the 19th character as the beginning of the third field.

0543166 Oranges Perishable

17890 CantaloupePerishable

1203768 Apples Perishable

1029384 Bananas Perishable

See Also:

Generating Data Files Using dBASE

Comma Delimitation

Tab Delimitation

Mixed Quote and Comma

Quote and Comma Delimitation


User Defined Delimiter

It is possible for the user to use any desired single character delimiter to separate information on a single line. An example of a user defined delimiter file that uses a colon for the Field Delimiter follows:

0543166:Oranges:Perishable

17890:Flower Pots:Breakable

1203768:Apples:Perishable

1029384:Bananas:Perishable

Since there are four lines in the file, four different labels with three fields of data on each label would be printed.


Add Database Connection Wizard - Fixed Width

Add Database Connection Wizard — Fixed Width

The Add Database Connection Wizard — Fixed Width dialog is where the user tells BarTender the number of fields in the text file and the width of each of them.

To add a new field, click Insert.

To delete a field, highlight it and click Delete.

To specify the width of a field, type the number into the appropriate cell of the Width column.

To view the file, click View File.

Click Next> and the Add Database Connection Wizard — Fields dialog will open.

See Also:

Fixed Width


Add Database Connection Wizard - Fields

Add Database Connection Wizard — Fields

The Add Database Connection Wizard — Fields dialog is where the user is asked if the first record of the text file is a "header" that contains the name of the fields. If you are not certain, you can view the text by selecting the View File button. Once you have answered Yes or No, then click Finish. This action will complete the Database Connection Setup dialog. For example:

Record 1 "ID","TITLE","(Rating)","TYPE"

Record 2 "V124","RAMBO","(R — Restricted)","VHS"

Record 3 "V037","DUMBO","(G — General Audiences)","BETA"

Record 4 "V061","GUNGHO","(PG13 — No One Under 13)","VHS"

The first record of the above text file is a "header" that contains the name of the fields.


Database Connection Setup - Browse

Browse Tab

The Browse tab, accessed from the Database Connection Setup dialog, allows you to view data fields and records of the item selected in the All Databases Tree View. By viewing the records before printing your labels, you can verify that any query or other record selection information has been properly specified.

The Browse dialog performs the following functions:

  • Table View of Record. Displays the appropriate fields and selected records for the item that is selected in the All Databases Tree View.

  • Record. Allows viewing by record number.

  • Show All Fields. Checking this option displays all fields, regardless of whether or not they are used on the label. Unchecking this option displays only fields that are to be used on the label.

  • Refresh Button. Will refresh the grid and will display any existing query prompts.


Database Connection Setup - Select Tables

Select Tables Tab

The Tables tab, found on the Database Connection Setup dialog, allows the user to view, add and remove available tables.

  • Available Tables list or Enter Table Name text box.

If Enter Table Names by Hand Only on the Table Types dialog is not enabled (default), then you will see a list of all available tables. If Enter Table Names by Hand Only has been enabled, then you will see the Enter Table Name text box.

  • Tables to Use. View of all tables to be used.

  • Add. Select a table to be used from Available Tables, or type its name into the Enter Table Name text box, then click Add. This will display the table in Tables to Use.

  • Add All. Adds all tables from the Available Tables list to Tables to Use.

  • Remove. Removes the selected table from Tables to Use.

  • Remove All. Removes all tables in Tables to Use.

  • Table Types. Used to select the types of tables that are to be read from the data source.

See Also:

Database Connection Setup


Database Connection Setup - Query

Query Tab

Queries are used to specify search criteria that will determine which records are printed. Multiple fields can be included in the search criteria. Arbitrary relationships and comparisons may also be set up between the fields. The settings in the Query tab will be used to automatically generate an SQL select statement. BarTender also allows the advanced user to create his or her own custom SQL select statement using the SQL tab.

Building a Query Statement

Simply select from the drop-down list boxes of field names and comparison criteria. Where appropriate, you may also need to type in comparison values. Although a SQL Select Statement will be built for you "behind the scenes," you are isolated from these details by the simplicity of the Query dialog.

When you first enter the Query dialog, a single line containing several blank data fill-in areas will be displayed. Clicking on a column title button (i.e. Fields, Operator, Criteria, And/Or, and the buttons that display "(" or "),") displays a drop down selection menu.

  • . Specifies operator precedence when multiple Queries are defined.

  • Fields. Specifies the field that will be used to determine if a record should print.

  • Operators. Selects the operator that describes the desired relationship between the Field and the Criteria.

  • Criteria. A limiting factor which specifies what to compare the field's value with. It can either be a constant value that you type in or select from the list of existing values. For example, if you want to search for a particular part number, you could type its value into the field or select it from the list. A Query Prompt allows you to assign a value at print time.

  • . Specifies operator precedence when multiple Queries are defined.

  • And/Or.

  • And. Performs a logical conjunction on two queries.

  • Or. Performs a logical disjunction on two queries.

  • End. Ends a query statement.

Below the query construction area are these options:

  • Delete All Button. Click this to delete all of your queries.

  • Query Prompts. Click to open the Query Prompts dialog to create a prompt that will:

    • open at print time, and

    • ask the user to specify the parameters needed carry out a query. This is useful when some parameters needed to construct the query are not known at database setup time, but are known at print-time.

  • Ignore Case. Turn this option on if you do not want your queries interpreted in a case-sensitive manner.

See Also:

Understanding ODBC

Understanding OLE DB

Database Connection Setup Dialog

Database Connection Setup — SQL

Understanding Query Prompting


Understanding Database Indexes

Indexes contain sorted information from database tables. Without indexes, finding specific records requires a "linear search." In a linear search, a search starts with the first record and continues through the entire table to the last record. Depending upon the number of records in a table, a linear search can be very time consuming.

The use of indexes allows for faster searching for specific data and for the reading of database records according to one or more preferred ordering sequences. For example, to make it faster and easier to find customers, a vendor might create and maintain one or more indexes in order to sort a customer table by last name, company name, and phone number. Once these indexes have been created, the user's database program (and BarTender) can search for and quickly find the desired customer records.

Properly specifying which database indexes to use can be critical when performing the Search on Field, Query, or SQL options with BarTender. These functions look through your database for records that meet specific search criteria. Accordingly, it is important to understand when ODBC will and won’t automatically use indexes, as this can greatly affect the performance of your search or query.

For more information, see Specifying Which Records To Print.

See Also:

Specifying Which Index File(s) to Use

Understanding ODBC


Database Connection Setup - Query Prompts

Query Prompts Dialog

Show All Hide All

A query prompt allows you to fill in the criteria for the query at print time. For example, if you want to be able to search for a particular part number that you type in at print time, you would use the Query dialog to select the part number field from the database, specify the equality operator, and set the criteria to a Query Prompt. Then every time you print, you will be asked to type in the part number, and only records that match that part number will be printed.

Query Prompt List

This list displays available query prompts. Under the list are these buttons:

Button | Purpose
 | New Query Prompt. Inserts a new query prompt into the list.
 | Delete Query Prompt. Deletes the selected query prompt.
 | Cut Query Prompt. Deletes the selected query prompt but places a copy of the prompt into BarTender's clipboard.
 | Copy Query Prompt. Copies the selected query prompt into BarTender's clipboard.
 | Paste Query Prompt. Pastes a copy of the query prompt currently in the clipboard into the list.
 | Move Query Prompt Up. Moves the selected query prompt up one position in the list.
 | Move Query Prompt Down. Moves the selected query prompt down one position in the list.

Note: Each of these commands can also be accessed by right-clicking anywhere in the list.

Query Prompt Options

  • Name. Use this field to define or modify the name of a Query Prompt.

  • Print-time User Prompt. Enter the text that will be displayed at print time, prompting the user to enter the desired value.

  • Default Reply. The Default Reply is text which displays at print time in a reply box on the Query Prompt dialog.

Reply Options

  • Update Default Reply After Print. Used to specify that the last reply entered in response to a query prompt will be displayed as the new default reply.

  • Treat Carriage Return as a Tab. Used to specify that the cursor will move to the next reply box when the ENTER key is pressed.

  • Skip Data Entry Box When Tabbing. Used to specify that a reply box will automatically be skipped when entering data in response to a prompt.

  • Read Only. Used to specify that the default reply is for display purposes only and cannot be edited.

  • More Options. Displays the More Query Prompt Options dialog.

See for More Data Source Options:

Validation

Truncation

Minimum

Maximum


Database Connection Setup - Sort

Sort Tab

The Sort tab, found on the Database Connection Setup dialog, is used to specify the order in which records will print when reading from ODBC or OLE DB data.

  • Available Fields. The list of fields available for sorting.

  • Sort Fields. List of fields by which to sort.

  • Sort Direction. Defines the sort order direction: Ascending or Descending.

  • Add. Select a field to be used from Available Fields, then click Add. This will display the selected field in Sort Fields. (You can only select one at a time.)

  • Remove. Removes the selected field from Sort Fields to Available Fields.

  • Remove All. Removes all fields in Sort Fields to Available Fields.

See Also:

Database Connection Setup

Understanding ODBC

Understanding OLE DB


Database Connection Setup (All Databases) Multi-Database Joins

Multi-Database Joins Tab

From this tab, on the Database Connection Setup dialog, you join multiple databases (not multiple tables within a database). To make the tab visible, highlight All Databases at the top of the tree view in the dialog. A join tells BarTender how data is related. Multi-Database joins should be thought of as super tables. In order to make sense of multiple databases, they must be associated.

  • Left Table. Specifies the desired left table.

  • Left Field. Specifies the field in the Left Table to use in the join.

  • Operator. Specifies an operator that defines the relationship between the field in the left table and the field in the right table.

  • Right Table. Specifies the desired right table.

  • Right Field. Specifies the field in the Right Table to use in the join.

  • Join Type. Reminds you of the type of join. All joins in BarTender are inner joins. This means that BarTender will use only records for which the data in the left field and right fields are exact matches in both content and datatype.

Note: Joins of tables within a given database are made on either the Create join tables page of the Add Database Connection Wizard or the Join tab of the Database Connection Setup dialog.


Database Connection Setup - SQL

SQL Tab

SQL stands for Structured Query Language and is a language for manipulating databases. The Query, Tables, and Sort tabs work together to automatically generate an SQL statement based on the user's settings. The Use Custom SQL Statement option is intended for use by more advanced users that know how to create their own SQL statements and do not wish to be encumbered by a front-end tool, such as the Query dialog.

Important: Although this help topic summarizes the use of BarTender's SQL tab, it is not intended to teach you SQL. SQL is an advanced programming tool used by database programmers. If you do not know what SQL is, use the Query, Tables, and Sort tabs instead. If you decide that you want to learn SQL from scratch, we recommend that you purchase a book on programming with SQL.

  • Use Custom SQL Statement. Click this box to activate the large text box and enter a SQL statement in it.

  • Query Prompts button. Opens the Query Prompts window.

See Also:

Specifying Which Records To Print

Understanding ODBC

Understanding OLE DB


Database Connection Setup - OLE DB Options

Database Connection Setup — OLE DB Options

The Options tab is accessed via the Database Connection Setup (OLE DB) dialog.

The tab will identify the data source and the connection to it. For an SQL Server and Oracle, the server and database names are identified. For Microsoft Access or Excel, or a UDL file, the path and filename of the database are identified. For other types of OLE DB sources, the name of the OLE DB provider is listed.

  • Setup. (Not present if the source is a UDL file.) This button opens a Windows Data Link Properties dialog where you can make changes to the connection to the OLE DB data source. Click Help on that dialog for details.

Note: If the source is a UDL file, you will also have these options available:

  • New. Click this button to create a new UDL file. It will open a Windows Data Link Properties dialog where you will select the provider and configure the database and security information. Click the Help button on that dialog for details. When you click OK, a Windows Save As dialog will open enabling you to save the UDL file.

  • Edit. Click this button to edit the file. It will open a Windows Data Link Properties dialog where you will configure the database and security information. Click the Help button on that dialog for details.

  • Browse. Use this to navigate to an existing UDL file.

  • Allow Duplicates. Check this option box if you want to enable the printing of duplicate records.

  • Save User ID and Password to Format. Checking this option saves the user ID and password with the label format. (This option is disabled for OLE DB data sources that do not have a user ID or password.)

  • OLE DB Messages. Click this to open the Error Messages dialog where you specify which messages you want to receive and which you want to suppress.

See Also:

Understanding OLE DB


Database Connection Setup - ODBC Options

Database Connection Setup — ODBC Options

The Options tab is accessed via the Database Connection Setup (ODBC) dialog.

  • Allow Duplicates. Check this option box if you want to enable the printing of duplicate records.

  • Save User ID and Password to Format. Checking this option saves the user ID and password with the label format.

  • Setup. Opens a setup dialog specific to the type of ODBC database. For example, Microsoft Access or Microsoft Excel.

  • ODBC Administrator. Opens the ODBC Administrator.

  • ODBC Messages. Open the Error Messages dialog where you specify which messages you want to receive and which you want to suppress.

See Also:

Understanding ODBC


Database Connection Setup - Options

Database Connection Setup — Text File Options

Show All Hide All

The Options tab is accessed via the Database Connection Setup dialog when a Text File database is selected in the All Databases Tree view.

File

  • Text File Name. Type the name and path of the desired text file database.

  • Select File. This displays the Specify Data File dialog that assists you in finding the text file.

  • View File. Displays the Text File via your default text editor.

  • Encoding. Select the character set of the text file if it is different from the default. For example, you might need to do this if you are using a language other than the default for your version of Windows. Your options are

  • Unicode

  • Unicode (Big Endian)

  • UTF-8

  • Use Windows Settings

  • Arabic (1256)

  • Baltic (1257)

  • Central Europe (1250)

  • Chinese Simplified (GB-2312, 936)

  • Chinese Traditional (Korea, Big 5, 950)

  • Cyrillic (1251)

  • Greek (1253)

  • Hebrew (1255)

  • Japanese (SHIFT-JIS, 932)

  • Korean (Hangul, 949)

  • Korean (Johab, 1361)

  • Thai (874)

  • Turkish (1254)

  • US, Western Europe (ANSI, 1252)

  • Vietnam (1258)

Delimitation Type

From this field, you can choose the one of five different types of text file delimitation (or choose fixed-width fields). BarTender automatically defaults to the most likely delimitation method. For more information, click on the desired type.

  • Mixed Quote and Comma. Used with comma delimitation and quote and comma delimitation.

  • Quote and Comma Delimitation. Used when individual fields are separated by quotes and commas.

  • Comma Delimitation. Used when individual fields are separated by commas.

  • Tab Delimitation. Used when individual fields are separated by a tab.

  • User Defined Delimiter. Used when individual fields are separated by a character that is user defined.

  • Fixed Width. Used when there is no delimiter character but the width of each field has a fixed length.

Field Setup

  • Number of Fields. BarTender defaults to the number of fields found in the database. You can also manually increase or decrease the number of available fields using this option.

  • Find Number of Fields. Finds the number of fields residing in the Text File database. This button is not present if you choose Fixed Width as the delimitation type.

  • Widths. Opens the Widths Fields dialog. This button is present only if you choose Fixed Width as the delimitation type.

  • First Record Has Field Names. Clicking this option tells BarTender to interpret the first record in the file as field names.

  • Get Field Names. Pressing this button will open the text file, and read the field names from the first record.

See Also:

Database Connection Setup


Allowing Duplicate Records

The Allow Duplicates option is used to specify whether or not duplicate labels will be printed if a query or SQL Select statement results in multiple records containing the same data being found.

When the Allow Duplicates check box is checked (default), any duplicate record data produced by the query will be printed. If you would like duplicate data to be discarded instead, uncheck this option.

Note: Turning off Allow Duplicates may significantly slow down the speed of your overall search.


Database Connection Setup (ODBC Database) - Status

Status Tab (ODBC Database or OLE DB Data Source)

The Status tab is accessed via the Database Connection Setup dialog. Its purpose is to display information about the item selected (ODBC Database or OLE DB data source) in the All Databases Tree View. It will display the following items.

  • Name. Displays the name of the database.

  • Alias. Displays the database's alias.

  • Type. Displays the type of data source, which is ODBC Data Source or OLE DB Data Source.

  • Database Type. Displays the type of database.

  • File/Directory. Displays the File/Directory of where the database is located.

  • DSN File. Displays the Data Source Name file selected when the database connection was setup.

  • Alias button. Click to change alias name.

  • Refresh Button. Reloads the structure and configuration of the named ODBC or OLE DB data source.

See Also:

Database Connection Setup


Database Connection Setup (SAP IDoc Database) - Status

Database Connection Setup (SAP IDoc Database) — Status

The Status tab for IDocs is accessed via the Database Connection Setup dialog. Its purpose is to display information about the IDoc. It contains:

  • Name. Always says "SAP IDoc".

  • Alias. Displays the Database's Alias.

  • Type. Displays the type of data source, which is IDoc.

  • Alias button. Click to change Alias name.

See Also:

Database Connection Setup

Understanding IDocs


Database Connection Setup (Text Database) - Status

Status Tab (Text Database)

The Status tab is accessed via the Database Connection Setup dialog. Its purpose is to display information about the item selected (Text Database) in the All Databases Tree View. It will display the following items.

  • Name. Displays the name of the database.

  • Alias. Displays the database's alias, if one exists.

  • Type. Displays the type of database (text).

  • Alias button. Click to change the alias name.

See Also:

Database Connection Setup


Database Connection Setup (Table) - Status

Status Tab (Table)

The Status tab is accessed via the Database Connection Setup dialog. Its purpose is to display information about the item selected (Table) in the All Databases Tree View. It will display the following items.

  • Name. Displays the name of the table.

  • Alias. Displays the table's alias, if one exists.

  • Type. Displays the type of data source, which is TABLE.

  • Alias button. Click to change the alias name.

See Also:

Database Connection Setup


Database Connection Setup (Field) - Status

Status Tab (Field)

The Status tab is accessed via the Database Connection Setup dialog. Its purpose is to display information about the item selected (Field) in the All Databases Tree View. It will display the following items.

  • Name. Displays the name of the field.

  • Alias. Displays the field's alias, if one exists.

  • Type. Displays the type of data source.

  • Length. Indicates the maximum length of the field.

  • Alias button. Click to change the alias name.

See Also:

Database Connection Setup


Refresh

Sometimes, while designing a label format, you may need to make changes to the named ODBC data source. This may involve changes to the structure of the database or to the configuration of the ODBC driver used to read the database. Any such changes will be automatically detected when first loading a label format. However, if changes are made while a format is already loaded, BarTender has no way of automatically knowing.

After you perform any function in the Database Connection Setup dialog that might cause important changes, click on the Refresh button to tell BarTender to reload the structure and configuration of the named ODBC data source.


Alias (Database)

The Alias button appears in the middle of the Database Connection Setup Status tab. The Edit Alias dialog appears when you click on the Alias button.


Edit Alias Dialog

The Edit Alias dialog is displayed when you click the Alias button found on the Status dialog. An alias is a alternate name given to a field, table, or database. This is useful when a field or table's name has been changed, but objects on the label reference the old name. Giving the new name an alias that matches the old name is faster than changing the reference in each of the label objects.

  • Alias. Assign an alias name to a given field, table or database using this field.

  • Names Already in Use. Displays all the names that are currently in use, and therefore should not be used as an alias.

See Also:

Database Connection Setup


Setting up a Label Object to Read Data from an Input Data File

Setting up a Label Object to Read Data from a Data Source File

Once you have specified the data file from which to read, you need to set one or more label objects to read label data from that file. The following procedure assumes that you will be reading from a text file rather than a named ODBC, OLE DB, or SAP IDoc or OLE DB data source.

To set a label object to read data from a data source file:

  1. Double-click on the label object whose label data you want to be read from a data file. The Modify Selected … Object tabbed dialog will be displayed.

  2. If not already displayed, click on the Data Source tab to display the Data Source property page.

  3. Click on the down arrow to the right of the Source option to display a drop-down list of source types. The default source type is Screen Data.

  4. Select Merge Field or Database Field from the list. The available options displayed on the Data Source property page will change to those which apply to only data source files.

  5. Use the Use Data File Field # option to specify the number of the field in the data file which contains the information to be read into this object. (If you are reading from a ODBC or OLE DB data source instead of a text file, this field is called Field Name, and you would specify a field name instead of a field number.)

  6. Click OK to return to your label format.


Printing Label Formats

Once your label format is displayed in the label viewing area of your screen exactly the way you want it to print out, you use the Print dialog to print your label. To display the Print dialog, click on the Printer button in the Main toolbar or select the Print option in the File menu.

Important: Some objects placed in the viewing area of BarTender's main display screen may not print out on the label. Only those objects positioned within the border of the displayed label itself will print. Use the Print Preview feature (see below) to get a preview of your entire print job and/or use the Test Print button (see below) to print a single label.

The Print dialog is a tabbed dialog containing at least a Print tab and an Object Print Method tab. Depending on your printer and printer driver, there may also be tabs for Performance and Printer's Cache giving you access to additional options.

Click the Print button after you have made any desired changes on any of the tabs.

Use the Test Print button to print a single label and close the Print dialog. You will not be prompted even if a field on the label format is set to "prompt at print-time". Instead, the default data for the field will be used. If a field on the label format is set to be serialized, the same data will appear in that field as would appear on the first of a series of labels.

Use the Preview button to open the Print Preview feature.

Procedure:

Printing Your Labels

Reading "Identical Copies of Label" or "Number of Serialized Labels" from a Database

See Also:

Printing to Thermal Label Printers

Prompting Page

Print Preview


Print Dialog

Print Tab

Show All Hide All

The options on the Print tab allow you to specify the printer on which to print your labels, specify the number of identical and serialized copies, and select one or more additional print options. These options are summarized below.

Printer

This section of the Print tab allows you to select a printer on which to print your labels. The lines of text displayed immediately below the Name option display information about the selected printer. This information changes automatically depending on the settings in the Properties dialog for the selected printer.

  • Name. Used to specify the printer on which to print your labels. (See also the note below under Type.)

  • Document Properties. Used to access additional printer options for the currently specified printer. Any options set and saved after clicking on the Document Properties button will be available to the current label format only.

  • Printer Properties. Used to access global printer options for the currently specified printer. Any options set and saved after clicking on the Printer Properties button will be available to all label formats and other programs. (These options may also be accessed by selecting the Printers icon in the Windows Control Panel. For additional information, see your Windows documentation.)

  • Status. The status of the print job. For instance, "Ready" relays that the printer is "Ready" for the print job.

  • Type. The Type of Printer selected (i.e. HP LaserJet 1100).

Note: When a label format is loaded, BarTender looks for a printer with exactly the same name (including spaces and punctuation marks) as the printer that was selected the last time the format was saved. If it does not find one, it looks for a printer of the same type (that is, the same manufacturer and model) and uses the first one it finds. If it can find no printer of the same type, it uses the Windows default printer.

  • Where. The location or path where the printer is installed.

  • Comments. Any comments that have been entered into the Windows Property dialog for this printer. See your Windows help for information on how to change these comments.

There are two mini-tabs within the overall Print tab:

Quantity Mini-Tab

The function of the Quantity mini-tab is to specify the number of labels printed.

  • Identical Copies of Label. Used to specify the number of copies that you want to print of each label or, when serializing labels, of each label in a sequence.

  • Options button. Used to display the Identical Copies of Label property page where one of three supported options is specified.

  • Number of Serialized Labels. Used to specify the desired sequence length when serializing labels.

  • Options button. Used to display the Number of Serialized Labels property page where one of two supported options is specified.

  • Record Selection. Options to specify if a database is to be used, and if so which records will be read and printed.

Options Mini-Tab

The print options on the Options mini-tab allow you to log a print job, specify a new print job to automatically begin, enable printer code modification, send your print job to a file instead of a printer, display the printer code after the print job has completed, enable prompting, and refresh database information. These options are below summarized.

  • Log Print Job. Used to enable the options in the Log File Setup dialog.

    •

  • Automatically Print Again. Used to specify that when a print job is complete, a new print job should automatically begin.

  • Enable Printer Code Modifier. Checked by default if Print Code Actions or VB Script modifications are present. Uncheck to prevent scripts or actions from running.

  • Print to File. Used to send your print job to a file instead of your printer.

  • Show Printer Code at End of Print Job. Opens a text editor that displays the printer code after the print job has finished.

  • Enable Prompting. Used to turn on and off the Prompt dialog for data sources with Prompt at Print-Time enabled.

  • Refresh Database(s). Used to reload a fresh copy of all databases being read by the label format.

Use the Test Print button to print a single label and close the Print dialog. You will not be prompted even if a field on the label format is set to "prompt at print-time". Instead, the default data for the field will be used. If a field on the label format is set to be serialized, the same data will appear in that field as would appear on the first of a series of labels.

Use the Preview button to open the Print Preview feature.


Printer

Name

The Name option in the Print dialog is used to specify to which printer BarTender will print. It allows you to select a printer from a list of all installed Windows printers. The default setting is the printer that was last specified as the default printer in the Printers dialog of the Windows Control Panel. Some of the current printer's most important settings are displayed in the status lines displayed immediately below the Name option.

For your convenience, the printer setting is saved as part of the label format. Therefore, the next time you need to print the same labels, all you need to do is load the format and print.

Note: When a label format is loaded, BarTender looks for a printer with exactly the same name (including spaces and punctuation marks) as the printer that was selected the last time the format was saved. If it does not find one, it looks for a printer of the same type (that is, the same manufacturer and model) and uses the first one it finds. If it can find no printer of the same type, it uses the Windows default printer.

Note: It is always a good idea to select a printer before you begin a label format in order to ensure that the label format will be set up using the correct printer specifications. This is especially true when your labels contain bar code objects. The different bar code density ranges for laser and dot-matrix printers may affect the size of a given label. For example, a bar code that is placed on a label while a laser printer is the selected printer may appear shorter than the same bar code that is placed on the label while a dot-matrix printer is the selected printer.

See caution:

Caution for Large Dot-Matrix Print Jobs

Procedure:

Selecting a Printer


Identical Copies of Label

The Identical Copies of Label option specifies the number of identical copies that you want of a label when you execute the Print command. For example, if you are printing a single label and want twenty-five copies, you simply type "25" into the Identical Copies of Label edit box on the Print dialog before clicking the Print button.

To Specify a Fixed Number of Copies

For Serialized Labels

If Serialization has been enabled for one or more objects on a label format, the Identical Copies of Label edit box allows you to specify how many identical labels you want of each value in the sequence.

For Labels Using a Database

When a label format reads from a database, this option is used to print the same number of identical labels for each record read from the data file. For example, if you enter "25" into the Identical Copies of Label edit box, twenty-five copies of the label will print for each record read from the database.

To Specify a Variable Number of Copies

At times, you may want the number of identical copies to be read from the data file or prompted at print time. In this case, use the Options button to set the identical number of copies to be read from a data source.

Note: Use the Print Preview feature to get a preview of your entire print job.


Identical Copies of Label Property Page

The Identical Copies of Label property page is used to specify whether you want the number of label copies set using the Identical Copies of Label option on the Print dialog or using a data source.

The default is "Set by Print Dialog and Selected Records Option." However, for greater flexibility, you can use data source options to specify that the number of identical copies should be read from a field in a data file or entered at print time.

Choose one of the following settings:

  • Set by Print Dialog and Selected Records Option. Specifies that the Identical Copies of Label quantity is to be used for specified records while overriding that value for other specified records using parenthesis via the Selected Records option. (Default)

  • Set by Print Dialog. Specifies that the number of identical copies will be set using the edit box on the Print dialog exclusively.

  • Set by Data Source. Displays the Data Source tab, which provides greater flexibility when printing multiple copies of a label. When the number of identical copies is read from a data source, you can specify that the number be read from a field in a data file or using data prompted for and entered at print time.


Reading "Number of Identical Copies of Label" or "Number of Serialized Labels" from a Database

Reading "Identical Copies of Label" or "Number of Serialized Labels" from a Database

Show All Hide All

When a label format is set to read data from a database, you can also specify that the number of copies, or serialized labels for each record be read from the database. For instance, when you read the number for Identical Copies of Label from a data file, the number of identical printed labels will vary according to a number stored in a field read in with each record in the data file.

To Specify that the Number of Serialized Labels Be Read From a Database:

  1. Click on the Options button for Number of Serialized Labels on the Print dialog.

  2. Choose Set by Data Source.

  3. Click on the Data Source tab to access the associated property page.

  4. Set the Source to Database Field.

  5. In the Field Name option, specify the field in your data file that contains the sequence length for each record.

Example using a Text File

The section below assumes you have a basic knowledge of delimited text files. For more information, see Delimiting Text Files.

Assume that the data file for this example contains three records shown below. Also, assume that one of the objects in the label format to be printed will get its data from the second field in each of these records and that this object is set to serialize data.

"Apples","121","4"

"Oranges","675","2"

"Bananas","501","3"

If, using the procedure listed above, the Field Name option has been set to "Field 3", BarTender will print a total of nine labels for this print job:

Four apple labels (containing the data 121, 122, 123, 124)

Two orange labels (containing the data 675 and 676)

Three banana labels (containing the data 501, 502, and 503).

You can also read both Identical Copies of Label and Number of Serialized Labels from the same file at the same time. Assume one or more fields has been added to the previous example so that it reads as follows:

"Apples","121","4","2"

"Oranges","675","2","0"

"Bananas","501","3","5"

Set the Identical Copies of Label to read from "Field 4". BarTender will output a total of 23 labels:

Eight apple labels (two copies of each of the labels containing the data 121 through 124)

Zero orange labels

Fifteen banana labels (5 copies of each of the labels containing the data 501 through 503.)

When Using an ODBC, SAP IDoc, or OLE DB Provider Data Source

When BarTender is set to read from an ODBC, SAP IDoc, or OLE DB data source instead of a text file, you would specify the field that contains the data on how many serialized labels you want to print using the name of the field instead of the number.


Number of Serialized Labels

In order to print serialized labels, the Serialize option must be enabled for at least one object on the label format. The Number of Serialized Labels option on the Print dialog is used to specify how many sequentially ordered labels to print.

When Using Screen or Prompt Data

When printing labels with one or more objects set to serialization data, either the number entered at print time or the data entered in the Screen Data field will determine the starting value of the sequence. The number entered in the Number of Serialized Labels field will determine the length of the label sequence that is to be printed.

For example, if the number entered into Number of Serialized Labels is "3," three labels will print. The first label will print with the starting value specified by the Screen or Prompt Data, and each consecutive label will print with the next number in the sequence.

When Using a Database

When printing labels which read from a database, the Number of Serialized Labels option allows you to print the same number of sequential labels for each selected record in the database.

Sometimes you may want more flexibility. Instead of printing a fixed number of serialized labels, you may want to set the number to be read from a database or to be prompted at print time. Use the Options button to set the number of serialized labels using Data Source options.

Note: If a number is entered into the Number of Serialized Labels edit box and no object is set to be serialized, at print-time BarTender will flash the following message, "No Data Sources are set to be serialized," and refer you to the Data Source dialog.

Note: Use the Print Preview feature to get a preview of your entire print job.


Number of Serialized Labels Property Page

The Number of Serialized Labels property page is used to specify whether you want to set the number of labels to serialize using the Number of Serialized Labels option on the Print dialog or using the Data Source property page.

The default setting is to set the number of labels to serialize using the Print dialog. However, for greater flexibility, you can use data source options to specify that the number of labels to serialize should be read from a field in the data file or entered at print time.

Choose one of the following settings:

  • Set by Print Dialog. Used to specify that the number of labels to serialize will be entered into the edit box on the Print dialog. (Default)

  • Set by Data Source. Used to access the Data Source property page. When the number of serialized labels is read from a data source, you can specify that the number be read from a field in a data file or using data prompted for and entered at print time.


Print Dialog - Record Selection

Print Dialog — Record Selection

The Record Selection is used to specify which records from all databases will be read and printed.

  • Use Database. Specifies whether or not to read from the database(s) specified in Database Connection Setup when printing.

  • Database Connection Setup. This button displays the Database Connection Setup dialog.

  • Queried Records

Select which of the queried records to print. The following Record Selection options are available regardless of the type of data file.

  • All. Specifies that all of the records that meet the query criteria will be printed.

  • First Record Only. Specifies that only the first record that meets the query criteria will be printed.

  • Selected. Of the records that meet the query criteria, only those with record numbers specified in the Select Records dialog will be printed.

  • Selected At Print Time. Enables print time record selection. All records that satisfy the query will be available for selection at print time.

  • Selected Records. Specifies the desired selection of records.

  • Select Records. Allows selection of records from a view of all queried records.


Use Database at Print Time

When one or more label objects is set to read data from a data file, you must use the Database Connection Setup dialog to specify the name of the data file to use. If you have already specified a data file, the Use Database check box will be enabled. However, if you have not done so, you can access the Database Connection Setup dialog using the Database Connection Setup button. You can also display the dialog by selecting the Database Connection Setup option from the main File menu. Once you at the Database Connection Setup dialog, click Add to launch the Add Database Connection Wizard.


Selected Records

Select records for printing using the Selected Records field. This field is available on both the Print dialog and on the Select Records dialog. You can select a series of record numbers using commas: "1,3,7"; a range using a hyphen: "1-3"; or a combination of the two: "1-3,7,8" to select a range and series. You can also override an Identical Copies of Label value for selected records by using parenthesis: "1-3,7,8,9(14),12-40,41-43(14)."

See Also:

Set by Print Dialog and Selected Records

Print Dialog — Record Selection


Select Records Dialog

The Select Records dialog shows a list of queried records. Records that are to be printed can also be modified from this dialog. Click on the different areas of the picture below for information about the key elements of the Select Records dialog.

  • Record. Displays the Record number currently selected.

  • Select All Records. Selects all available records to be read from.

  • Deselect All Records. Deselects all available records to be read from.

  • Show All Fields. Checking this option displays all fields, regardless of whether or not they are used on the label. Unchecking this option displays only fields that are to be used on the label.

  • Refresh. Refreshes the current SQL statement.

  • Record Number Column. From the Record Number Column, select or deselect records to print by clicking on the corresponding Record Number button.

  • Copies Column. Select records and the number of copies to print.

  • Record Data. View and select records to print.

  • Selected Records. Select a series of record numbers using commas "1,3,7"; a range using a hyphen "1-3"; or a combination of the two "1-3,7,8" to select a range and series.

  • Show Records. Select ALL to view both selected and unselected. Select None to view no records.

See Also:

Set by Print Dialog and Selected Records Option


Record Navigation Field

Go directly to a Record by typing the Record number into the Record Navigation field, and then pressing ENTER. You can also reach a record using the Forward and Back buttons.


Select All Records

Click the Select All Records button to print all records.


Deselect All Records

Click the Deselect All Records button to deselect all records for printing.


Show All Fields

Checking Show All Fields displays all fields, regardless of whether or not they are used on the label. Unchecking this option displays only fields that are to be used on the label.


Record Number Column

From the Record Number Column, select or deselect records to print by clicking on the corresponding Record Number button.


Copies Column

The Copies column can have one of two of the following states:

State 1

Select Records Edit Box. The column is in this state when the Identical Copies of Label source is "Set by Print dialog and Selected Records".

The value entered into the Identical Copies of Label field on the Print dialog is the default value that appears for each record to print in the Copies column. In the example to the left, the default value is "25". To override the default value:

  1. Double click on the default value for the selected record.

  2. Enter the value that is to override the default value.

OR

Enter the value that is to override the default value in parenthesis in the Selected Records field. For example, if the overriding number of copies is "29" for record "7" it will appear in the Selected Records field as "7(29)".

State 2

Select Records Check Box. The column is in this state when the Identical Copies of Label source is "Set by Print Dialog only" or "Set by Data Source".

Checking a record in the Number of Copies column selects the record to be printed. The value entered into the Identical Copies of Label field on the Print dialog is the number of copies per selected record that will print.


Record Data

Records are viewed in this area. A Record can also be selected or deselected to print by clicking on one of the record's fields.


Show Records

Select ALL to view both selected and unselected records. Select None to view no records.


Log Print Job

Selecting the Log Print Job option on the Print dialog enables options in the Log File Setup dialog from within the Print dialog. The Log File Setup dialog allows you to keep a record of each print job in order to track the production of labels.


Automatically Print Again

When a print job is complete, BarTender normally closes all print-time dialogs and returns you to your label format. However, at times you may want to execute consecutive print jobs using the same label format without having to manually restart the print job. For example, if you are printing a label format that prompts you for data to search for in an external file, you may sometimes want to perform multiple searches to print several different labels.

Enable the Automatically Print Again option on the Print dialog to automatically restart your print job and print as many times as you need without exiting the print mode. When you are finished printing, click Cancel to return to your label format.


Enable Prompting

This is used to turn on and off the Prompt dialog for data sources with Prompt at Print-Time enabled.


Responding to Print-Time Prompts

Requesting a Print Job

When a user prints a label with one or more label objects set to "Prompt at Print-Time," BarTender displays a prompt dialog at the start of a print job instead of immediately printing a label. However, depending upon other options that may be set for a label format, the user may receive other print-time prompts before receiving the prompt dialog. These prompts are part of the Print Wizard, and the words "Print Wizard" followed by the name of the dialog will display in the dialog title bar.

Entering Replies into the Prompt Dialog

When the prompt dialog first displays, the cursor will be in the reply data-entry box for the first prompt, and the default reply text will be highlighted. A user can either accept this data and continue on to the next prompt or type in new data.

When the user has finished entering data into a reply box, he or she can use TAB or ENTER to move your cursor to the next reply box. If you need to return to an earlier prompt, you can press SHIFT-TAB to move backward or click your mouse cursor inside the desired reply box.

Starting to Print

When you are finished entering all the requested data, click on the Print button.

See Next:

Understanding the Print Wizard


Understanding the Print Wizard

When a label format has been set to use any of the features listed below, BarTender will display dialogs at the start of a print job.

  • True-Type Font Warning. Used to specify how to handle print jobs for label formats with objects using True Type fonts.

  • Select Starting Label. Used to specify which label should be the first label for a print job.

  • Print-to-File. Used to print a label format to a file rather than sending the print job to the printer.

  • Query Prompting. Allows you to prompt for query criteria at print time.

  • Selected at Print-Time. Allows you to select records to be read from a database at print-time.


Print Wizard - TrueType Font Warning

Print Wizard — TrueType Font Warning

The TrueType Font Warning is received when labels are printed on a thermal printer and one or more label objects is formatted to print using TrueType fonts.

TrueType fonts are typically manipulated and printed as graphics, which can be quite slow to download and print. The settings in this dialog allow you to specify whether you want TrueType fonts to be replaced at print-time by the built-in printer font that most closely resembles it. Depending on the complexity of your label format, this may significantly increase the speed at which your labels will print, especially if the text in question is changing from label to label.

To continue a print job from the Print Wizard:

  1. Click on the desired setting.

  2. Press the ENTER key or click on Next. If Next is not available, click on Print or Prompt. Click on Back to return to the previous screen.

  3. Choose one of the following settings:

  • Continue to print using TrueType fonts. Tells BarTender to print using TrueType fonts. Each time a format is printed, BarTender will display this warning dialog as a reminder that printing performance may be significantly affected by the use of TrueType fonts.

  • Disable warning for this format and continue to print using TrueType fonts. Tells BarTender to print using TrueType fonts for this print job and all future print jobs. If this setting is selected, BarTender will not display this warning during future print jobs.

  • Enable printer font substitution and continue to print. (Default setting.) Tells BarTender to replace the selected TrueType font at print-time with whichever built-in printer font most closely resembles it. This setting allows the printer to output labels at the highest possible speed.


Selecting a Starting Label

When printing a sheet of labels, labels will usually print starting in the top left corner. However, at times you may want to specify which label prints first in order to print on a sheet of labels that has been partially used. The Prompt for Starting Label Number at Print Time option on the Page Setup dialog allows you to choose the starting label number using the Select Starting Label dialog.

To continue a print job:

  1. Click on the appropriate label number.

  2. Press the ENTER key or click on Next. If Next is not available, click on Print or Prompt. Click on Back to return to the previous dialog.

Note: Use the Print Preview feature to get a preview of your entire print job.


Print Wizard - Print to File

Print Wizard — Print to File

The Print to File option in the Print dialog allows you to print your labels to a file rather than directly to a printer. (This option gives you a quick alternative to using the Windows Control Panel to connect your printer to a file.) Printing your labels to a file can be useful, especially in the following situations:

  • To save the print output data in order to print your labels at a later time.

  • To print your labels from another computer.

  • To view or edit the print output data for various purposes.

When the Print to File option is selected, BarTender displays the Print Wizard — Print to File dialog at print-time. This dialog enables you to specify a path and filename for your print data.

The Print to File dialog allows you to output your labels to a file rather than directly to a printer.

To continue a print job from the Print Wizard:

  1. Type in the path and file name to which the labels should print.

  2. Press the ENTER key or click on the Print or the Prompt button. Click on the Back button to return to the previous dialog.


Understanding Query Prompting

A query prompt enables you to fill in the criterion for a query at print-time. For example, if you want to be able to search for a particular part number that you type in at print-time, you would use the Query Tab on the Database Connection Setup dialog to select the part number field from the database, specify the equality operator, and set the criterion to a query prompt. Then every time you print, you will be asked to type in the part number using the Print Wizard - Enter data for query dialog, and only records that match that part number will be printed. When a search is completed, the next dialog (if any) in the Print Wizard will display. If no matching records are found, you will receive a message stating such.

Note: If you want to prompt for the actual data that will appear on the label, instead data that will be used as a criterion in an SQL query executed at print-time, then use BarTender's prompt at print-time feature rather than the query prompting feature.


Print Wizard - Selected at Print-Time

Print Wizard — Selected at Print-Time

The Print Wizard — Selected at Print-Time dialog shows a list of queried records. All records that satisfy the query will be available for selection at print-time. Records that are to be printed can also be modified from this dialog. For information about the functionality of the Print Wizard — Selected at Print-Time, see the Select Records Dialog topic.

To continue a print job from the Print Wizard:

  1. Select the records that are to be printed.

  2. Click on Print or click on Next. Click on Back, when available, to return to the previous dialog.


Accessing the Log File Setup Dialog

You can access the Log File Setup dialog one of two ways:

  • Using the Log File Setup option on the Tools menu.

  • Enabling the Log Print Job option on the Print dialog and switching to the Log File tab from within the Print dialog.


Sample Log File

The Sample Log File area allows you to view the log file before executing a print job. What is displayed in this area is determined by the settings you have specified in the Header, Per Label, and Footer tabs and by the setting specified for the Output Type option.

Examples

  • When a text format is specified for the Output Type option, the sample area will display the data contained in the log file. The picture below shows the Sample Log File area with the Output Type set to "Tab Delimited."

  • When HTML is specified for the Output Type option, the sample area will display the HTML tags. The picture below shows the Sample Log File area with the Output Type set to "HTML Delimited."


Organization

The Organization option allows you to specify the name of the log file according to four settings. These settings allow you to append all print job logs to a single file or to save print job logs in different files. These settings are described below.

  • One File. Specifies that all print job logs will be appended to a single log file for all print jobs.

  • By Format File Name. Specifies that the log file will be saved according to the name of the label format.

  • By Date. Specifies that all print job logs will be saved according to the system date.

  • Separate Files. Specifies that separate log files will be created for each print job according to the name of the label format.


Output Type

The Output Type option allows you to specify the format to which the log file will be saved. Log files saved using a text format can be viewed using Notepad, WordPad, or another word processing program. Log files saved using HTML format can be viewed using your Internet browser.

The Sample Log File area displayed at the top of the Log File Setup dialog will display a sample of the data contained in the log file. The sample displayed will depend largely upon the setting specified for the Output Type option.

The available settings for the Output Type option are described below.

  • Tab Delimited. Specifies that tabs will separate the data contained in the log file.

  • Comma Delimited. Specifies that commas will separate the data contained in the log file.

  • Quote and Comma Delimited. Specifies that quotes and commas will separate the data contained in the log file.

  • HTML Delimited. Specifies that the log file will be saved using HTML format.


Header, Per Label, and Footer Settings

Show All Hide All

When you specify that BarTender will generate a log file during a print job, you can specify settings to include certain data in the log file. These settings are located on the Header, Per Label, and Footer tabs of the Log File Setup dialog. The list below shows the available settings. Most of the settings are available on all of the tabs; however, a few of the settings are available on just one or two of the tabs. Shown in parentheses after the name of each option is the name of the tab or tabs on which the setting is displayed.

Log File Data Options

  • Bottommost Separator Line. (Footer) Includes a line to mark the end of the entire log entry.

  • Database File Name. (Header, Per Label, Footer) Includes the name of the database file from which data was read.

  • Date (Long Format). (Header, Per Label, Footer) Includes the current system date with the month and year spelled out; i.e., January 1, 1999.

  • Date (Short Format). (Header, Per Label, Footer) Includes the numeric equivalent of the current system date; i.e., 1/1/99.

  • End Date (Long Format). (Footer) Includes the date when the label job finished printing with the month and year spelled out; i.e., January 1, 1999.

  • End Date (Short Format). (Footer) Includes the numeric equivalent of the date when the label job finished; i.e., 1/1/99.

  • End Time. (Footer) Includes the system time when the label job finished printing using the format specified in the regional settings.

  • Format Name. (Header, Per Label, Footer) Includes the name of the format.

  • Identical Copies of Labels. (Header, Per Label, Footer) Includes the number specified in the Identical Copies of Label option in the Print dialog.

  • Database File Name. (Header, Per Label, Footer) Includes the name of the database file when a label is printed using a database.

  • Label Columns. (Header, Per Label, Footer) Includes the number of columns on a page of labels as specified in the Columns option on the Layout tab of the Page Setup dialog.

  • Label Height. (Header, Per Label, Footer) Includes the label height measurement as specified in the Page Setup dialog.

  • Label Number. (Per Label) Includes the sequential number of the labels printed.

  • Label Rows. (Header, Per Label, Footer) Includes the number of rows on a page of labels as specified in the Rows option on the Layout tab of the Page Setup dialog.

  • Label Width. (Header, Per Label, Footer) Includes the label width measurement as specified in the Page Setup dialog.

  • Log File Name. (Header, Per Label, Footer) Includes the name of the log file.

  • Number of Labels Printed. (Footer) Includes the total number of labels printed.

  • Number of Serialized Labels. (Header, Per Label, Footer) Includes the number specified in the Number of Serialized Labels option in the Print dialog.

  • Per Label Field Names. (Header) Includes a line with the field number or share names as specified in the Data Source property page.

  • Printer Name. (Header, Per Label, Footer) Includes the name of the printer on which the labels were printed.

  • Separator Line. (Header, Footer) Enters a line below the header or above the footer to separate the text from the list of data printed per label.

  • Start Date (Long Format). (Header, Per Label, Footer) Includes the date when the label job started printing with the month and year spelled out; i.e., January 1, 1999.

  • Start Date (Short Format). (Header, Per Label, Footer) Includes the numeric equivalent of the date when the label job started printing; i.e., 1/1/99.

  • Start Time. (Header, Per Label, Footer) Includes the system time when the label job started printing using the format specified in the regional settings.

  • Time. (Per Label) Includes the system time when the label was printed using the format specified in the regional settings.

  • Topmost Separator Line. (Header) Includes a line to mark the beginning of the entire log entry.


Substrings to Log

At times you may want the data contained in the objects on your label to be included in a log file generated during a print job. The settings for the Substrings to Log option on the Per Label tab allow you to specify whether to include none of the substring data, all of the substring data, or only the data of certain substrings.

The settings available for the Substrings to Log option are described below.

  • None. Specifies that none of the data contained in substrings should be logged.

  • Selected. Specifies that logging should occur for the data of only those substrings for which the Log Substring option (located on the General property page of the More Data Source Options dialog) has been enabled.

  • All. Specifies that all of the data contained in substrings should be logged.


Object Print Method

Object Print Method Tab

The Object Print Method options are used to specify how objects will be printed on a thermal printer when an object type is not directly supported by either the printer or by the Seagull Scientific printer driver.

Settings

  • Use Settings for All Formats. Used to specify that the settings specified on this dialog will apply to all formats printed using any Seagull Scientific Windows printer driver.

  • Use Settings for This Format Only. Used to specify that the settings specified on this dialog will apply only to the currently active label format.

Objects

  • TrueType Text. Specifies whether to print TrueType fonts as Text Output or Raster Graphics. This choice affects how colored TrueType text is printed when the color is not directly supported by the printer, such as when the printer supports red and yellow, but the TrueType font is orange. Choosing Raster Graphics will cause the printer to dither (that is, mix) dots of different colors in order to produce text of the desired color. For example, the printer would dither red and yellow dots to produce orange letters. But dithered color text can be hard to read especially with small font sizes. Choosing Text Output will cause the text to print in the closest directly supported color, so orange text will print as either red or yellow depending on how dark the orange is.

  • Unsupported 1D (or 2D) Bar Codes. Specifies whether 1D and 2D bar codes will print using Raster Graphics or Device Lines if the symbology is unsupported by either the printer or the Seagull Scientific printer driver. If this option is set to Auto, the driver will determine the best printing method.

  • Lines, Boxes, and Ellipses. Specifies whether lines, boxes, or ellipses will print using Raster Graphics or using the printer's device settings if they are unsupported by either the printer or the Seagull Scientific printer driver. If this option is set to Auto, the driver will determine the best printing method.

Use the Test Print button to print a single label and close the Print dialog. You will not be prompted even if a field on the label format is set to "prompt at print-time". Instead, the default data for the field will be used. If a field on the label format is set to be serialized, the same data will appear in that field as would appear on the first of a series of labels.

Use the Preview button to open the Print Preview feature.


Performance

Performance Tab

Show All Hide All

Seagull Scientific Windows Printer Drivers

Some of the most impressive capabilities of BarTender (and many other Windows programs) result in large amounts of information being sent to your printer. This means your printing speed can be reduced if you don't optimally configure your printer. BarTender is, by default, configured to take advantage of as many of your printer's built-in "high level" image commands as possible. However, there may be situations where you need to use a printer driver from Seagull Scientific, Inc. ( described below) to disable one or more of these features.

Settings

  • Use Settings for All Formats. Used to specify that the settings specified on this dialog will apply to all formats printed using any Seagull Scientific Windows printer driver.

  • Use Settings for This Format Only. Used to specify that the settings specified on this dialog will apply only to the currently active label format.

Seagull Scientific Printer Driver Options

The Seagull Scientific Printer Driver Options are used to specify how BarTender will take advantage of built-in printer capabilities when using a Seagull Scientific printer driver.

Note: These options are rarely changed from their default settings and usually only used to troubleshoot a problem.

  • Allow Static Graphics. Specifies that BarTender will use the printer's static graphics feature to store the specifications for all raster-type graphic o bjects that print out exactly the same from label to label, including TrueType fonts.

  • Allow Static Objects. Specifies that BarTender will use the printer's static objects feature to store the specifications for ALL objects that print out exactly the same from label to label, whether or not they are raster graphics. This includes printer fonts, bar codes, imported graphics, and TrueType fonts.

  • Allow Serialization. Specifies that BarTender will use the built-in incrementing capabilities of the specified printer whenever appropriate.

Important Note: Keep in mind that TrueType fonts are transmitted to thermal printers as graphics, rather than downloaded fonts. Since thermal printers can only increment data when it is being handled as a font, a TrueType font cannot be incremented using the printer's built-in serialization capabilities. If you want to serialize an object on your label, and take advantage of your printer's serialization capabilities, you must use one of your printer's built-in fonts.

  • Allow Variable Data Optimization. Specifies that BarTender will use the printer's data merge feature to store the label's formatting specifications (object positions, symbology, fonts, etc.) so that only object data needs to be transmitted.

  • Allow Graphics Caching. Specifies that the printer driver will use the storage capabilities in the printer by keeping track of graphics that have been previously printed.

  • Allow Format Caching. Specifies that the printer driver will use the storage capabilities in the printer by keeping track of formats that have been previously printed.

  • Warn When Using TrueType Fonts. Used to specify that BarTender, when set up to print TrueType fonts on a thermal printer, will display a reminder that TrueType fonts can adversely affect printing speed, particularly when using a printer with a serial printer port.

Note: For handling of some less common performance issues, refer to Special Printer Settings File.

Use the Test Print button to print a single label and close the Print dialog. You will not be prompted even if a field on the label format is set to Prompt at Print-Time. Instead, the default data for the field will be used. If a field on the label format is set to be serialized, the same data will appear in that field as would appear on the first of a series.


Special Printer Settings File

A special printer settings file can be used for more precise control of some aspects of your printers' performance. With this file you can:

  • Identify a printer as a thermal printer, if you are not using a Seagull Scientific printer driver.

  • Control ink spread.

  • Identify a printer as one that does not support printer-based copying.

  • Replace or rename printers linked to your label formats without having to change each of the formats.

Refer to the file btwprn.ini, for details. It is located in the installation directory.


Flush Cache

There are situations where BarTender may think that items have been stored in the printer for later reuse that really haven't been stored. Once this happens, BarTender can execute a print job and fail to send certain items to the printer because it thinks that the items are already stored there. This can result in labels with missing parts or even blank labels.

Flushing BarTender's Cache Information

For most situations, click on the Flush Cache Now button on the Printer's Cache tab of the Print dialog, and then press OK. This will tell BarTender to assume that all items previously stored in the printer are now gone, resulting in all label items being sent to the printer during subsequent print jobs (at least until BarTender thinks they are cached again).

Networked printers

In the case of networked printers, flushing the cache doesn't help for very long if you have multiple users all using the same printer. Unfortunately, in this situation, you need to turn off the Allow Graphics Caching and Allow Format Caching options in the Performance tab of the Print dialog.


Printer Caching

Show All Hide All

When used with BarTender, printer drivers from Seagull Scientific, Inc. have the ability to store (or cache) formats and graphics in your printer and reuse them during subsequent print jobs. This can significantly speed up print jobs because large graphics and frequently printed label formats need to be sent to the printer only once.

Flushing the Cache

BarTender has the ability to track items that have been stored in the printer. However, some situations, such as a failed print job or replacing a printer, can cause BarTender to think that certain items have been stored in the printer for later reuse but that really haven't. Once this happens, BarTender can execute a print job and fail to send certain items to the printer because it thinks that the items are already stored there. This can result in labels with missing parts, or even blank labels. Therefore, it is recommended that you periodically flush (clear) the printer's cache.

Enabling Printer Caching

To turn on printer caching, you must enable the Allow Graphic Caching and Allow Format Caching check boxes in the Performance tab of the Print dialog.

The options on the property page allow you to instruct BarTender to flush the cache at regularly specified intervals. These options are summarized below.

Note: Caching does not work well when more than one computer is set up to print to the same printer. Consequently, all copies of BarTender that are printing to a shared printer that uses caching need to have the Allow Graphics Caching and Allow Format Caching options disabled in the Performance tab of the Print dialog.

Automatic Cache Flushing

  • Per BarTender Session. Specifies that BarTender will flush the printer's cache at the start of the first print job of every session.

  • Daily. Specifies that BarTender will flush the printer's cache once at the start of the first print job of the first BarTender session each day, regardless of how many sessions of BarTender that you run.

  • Weekly. Specifies that BarTender will flush the printer's cache once at the start of the first print job of the first BarTender session each week.

  • Monthly. Specifies that BarTender will flush the printer's cache once at the start of the first print job of the first BarTender session each month.

  • Never. Specifies that BarTender will not flush the printer's cache unless you explicitly push the Flush Cache Now button.

Flush Cache Now. Used to clear the printer's cache.

Manage Cache. Used to access the driver's Cache Options dialog to specify how the printer's cache will be used.

Use the Test Print button to print a single label and close the Print dialog. You will not be prompted even if a field on the label format is set to "prompt at print-time". Instead, the default data for the field will be used. If a field on the label format is set to be serialized, the same data will appear in that field as would appear on the first of a series of labels.


Print Code Modifier

Printer Code Modifier

The Printer Code Modifier functionality allows modification of print code being sent to a printer or Print Code Template by searching and replacing text. Printer Code Modifier Actions can be constructed and tested on existing print code files, and if the search and replace requirements are more complex VB Scripting can be used in addition.


Print Code Modifier Actions Dialog

Actions List Dialog

Show All Hide All

This dialog permits you to create, modify, and test actions for Printer Code modification.

Actions List

This is a list of all the Printer Code Modifier Actions that will be performed. Each action consists of text to be searched for, directions to insert, replace, or delete that text, and the search method to be used. It is also possible to specify the code page to be used. The actions in the list are performed in the order they appear, and each action makes a complete pass through the print code before continuing with the next action.

Below the list are buttons for maintaining the actions list:

Button | Purpose
 | New Action. Inserts a new action into the list.
 | Delete Action. Deletes the selected action.
 | Cut Action. Deletes the selected action but places a copy of the action into BarTender's clipboard.
 | Copy Action. Copies the selected action into BarTender's clipboard.
 | Paste Action. Pastes a copy of the action currently in the clipboard into the list.
 | Move Action Up. Moves the selected action up one position in the list.
 | Move Action Down. Moves the selected action down one position in the list.

Note: Each of these commands can also be accessed by right-clicking anywhere in the list.

The Actions list can be saved or imported from a file using the buttons below the list itself.

  • Import... Import a saved list of Print Code Modifier actions from a file.

  • Export... Export the list of actions to a file.

    • Action Options

    Options for individual actions can be set separately.

    • Description: Name used to identify the selected action.

    • Action: Action to be performed using the Search Text. Options available are Search and Insert After, Search and Insert Before, Search and Replace, and Search and Delete.

    • Search Text: Text to be searched for in the print code. The arrow button can be clicked to display a list of control characters that can be inserted in the search text field.

    • Replace Text: Text to replace searched text.

    • Encoding: The code page to use with the replacement text. The default is Windows' System Default.

    • Search Method: Options are Literal, where the exact characters entered are searched for, or Wildcard, in which special search characters may be used, e.g.

        Code

        Description

        ?

        Match any single character.

        *

        Match any 0 or more characters.

        $

        Match end of line.

        ^

        Match beginning of line.

        \

        Next character is literal. Escape the next character (if next character would otherwise be interpreted as a wildcard)

        \xNN

        Insert Hexadecimal character, where NN consists of two hexadecimal digits.

    • First Occurrence Only If the checkbox is selected the action will only be performed for the first occurrence of the search text.

    • Test... Clicking this button brings up the Modify File dialog to test the list of actions and confirm they behave as desired. The actions are performed using the content of the specified source file and exported to the destination file.

      • Source File: Location of the print code file to be read.

      • Destination File: Location of the file where the results will be exported to.

      • Automatically Overwrite Destination File If checked, the destination file contents will be replaced if the file already exists.

      • Display Destination File After Modification If checked, the file will be displayed after the search is complete.

      Search Rules

      The following rules apply to wildcard searches:

      • ^ does not match line termination codes (CR/LF) in the input file for insertion, deletion, or replacement.

      • $ does match a CR/LF sequence in the input file for deletion, but not for insertion or replacement.

      • * and ? do not match line termination codes (CR/LF). If the search pattern is to extend over more than one line it must explicitly contain $ characters.

      • The ^ character is only legal as the first character of a search string, unless escaped. In any other location it will be treated as part of the text string.

      • A search string consisting only of a single ^ character is not legal and will be ignored.

      • The $ character is legal anywhere in the search string

      • Two * characters may not be adjacent to each other in the search string, unless one or both are escaped. Only the first * will be interpreted as a wildcard command. Any subsequent * characters will be treated as part of the text string.

      • A search string that ends with a * is not legal. The correct method is to end the search string with a ? character.

      • When processing a Printer Code Template export file (only) the search string will not match any part of a template field tag.

      Examples

      Examples of search strings:

      • ^Cutter$: Looks for a single line that consists only of Cutter.
      • ^Cutter*$: Looks for a line starting with Cutter and matches the entire line.
      • ^*Cutter*$: Looks for any line containing Cutter and matches the entire line.
      • ^Cutter ???*$: Looks for any line containing Cutter<space> and any three or more characters, matching the entire line.
      • Cutter: Searches for Cutter anywhere in the file, matching only those six characters and not the entire line where they are found.


Using The Script Assistant

VB Scripting can be used in regular print-time operations or with Printer Code Modifier actions. The Script Assistant serves two main purposes:

  • It contains a script composition area into which you compose your actual script, either by typing it in or by using the Script Assistant's expression-building tools.

  • It provides reference and expression-building tools to help with the writing of scripts. Although intended to simplify script design for less technical people, even experienced Visual Basic users will find the Script Assistant useful.

The options of the Script Assistant are summarized below. For more detailed information, click on the appropriate option name.

  • Script composition area. What you see in this area at the top of the dialog varies depending on how you opened the Script Assistant and which type of Visual Basic Script you are creating.

    • Expression . This edit box will be called Expression if the Script Assistant is opened by selecting Visual Basic Script is selected on the Data Sources tab of the Modify Selected … Object dialog and Single-line Expression is selected from the Type dropdown. This is where you enter your single-line expression.

    • Script. The edit box will be called Script if the Script Assistant is opened by selecting Visual Basic Script is selected on the Data Sources tab of the Modify Selected … Object dialog and Multi-line Expression is selected from the Type dropdown or if the Printer Code Modifier Visual Basic Script... button is clicked. The edit box is where you compose your multi-line script.

    • Event List. Only available for Event Control Scripts, or if the Script Assistant is opened from the VB Scripting tab of the More Data Source Options dialog, this option lets you specify a specific event that will cause a script to start. (Each event type can have its own script.)

  • Sample. The test output of print-time VB scripting will be displayed here, unless Printer Code Modifier scripting is being performed.

  • Category. Lists categories of components from BarTender and from Visual Basic that are useful in scripts. The highlighted category determines the list of items displayed in the Name option.

  • Name. Displays the names of the Visual Basic components contained in the currently highlighted Category item.

  • Description. Displays the syntax and a summary of the Visual Basic component currently highlighted in the Name option. For more detailed help, click on the Visual Basic Help button to bring up Microsoft's full Visual Basic Script documentation, or click here for help on special BarTender objects, functions, and properties.

  • Test. Executes your script using sample data.

  • Insert. Takes the highlighted Visual Basic component from the Name option and inserts it.

  • Help. Opens this help system.

  • Visual Basic Help. Displays Microsoft's full Visual Basic help document.


Caution for Large Dot-Matrix Print Jobs

When you are printing a large number of labels using a dot-matrix printer, we recommend that you check your labels during the print process. A good rule of thumb is to check the quality of your labels at least once per 1,000 labels.

Make sure that the bars in your codes are reasonably black. As your printer ribbon ages, your bars will begin to lighten up. Although some bar code readers can read a "gray" black, others are less tolerant. Some printer ribbons produce noticeably gray bar codes after a few thousand labels.

If you will be covering your bar codes with a laminate or other covering, it is important to test some of them with the covering. Some laminates (especially the shinier ones) affect the read rate more than others. Bar codes produced with a faded ribbon are particularly susceptible to the effects of a high gloss laminate.

You also want to check your labels during printing to make sure that your printer carriage has not "slipped," thereby throwing your labels out of vertical alignment.


The DOS COPY and PRINT Commands

Labels are printed to a binary graphics file. When using the DOS copy command to copy binary files, be sure to include the /b parameter on the command line. For example,

copy filename.prn /b prn

The DOS print command is not recommended for use with BarTender's print output files because, unlike the copy command, the print command does not currently have a /b option for printing binary files.


Understanding Printer Code Templates

In some manufacturing situations portable devices or terminals are used to print labels. These portable devices and terminals in many cases are dedicated to one job (like printing), and usually do not run the Microsoft Windows operating system and cannot run a label printing package like BarTender.

These portable devices and terminals typically take the printer code for a label and merge into it user input information, like lot number and expiration date, and send the completed printer code directly to the printer.

Other systems may use software printing applications that insert user information into the printer code for a label. An example of such a system is SAP/R3, which uses SAPScript-ITF files. A SAPScript-ITF file is composed mostly of printer code, but has extra field information for data input substitution and system processing. The SAP/R3 system software opens the SAPScript-ITF file, comprised of printer code and extra fields, merges user information, and sends it to the printer.

Collectively, these devices, terminals, and printing applications are called print systems.

To support various print systems, BarTender provides Printer Code Template generation. A Printer Code Template contains mostly native printer code, but it also contains delimited fields that the print system can recognize and use to merge user input information.

A new capability being supported by some printers is the ability to receive and process XML-formatted print job information. The printer can take a previously stored label format and populate its field data with the information from the XML file for each label. BarTender has built-in Printer Code Template print system support for several XML printers, and custom print systems can be added for other XML capable printers using the Printer Code Template features.

Note: You will not be able to use this feature unless you have the Enterprise Edition of BarTender and you are using a printer driver from Seagull Scientific, Inc. that supports printer code templates.

See Also:

Exporting to a Printer Code Template

Printer Code Export Options

Printer Code Template Setup

Printer Code Validation


Understanding the Visual Basic Script Data Source

Understanding Visual Basic Scripting in BarTender

Note: This topic is about using Visual Basic scripts with BarTender's internal scripting engine. It is not about automating BarTender.

Purposes of Scripting

There are basically two types of purposes for which you can use BarTender's internal scripting feature:

  • The script output can be used as the source of data for a text, RFID, or bar code object.

Text, RFID, and bar code objects on a label format can receive their data from a number of sources, including your keyboard, data source files, and your computer's time and date functions. Sometimes, however, you may have special requirements. For example, you may need to read data from a file, change it in some special way, and then perhaps combine it in an unusual manner with some other data. By offering the power of Microsoft's Visual Basic Script as a data source, BarTender lets you process and combine the data for your label objects in just about any way imaginable.

When this is your purpose, you will set the data source of the object to Visual Basic Script on the Data Sources tab of the Modify Selected … Object dialog. The Edit button on that tab opens the Script Assistant in which you create the script.

  • A script can be used to perform special validation or other processing on data from some other source, such as a database or the keyboard.

Sometimes your data needs to be validated or processed in an unusual way before printing. At other times, you may want another ActiveX-aware application on your system to react in some controlled way to an event in BarTender. For example, you may want BarTender to cancel print jobs that would produce more than a specified number of identical copies of a label.

When this is your purpose, you will set the data source of the object to screen data, database, time, or date. Then on the the Data Sources tab of the Modify Selected … Object dialog, you will click the More Options button. On the More Data Source Options dialog, open the VB Scripting tab, enable VB Scripting, and then click the Edit button to open the Script Assistant in which you create the script.

How Visual Basic Script is used in BarTender

Visual Basic Script is a subset of Microsoft's Visual Basic programming language. It is specifically designed to add functionality to existing programs, rather than to write programs themselves. When used as a data source in BarTender, a Visual Basic Script can be as simple as a single command or "function." For example, a single line of Visual Basic Script can be used to add or remove one or more characters from an imported data field. Scripts can also be so advanced that they are almost programs themselves (even though they are still used within other programs). Such scripts may test for a number of conditions and then, depending on the results, perform one or perhaps many tasks.

Who Should Use Visual Basic Scripts

Although Visual Basic Scripts can be complex enough to be considered "programs," there are times when just a single line of Basic Script may prove quite useful. Simple scripts such as these can be formed using your mouse and BarTender's "Script Assistant," all without "programming" in the conventional sense. Still, scripting is typically a technique for "power users" and not ideal for computer novices. Whatever your computer skills, you should always be sure that BarTender doesn’t already offer a solution to your challenge before embarking upon a script-based solution.

See Also:

Understanding the Different Types of Visual Basic Scripts


Types of Visual Basic Scripting

To make Visual Basic Scripting accessible to more than just programmers, three levels of complexity are provided. For more information on the script type that is right for you, click on the appropriate option below.

If you haven’t already done so, you should read Understanding Visual Basic Scripting in BarTender.

  • Single-Line Expression. This is the simplest form of a script and can be constructed with little or no programming experience.

  • Multi-Line Scripts. Multiple-line scripts require more advanced programming knowledge, but they provide a truly extraordinary degree of custom control over your data.

  • Event Control Scripts. Takes the concept of multi-line scripts and, instead of letting BarTender decide when they should be executed, allows you to specify one or more "events" that will cause the script(s) to execute.


Script Composition Area

Show All Hide All

This large edit box at the top of the Script Assistant is where you place your Visual Basic code, be it a single-line expression or an actual script. Depending on the Type of Visual Basic Script specified on the Data Source property page, this edit box will be used in one of three ways:

When Type is set to Single-Line Expression

The name of the edit box will show as "Expression." The edit box will only allow you to enter in a Single-line Expression, as opposed to a full line (or multiple lines) of true Visual Basic Script. Single-line expressions consist of one or more functions and do not employ the "=" assignment operator. For more information, see Single-line Expressions.

When Type is set to Multi-Line Script

The name of the edit box will show as "Script." The edit box will allow you to enter in one or more lines of true Visual Basic Script. Single-line expressions lacking a properly used assignment operator will not be accepted. For more information, see Multiple-line Scripts.

When Type is set to Event Control Scripts

The Multi-Line Script setting limits you to one script per object substring. Furthermore, BarTender analyzes your script and label format and automatically determines the ideal time(s) to execute the script based on a predetermined set of rules. In contrast, an Event Control Script can be explicitly set to execute in response to a specific event. Furthermore, you can have multiple Event Control Scripts assigned to a single object substring, with each script executing in response to a different event. For more information, click on Understanding the use of Multiple Event Scripts.

Two Special "Event Scripts"

The "Functions and Subs" and "OnAutoSelectedEvent" scripts referenced at the top of the Event List merit special discussion. To learn more, click on Two Special Event Scripts.

When the Script Assistant is opened from the More Data Sources Options Dialog

The composition area appears just as described in "When Type is set to Event Control Scripts" above.

See Also:

Event Control Scripts


Categories

The Category and Names options are used together to help you find and insert proper Visual Basic statements into the edit box.

Understanding Categories

There are many hundreds of functions, operators, constants and other language components to choose from when writing Visual Basic. Microsoft's documentation on the entire list of these components can be viewed by clicking on the Visual Basic Help button. However, to make the Script Assistant manageable, only a portion of the available components are included.

Note: Although not all Visual Basic components are listed in the Script Assistant, unlisted components can be manually typed into a script.)

Because presenting even this reduced number of components in a single list would make the search for individual Visual Basic components difficult and slow, the list has been broken up into separate categories.

Selecting a Category

To select a category of Visual Basic language components, simply click on the desired item in the Category list. The components available in the Script Assistant for the selected category will then be displayed in the Names list to the right of the categories.

Sub-Categories

Sometimes, an individual category of Visual Basic language components is so large that we had to break it up into multiple sub-categories. This is indicated in the Category list by a plus [+] symbol to the left of a category. Click on the symbol or double-click on the category to "expand" it, which displays the sub-categories. (This also changes the plus symbol to a minus [-]). You can then click on any of the displayed sub-categories to view the list of associated Names. To "collapse" the displayed sub-categories, simply double-click on the main category again or single click on the minus symbol.

BarTender Objects

One of the categories, BarTender Objects, contains are special BarTender-related objects, properties, and functions, that are not built into the Visual Basic Script language itself. For help about these objects, click here.


Names of VB Scripting Objects and Properties and Functions

Name

The Name option is used together with the Category option to help you find and insert proper Visual Basic statements into the edit box.

The Name option lists the Visual Basic components that have been included in the Script Assistant for the currently highlighted category. Anytime you highlight a name in the list, concise help for that component will be displayed in the Description option to the right of the Name list. For more detailed help, or to find out about Visual Basic components not listed in BarTender's Script Assistant, you can view Microsoft's help for all of Visual Basic by clicking on the Visual Basic Help button, or click here for help on special BarTender objects, functions, and properties.

Inserting Visual Basic Code into the Script Edit Box.

Once you find a named Visual Basic component you are looking for, you can double-click on it to insert it into the Script or Expression edit box. Alternatively, you can single-click on the desired component and then click on the Insert button at the bottom of the Script Assistant.

Understanding the "User-Defined" Terms

Most Visual Basic language components have one or more terms that the user must define. After insertion of a new Visual Basic component into the edit box, any such user-defined terms will be displayed in double-angle brackets. For example, the function "Left," which is used to return the left portion of a text string, will appear like this after insertion into the edit box:

Left(«String», «Length»)

In this case, the two user-defined terms, "String" and "Length," tell the function which string to process and how much of it to return. You need to fill in any such user-defined terms, deleting the angle brackets in the process, to properly complete an inserted Visual Basic component.

Filling in the "User-Defined" Terms.

After inserting a Visual Basic component using the Name option, the first user-defined term will be highlighted for you automatically. You can then properly replace that user-defined term either by inserting another component using the Name option, or by manually overwriting it using the keyboard. The advantage of using the Name option is that, once the first user-defined term has been overwritten, the highlight will automatically jump to the next user-defined term (if there is one). However, if you overwrite a user-defined term using your keyboard, you can simply use your mouse or arrow keys to highlight the next user-defined term.


Single-Line Expression

Returns the data contained in the hypothetical database field "PartNumber."

Returns the number of leftmost characters in String specified by Length.

Removes any trailing spaces from the right side of String.

Takes the Expression or number and formats it like a price.

Takes the characters in String and forces it to upper case.

The “Left” function (written to show general syntax, rather than actual data).

The Left function again, this time using realistic sample information for the two arguments in the parentheses. (Note the function within a function.)

The Left function yet again. Note the function within a function within a function.

This sample takes the leftmost seven characters of the part number field and appends to it the contents of the color field.

Single-Line Expression

The Single-Line Expression is the simplest of the three script types supported by BarTender. A single-line expression can perform basic tasks, such as removing a set portion of a data source file string, or searching for and removing certain characters. Single-line expressions typically make use of some combination of "functions" and "operators." Operators most commonly (but not necessarily) perform mathematical functions on numeric data. Functions can also operate on mathematical data, but are more commonly used to manipulate a set of characters (or a "string").

Sample Functions

All of the sample functions shown here are "string" functions, the most commonly used functions in BarTender. However, a variety of other function types are also listed in the Script Assistant. (The angle brackets and variable names shown within the parentheses are to show the "syntax" of the functions — they are not part of the functions themselves. You will fill in the contents of the parentheses with the appropriate field names, variables, and/or constants and will not type the angle brackets.)

Field("PartNumber")

Left(<<String>>,<<Length>>)

RTrim(<<String>>)

FormatCurrency(<<Expression>>)

UCase(<<String>>)

Sample Operators

  • Arithmetic operators: + - * / &

  • Logical operators: < <= <> = > And Mod Not Or

Sample Single-Line Expressions

All functions, including the Sample Functions shown above, are already single line expressions. In addition, you can combine functions using operators and even put a function within a function. (Some of the examples below assume use of a database containing fields called "PartNumber" and "Color.)

Left(<<String>>, << Length>>)

Left(Field("PartNumber"), 7)

Left(Rtrim(Field("PartNumber")), 7)

Left(Field("PartNumber"), 7) & (Rtrim(Field("Color")))

For a more detailed explanation of these and all functions available in Visual Basic Script, please see the Description option or press the Visual Basic Help button in BarTender's Script Assistant.

Also, click here for help on special BarTender objects, functions, and properties that BarTender makes available in the Script Assistant.

SEE ALSO:

Adding Conditional Execution to Single-Line Expressions


Using the In-line If (IIF) Function

The In-line If (IIF) Function and Conditional Execution in Single-Line Expressions

The traditional way to add conditional execution to one or more functions is with If and Else statements. A relatively simple alternative is the "In-line If" function (abbreviated IIF). The IIF function provides much of the functionality available with If and Else statements, but it doesn't require the use of multiple lines of Visual Basic. In fact, it is the only way to add conditional execution to a single-line expression. It is also easy enough to work with that many users will use it when possible in multi-line scripts, even though they could have used separate If and Else statements.

IIF(<ConditionalExpression>,<ExpressionIfTrue>,<ExpressionIfFalse>)

Note: Although the IIF function is available in a number of computer languages, it is not native to Visual Basic. So the manufacturers of BarTender created the version provided in the Script Assistant.

Notice that IIF contains three expressions:

  • A conditional expression.

  • An expression to be executed if the conditional expression is True.

  • An expression to be executed if the conditional expression is False.

Evaluating the Conditional Expression of the IIF Function

The IIF function first examines the conditional expression (the first term in the function) to see if it is True or False. For example:

  • Quantity > 100

    • This sample conditional expression is True if the variable named Quantity is greater than 100.

  • (Field("PartType") = "Breakable") AND (Field("Price") > 1000)

    • This sample conditional expression examines the field named "PartType" in a data file being read from and also looks at the Price for the same part. In this case, the expression will evaluate to "True" if the PartType field for the current data file record is the text "Breakable" and the Price of the part exceeds 1000.

Completing Execution of the IIF Function

The "ExpressionIfTrue" term in the IIF function is executed if the conditional expression is True. The "ExpressionIfFalse" term is executed if the conditional expression is False. Only one of these two expressions will get executed each time the IIF function is executed. The "ExpressionIfTrue" and "ExpressionIfFalse" expressions can be any valid single line expression, including additional ("nested") IIF functions.


Multi-Line Script

Sometimes a single-line expression is insufficient to properly examine your data and compute the desired results. Accordingly, you may sometimes need to use scripts with multiple lines. Because a multiple-line script is for all intents and purposes a simplified Visual Basic program, you can make it as sophisticated as you need it to be.

Setting the Variable Called "Value" When Using Multi-line Scripts

Visual Basic scripts in BarTender typically accept data from either the keyboard or a data source file, alter it in some way, and then assign the altered data to a bar code, RFID, or text object. In order to assign this value, a line of Visual Basic beginning with "value =" must appear somewhere in the script (usually, but not necessarily, at the end). On the right side of the equal sign is the value you wish to assign. For example:

value = LEFT(Field("part_number"),5)

This example takes the "part_number" field from the current database record and discards all but the first five characters. Placing this result into the reserved variable "value" assigns it to the bar code or text object associated with this data source.

Two Important Characteristics of all Multi-Line Visual Basic Scripts

  • Required Use of Assignment Operators

  • Ability to Control Flow

See Also:

Adding Conditional Execution to Single-Line Expressions


Required Use of Assignment Operators

The Visual Basic used for "Single-Line Expression" is a simplified form invented by the manufacturer of BarTender to make Visual Basic more accessible to non-programmers. A single-line expression is, however, only a partial line of Visual Basic and cannot be used in a Multi-line script. Multi-line scripts require that the result of any function, expression or other operation be "assigned" to a variable. For example:

Value = Trim(Field("part_number")) & Field("price")

This example takes the "part_number" field from the current database record, removes all trailing spaces, and appends (or "concatenates") the price of the part onto the end of the part number. The resulting combined data is then assigned to the variable named "Value."


Ability to Control Flow

Show All Hide All

Flow Control is the ability to evaluate a "condition expression" and then, only if the condition is satisfied, perform a particular action. Multiple actions may be defined, with the execution of each dependent on a particular outcome of the "condition" test.

"If" and "Else" Statements

The simplest flow control in Visual Basic is done with "If" and "Else" statements. Here is an example, first in plain English:

If the price is greater than $100, then perform a function, computation or other task. Otherwise, perform a different function, computation, or task.

Here is a more specific version of the above example, put into correct Visual Basic form:

If Field("price") > $100 Then

message = "Please call manager to double-check payment."

Else

message = "Process order normally."

End If

The above example sets the variable "message" differently depending on whether or not the price field in the current database is greater than $100.

Important Note: In order for BarTender to determine the best time to run your scripts during a print job and which data file fields it will need to access, it examines the structure of your label design and does an invisible test run of your scripts. Among other factors, BarTender considers when and how any database fields and substring share names are used. Depending on your flow control statements, it is possible to set up a conditional expression that results in code that references a data base field or share name being skipped during BarTender's test run of your scripts prior to starting your print job. If the condition evaluates differently during the print job, so that these references are now executed instead of being skipped, the script may fail. This possibility is avoided by Forcing Reference to Fields and Share Names.

Other Types of Flow Control

Other types of Flow Control statements are available in Visual Basic. Some "branch," like the If-Else statements discussed above, while others "loop." Follow this procedure for more details on flow control statements:

  1. From the Script Assistant or BarTender's main pull-down menu, select Help on Visual Basic Scripting.

  2. Click on Feature Information.

  3. Click on VBScript Features.

  4. Find the category Control flow.

  5. Click on the keywords for the flow control statements about which you are curious.


Forcing Reference to Fields and Share Names

In order for BarTender to determine the best time to run your scripts during a print job and which data file fields it will need to access, it examines the structure of your label design and does a test run of your scripts. Among other factors, BarTender considers when and how any database fields and substring share names are used.

The Problem with Conditional Execution

Conditional statements execute different "branches" of code, depending on how a conditional expression is evaluated. Accordingly, some code may not get executed, depending on the conditions at the time of the evaluation. This can cause a problem if a reference to a field or share name happens to be in code that gets skipped during BarTender's test run of its scripts. If the associated conditional statement evaluates differently at print-time and causes the field or share name to be referenced, and it didn’t get referenced during the previous test run, the script may not run at the most efficient time and may even fail.

Two Different Forcing Functions

The Script Assistant includes two functions that force a script to reference a data file field or substring share name. These functions don’t change or assign any values, they simply force BarTender to notice the presence of an item that could be missed during the test run of a script. This ensures that BarTender will establish links to all of the necessary data fields and that your scripts will be executed in response to the appropriate events at print time.

To find the following two functions in the Script Assistant, double-click on Functions and then Declarations in the Category option. Then double-click on the desired reference function and field or share name in the Names option. The reference functions are best inserted into the beginning of your script before any conditional statements.

To Force Reference to a Data File Field

ReferenceField("field_name_or_field_number")

If the label format is set up to read data from a regular text file, you will specify a field number. When reading from a database, you will specify a field name. Unless the field name itself is contained in a variable, be sure to put the name in quotes, such as ReferenceField("price").

To Force Reference to a Shared Data Substring

ReferenceSharedSubString("share_name")

If you have given any substrings for any of the objects in your label format a share name, you can force reference to them as shown above. (Unless the share name is stored in a variable, be sure to put quotes around it.)


Event Control Scripts

Show All Hide All

Event Control Scripts are one of the most advanced features in BarTender and should only be used by technically knowledgeable individuals.

Depending on the purpose of your script, you might need it to execute as infrequently as once per label job or as often as every single label. These are respectively the least frequent and most frequent "events" that occur in a print job. In between, however, there are a variety of events that happen more frequently than once per job but less frequently than every single label.

To keep things as simple as possible, BarTender will normally examine your single-line and multi-line scripts and attempt to determine the ideal frequency with which a script should be executed. For most users and most purposes, this will be sufficient. Sometimes, however, you may need more control and need to explicitly state when your script(s) will execute.

Different Event Types

Although it is very unlikely you would ever need to do so, every data substring for every object on your label could potentially have a separate script for every event type supported by BarTender. It is more realistic that, if you do need to write an event script, that you will only need to do so for one particular event type and probably just for one or a few substrings on your label.

Listed below are descriptions of some of the most notable kinds of events.

  • When a print job is about to start.

  • When a print job has just finished.

  • Before displaying a prompt dialog.

  • After a user has pressed OK to close the prompt dialog.

  • On every single label. (Can cause significant performance loss.)

  • On each new record (when reading from a data source file).

  • When serialization might occur. (See Script Assistant for explanation.)

To see a list of all the event names as defined in BarTender:

  1. Set the script Type to "Event Control Scripts."

  2. Click on the Edit button to bring up the Script Assistant.

  3. View the Event List option.

For more information about the Event List, read the appropriate section in the Help for the Script Assistant.

See Also:

Adding Conditional Execution to Single-Line Expressions


Event List

Note: This list is displayed in the Script Assistant only when the Type option is set to Event Control Scripts, or if the Script Assistant has been opened from the VB Scripting tab of the More Data Source Options dialog..

For most labeling tasks, it is sufficient to have the Type option set to Multi-Line Script, which does not allow for explicit event control. Instead, BarTender will evaluate the structure of both your label format and your script and determine the optimal times (or events) for executing your script. Event Control Scripts are for the rare times when you need more precise control over when your scripts execute.

For more information, see Introduction to Event Control Scripts.

How the Event List Controls Multiple Scripts?

When the Type option is set to Multi-line Script, a label object will usually have just one script associated with it. However, when Type is set to Event Control Scripts, each event that you click on in the Event List can have its own separate script displayed in the edit box. For more information, click on Understanding the use of Multiple Event Scripts.

Procedure:

Creating an Event Control Script

See Also:

Different Types of Event Scripts


Creating an Event Control Script

Follow this procedure to create an Event Control Script.

  1. Set the source on the Data Source property page to "Visual Basic Script."

  2. Specify Event Control Scripts in the Type option.

  3. Click on the Edit button to access the Script Assistant.

  4. Click on the desired event in the Event List option. The script for the newly selected event will be displayed in the edit box, along with any comments specific to that event.

  5. Type your script for the highlighted event into the edit box. (If desired, you may delete the existing comment.)

  6. To create another script for the same label object but for a different event, click on the desired event in the event list. Your existing script will be stored, and the edit box will display the script for the newly selected event.

  7. Enter the new script as desired.

See Also:

Event Control Scripts

Different Types of Event Scripts

Using The Script Assistant


Understanding the use of Multiple Event Scripts

Single line expressions and regular multi-line scripts are executed only at those times during your print job that BarTender predetermines as the most appropriate. Depending on the structure of your label format and the content of your scripts, your scripts could be executed as infrequently as once per entire label job or as often as every single label. There are times however, when you need more precise control over when your scripts execute.

When the Type of Visual Basic Script for a label object or label object substring is set to Event Control Scripts, the Event List option showing numerous script types appears to the left of the Script edit box. For any label object, you can define scripts for any or all of the events in the event list.

Selecting the Events For Which to Write Scripts

Each line item in the event list corresponds to a separate script. When you want to write a script for a given event, simply click on that item in the Event List. This will cause the script associated with the previously highlighted item to no longer be displayed in the Script edit box and the script associated with the newly highlighted event to be displayed instead. (Notice that, other than one or two lines of comment at the top, all of the scripts except for the OnAutoSelectedEvent start out completely blank.) You can now insert whatever lines of Visual Basic Script you desire into the Script edit box. (Don’t forget that to assign a value to a label object, a line of script beginning with "Value =" needs to appear somewhere in the script.) You can click on as many different items in the event list as you want and define a script for each one.

The Different Script Types in the Event List

  • Functions and Sub[routine]s. This isn’t really an event all. When you select this option as the "event" before opening the Script Assistant, then the edit box in the Script Assistant will serve as a container in which you write one or more independent Visual Basic routines which can then be called and used by other scripts that are associated with real events. For more information, see Two Special Event Scripts.

  • OnAutoSelectedEvent. This isn’t really an event all. Selecting this as the "event" for your script simply means that you will allow BarTender's built-in intelligence to analyse your script and decide the best time (or times) during each print job to execute it. This intelligence is always turned on for Single-line Expressions or Multi-line Scripts, but it is turned off by default for Event Control Scripts. For more information, see Two Special Event Scripts.

  • The Regular Event Scripts. The remainder of the event list corresponds to specific events. For more information, see Regular Event Scripts.


The Two Special Event Scripts

Two Special Events

Show All Hide All

Each of the available Event Control Scripts in the Event List, except for the top two, refers to a very specific event. However, the top two listed events are special, as discussed here:

Functions and Subs Event

The script associated with the Functions and Subs event list item isn’t really an event script at all. It is a script into which you place functions and subroutines that you want to be accessible to all the other event scripts associated with the same object substring. You can also use the Functions and Subs script to declare variables that other event control scripts need to access. (These are not quite "global" variables, as they can only be accessed by event control scripts for the same object substring, and not by other scripts associated with other substrings.) Below is a list of tasks often performed and items often placed in the Functions and Subs script:

  • User-Defined Functions and Subroutines. It is standard programming practice to place a section of computer code that needs to be run from multiple places into either a function or a subroutine. Placing them into the Functions and Subs script lets them be called multiple times from multiple scripts.

  • Common Variables. To declare variables that will be accessible to all your event control scripts for a given object substring, you can "dimension" them (using the Visual Basic "dim" statement) in the Functions and Subs script. Alternatively, you can simply initialize variables and they will be automatically dimensioned for you. (We use the term "common variables" and not "global variables," because they can only be accessed by event control scripts associated with the same substring object. For more information, see Creating True Global Variables.)

  • Variable Initialization. Variables can be set to a starting value by inserting a line of Visual Basic code similar to

VariableName = value

into the Functions and Subs script. Here, "VariableName" is the name of the variable to initialize and "value" is the value to initialize it to. Initialization in this manner lets you dispense with the previously mentioned dimensioning of variables, since Visual Basic will determine what variables are not yet dimensioned and do it for you automatically.

  • Any Other Initialization. Any other code you need to run in order to set anything up that any of your other scripts might need, such as opening or creating a log file, or perhaps checking for the preexistence of a file. Depending on your needs and/or preference, this code can be placed inside a function or subroutine in the Functions and Subs Script, or simply left as "naked" code and inserted as is into script.

OnAutoSelectedEvent

When the Type of Visual Basic Script is set to Event Control Scripts, this event is called with the same frequency that scripts are called when the Type is set to Multi-Line Script.

When using regular multi-line scripts, BarTender analyzes the design of both your script and label format according to some preset rules and determines the ideal times for the script to get called. The general goal is to evaluate how your label format has its serialization and multiple copies options set, and then call the multiple-line script often enough to supply the label with new data as needed, but no more often than necessary. In contrast, when the Type of Visual Basic Script is set to Event Control Scripts, you can explicitly specify which events you want to launch your scripts. The OnAutoSelectedEvent lets you write a script that gets called at those "ideal" times determined by BarTender with regular multi-line scripts, even though you may also be using other scripts tied to specific events.


Regular Event Scripts

The available event names are listed below. To the right of each one is a brief summary of when the script is called. (When further discussion is called for, additional information will appear under the list item as well.)

  • OnIdenticalCopies: Every single label.

See also this Performance Warning.

  • OnNewRecord: Each new record (input file data only).

More on OnNewRecord.

  • OnPrePrompt: Just before displaying your prompt dialog, when using Prompt-at-Print-Time.

  • OnPostPrompt: After a user has pressed OK to close the prompt dialog.

  • OnPrintEnd: When a print job has just finished.

  • OnPrintStart: When a print job is about to start.

  • OnScreenUpdate: Any time the string for the associated object is updated on the screen.

More on OnScreenUpdate.

  • OnSerialize: When serialization might occur.

More on OnSerialize.


Overview of Automation

Overview

(Available with only the Enterprise Edition of BarTender)

BarTender can be automated:

ActiveX Automation . Most tasks can be automated using ActiveX Automation. Using a programming or scripting language, like Visual Basic, you can access BarTender's automation objects, making it possible to do programmatically most tasks that are done manually using the user interface.

Command Line Parameters. Instructions to perform certain tasks automatically can be given to BarTender when it starts up.


Using Command Line Parameters

Using the Command Line Interface

You can cause some of BarTender's functions to be performed automatically, when BarTender starts, by adding special codes, called parameters, to BarTender's command line. Command line parameters are most commonly used to run BarTender from within other programs or to change BarTender's start up settings to preload an existing label format or automatically start a print job.

Using this command line interface, you can also run BarTender without ever seeing either the BarTender window or the label format it has loaded.

  • Running BarTender from inside other programs

  • Changing BarTender's start up settings

Additional Command Line Information

  • Complete list of command line parameters

  • Rules for specifying command line parameters

  • Using spaces in file names

See Also:

Accessing Data Created by Other Programs


Rules For Specifying Command Line Parameters

Command line parameters for BarTender consist of a slash or space, followed by one or more letters that specify the desired command, sometimes followed by an equals sign and additional data. When you have multiple parameters on a command line, they may be separated by any of the following:

  • A space followed by a forward slash (recommended).

  • A forward slash.

  • A space.

Regardless of the combination of spaces and slashes used, no spaces are permitted within the parameters, only between the parameters. However, newer versions of Windows allow the use of spaces in folder and file names. For additional information, see Using Spaces in File Names.

The following examples show a number of legal examples of how to properly space command line parameters. A number of illegal examples that will not work are also included. (NOTE: The /F and /D parameters are used to specify the name of a label format and data file to load.)

Allowed

/F=format_file_name /D=data_file_name

/F=format_file_name/D=data_file_name

F=format_file_name D=data_file_name

Not Allowed

  • Extra spaces within parameters:

/F = format_file_name /D = data_file_name

/F= format_file_name /D= data_file_name

F= format_file_name D= data_file_name

  • Lack of separator between parameters:

    • F=format_file_nameD=data_file_name

    /F=format_file_nameD=data_file_name

See Also:

Using Command Line Parameters


Using Spaces in File Names

Newer versions of Windows allow the use of long file names that can include spaces. If any of the folder or file names used on the command line contain spaces, you must enclose the path in quotes or remove spaces and shorten longer names to eight characters. Instructions for doing both of these are listed below.

Using Quotes

"C:\Program Files\BarTenderCD Designer\bartend.exe" "/F=C:\BarTender\Samples\Address.btw /X"

When you enclose the command line path name in quotes, you must separate the program command from the file commands.

Removing Spaces

/F=C:\Progra~1\BarTen~1CDDesi~1\Samples\Address.btw

You can enter a command line parameter that references file names with spaces without using quotes by removing the spaces and shortening them to eight characters. To do this, add a tilde (~) and a number after the first six characters of the name. To illustrate, notice in the example for Using Quotes that the folder name "Program Files" has a space in it. In the above example, however, the space has been removed, and "Progra" is just one word.

See Also:

Rules For Specifying Command Line Parameters

How BarTender Processes Path and File Names


Running the Application from Inside Other Applications

Running BarTender from Inside Other Programs

To run BarTender from within another program, you will need to consult the documentation for the other program. A good starting point is to search in the other product manual's index for the words Run, Spawn, Execute, and WINEXEC (which is the actual Windows function call used to load another program).

When you determine how to run an application from inside your other program, you can specify the desired command line to run BarTender. For additional information on specifying command line parameters, see Rules For Specifying Command Line Parameters.

Running BarTender from Within Other Programs Without Preloading It

One way to execute BarTender from within another program is to include the /P and /X parameters on the command line inside the other program. This launches BarTender, prints a specified label job, and exits when done.

The problem with this approach is that, as with any other full, stand-alone Windows program, BarTender takes some time to load from your hard drive and initialize itself. This delay, of anywhere between one and ten seconds (depending on the speed of your system) is usually insignificant if you execute only a few label jobs each day, especially if the label jobs contain many labels (since, in that case, the relative significance of the initial delay is minor). However, if you need to frequently print small numbers of labels from within other programs, this delay can become inconvenient.

Preloading BarTender to Avoid Repeated Start-up Delays

By preloading BarTender and leaving it running "in the background," you can print labels from your other programs as you need them, without having to reload BarTender each time. Then, when you are done, you can issue a command telling BarTender to exit. To preload BarTender, run one or more label jobs, and then exit when done, you must enter a separate command line for each, as follows:

Preloading a Label Format

Printing a Preloaded Format

Telling BarTender to Exit

See Also:

Accessing Data Created in Other Programs

Complete List of Command Line Parameters

Using Spaces in File Names


Printing Labels Without Start Up Delays

The following command line will start to load a second copy of BarTender but will first check to see if another copy has been previously loaded.

c:\btw\bartend.exe /p

(See Using Spaces in File Names)

If you have preloaded BarTender, rather than started up a new copy, this command line will pass its parameters to the copy already running and remove itself from memory. This leaves the first copy of BarTender in control of program execution and ready to perform the functions specified on the command line. Because this process happens so fast, it may seem as if the specified parameters were sent directly to the copy of BarTender already in memory.

In the above example, only the /p parameter is used, which instructs BarTender to print data using the label format that was previously loaded. However, you could specify even more command line parameters, including instructions to load a different label format and/or perhaps read data from a particular data source file. You can continue to print additional label jobs in this manner, sending as many command lines to BarTender from your other program as you like.

Next:

Telling BarTender to Exit

See Also:

Command Line Parameter Summary

Rules For Specifying Command Line Parameters


Preloading the Application

Preloading BarTender

When you preload BarTender, you can start it and have it open an existing label format. The command line below shows you how to do this.

c:\btw\bartend.exe /f=<format name>

(See Using Spaces in File Names)

By doing this, you can quickly and easily print the label format when you need to. However, as no print parameter is specified, BarTender will simply stay in memory and do nothing until you tell it to print.

When you preload BarTender in this manner, we recommend that you instruct the other program or Windows (depending on your software development tools) to run BarTender "minimized." This places BarTender's screen "in the background" and out of your way. (It is not BarTender that determines whether or not it loads full-screen or as an icon. This characteristic is fully controlled by the software in which you are running BarTender.)

Next:

Printing Labels Without Start Up Delays

See Also:

Command Line Parameter Summary

Rules For Specifying Command Line Parameters


Changing the Application's Start Up Settings

Changing BarTender's Start Up Settings

When you change BarTender's start up settings, you instruct BarTender to perform certain tasks at start up. You do this by entering commands into BarTender's start up command line or by entering a command into another program.

Without extra command line parameters, when you start BarTender, it loads up with a new, blank label, ready for you to modify into any desired format. However, you may wish to have BarTender start up with a blank label format of a different size or shape or an entirely predesigned label format.

  • Providing alternate start up defaults

  • Using shortcuts to automatically load label formats, print and exit

  • Running BarTender in "print-only," tamper-resistant mode

Use the procedure listed to access the start up command line and enter the parameters specific to the task you want to perform.

Important Procedure:

Accessing BarTender's Start Up Command Line


Providing Alternate Start Up Defaults

Entering a command line similar to the sample line below into BarTender's startup command line will cause BarTender to open a label format when it starts up.

c:\btw\bartend.exe /f=mycustom

(See Using Spaces in File Names)

In the command line above, the /f= parameter tells BarTender to automatically load the label format MYCUSTOM.BTW on start up, as if it were the default label format.

Procedure:

Accessing BarTender's Start Up Command Line

Next:

Automatic Label Job Execution

See Also:

Rules For Specifying Command Line Parameters

Command Line Parameter Summary


Automatic Label Job Execution

Command line parameters enable you to instruct BarTender to open a label format, print it, and exit without ever seeing the BarTender window. Entering the following command line will perform these functions:

c:\btw\bartend.exe /f=partlist /p /x

(See Using Spaces in File Names)

In the command line above, the /f parameter tells BarTender to load a label format called PARTLIST.BTW. The /p parameter causes printing to start automatically, without any user intervention, and the /x parameter causes BarTender to exit automatically when printing is over.

If you use the above command line parameter for a label format with one or more objects set to prompt at print time, you will receive the prompt dialog before the label will actually print. To complete the print job, enter the necessary data into the reply boxes and click on Print.

Procedure:

Accessing BarTender's Start Up Command Line

Next:

Using BarTender in a "Print-Only" Mode

See Also:

Rules For Specifying Command Line Parameters

Command Line Parameter Summary


Using the Application in a "Print Only" Mode

Using BarTender in a "Print-Only" Mode

Using a command line parameter, you can instruct BarTender to load, print, and exit from a label format. However, using a special parameter, you can also request BarTender to display the Print dialog, allowing you access to the Identical Copies of Label and Number of Serialized Copies options so you can print as many labels as desired.

Entering into BarTender's start up command line a command line parameter similar to the sample shown below allows printing but prevents modification of the label design. As soon as you try to exit from the Print dialog, BarTender will exit completely. In this mode, BarTender essentially becomes a "print-only" product, which prevents users from making any design changes.

c:\btw\bartend.exe /f=partlist /pd /x

(See Using Spaces in FileNames)

In the command line above, the /f parameter tells BarTender to load a label format called PARTLIST.BTW. The /pd parameter means print but also gives the user control of the Print dialog, and the /x parameter causes BarTender to exit automatically when printing is over.

Procedure:

Accessing BarTender's Start Up Command Line

See Also:

Rules For Specifying Command Line Parameters

Command Line Parameter Summary


Accessing Data Created by Other Programs

It is very common to store data in a database created and managed by another program but print labels using that data from inside BarTender. There are three basic approaches that you can take.

The Manual Method (Running BarTender Separately)

A manual, but perfectly functional way to print labels using data from an external database is to export the desired label data to a text file from the database in the other program. Then, running BarTender in a separate window, you can manually tell BarTender which data file to load and print through the use of its Database Connection Setup dialog.

Partial Automation

A more automated way to perform this function is to run BarTender from within the other program. This way, the other program can first create the file containing the label data, then run BarTender and tell it the format and data file from which to print. Depending on the command line parameters, BarTender can be instructed to exit when the print job is over or be left running.

Full Automation

One fully automated method would be to leave the data in a native ODBC format and have BarTender read the data directly. By passing certain parameters to BarTender on the command line, you can tell BarTender exactly which data records to read directly out of the data file. This is performed via the ODBC Administrator. (For more details on this capability, see the /W parameter in the Command Line Parameter Summary.)

If your database is not ODBC compliant, you may still draw data from it in a fully automated way by using an OLE DB Provider.

A third fully automated method would be to leave the data in a SAP IDoc and have BarTender read and parse the data directly with the help of a SAP IDoc configuration file.


Command Line Parameter Summary

Command Line Parameter Reference

Show All Hide All

Note: Unless otherwise specified, all command line parameters require Professional edition or better. Help and Register command line options are available in all editions.

You can automate what BarTender does using command line parameters. The syntax of a command line is:

bartend.exe [parameters]

There is a space between the "bartend.exe" and the first parameter and all parameters begin with a forward slash. See below for examples, and refer also to Rules For Specifying Command Line Parameters and Using Spaces in File Names.

Note: Brackets in the command lines on this page indicate material that is not required in every use of the command or the parameter. (Do not ever include the brackets themselves.) So, for example, the brackets in the preceding command line indicate that you can run BarTender without any parameters at all, in which case it will start in its default state.

The following list shows each available command line parameter and its function.

Label Format Commands

/F=\path\format.btw

Specifies a label format to load. Conventional DOS file naming conventions are used. Wildcards * and ? are supported for opening multiple label formats. You can also have more than one /F= parameter. A default file extension of .BTW is assumed, if none is specified. A full path to the label format may need to be specified. See also How BarTender Processes Path and File Names.

/FA=\path\format.btw

Similar to /F= but, if a label format has already been loaded by BarTender and any changes happen to it during a print job, BarTender will ask if you would like to save your changes before the new label format is loaded.

/AF[=\path\format.btw]

/AF alone specifies that all format-relative commands, such as /P and /D, apply to whatever label format is currently active. /AF=\path\format.btw is similar to /F= but it also specifies that the label format is now the active label format. Use this command if you have more than one /F= command or you used wildcards with an /F= command. (Wildcards cannot be used with /AF= and there can only be one /AF=.)

/CLOSE

Closes the active label format.

/S

Forces a save without asking the user.

Printing Commands

/P

Executes a print job, leaving the status of the Use Database check box of the Print dialog unchanged. If this setting is checked, the various settings inside the Database Connection Setup dialog will be used as is, unless they are overruled by another command line parameter. Applies to all open label formats unless the /AF= parameter has been used.

/PD

Same as /P, but also displays the Print dialog, thereby allowing the user to make changes as desired to the dialog settings and then start the print job manually.

/QP

Forces the status of the Use Database check box of the Print dialog to disabled (or "unchecked"), so that no data is read in by BarTender from any external sources.

/QPD

Same as/QP, but also displays the Print dialog, thereby allowing the user to make changes as desired to the dialog settings and then start the print job manually.

/FP

Forces the status of the Use Database check box of the Print dialog to enabled (or "checked"), so that data may be read from any properly specified data source file.

/FPD

Same as /FP, but also displays the Print dialog, thereby allowing the user to make changes as desired to the dialog settings and then start the print job manually. (Often used with Prompt at Print-time and Query Prompts.)

/C=n

Overwrites the currently specified value for the number of identical copies to print of each label.

/S=n

Overwrites the currently specified value for the number of serialized labels to print.

/PRN="printer name"

(Enterprise Edition or better) Specifies a printer to use. This parameter can be used at anytime and will apply to all opened label formats unless one of them has been specified as the active label format with the /AF parameter.

/PRNFILE="printer file name"

(Enterprise Edition or better) Specifies that BarTender should print to a file and specifies the file name that should be used. The parameter applies to only the active label format.

/PRNMDL="<model>[, <port>]"

(Enterprise Edition or better) Sets the printer model and, optionally, the port. This parameter is usually used as an alternative to /PRN when it is not certain that the desired printer will be on line. It will apply to all opened label formats unless one of them has been specified as the active label format with the /AF parameter. If used in addition to /PRN, the latter takes precedence. If the printer specified with /PRN cannot be found, BarTender will search for a printer of the specified model. If /PRNMDL=<model> is used and more than one printer of the correct model is found, BarTender will choose the one on the closest port to the missing printer. Specifying /PRNMDL=<model>, <port> will cause BarTender to use a printer of that model on the specified port.

/PrintJobName="printer job name"

(Enterprise Edition or better) Sets the visible name for the print job in the spooler.

/Tray="<tray name>"

(Enterprise Edition or better) Specifies the printer's paper tray to print from if multiple trays are available. The "tray name" string is compared to the list of tray names provided by the driver. Matching ignores whitespaces and is case-insensitive. If the specified tray is not available this setting reverts to the default printer tray.

/MediaHandling= "option=value;[options=values]"

(Enterprise Edition or better) Sets media handling commands, triggers, and actions. See the BarTender Help topic on Media Handling for more details.

Option | Value
Action | DriverSettings PageBreak Pause WaitForLabelTakenSensor Cut CutAndPause
Occurrence | AtEndOfPrintJob AfterEveryPage AfterEveryRecord AfterAllIdenticalCopies AfterDataChange AfterNumberOfLabels
DataItemType | DatabaseField NamedSubstring NamedObject
DataItemName | (string value)
NumberLabels | (integer value)
IgnoreCase | True/False

Database Connection Commands

/UID="<userID>"

When using ODBC data sources, the /UID and /PWD can be specified to log into the ODBC databases. The /UID and /PWD are applied to all ODBC databases found. If /UID is provided and /PWD is not, then it is assumed that the /PWD is "". The /UID must be used when /PWD is used.

/PWD=<password>

When using ODBC data sources, the /UID and /PWD can be specified to log into the ODBC databases. The /UID and /PWD are applied to all ODBC databases found. If /PWD is provided the /UID must also be provided.

/D="<path to data file>"

(Enterprise Edition or better) Sets or changes the text file database to be used. If no connection to a text file database has been added to the label format, the /D parameter adds it. (BarTender will assume that the first line of the file is a header that contains the field names and that the data fields are delimited with the mixed-quote-and-comma method.) If connections to one or more text file databases have already been added, the file specified with the /D parameter replaces the first text database. (BarTender will assume that the new file uses the same delimitation method as the original file, and it will assume that the first line is a header of field names if and only if the original file had such a header.) The /D parameter applies to all open label formats unless the /AF= parameter has been used. A full path to the database may need to be specified. See How BarTender Processes Path and File Names.

/R=<starting record number>

(Enterprise Edition or better) This option is used to start printing at a specific record in a database. When using a query, the starting record will be used in the results of the query records.

/DbTextHeader=<number of record containing field names>

(Enterprise Edition or better) This option is used to identify the record, if any, containing the field names.

/?<query prompt name>="<query prompt value>"

(Enterprise Edition or better) Assigns a value to the specified query prompt. If there is no match, then the command is ignored. If a query prompt within the label format is not set, then the query prompt dialog will be displayed with the remainder of the unset prompts. Multiple query prompts are supported on the command line. Setting query prompts only takes effect when /P, /PD, /FP, or /FPD are specified.

/DD

(Enterprise Edition or better) Causes the deletion of the ASCII data file after the print job if there are one or more databases and the first database is an ASCII database.

/W="<where clause>"

Note: The Where property is obsolete, and is supported only for backward compatibility. Use the /?<query prompt name> option as an alternative.

(Enterprise Edition or better) The /W option sets the where clause for record selection within an ODBC database. The where clause will be applied at the time of data browsing or at the time of printing to perform record filtering. The /W option uses the Custom SQL option. If you do not already have a custom SQL statement defined, then one will be generated automatically. The custom SQL statement is parsed for the first occurrence of the WHERE string in your custom SQL statement, and will replace all remaining text with the contents of the <where clause>. If a WHERE clause is not found in your custom SQL statement, then the <where clause> value will be placed at the end of your SQL statement.

/IDOC="<path and filename of IDoc>"

(Enterprise Edition or better) Specifies the IDoc to be used. A full path to the file may need to be specified. See How BarTender Processes Path and File Names.

/DIDOC

(Enterprise Edition or better) Causes deletion of the IDoc following the print job if the first database is an IDoc.

/ITD=\path\<SAP definition filename>

(Enterprise Edition or better) Specifies the SAP definition file to be used. This changes a registry entry so that subsequent runnings of BarTender will use this file. A full path to the file may need to be specified. See How BarTender Processes Path and File Names.

License Server Commands

All License Server commands require Enterprise Edition or better.

/LicenseServerAddress=<Server Name|Domain Name|Numerical IP Address|*>

Specify the network address where the Seagull License Server is running on the network. You may use the computer's name (e.g., MyServer), the domain name (e.g., Shipping.MyCompany.com, or the IP address (e.g., 10.1.1.32).

Use "*" (an asterisk) to indicate that BarTender should search for the Seagull License Server.

If this parameter is not used, then BarTender will use the default specified in the Seagull License Server's user interface.

/LicenseServerAlternateAddress=<Server Name|Domain Name|Numerical IP Address|*>

Specify the address of an alternate Seagull License Server to be used if the preferred server is not available. For details see /LicenseServerAddress above.

/LicenseServerPort=<port>

Specify the port that the Seagull License Server should monitor. Possible values are 1024 to 65535. If this parameter is not used, then BarTender will use the default specified in the Seagull License Server's user interface.

/LicenseServerAlternatePort=<port>

Specify the port to be monitored if an alternate Seagull License Server is used when the preferred server is not available. For details see /LicenseServerPort above.

/LicenseServerTimeout=<time in seconds>

Specify, in seconds, how long BarTender will look for the Seagull License Server before giving up. If this parameter is not used, then BarTender will use the default specified in the Seagull License Server's user interface.

/LicenseServerAlternateTimeout=<time in seconds>

Specify the timeout to be used by an alternate Seagull License Server when the preferred server is not available. For details see /LicenseServerTimeout above.

Miscellaneous Commands

@<command file name>

(Enterprise Edition or better) Because the command line can become quite long, the @ character followed by the name of an ASCII file will expand the contents of the file into the command line.

/X

Specifies that, after all requested functions have been performed, BarTender will automatically exit, but without saving any changes that may have occurred as a result of any command line actions that were performed or data values that were incremented.

/XS

Specifies that, after all requested functions have been performed, BarTender will automatically exit after first performing an unconditional save of any changes to data that occurred during the print job.

/XA

Similar to /XS, but, if there were changes, asks the user whether or not to perform a save.

/RUN

Overrides BarTender's (version 2.52 and greater) normal procedure of checking for an existing copy of BarTender already in memory. Instead, this option tells BarTender to run itself no matter what, even if it means having a second copy of BarTender in memory. Any other specified command line parameters will be run by this newly loaded copy of BarTender and not passed to a previously loaded copy.

/REGISTER

Registers BarTender's automation interface. Registration is normally done when BarTender is installed, but may need to be done again if, for example, BarTender has been moved from the original installation directory. This parameter cannot be combined with any other parameters. Any other parameters will be ignored.

/MIN[=Taskbar|SystemTray]

Causes BarTender to run minimized. Optionally, specify whether it will be minimized in the taskbar or the system tray.

/MAX

Causes BarTender to run maximized.

/NOSPLASH

Causes BarTender to skip the display of its splash screen when it launches.

/?

/HELP

Displays the help topic for BarTender's command line parameters.

Examples of BarTender Command Lines

bartend.exe /F=c:\Formats\ship.btw /P

Loads and prints ship.btw.

bartend.exe /F=F1.btw /F=F2.btw /F=F3.btw

Loads the three label formats.

bartend.exe /P

Prints all open label formats.

bartend.exe /IDOC="xyz.idoc" /p

Prints all label formats using IDoc xyz.idoc.

bartend.exe /AF=F2.btw

Makes label format F2.btw the active label format.

bartend.exe /AF /p /c=2 /d="xyz.dat"

Prints two copies of the active label format using text file xyz.dat.

bartend.exe /F=test.btw /p /LicenseServerAddress=MyServer /LicenseServerPort=5175

Opens the label format test.btw. Connects to Seagull License server on MyServer, port 5175.

bartend.exe /MediaHandling="Action=Cut;Occurrence=AtEndOfPrintJob"

Sets the printer media handling settings to cut the label stock at the end of the print job.

See Also:

Using Command Line Parameters

Running BarTender From Inside Another Program


Bearer Bars

You may add bearer bars (with or without a quiet zone) for your Interleaved 2-of-5 bar code.

  • Type. Your options are None, Top/Bottom, or Rectangle.

  • Thickness. Set the thickness of the bearer bars. Default is 3X.

  • Quiet Zone. Set the thickness of the quiet zones. Default is 10X. Setting this value to None allows you to have Top/Bottom bearer bars with no quiet zone. (You must have a quiet zone if you select Rectangle bearer bars so that the bearer bars can be distinguished from the bar code.)


Character Set

(This is a symbology-specific option that is only enabled for Data Matrix.)

The Character Set option will be enabled if you have specified a Symbol Type other than ECC 200. ECC 200 automatically determines the required character set by evaluating your data. Depending on the amount and type of data contained in your bar code, you may achieve the smallest bar code by manually specifying a character set.

  • Auto. Specify that BarTender will evaluate the data for the bar code and determine the best character set.

  • Numeric. Specifies that only numbers will be considered acceptable data.

  • Uppercase Alphanumeric with Punctuation. Specifies that only uppercase letters and numbers, including punctuation, will be considered acceptable data.

  • Uppercase Alphanumeric with Spaces. Specifies that only uppercase letters and numbers, including spaces, will be considered acceptable data.

  • Full 128 Delimited. Specifies that all keyboard characters — including upper and lowercase letters, numbers, and symbols — will be considered acceptable data.

  • All 256 Delimited. Specifies that all 256 Delimited characters, including all keyboard characters and international Delimited characters, will be considered acceptable data.

Escape Sequences in the Data

Data Matrix also supports a variety of escape sequences in the data stream. The escape sequences begin with the caret "^". (Use two consecutive carets "^^" to include an actual caret in the data stream.)

  • ^X. This represents an ASCII control character, where X is the character. For example, ^G represents BEL.

  • ^dnnn. This represents a 3-digit ASCII decimal codeword, where nnn is the codeword.

  • ^7nnnnnn. This represents an ECI (Extended Channel Interpretation Protocol) value, where nnnnnn is the 6-digit ECI number. For example, ^7000009 represents ECI value 9. ECI protocol values have four types of interpretations:

    • As identifiers of international character sets (codepages)

    • As control information for structured append in unbuffered mode

    • As information for encryption or compaction or other general purposes

    • As user defined information

  • Miscellaneous.

    • ^1. This represents FNC1. In the second codeword position, the ^1 must be preceded by an upper or lower case letter or by some pair of numerals from 01 to 99.

    • ^3. This indicates reader programming.

    • ^5. This is used as an abbreviated 05 header for the application identifier. It will be decoded as the 05 macro header and trailer.

    • ^6. This is used as an abbreviated 06 header for the application identifier. It will be decoded as the 06 macro header and trailer.

When Unacceptable Data Is Received

You should specify the character set which most closely matches your data because it will result in the smallest bar code. However, if your data contains unacceptable characters, your bar code will be displayed on screen with a red "X" in the center (as shown) and will not be printed.


Check Digit for Bar Code

Check Digit

Show All Hide All

(This is a symbology-specific option that is not enabled for symbologies that do not support it.)

The Check Digit option on the Bar Code property page allows you to specify whether or not check digits will be added to your bar codes. A check digit is an optional character that can be appended to the end of a bar code for the purposes of error checking.

Why Check Digits Are Used

Although automated data entry with a bar code reader is many times more reliable than manual data entry with a keyboard, the possibility of decoding errors can never be statistically eliminated. For example, a sudden jerk in a user's scanning motion or a printing defect in a bar code can cause a "substitution error" to occur. In situations where a substitution error might catastrophically affect the integrity of your database, the use of "check digits" is strongly recommended.

While check digits do not completely eliminate the possibility of substitution errors, they do reduce their likelihood even further, thereby improving data integrity.

  • Substitution Error. An error that occurs when one or more of the characters in the bar code message transmitted to the computer is different from what was actually encoded into the bar code.

  • Check Digit. An extra character appended to the end of a bar code whose value is derived from the sum (or weighted sum) of the values of the previous characters in the bar code.

How Check Digits Work

When a bar code reader that is configured to look for check digits scans a bar code which contains a check digit, it re-performs the same summation that was done by BarTender when the check digit was originally generated. The bar code reader then compares its computed check sum value with that of the check digit that was printed by BarTender. If the two values agree, the bar code reader transmits the bar code message. However, if the two values are different, the bar code reader knows that an error has occurred and no bar code characters are transmitted. The user must scan the bar code message again.

Symbology Specific Information for Check Digits

Several kinds of symbologies are always printed with check digits. Therefore, when these symbologies are specified for the currently selected bar code, the Check Digit option will be checked but grayed.

Specifications for the Codabar symbology do not include an option for check digits. Therefore, the Check Digit option will also be ghosted when a Codabar bar code is selected in the label viewing area.

See Also:

Check Digit Type


Check Digit Type

(This is a symbology-specific option that is only enabled for Code 39 — Full ASCII, Code 39 — Regular.)

The Check Digit Type option on the Bar Code property page is used to specify the type of check digit that you want BarTender to add to your Code 39 — Full ASCII, Code 39 — Regular bar codes. The four settings are described below.

  • MOD 43. (Default setting.) This is the check digit type used most often when printing Code 39 bar codes. This is also the only setting that allows a check digit to be generated for Code 39 bar codes which contain non-numeric (alpha) characters in the data string. BarTender automatically ignores all alpha characters in your bar code data string when you select one of the other check digit types.

  • MSI MOD 10. This check digit is calculated using the same check digit formula used by the MSI Plessey symbology. Only choose this setting when the bar code data string contains numeric-only data.

  • UCC MOD 10. This check digit is calculated using the same check digit formula used by the Interleaved 2-of-5, UPC, EAN, and UCC/EAN-128 symbologies. Only choose this setting when the bar code data string contains numeric-only data.

  • UNISON MOD 10. This check digit is calculated using a modified version of the MSI Plessey check digit formula. Only choose this setting when the bar code data string contains numeric-only data.

See Also:

Check Digit for Bar Code


Code Set for Code 128

Code Set

(This is a symbology-specific option that is only enabled for Code 128.)

This option is available on the Bar Code property page, and has the following values available:

  • Auto: BarTender automatically chooses the most efficient code set with which to begin the bar code and then automatically switches between character sets if necessary. (Default setting.)
  • Auto A: Similar to "Auto" except that BarTender will use code A for any sequence of characters included in both code A and B.
  • Fixed Code Set (A, B, C): The entire barcode will be encoded in the selected code set.
  • Manual: The user must provide all information needed, such as the initial code set and any changes. The supported code set and function control characters are listed below.

    Code

    Description

    ^A

    Switch to code set A.

    ^B

    Switch to code set B.

    ^C

    Switch to code set C.

    ^S

    Shift code set for the next character only (from A to B, or from B to A).

    ^1

    Function code FNC1.

    ^2

    Function code FNC2.

    ^3

    Function code FNC3.

    ^4

    Function code FNC4.

    For further details on characters supported by different code sets see Code 128.


Controlling Columns for PDF417

Columns

The column variable is available for these symbologies.

Columns in PDF417

Columns in MicroPDF417


Error Correction Level

Error Detection versus Error Correction

The PDF417, QR Code, and Aztec Code symbologies can be used to encode such large amounts of information that the possibility of a decoding error occurring during scanning increases relative to the more conventional (one-dimensional) bar codes. Accordingly, the use of simple check digits is not sufficient, as they merely allow the detection of an error during scanning. Because this requires that another scan be attempted, and because PDF417, QR Code, and Aztec Code are complex enough that the likelihood of additional errors during subsequent scans is significant, these symbologies employ actual error correction. This is done by encoding enough redundant information into the printed symbol to enable the scanner to not only detect when errors have occurred, but to actually correct them.

Note: For information on error correction with Data Matrix bar codes, see Symbol Type.

Trading Off: Size versus Readability

  • PDF417 supports 9 levels of error correction, with 0 being the least thorough and 8 being the most. When the correction level is set to 0, very little redundant information is encoded and the scanner can do little more than correct for the very simplest of errors. When set to 8, significant scanning problems can be corrected.

  • Aztec Code supports 98 levels of error correction, with 1% being the least thorough and 99% being the most. (However, the Aztec Code specification recommends against using levels below 5% or above 95%.) The percentages refer to the percent of characters in the data layers of the bar code that are check characters. (Actually, you will always get three additional check characters above the percentage level you set. Moreover, if the last data layer is not completely filled, additional check characters are automatically created to ensure that the bar code is a perfect square.)

  • QR Code supports 4 levels of error correction, with L being the least thorough and H being the most. These levels are defined in terms of percentage of codewords in the bar code that can be corrected if damaged. So these percentages do not have the same meaning as the percentages used to express error correction levels with Aztec Code. The levels are:

    • Level L: approximately 7% of codewords can be restored.

    Level M: approximately 15% of codewords can be restored.

    Level Q: approximately 25% of codewords can be restored.

    Level H: approximately 30% of codewords can be restored.

Offsetting the benefit of high error correction levels is the fact that each increased level of error correction also increases the size of the printed bar code, resulting in bigger and bigger bar codes as the correction level is raised.

Automatic Determination of Correction Level

The default PDF417 error correction level in BarTender is "Auto," which automatically specifies a correction level based on the amount of information encoded into each PDF417 symbol.

The default for Aztec Code is also "Auto," but in the case of Aztec Code this means that the correction will be 23% check characters plus three check characters (plus any additional check characters needed to fill out the last data layer).

If you will be using either symbology in a closed system (that is, you control both the printing and the scanning of the symbol) and you have a high degree of confidence in your printing and reading capabilities, you may be able to successfully reduce the printed size of your symbols by manually specifying a relatively low correction level (as an alternative to "Auto"). On the other hand, if your print quality is questionable, your bar codes subject to damaging conditions in the field, or you know that a wide variety of scanning equipment may be used by many different people, you may wish to manually specify a higher correction value, even though you know it will result in a larger printed symbol.

Automatic determination of the correction level is not available with QR Code.


Data Source Template

This option automatically sets up the symbology's individual fields or sections as separate substrings. Each substring is properly formatted with settings such as data validation or number of allowable characters that help the raw information conform to the symbology's specifications. All newly generated substrings are capable of being edited even though they are generated to conform as much as possible to the symbology's specifications.

Warning: If this option is chosen, any substrings that have been previously defined in this bar code will be deleted.

Data Source

  • Get Data From File (Text File, ODBC, SAP IDoc, or OLE DB Provider). Use this option to specify the data for this bar code should come from a data source file.

  • Prompt User at Print Time. Use this option to specify if you should be prompted at print time for this bar code's data.

Required Primary Message Fields (MaxiCode Only)

These fields are required if your MaxiCode symbol is set to either Mode 1 or Mode 2.

  • Postal Code. Use this option to specify what type of Postal Code your MaxiCode symbol requires.

  • Country Code and Class of Service. These are required by Maxicode's Primary Message and are not changeable.

Optional Secondary Message Fields (MaxiCode Only)

When your MaxiCode symbol is set to either Mode 1 or Mode 2, these fields will be available to you. They are not required by the symbology itself and are therefore optional.

Note: This option is available with MaxiCode, Royal Mail 4-State Customer Code, and Australian Post 4-State Barcode.


Entering Function Characters in the UCC/EAN-128 Data String

When combining multiple Application Identifiers and their data strings together into a single bar code, it may be necessary to add a FNC1 character as a separator between two data strings, as described in the topic called UCC/EAN Application Identifiers. Occasionally, the specifications for an Application Identifier may require that other function characters be entered into the bar code data string as well. The following procedure is used to enter function characters into the UCC/EAN-128 data string.

To manually enter a function character into your UCC/EAN data string:

  1. Double-click on the bar code that you want to modify. This displays the Bar Code property page.

  2. If you have not already done so, select Code 128 as the symbology for your bar code.

  3. Click once on the UCC/EAN-128 option to enable the UCC/EAN-128 standards.

  4. Click on the Data Source tab along the top edge of the displayed dialog to display the Data Source property page.

  5. In the Screen Data option, type in the characters for your data string. To specify the function character, simply enter the "^" (caret) character followed immediately by the appropriate number for your function character. For example, enter "^1" for the FNC1 character.

  6. Click on the OK button to complete your changes.


Format Control Code

Australia Post 4-State Customer Codes are available in four different formats. Which fields, format control code (FCC), and number of bars per bar code will apply depends on which format is selected. BarTender allows you to select a particular format, then generate a data source template for that format. The supported options for choosing a format are listed below.

  • Standard Customer Barcode. The main function of this bar code is to provide delivery point information. No Customer Information field is used in this format.

  • Customer Barcodes 2 & 3. These two formats are exactly the same as the Standard Customer Barcode except for an additional free-form Customer Information Field. The Customer Information Field is 16 bars long in Customer Barcode 2 whereas it is 32 bars long in Customer Barcode 3.

  • Reply Paid Barcode. The basic format of this bar code is the same as a Standard Customer Barcode except a different format control code is used to specify the Reply Paid service is to be used.

  • Set by Data Source. This option allows you to specify your own format control code after generating a data source template. If no format control code is specified, the code for a Standard Customer Barcode, 11, will be used in its place.


Guard Bars for UPC/EAN

Bars

(This is a symbology-specific option that is only enabled for the following symbologies: UPC-A, UPC-E, EAN-13, and EAN-8.)

The UPC/EAN/JAN standards include specifications for some of the bars to extend below the main body of the bar code. These are called "guard" or "security" bars. In a "standard" full-sized code, the main body of the bar code is .900" tall, and the guard bars extend another .065".

If your UPC/EAN/JAN bar codes are of a different height, you may need to adjust the overhang of the guard bars in order to keep them properly proportioned relative to the rest of the bar code and the human readable text below the bar code. You can do this using the Guard Bars option on the Bar Code property page.


Mask

QR Code bar codes are less reliably read when there are broad areas of all light or all dark modules, or if there is a pattern of modules that duplicates the Position Detection Pattern located in three corners of the bar code. Accordingly, an additional feature of QR Codes is the ability to "mask" a hard-to-read bar code with an easier-to-read bar code that can be read and translated back to the original bar code data. There are eight different mask schemes, but it is strongly recommended that you use the default setting of Auto. The latter setting enables BarTender to (1) compare how all eight masking schemes will affect your bar code, and (2) use the most readable mask as measured by a standard specified in the official specification of QR Code.

You may, however, specify a particular masking scheme by number 0 through 8, or specify None for no masking at all.


Mode (Maxicode)

MaxiCode consists of a bulls-eye type pattern of 3 concentric black circles in the center and 33 alternating rows of either 29 or 30 hexagonal shaped elements per row. It can support up to a maximum of 93 characters of data. Four different data modes are available as outlined below. Modes 2 and 3 need to have specific formatting to work properly whereas modes 4 and 6 can contain any type of information.

  • Mode 2: Structured Carrier Message. Used for UPS domestic shipping. The Primary Message fields are required for this mode to function properly. The Secondary Message fields are optional. All fields with proper formatting can be generated by BarTender as substrings by clicking on the Maxicode Setup Wizard button located in the Symbology Specific Options section of the Bar Code tab.

  • Mode 3: Structured Carrier Message. Used for UPS international shipping. The Primary Message fields are required for this mode to function properly. The Secondary Message fields are optional. All fields with proper formatting can be generated by BarTender as substrings by clicking on the Maxicode Setup Wizard button located in the Symbology Specific Options section of the Bar Code tab.

  • Mode 4: Standard Symbol. Used to generate free-form, general use bar codes. This mode does not require any Primary or Secondary Message fields.

  • Mode 6: Reader Programming. If your scanner is programmable via scanning a bar code, you can use a Mode 6 MaxiCode symbol to accomplish this. Please consult your scanner's documentation for information and codes needed to do this.


Allowing Duplicate Records

Model

There are two versions of QR Code called Model 1 and Model 2. The original version of QR Code, Model 1, doesn’t allow for as many characters as the enhanced version, Model 2. For this reason, it is recommended that all new applications of QR Code use Model 2.

The minimum and maximum sizes in for each model are listed below.

Model 1. Minimum 21 x 21 modules to maximum 73 x 73 modules.

Model 2. Minimum 21 x 21 modules to maximum 177 X 177 modules.


Number System

(This is a symbology-specific option that is only enabled for UPC-E.)

The UPC-E symbology is made up of eight digits. The first digit is either a zero or a one, the next six digits are your data, and the last digit is the check digit. The Number System option allows you to specify whether you want the first character to be a zero or a one.

Specifying the Right Number of Characters

Normally, you supply the six middle characters of a UPC-E bar code, and BarTender automatically adds the number system digit to the beginning and computes the check digit and adds it to the end. However, if you supply more than six characters, BarTender may delete the extra characters. If you supply less than six, BarTender will add enough trailing zeros to bring the total number of data characters up to six.


Priority and Specifications

(These are symbology-specific options that are only enabled for Japanese Postal Code.)

Japanese Postal Code has two additional settings, described below.

  • Highest Priority. If checked, sets the filler character to Highest Priority.

  • Hold To Specifications. If checked, the height of the bar code cannot be altered.


Row Height for PDF417

Row Height

In PDF417 and CC-C

By default, the height of each row in a PDF417 (and CC-C) symbol is set to three times the "X dimension" value (the width of the narrowest bars in the printed symbol). If you are using a correction level of no less than the minimum recommended in the PDF417 symbol specification standards for the amount of data to be encoded, or you are using the "Auto" correction level, then the default Row Height of three is adequate. If, however, you are manually specifying a correction level of less than that recommend for the amount of data to be encoded, it is recommended that you increase the row height of your PDF417 symbols above the minimum. The possible range of heights for a standalone PDF417 is 1X to 10X. For a CC-C it is 3X to 10X.

In MicroPDF417 and CC-B

By default, the height of each row in a PDF417 (and CC-B) symbol is set to two times the "X dimension" value (the width of the narrowest bars in the printed symbol). It can be raised up to 10X. A standalone MicroPDF417 can have the height lowered to 1X, but 2X is the minimum for CC-B.

In CC-A

The row height can be from 2X to 10X.


Rows

The MicroPDF417 symbology is organized into multiple rows of information, with each row looking like a very thin bar code. The encoded information looks somewhat like an irregular checkerboard. There are also from one to four Row Address Patterns, each 10 modules wide.

When Rows is set to Auto, the number of rows and columns in this checkerboard data area is adjusted so that its overall shape is as close to a square as possible. You can also specify the number of rows. However, only certain combinations of rows and columns may be used. Therefore, the number of rows available in the Rows drop down list will vary depending on the number of columns selected in the Columns drop down list.


Shape

Size

(This is a symbology-specific option that is only enabled for Data Matrix.)

The Data Matrix bar code is made up of columns and rows wherein data is stored. Most Data Matrix bar codes will contain an equal number of columns and rows. However, symbol type ECC 200 allows for some bar codes to have more columns than rows.

In addition to a list of preset dimensions, the Size option contains auto generate settings for specifying whether or not a bar code will have an equal number columns and rows. The two settings are described below.

  • Auto-Square. Draws the bar code symbol with an equal number of columns and rows.

  • Auto-Rectangle. Draws the bar code symbol with more columns than rows. To use this setting, the amount of data must be small. If the input data is larger than will fit into allowed rectangle sizes, the bar code symbol will be printed as a square.


Shrink UPC Split Digits

UPC Split Digits

(This is a symbology-specific option that is only enabled for UPC-A and UPC-E.)

After the first and last digits of a UPC bar code have been split from the ten center digits, the Shrink UPC Split Digits option on the Human Readable property page allows you to specify that the two outer digits be printed smaller than the bar code's other human readable characters.

By default, this option is enabled so that BarTender will print the split digits smaller than the other human readable characters in a UPC bar code. To print the split digits at the same size as the rest of the human readable characters, simply click once on the check box to disable the option.


Start Character for Codabar

(This is a symbology-specific option that is only enabled for Codabar. See also Start/Stop Character for Code 39 and Telepen)

The Start Character option on the Bar Code property page allows you to specify which one of the four letters, "a", "b", "c", or "d" you want to use as the start character for your Codabar bar codes. The default setting is "a".

A fifth menu setting, Set by Data Source, tells BarTender that the start character will be supplied by the data source (such as Screen Data or a Data Source File). However, if you specify Set by Data Source but one of the four start characters is not supplied at the beginning of the data for the bar code, BarTender automatically assigns the "a" start character.


Start Mode

QR Code is capable of containing the following characters in each of four different modes. The Start Mode option determines which of them is used to start the bar code. A QR Code bar code can switch between character sets (see below). The choices for this option are:

  • Auto. BarTender will automatically determine which character set to use based on the data provided for the bar code. (This is the default setting.)

  • Numeric. Characters include 0 – 9.

  • Alphanumeric. Characters include 0 – 9, upper case A – Z, space, $, %, *, +, -, ., :, /

  • Kanji. Shift JIS values 8140 (HEX) – 9FFC (HEX) and E040 (HEX) – EAA4 (HEX). (These are values shifted from those of JIS X 0208. Refer to JIS X 0208 Annex 1 Shift Coded Representation for details.)

  • Binary. JIS 8-bit character set (Latin and Kana) in accordance with JIS X 0201.

  • Manual. The bar code will contain one or more of the following codes and they will determine which character set or sets are used.

^N will switch to Numeric mode.

^A will switch to Alphanumeric mode.

^K will switch to Kanji mode.

^B will switch to Binary mode.

An example of switching from numeric to alphanumeric to binary would be something like the following: (Note the mode change commands are in bold.)

^N12345678^AABCDEFG^B1248

Note: If Start Mode is set to the default setting of Auto, the above mode change commands will not work as this functionality would be handled automatically by Bar Tender.


Start/Stop Character for Code 39 and Telepen

For both Regular and Full ASCII Code 39, and Telepen, you can set the start and stop characters.

The default option for Code 39 is the asterisk symbol "*". for both start and stop. For Telepen the underscore character "_" is the default start character and lower case "z" is the default stop character.

You may change either, or both, the start and stop characters to to None or Set by Data Source. In the latter case, BarTender accepts whatever start/stop character is being used by the original data source.

Note: The start/stop character is not transmitted with the bar code, and is not included in any check digit calculations.


Supplemental Length

The Length option in the Supplemental Options dialog allows you to specify whether you want your supplemental bar code to be printed as a 2-digit or 5-digit supplemental. The default setting, "None," specifies that you do not want any supplemental to be attached to the main UPC or EAN bar code. The three choices are displayed as radio buttons, so all you need to do is click on the setting of your choice.


Supplemental Style

The Style option in the Supplemental Options dialog allows you to specify the height, position, and placement of the human readable characters for your supplemental bar codes. You have five different styles to choose from, as described below.

Style | Description
Style 1 | (Default setting.) The top and bottom edges of the supplemental bar code line up with the top and bottom edges of the main UPC/EAN code (not including the guard bars). The human readable characters are placed below the supplemental.
Style 2 | The bottom edge of the supplemental lines up with the bottom edge of the main bar code (not including the guard bars). The human readable characters are placed above the supplemental and the height of the supplemental is reduced so that the tops of the human readable characters line up with the top of the main UPC/EAN code.
Style 3 | The top and bottom edges the supplemental line up with the top and bottom edges of the main UPC/EAN code (not including the guard bars). The human readable characters are placed above the supplemental.
Style 4 | The bottom edge of the supplemental lines up with the bottom edge of the guard bars on the main UPC/EAN code. The human readable characters are placed above the supplemental and the height of the supplemental is reduced so that the tops of the human readable characters line up with the top of the main UPC/EAN code.
Style 5 | The bottom edge of the supplemental lines up with the bottom edge of the guard bars on the main UPC/EAN code. The top edge of the supplemental lines up with the top edge of the main UPC/EAN code. The human readable characters are placed above the supplemental.


Symbol Type

(This is a symbology-specific option that is only enabled for Data Matrix.)

Like most 2D bar codes, the Data Matrix symbology supports error correction by encoding enough redundant information into the printed symbol to enable the scanner to detect and correct errors. The Symbol Type option allows you to specify the type of error correction to use when creating a Data Matrix bar code. Data Matrix supports fourteen types of error correction.

The default Data Matrix error correction level in BarTender is ECC 200. However, this is a newer standard that is not supported by all printers and scanners. If ECC 200 is not available, ECC 140 will provide the best error correction, although it will print a significantly larger symbol. You may use a lower error correction level to reduce the symbol size.


Stop Character for Codabar

(This is a symbology-specific option that is only enabled for Codabar. See also Start/Stop Character for Code 39 and Telepen)

The Stop Character option on the Bar Code property page allows you to specify which one of the four letters, "a", "b", "c", or "d" you want to use. The default setting is "a".

A fifth menu setting, Set by Data Source, tells BarTender that the last character will be supplied by the data source (such as Screen Data or an Input Data File). However, if you specify Set by Data Source but one of the four stop characters is not supplied at the end of the data for the bar code, BarTender automatically assigns the "a" stop character.


Truncating PDF417 Symbol Codes

Sometimes, when available space for the printed PDF417 code is at an absolute premium, it may be desirable to sacrifice some information typically encoded in the PDF417 symbol, even though it may make the symbol somewhat harder to read. When the Truncated option is enabled (checked), a single vertical bar is substituted for the stop pattern on the right-hand side and the data column containing the right most four bars in the checkerboard-looking data area. Although this will certainly save space, it is not normally recommended and certainly shouldn’t be tried unless the print quality and the scanning equipment to be used are all known and under your control.


UCC/EAN-128 and Application Identifier Specification

In early 1991 the Uniform Code Council (UCC) and the International Article Numbering Association (EAN) released new bar code standards for use in the worldwide distribution of retail, industrial, and commercial products. These new standards, often called "UCC/EAN-128," specify a standard of Application Identifiers (AI). An AI is a numeral that prefixes and identifies the intended purpose (such as batch number or perishability date) of a bar code data field. For example, the AI "01" indicates that what follows is the 14-digit EAN.UCC primary identification number, and AI "30" means that what follows is the number of items in each package.

When the UCC/EAN-128 option or the Apply Application Identifier Specification option on the Bar Code property page is enabled, BarTender automatically adds certain characters and performs certain functions required to print UCC/EAN-128 compliant bar codes, including the following:

  • Leading FNC1 character generated automatically. A FNC1 character is printed at the beginning of the bar code. (If the symbology is Code 128, it appears immediately following the Code 128 start character). It is used as an identification prefix or "flag character" to indicate that the rest of the symbol code complies with the new UCC/EAN distribution standards.

  • Additional FNC1 characters can be entered manually. The FNC1 character may be entered manually by putting "^1" into the bar code data string for use as a field separator when combining multiple data fields into a single bar code. This use of the FNC1 character is described in more detail in the following topics, UCC/EAN Application Identifiers and Entering Function Characters into the UCC/EAN-128 Data String.

  • UCC/EAN Application Identifiers. All of the current UCC/EAN Application Identifiers are supported by BarTender. In UCC/EAN bar codes, Application Identifiers immediately precede the string of characters that they identify. They tell a bar code reader what type of data field to expect and often the length of the data field as well.

Note: If a symbology is always used for the same application, then the Application Identifier will appear in the human readable part of the symbol but not the bar code. For example, all RSS symbologies have an implied Application Identifier of "01".

  • Automatic addition of check digits to certain data fields. Certain data fields with Application Identifiers make use of an additional check digit, usually a modulo 10. When such a data field is used, BarTender automatically computes and appends the appropriate check digit to the data field. Since UCC/EAN 128 supports multiple data fields, each of which could be a type that gets its own check digit, a given bar code printed by BarTender could potentially contain numerous data fields, each with its own check digit.

  • Extra spaces and parentheses are added to the human readable characters. Most UCC/EAN applications specify that extra spaces and parentheses be added to the bar code's human readable text. In its default mode, BarTender automatically generates these characters in their most common configuration. However, the UCC/EAN Template option on the Human Readable property page gives you other configurations to choose from. If your application requires characters not supported by the UCC/EAN Template option, they can be entered using BarTender's standard Character Template option.


UCC/EAN Application Identifiers

The UCC/EAN-128 specifications define numerous Application Identifiers. In a bar code data string, Application Identifiers immediately precede the string of characters that they identify — and they specify the length and type of the data string that follows. Some Application Identifiers specify data fields containing a fixed number of characters while others specify data fields containing a variable number of characters. For example, the shipping container code as show here is a fixed-length field that contains exactly 14 characters. The Application Identifier for a container code is "01". Note that the "2" on the end is a check digit automatically generated by BarTender

The serial number is a variable-length field that may contain up to 20 characters. It's Application Identifier is "21" and no check digit is required.

Multiple Application Identifiers and their data fields can be combined into a single bar code. When a variable-length data field is combined with other fields in a bar code, it must be immediately followed by a field separator character (unless it is the last field in the bar code symbol — see note below). The FNC1, "^1", character acts as this field separator. It signals to BarTender software that the variable length data field has ended and that another data field is beginning.

When the FNC1 character is used as a field separator, it must be added manually to the bar code data string using the procedure described in the topic called Entering Function Characters into the UCC/EAN-128 Data String.

Note: When multiple Application Identifiers and their fields must be concatenated and when only one of them is of variable length, we recommend locating the variable-length field at the end of the symbol because no separator character is then required.


UCC/EAN FNC1 Prefix

(This is a symbology-specific option that is only enabled for Code One. The Code One symbology and its options only appear in BarTender when your computer is attached to an Intermec printer that is 2D capable.)

This option allows you to specify whether or not the first character in a Code One bar code will be the UCC/EAN FNC1 character. This option should only be used when the rest of the data for the bar code meets UCC/EAN specifications.


UPC Supplemental

Show All Hide All

(The UPC Supplemental command button and Supplemental Options dialog are only enabled for the following symbologies: UPC-A, UPC-E, EAN-13, and EAN-8.)

When paperback books and magazines are bar coded using the UPC or EAN symbologies, the main UPC/EAN code is often followed by a shorter 2-digit or 5-digit supplemental code immediately to the right of the main code. Most of the characteristics of this supplemental bar code (e.g., its density, height, position) are based on the characteristics of the main UPC/EAN code which precedes it.

Overview of Supplemental Options

Options in the Supplemental Options dialog (which are accessed by clicking the UPC Supplemental button on the Bar Code property page) give you an easy way to add a supplemental bar code to a UPC or EAN bar code already in your format. The most important specifications for the supplemental will automatically be based on the specifications of the corresponding UPC or EAN bar code. (You can also create supplemental bar codes by selecting "2-digit Supplemental" or "5-digit Supplemental" from the Symbology option's drop-down list box. However, supplementals created using the Symbology option must be formatted just like any other bar code in a label format. You cannot use the Supplemental Options dialog to specify their appearance and BarTender will not automatically place them in the correct position.)

The options in the Supplemental Options dialog are summarized below. For further information about each of these options, click on the appropriate title below.

  • Length. Used to specify whether you want a 2-digit supplemental, a 5-digit supplemental, or no supplemental bar code to be appended to the main UPC or EAN bar code.

  • Style. Used to specify the height and position of your supplemental bar codes and the placement of their human readable characters.

Specifying UPC Supplementals

The data and appearance of your appended 2-digit and 5-digit supplemental bar codes are specified as described below.

The data for the main UPC bar code and the appended supplemental is specified just like the data for any other bar code — either as screen data, prompt data, or input file data. The only difference is that the data for the main UPC bar code and the data for the supplemental are both specified in the field for the main UPC code.

The appearance of the supplemental is specified using the Supplemental Options dialog.

How to append a 2-digit or 5-digit supplemental to a UPC or EAN bar code

To append a 2-digit or 5-digit supplemental to a UPC or EAN bar code:

  1. Create a bar code in your label format.

  2. Double-click on the bar code to display the Modify Selected Bar Code Object tabbed dialog.

  3. Click on the Symbology option on the Bar Code property page to specify the desired UPC or EAN symbology.

  4. Open the Supplemental Options dialog by clicking once on the UPC Supplementalbutton.

  5. Use the Length and Style options to specify the appearance of your bar code. When you have completed your changes, click on the OK button in the Supplemental Options dialog to return to the Modify Selected Bar Code Object tabbed dialog.

  6. Click on the Data Source tab to display the Data Source property page.

  7. Specify the data string for your UPC or EAN bar code by selecting the appropriate data source and, if necessary, typing in the appropriate screen or prompt data. Click on the OK button.

BarTender will automatically take the required number of digits (2 or 5) from the right side of the data string and print them as your supplemental bar code. The remaining digits in your data string will be printed as the main UPC or EAN bar code. If the data string does not have enough digits left over to print a complete main UPC/EAN bar code, BarTender will pad the left side of the main UPC/EAN code with leading zeros.


Use Prefix

(This is a symbology-specific option that is only enabled for Data Matrix.)

The Use Prefix check box is available only for symbol type ECC 200. When enabled, you can choose from one of the following prefix settings.

  • UCC/EAN FNC1. Conforms to specific industry standards as authorized by AIM International.

  • Macro 5. Abbreviates the 05 Macro header (prefix) and trailer (suffix) into one symbol character to reduce the number of symbol characters needed to encode data.

  • Macro 6. Abbreviates the 06 Macro header (prefix) and trailer (suffix) into one symbol character to reduce the number of symbol characters needed to encode data.

  • Reader Initialization. Indicates that the symbol encodes a message used to program the reader system.

Note: If you specify a special function character (e.g., FNC1 through FNC6) at the beginning of your bar code data and the Use Prefix option is enabled, the prefix specified in BarTender will be ignored in favor of the special function character located in your data. For more information on special function characters, refer to your Data Matrix documentation.


Version for Code One

Version

(This is a symbology-specific option that is only enabled for Code One. The Code One symbology and its options only appear in BarTender when your computer is attached to an Intermec printer that is 2D capable.)

The Version option allows you to select the size of your Code One bar code from a drop-down list. This list displays the sizes sequentially in order of size with the smallest size (A) at the top of the list and the largest size (T48) at the bottom of the list. The larger sizes at the bottom of the list can hold more data than the smaller sizes.

Note that the three size selections that begin with the letter "S" (S10, S20, and S30) can only be used with numeric data.


White on Black

(This is a symbology-specific option that is enabled for only Aztec and Data Matrix.)

The White on Black option allows you to reverse a bar code so that it will be displayed on the screen and printed on labels as white on a black background. When this option is selected, a reversed bar code looks like a white bar code on a black box. The black box will be wide enough on all sides to fill the quiet zone (if the symbology requires one).

Note: You cannot specify a different color for the bar code if the White on Black option has been selected.


The Main Display Screen

Main Display Screen

BarTender has two view modes: one for viewing and designing label formats (Label Design View) and one for viewing and customizing a prompt dialog (Prompt Design View).

The Label Design View (shown below) is BarTender's main display screen, which is used to access all the menus and dialogs necessary for creating and formatting labels. Click on the different areas of the picture below for information about the key elements of the Main Display Screen.


Keyboard Equivalents

Show All Hide All

This help topic describes the different keyboard strokes that can be used in place of the mouse to perform a variety of commands.

Manipulating Objects in the Label Viewing Area

Use the following keys to manipulate objects in the label viewing area.

Key(s) | Equivalent Mouse Action
CTRL+Z | Click on the Undo command in the Edit menu.
CTRL+Y | Click on the Redo command in the Edit menu.
CTRL+X | Click on the Cut command in the Edit menu.
CTRL+C | Click on the Copy command in the Edit menu.
CTRL+V | Click on the Paste command in the Edit menu.
DELETE | Click on the Delete command in the Edit menu.
CTRL+A | Click on the Select All command in the Edit menu.

Manipulating the Selected Object

Use the following keys to manipulate objects in the label viewing area.

Key(s) | Action
ALT+ENTER | Opens Properties dialog.
ENTER | Puts editable object into edit mode. Opens Properties dialog of non-editable object. (If the object is a single line of text already in edit mode, ENTER will exit edit mode. If it is a paragraph in edit mode, ENTER will create a carriage return.)
F2 | Puts object in edit mode. Has no effect on non-editable object.
SHIFT+ENTER or ESC | Exits edit mode.
TAB | Selects the next object, if current object is non-editable or not in edit mode. Otherwise, it enters a tab.
SHIFT+TAB | Selects the next object.
CTRL-ENTER | If a text object is in edit mode, CTRL-ENTER toggles the object between being a paragraph and being a single line of text .

Selecting Main Menus and Main Menu Options

Use the following keys to select a main menu or main menu option.

Key(s) | Action
ALT+Key Letter | Selects the main menu designated by the specified key letter.
Key Letter | Selects the menu option designated by the specified key letter.

Making Choices in the Dialogs

Use the following keys in place of a mouse to make your choices in the dialogs.

Key(s) | Action
ALT+Key Letter | Selects the option designated by the specified key letter.
TAB | Selects consecutive options in the dialog.
SHIFT+TAB | Selects the previously selected option in the dialog.
Arrows | Selects the different choices for an option. For example, for an option with a list in a scroll box, the arrows move the highlight bar up and down through the different choices.
Spacebar | Toggles the status of a menu option with a check box between enabled and disabled.
ENTER | Selects the OK button in all of the dialogs.
ESCAPE | Selects the Cancel button.

Moving the Cursor in the Data-Entry Options in the Dialogs

Several of the options in require you to type character text or a particular value into a data-entry edit box. A couple of examples are the Screen Data option on the Data Source property page and the Height option on the Bar Code property page. When entering data into one of these options, the following keys can be used in place of the mouse to move the cursor inside of the data-entry edit box.

Key(s) | Equivalent Mouse Action
HOME | Click at the beginning of the line.
END | Click at the end of the line.

See Also:

The Shortcut Menus


Showing and Hiding the Main Toolbar

Main Toolbar

The Main Toolbar option, on the View | Toolbars menu, enables you to specify whether or not you want to display BarTender's Main toolbar.

The Main toolbar buttons provide you with shortcuts to many of BarTender's most commonly used commands and dialogs in the File, Edit, View, and Create menus. The Main toolbar is shown in the following figure.

When the Main Toolbar option is enabled (signified by a check next to the menu option), the Main toolbar is initially displayed directly below the main menu bar, but you can

  • drag it to any of the other three sides of the BarTender screen,

  • drag it above, below, or to one side of one of the other toolbars,

  • or turn it into a floating toolbar by dragging it to any location on your computer screen.

To hide or show the Main toolbar, simply choose Toolbars on the View menu and click once on the Main Toolbar option or select Main Toolbar on the Shortcut Menu for the Toolbars.

See Also:

Font Toolbar

Status Bar

Arrange Toolbar

Toobox


Showing and Hiding the Font Toolbar

Font Toolbar

The Font Toolbar option, on the View | Toolbars menu, enables you to specify whether or not you want to display BarTender's Font toolbar.

The Font toolbar provides you with shortcuts to most of the options on BarTender's Font property page. The Font toolbar is shown in the following figure.

When the Font Toolbar option is enabled (signified by a check next to the menu option), the Font toolbar is initially displayed directly below the Main toolbar, but you can

  • drag it to any of the other three sides of the BarTender screen,

  • drag it above, below, or to one side of one of the other toolbars,

  • or turn it into a floating toolbar by dragging it to any location on your computer screen.

To hide or show the Font toolbar, simply choose Toolbars on the View menu and click once on the Font Toolbar option or select Font Toolbar on the Shortcut Menu for the Toolbars.

See Also:

Main Toolbar

Status Bar

Arrange Toolbar

Toobox


Showing and Hiding the Arrange Toolbar

Arrange Toolbar

The Arrange Toolbar option, on the View | Toolbars menu, enables you to specify whether or not you want to display BarTender's Arrange toolbar.

The Arrange toolbar provides you with shortcut buttons to the options in BarTender's Align and Rotate dialogs. The Arrange toolbar is shown in the following figure.

When the Arrange Toolbar option is enabled (signified by a check next to the menu option), the Arrange toolbar is initially displayed along one edge of the label viewing area, but you can

  • drag it to any of the other three sides of the BarTender screen,

  • drag it above, below, or to one side of one of the other toolbars,

  • or turn it into a floating toolbar by dragging it to any location on your computer screen.

To hide or show the Arrange toolbar, simply choose Toolbars on the View menu and click once on the Arrange Toolbar option or select Arrange Toolbar on the Shortcut Menu for the Toolbars.

See Also:

Main Toolbar

Font Toolbar

Status Bar

Toolbox


Showing and Hiding the Status Bar

Status Bar

The Status Bar option, on the View | Toolbars menu, enables you to specify whether you want to show or hide BarTender's status bar.

When the status bar is enabled (signified by a check next to the Status Bar menu option), it is displayed along the bottom of BarTender screen. It is used to display information specific to the label format, such as the current printer setting and the location, size, and comments (if any) of the currently selected label object.

Status Bar:

When your mouse pointer is positioned on a toolbar or menu item, a temporary help line about that item will be displayed instead.

Temporary Help Lines:

To hide or show the toolbar, simply choose Toolbars on the View menu and click once on the Status Bar option or select Status Bar on the Shortcut Menu for the Toolbars.

See Also:

Main Toolbar

Font Toolbar

Arrange Toolbar

Toobox


Toolbox Overview

Toolbox

BarTender's Toolbox is a set of panes from which you can drag reusable objects and substrings onto your label for fast label design.

The Toolbox option, on the View | Toolbars menu, enables you to specify whether or not you want to display the Toolbox.

When the Toolbox option is enabled (signified by a check next to the menu option), the Toolbox is initially displayed along the left edge of the label viewing area, but you can

  • drag it to the right side or the bottom of the BarTender screen,

  • drag it to either side of any toolbars positioned vertically along the right or left side of the BarTender screen, or

  • turn it into a floating toolbox by dragging it to any location on your computer screen.

To hide or show the Toolbox, simply choose Toolbars on the View menu and click once on the Toolbox option or select Toolbox on the Shortcut Menu for the Toolbars. (You can also hide the Toolbox by clicking the X button at the right end of its title bar.)

Open any pane in the Toolbox by clicking its title bar. The available panes are:

  • Components

  • Default Objects

  • Data Sources

  • Standard Bar Codes

  • Standard RFID

    •

See Also:

Main Toolbar

Font Toolbar

Arrange Toolbar

Status Bar


Components Pane

Sometimes when designing a label you need to add an object, such as a bar code or text field, whose properties are nearly identical to those of another object you created earlier on the same label or on a different label. The Components pane of the Toolbox gives you a place to create and store pre-configured objects, and even groups of objects. You can reuse any such component by dragging it from the pane to a label format.

Organizing and Navigating the Pane

The Components pane operates like any standard Windows directory. You can switch between tree, icon, and list views. (Right-click any blank area of the pane. Select View from the context menu and then Tree, Icon, or List from the sub-menu.) In any view you will have the standard context (right-click) menu options to Cut, Copy, Paste, Rename, and Delete items. Navigate, move, and copy, as you would in any directory. (To move up to the parent folder in the icon or list views, double-click the icon labeled ". .".) The context menu also gives you the option of creating new folders, so you can organize your components into logical sets and subsets, such as "Shipping" or "Inventory Control."

Creating and Storing a Reusable Component

After you have added a new object to a label and configured its properties on the Modify Selected … dialog, you can store the object for reuse by right-clicking it and selecting Create Component from the drop down menu. An icon representing the component will appear in the Components pane (in the currently selected folder) with the temporary name "Component" highlighted beneath it. Overwrite the temporary name with a new name such as "Standard UPC" or "Discount Price."

If you plan to reuse an entire set of objects, group them after creating them on a label. Right-click the group and select Create Component.

Reusing a Stored Component

To reuse a component, drag it from the Components pane to the desired location on the label format. If you want to change any of the component's properties, double-click it to open the Modify Selected … Object dialog. (If the component is a group of objects, you may need to ungroup them first.)


Default Objects Pane

Objects Pane

Add a bar code, RFID object, text object, line, box, or picture to a label by dragging it from the Default Objects pane of the Toolbox to the place on the label where you want it. You can also add objects by using the Create menu or clicking the appropriate button on the Main toolbar.


Data Sources Pane

Show All Hide All

The Data Sources pane of the Toolbox provides a fast way to:

  • add an object to a label and specify the type of its data source in a single step,

  • reuse a particular database field for a new object, or

  • reuse a named substring for a new object, or

  • reuse a label object string from an existing label object, or

  • reuse a printer code template field.

Adding an Object from the Data Sources Pane

From this pane you can add to the label a bar code, RFID object, text object, or picture, with several types of data sources, listed at the top of the pane, including the following:

  • Screen Data. Data typed directly into the label format.

  • Merge Field. Data read from a field in a database.

    •

  • Date. Data read from the date setting of your computer.

  • Time. Data read from the time setting of your computer.

  • Visual Basic Script. Data read from a user-defined Visual Basic Script.

  • Label Object String. String data read from another label object.

  • Printer Code Template Field. Data is received from an external print system such as a keyboard terminal, XML enabled printer, or ERP system.

Click a data source of the desired type and, while holding down the mouse button, drag the mouse to the desired location on the label and release the button. A shortcut menu opens with options for creating a bar code, RFID object, text object, or picture. Select one and the object is added to the label. You can then modify the object's properties by double-clicking it to open the Modify Selected … Object dialog.

Storing a Database Field for Reuse

Whenever you specify a database field as the data source for an object or substring, the field appears in the Database Fields directory in the Data Sources pane. This is enough to make the field reusable without further action.

Reusing a Database Field

To reuse a database field, expand the Database Fields group in the Data Sources pane. Click the desired field and, while holding down the mouse button, drag the cursor to the desired location on the label. When you release the button a shortcut menu will appear giving you the option of using the field with a new bar code object, new text object, new RFID object, or new picture. Select one and the object is added to the label. You can then modify the object's properties by double-clicking it to open the Modify Selected … Object dialog.

Note: You can also open the Database Connection Setup dialog (or the Database Connection Setup Wizard, if you haven't previously setup a database) by right-clicking the Database Fields group and selecting Database Connection Setup from the drop down menu.

Storing a Named Substring for Reuse

Whenever you give a name to a substring, the substring appears in the Named Substrings directory in the Data Sources pane. This is enough to make the substring reusable without further action.

Reusing a Named Substring

To reuse a named substring, expand the Named Substrings group in the Data Sources pane. Click the desired substring and, while holding down the mouse button, drag the cursor to the desired location on the label. When you release the button a shortcut menu will appear giving you the option of using the substring with a new bar code object, new text object, new RFID object, or new picture. Select one and the object is added to the label. You can then modify the object's properties by double-clicking it to open the Modify Selected … Object dialog.

Reusing Label Object Strings

To reuse a label object string, expand the Label Object Strings group in the Data Sources pane. All available label object strings are automatically listed as the objects are added to the label. Expand the desired object to see what label object strings are available for use. Click the desired label object string and, while holding down the mouse button, drag the cursor to the desired location on the label. When you release the button a shortcut menu will appear giving you the option of using the label object string with a new bar code object, new text object, or new picture. Select one and the object is added to the label. You can then modify the object's properties by double-clicking it to open the Modify Selected … Object dialog.

Reusing a Printer Code Template Field

To reuse a printer code template field, expand the Printer Code Template Fields group in the Data Sources pane. Expand the desired object to see what printer code template field strings are available for use. Click the desired printer code template field and, while holding down the mouse button, drag the cursor to the desired location on the label. You can then modify the object's properties by double-clicking it to open the Modify Selected … Object dialog.


Standard Bar Codes Pane

Add a bar code that has already been assigned a symbology by dragging it from the Standard Bar Codes pane of the Toolbox to the place on the label where you want it.


Standard RFID Pane

Add an RFID object that has already been fully configured with a standard tag type by dragging it from the Standard RFID pane of the Toolbox to the label. You can also reuse your own configured RFID objects by saving them as components in Components pane.


Menu Reference

The main menu bar is the horizontal bar across the top of the screen that is used to pull-down the main menus:

  • File

  • Edit

  • View

  • Create

  • Modify

  • Arrange

  • Tools

  • Window

  • Help


File Menu

The File menu contains options that allow you to load, save, and print the label formats you create and modify using BarTender. The File menu also contains options that allow you to specify page and printer settings. Finally, options in the Database Connection Setup dialog allow you to specify that BarTender print labels using data from external text files, ODBC, SAP IDoc, or OLE DB data sources.

The File menu options are summarized below. For more information about each option, click on the appropriate menu name below.

  • New. Used to start a new label format.

  • Open. Used to open an existing label format and load it into the label viewing area to be modified or used for printing labels.

  • Close. Used to close the active label format without exiting BarTender.

  • Save. Used to save the currently loaded label format using the same file name from which it was opened.

  • Save As. Used to name and save newly created label formats or save an already existing label format to a new format with a new name.

  • Save All. Used to save all open label formats.

  • Database Connection Setup. Used to specify the characteristics of the text file, ODBC, SAP IDoc, or OLE DB data source to be used when printing labels based on information contained in a database.

  • Page Setup. Used to control the dimensions and placement of the labels on the page.

  • Print Preview. Used to switch to print preview mode.

  • Print. Used to print labels and specify the number of serialized labels and identical copies of labels to print. Also used to select the printer on which you want to print your labels.

  • Export Image. Opens the Export Image dialog.

  • Export Printer Code Template. (Enterprise Edition only.) Opens a sub-menu from which you choose the print system to use in creating a printer code template.

  • Format Options. Used to set options for the active label format, including comments, regional settings, and viewing options.

  • Recent File. Used to display the file names of the most recently opened label formats.

  • Exit. Used to terminate the program.

See Also:

Understanding Label Formats


Open Label Format

Open

The Open command in the File menu is used to open an existing label format and load it into the label viewing screen to be modified or used for printing labels.

The File Open Dialog

When you select the Open command, BarTender displays the File Open dialog. The File Open options are summarized below:

  • Look in. Used to display the names of the available drives. The currently specified drive is displayed at the top of the list. The contents of the selected drive are displayed in the list box directly below the Look in field.

  • File name. Used to specify the name of the label format you want to load.

  • Files of type. Used to specify that the list box located directly below the Look in field will display files created in BarTender. These files use the file extension .BTW.

  • View Preview/Comment. Used to display either a "mini" view of the currently specified label format or comment saved with the currently specified label format.

Procedure:

Opening Existing Label Formats

See Also:

Start New Label Format

Understanding Label Formats


Close Label Format

Close

The Close command in the File menu is used to close the active label format without exiting BarTender. If you have made changes to the active format, you will be asked if you want to save your changes.

See Also:

Exit BarTender


Close All Label Formats

Close All

The Close All command in the File menu is used to close all open label formats without exiting BarTender. If you have made changes to any of the formats, you will be asked if you want to save your changes.

See Also:

Exit BarTender


Save Label Format

Save

The Save command in the File menu is used to save the currently loaded label format using the same file name from which it was opened. The Save command can only be used to save modifications to an already existing file.

If you are saving a new label format, BarTender displays the Save As dialog the first time the new format is saved.

See Also:

Save Label Format Using Another Name

Save All Open Label Formats


Export Image Command

Export Image

Select the Export Image command from the File menu to export your label format or selected objects on it as an image file.


Export Printer Code Template Command

Export Printer Code Template

Select the Export Printer Code Template command from the File menu to open a sub-menu from which you can choose a print system for exporting a Printer Code Template. (Enterprise Edition only.)


Format Options or View Options Command

Label Format Options or View Options

Select either the Label Format Options command from the File menu or the View Options command from the View menu to open the Label Format Options dialog.


Recent File

The Recent File option in the File menu displays a list (of up to five file names) of the label formats most recently opened. To open one of the label formats in the list, simply click once on its file name.

See Also:

Opening Existing Label Formats


Exit Command

Exit

Select the Exit command from the File menu to terminate the program and return to Windows. If you have not previously saved your format changes, BarTender will give you an opportunity to do so before ending the program.

See Also:

Close Label Format


Edit Menu

[A place in Windows memory where a copy of a single object or group of objects can be stored. It gives you the ability to transfer objects created in BarTender easily from one label format to another. The clipboard and Edit menu can also be used to add bitmap images created in other programs to BarTender label formats. (A bitmap is an image or picture composed of individual dots. Bitmaps are usually stored in a format which can be used by many different programs.)]

The Edit Menu

The Edit menu contains options that allow you to cut, copy, and delete one or more objects from the label viewing area. These capabilities are possible by using the clipboard .

The Edit menu also allows you to undo and redo actions, edit an object's screen data, specify the order of your prompt-at-print-time prompts, and export objects from BarTender.

The Edit menu options are summarized below. For more information about each option, click on the appropriate menu name below.

  • Undo. Used to reverse the previous action.

  • Redo. Used to reverse the previously undone action.

  • Cut. Used to delete the selected object(s) from the label viewing area but copy it to BarTender's clipboard.

  • Copy. Used to copy the selected object(s) from the label viewing area to the clipboard.

  • Paste. Used to place a copy of the object(s) in the clipboard into the label viewing area. Also used to add bitmaps created in other programs to the label viewing area.

  • Paste Unformatted. Used to create a text object by pasting copied text onto the label so that it uses BarTender's default font, not the font it had when copied.

  • Delete. Used to erase the selected object(s) from the label viewing area.

  • Select All. Used to select all of the objects in the label viewing area.

  • Select. Used to select objects in the label viewing area, one (or more) at a time.

  • Data Edit. Used to edit the screen data for bar code, RFID, and text objects.

See Also:

What it Means for Objects to be ‘Selected’


Undo Command

Undo

The Undo command [image] reverses actions performed during the label editing session. Click on the Undo command immediately after making any change that you do not want implemented. In order to undo a series of actions, simply click repeatedly on the Undo command until your label format is restored to its previous condition.

When an action can be undone, the word "Undo" in the Edit menu will be immediately followed by a one or two word description of that action. For example, if the last action you performed was to add a bar code to the label format, the command will display Undo Add Barcode.

When the Undo command is not available for a particular action, the Undo option will either be disabled or, if you have just performed a series of actions, it will display the last of those actions which can be undone. The Undo command is not available for:

  • Commands in the Window menu.

  • Commands in the File menu related to file operations, such as Open, Save, and Close.

Immediately after you choose the Undo command, the Redo command becomes available. This allows you to restore whatever action you just undid.

Keyboard Shortcut:: CTRL+Z.

See Also:

Redo Command


Redo Command

Redo

The Redo command [image] reverses the previously undone action. If no action has been undone, the Redo command will not be available (will be grayed).

Note that the word "Redo" in the Edit menu will be immediately followed by a one or two word description of the action to be redone. For example, if the last action you undid was to add a bar code to the label format, the command will display Redo Add Barcode.

Keyboard Shortcut: CTRL+Y.

See Also:

Undo Command


Cut Command

Cut

Click the Cut command [image] to delete the selected objects from the label viewing area and place a copy of them into BarTender's clipboard. This allows you to copy the objects using the Paste command into another part of the same label format or into a different format altogether.

If no objects are selected in the label viewing area, this option is disabled.

Keyboard Shortcut: After you select the objects, press CTRL+X (or SHIFT+DEL) to cut them from the label viewing area.

See Also:

Cutting, Copying, and Pasting Using the Shortcut Menus


Copy Command

Copy

Click the Copy command [image] to copy the objects which are selected in the label viewing area and place the copy into BarTender's clipboard. Unlike the Cut command, the Copy command does not delete the selected objects from the viewing area.

If no objects are currently selected in the label viewing area, this option is disabled.

Keyboard Shortcut: After you select the objects, press CTRL+C (or CTRL+INSERT) to copy them from the label viewing area.

See Also:

Cutting, Copying, and Pasting Using the Shortcut Menus


Paste Command

Paste

Click the Paste command [image] to place a copy of the objects that were most recently cut or copied to the clipboard into the label viewing area. BarTender will place the contents of the clipboard into the upper left corner of the label viewing area. To position the pasted object on your label, simply click and hold down your left mouse button and drag it into position.

If the clipboard is empty, this option is disabled.

Keyboard Shortcut: CTRL+V (or SHIFT+INSERT).

Notes: To paste text that automatically uses the default BarTender text font (set on the Font tab of the Modify Default Text Object dialog), instead of the font it had when copied, use the Paste Unformated command instead.

You can also use the Paste or Paste Unformatted command to paste text into an already existing text object. The pasted text will automatically acquire the font in use at the point of insertion regardless of which command you use.

See Also:

Cutting, Copying, and Pasting Using the Shortcut Menus

Pasting an Object into a Specific Position

Using the Paste Command to Import Bitmaps from Other Programs


Paste Unformatted Command

Paste Unformatted

Click the Paste Unformatted command on the Edit menu to place a copy of the text in the clipboard into the label viewing area. BarTender will place the contents of the clipboard into the upper left corner of the label viewing area. The text will automatically use the default BarTender text font (set on the Font tab of the Modify Default Text Object dialog), not the font it had when copied. (If you want the text to keep its original font, use the Paste command instead.) To position the pasted object on your label, simply click and hold down your left mouse button and drag it into position.

If the clipboard is empty, this option is disabled.

Note: You can also use the Paste or Paste Unformatted command to paste text into an already existing text object. The pasted text will automatically acquire the font in use at the point of insertion regardless of which command you use.

See Also:

Cutting, Copying, and Pasting Using the Shortcut Menus

Pasting an Object into a Specific Position

Using the Paste Command to Import Bitmaps from Other Programs


Delete Command

Delete

Select the Delete command from the Edit menu to erase the selected objects from the label viewing area. Unlike the Cut command, the Delete command does not copy the objects to the clipboard before deleting them.

If no object is selected in the label viewing area, this option is disabled.

Keyboard Shortcut: After you select the objects, press the DELETE key to erase them from the label viewing area.


Select All Label Objects

Select All

The Select All command allows you to select all of the objects in the label viewing area so that they can be manipulated at the same time.

Keyboard Shortcut: CTRL+A.

See Also:

Select Command

Selecting a Group of Objects Using the Pointer Tool


Select a Label Object

Select

The Select command [image] activates the pointer tool which is the standard mouse cursor used for selecting options and positioning and sizing objects in the label viewing area. Selecting an object activates the handles that allow for the on-screen manipulation of the object. Once an object is selected, it can be modified using a mouse and/or the options found in the Modify dialogs.

To activate the pointer tool and select an object:

Use one of the following options.

  • Click on [image] in the toolbar and then click on the object that you want to select.

OR

  • Click on the Select command in the Edit menu and then click on the object that you want to select.

See Also:

Select All Command

Selecting a Group of Objects Using the Pointer Tool


Data Edit Tool

Data Edit

When the Data Edit tool [image] has been selected and you click on a text object that does not contain more than one substring, then you are immediately put into edit mode and you can edit the object's text directly on the label. But if you click on a text object that contains more than one substring or on any bar code, or RFID object, with the Data Edit tool, BarTender immediately displays the Modify Screen Data dialog (when in Label Design View) or the Modify Text dialog (when in Prompt Design View). This allows you to change the text for the selected object more quickly than would be possible by clicking on the individual options in the Modify dialogs.

To activate the Data Edit tool:

Use one of the following methods to activate the Data Edit tool. Then click on the object you would like to edit.

  • Click on [image] in the toolbar.

OR

  • Click on the Data Edit command in the Edit menu.

Although either method of selecting the Data Edit tool will work, the button method is fastest because it requires you to make the least number of clicks with your mouse.

Once you have displayed the Modify Screen Data or Modify Text dialog, proceed to edit the data for your label or prompt dialog object in the usual manner.


Label Design View

The Label Design View mode is the standard screen you will use to create and design all label formats. For information on the appearance of the screen and key screen features, see The Main Display Screen.


Prompt Design View

Prompt Design View looks very similar to Label Design View. You will see and have access to many, though not all, of the same design features. (Toolbar and menu options will be grayed when they are unavailable.) Just as you use Label Design View to design labels, you would use Prompt Design View to customize a prompt dialog associated with a label format.

Understanding Prompt Dialogs

When one or more label objects are set to Prompt at Print-Time, BarTender automatically creates a default prompt dialog on which it places one user prompt and one reply box for each object set to prompt at print time. At the start of a print job, the prompt dialog will display and allow a user to enter data which may not be known until print time.

Designing Prompt Dialogs

Because BarTender automatically designs a prompt dialog, you can use Prompt at Print-Time without ever switching to Prompt Design View. However, if you wish to customize the appearance of a prompt dialog, see Understanding the Default Prompt Dialog.

Note: Changes you make to a prompt dialog will not effect the appearance of your label format.

See Also:

Understanding Prompt at Print-Time


Zoom In on Label

Zoom In

The Zoom In command in the View menu (and the Zoom In button [image] in the toolbar) allows you to magnify a section of the label viewing area by the percentage of the specified zoom factor. (The percentage of the zoom factor is controlled using the View Options dialog.) Each time you execute the Zoom In command, BarTender moves your view in "closer" to the label.

To zoom in your view of the label:

  1. Click on the Zoom In button in the Main toolbar or the Zoom In command in the View menu. Your cursor will change to match the shape of the zoom tool.

  2. Position your cursor over the spot on the label that you want to zoom in on and click again. BarTender will center the spot you clicked on in the label viewing area and magnify your view by the percentage of the specified zoom factor.

You can also use the Zoom In tool to select a particular area of your label to magnify.

To define a specific area of your label to zoom in on:

  1. Click on the Zoom In button in the Main toolbar or the Zoom In command in the View menu. Your cursor will change to match the shape of the zoom tool.

  2. In the label viewing area, place the Zoom In cursor outside one of the four corners of the area that you want to zoom in on and press and hold down the left mouse button.

  3. Still holding the left mouse button, drag the cursor from the starting corner of the area to be selected to the diagonally opposite corner. (Note that a lightly dashed bounding box will follow the motion of the mouse cursor as you move it.)

  4. Release the mouse button once the entire area that you want to zoom in on is within the bounding box. BarTender will zoom in on the area you specified by the percentage of the specified zoom factor.

If the viewing area is already zoomed in as far as possible, the Zoom In command will be disabled.

See Also:

Zoom Out on Label


Zoom Out on Label

Zoom Out

The Zoom Out command in the View menu (and the Zoom Out button [image] in the toolbar) allows you to demagnify a section of the label viewing area by the percentage of the currently specified zoom factor. (The percentage of the zoom factor is controlled using the View Options dialog.) Execute the Zoom Out command repeatedly to move further "away" from the label.

If the viewing area is currently zoomed out as far as possible, the Zoom Out command will be disabled.

See Also:

Zoom In on Label


Actual Size on Screen

Actual Size

The Actual Size command in the View menu scales the label image to fit in the label viewing area at Windows default magnification, where one inch on the screen is approximately the same as one inch on a ruler.

See Also:

Fit Label in Window


Fit Label in Window

Fit in Window

The Fit in Window command in the View menu (and the Fit in Window button [image] in the toolbar) is a special zoom command where the label image is scaled to fit entirely within the label viewing area all at once.

See Also:

Actual Size on Screen


Create Menu

The Create menu options allow you to add bar codes, text, and various graphic objects to your label formats. There is a separate Create menu option for each of these objects. Additionally, each Create menu option corresponds to a button on the toolbar that is positioned along the top of the label viewing area. These buttons give you an alternative (and quicker) method for creating objects on your labels.

The Create menu options are summarized below. For more information about each option, click on the appropriate menu name below.

  • Bar Code. Used to add a bar code to the label format.

  • Text. Used to add a text object to the label format.

  • Line. Used to draw a line in the label format.

  • Box. Used to draw a box in the label format.

  • Ellipse. Used to draw an ellipse in the label format.

  • Picture. Used to add a picture to the label format.

  • RFID. Used to add an RFID object to the label format.

    •

  • Component from Selected Object. Used to create a component consisting of the currently selected objects.

For further information about creating objects in the label viewing area and about BarTender's built-in object default settings, read Creating Objects.


Create Bar Code

Bar Code

You can use the Bar Code command on the Create menu or the Create Bar Code button [image] (and corresponding mouse cursor symbol) to add a bar code to your label. But the easiest way to add a bar code is to drag a preconfigured one from the Standard Bar Codes pane of the Toolbox.

After a bar code has been placed on the label, you can use the property pages in the Modify Selected Bar Code Object tabbed dialog to adjust its appearance. You can also directly adjust its position, height, and density using the mouse.

Procedure:

Creating a Bar Code Object

See Also:

Creating Objects


Create Text Objects

Text

Use the Create Text button [image] (and corresponding mouse cursor symbol) to add text to your label or prompt dialog.

After placing a text object on a label, you can use the property pages in the Modify Selected Text Object tabbed dialog to adjust its appearance. For a text object placed on a prompt dialog, use the property pages in Text tab on the Modify Selected Objects dialog.

You can also directly manipulate a text object's position and size using the mouse.

Procedure:

Creating a Text Object

See Also:

Creating Objects


Create Line

Line

Use the Create Line button [image] (and corresponding mouse cursor symbol) to draw a line on your label or your prompt dialog. Because the length of a line is specified at the same time the line is created, you will find that the Create Line button works somewhat differently than the Create Bar Code and Create Text buttons.

After drawing a line on a label, you can use the property pages in the Modify Selected Line tabbed dialog to adjust its appearance. For a line placed on a prompt dialog, use the property pages in Modify Selected Objects tabbed dialog.

You can also directly manipulate a line's position and length using the mouse.

Procedure:

Drawing a Line


Box

Use the Create Box button [image] (and corresponding mouse cursor symbol) to draw a box on your label. Like the Line command, because the size of a box is specified at the same time a box is created, you will find that the Create Box button works a little differently than the Create Bar Code and Create Text buttons.

After a box has been drawn on the label, you can use the property pages in the Modify Selected Box tabbed dialog to adjust its appearance. You can also directly manipulate its position and dimensions using the mouse.

Procedure:

Drawing a Box


Create Ellipse

Ellipse

Use the Create Ellipse button [image] (and corresponding mouse cursor symbol) to draw an ellipse on your label. By clicking and dragging the cursor the size of the ellipse can be changed as it is created.

After drawing an ellipse on a label, you can use the property pages in the Modify Selected Ellipse tabbed dialog to adjust its appearance.

You can also directly manipulate an ellipse's position and dimensions using the mouse.

Procedure:

Drawing an Ellipse


Import Picture

Picture

Use the Import Picture button [image] (and corresponding mouse cursor symbol) to begin the process of importing a picture into your label format. BarTender supports the following picture types: BMP, DXF, EPS, IMG, JPG, PCD, PCX, PNG, TGA, TIF, WPG, and WMF. The last of these cannot be rotated.

After a picture object has been placed on your label format, use the Picture property page in the Modify Selected Picture dialog to complete the process of importing a picture.

Procedures:

Inserting Pictures into a Label Format

See Also:

Creating Objects


Create RFID Object

RFID

You can use the RFID command on the Create menu or the Create RFID button [image] to add a bar code to your label. But the easiest way to add an RFID object is to drag a preconfigured one from the Standard RFID pane of the Toolbox.

After the object has been placed on the label, you can use the property pages in the Modify Selected RFID Object tabbed dialog to configure it.

Procedure:

Creating an RFID Object

See Also:

Creating Objects

Understanding RFID


Create Component Menu Item

[Create] Component From Selected Object

The Component from Selected Objects command in the Create menu is used to create a component that consists of all of the currently selected objects on the label.


Modify Menu

The Modify Menu

Options accessed through the Modify menu and the Modify tabbed dialogs allow you to adjust the appearance of the objects on your labels to fit your exact requirements. The Modify dialogs also allow you to specify the data source(s) for your bar codes, RFID objects, and text objects.

The Modify options can be applied to both single objects and groups of objects. However, since there are only a certain number of Modify options that are relevant to any given object or group of objects, the property page displayed at any given time may contain several disabled (grayed) options. Also, like the Database Connection Setup dialog, some of the Modify property pages contain dynamic areas, where different options will be displayed depending on the settings of other options in the dialog.

The Modify menu options are summarized below. For more information about each option, click on the appropriate option name.

  • Selected Object. Used to modify the appearance of the selected object.

  • Selected Group. Used to modify groups of selected objects.

  • Default. Used to modify the built-in default settings for the different types of objects which can be placed on the label.

See Also:

Displaying the Properties for the Selected Object


Modifying the Selected Object

Show All Hide All

The list below shows which property pages can be displayed in the tabbed dialogs for each object type that can be created in BarTender. Note how several pages can be displayed for more than one type of label object. For example, since all objects can have their position modified, all of the tabbed dialogs allow you to display a copy of the Position property page.

Object Type | Property Pages Available
Bar Code | Bar Code, Human Readable, Font, Data Source, Position, General
Text | Font, Text, Data Source, Position, General
Line | Line, Position, General
Box | Box, Position, General
Ellipse | Ellipse, Position, General
Picture | Picture, Position, Data Source (optional), General
RFID | RFID, Data Source, General

Object Type | Property Pages Available
Bar Code | Bar Code, Human Readable, Font, Data Source, Position, General
Text | Font, Text, Data Source, Position, General
Line | Line, Position, General
Box | Box, Position, General
Ellipse | Ellipse, Position, General
Picture | Picture, Position, Data Source (optional), General

Summaries of the Property Pages

Summaries of each property page are listed below. For additional information describing the individual options on each property page, click on the appropriate option name.

  • Bar Code. Used to specify the symbology and other characteristics of the bar codes on your labels.

  • RFID. Used to specify the tag type and other characteristics of the RFID objects on your labels.

    •

  • Human Readable. Used to specify the position and visibility of the human readable characters displayed with the bar codes on your labels.

  • Font. Used to specify the characteristics of the text objects on your labels. If the selected object is a bar code, the Font options are used to modify the text in the bar code's human readable characters.

  • Text. Used to specify whether a text object will be displayed on a single line, wrapped onto multiple lines, or curved.

  • Picture. Used to specify the picture file to display on your label format, and other aspects of how the picture will appear.

  • Data Source. Used to specify the source of the data used by bar code, RFID, and text objects and data sourced pictures, and to manipulate the data as needed.

  • Line. Used to specify the length, line thickness, and color of the lines on your labels.

  • Box. Used to specify the height, width, line thickness, and other characteristics of the boxes on your labels.

  • Ellipse. Used to specify the height, width, line thickness, and other characteristics of the ellipses on your labels.

  • Position. Used to fine-tune the position of the objects on your labels. (Remember that it's usually easiest to use your mouse to position the objects on your labels.)

  • General. Used to give objects a name, specify whether they will print, and to insert comments.

See Also:

Displaying the Properties for the Selected Object


Built-in Default Settings

In the help topic called Understanding Label Formats we introduced you to the concept of BarTender's built-in default settings. As we described, until new default settings are specified for a label format, BarTender uses the built-in default settings each time a new object is created on the label.

Default object settings for your individual label formats are modified using the Modify Default Object tabbed dialogs. These dialogs are displayed by clicking on the Modify option in the main menu bar, then clicking on the Default Object menu option, and then clicking again on the menu option for the type of object that you want to modify. The options within the Modify Default Object tabbed dialogs are modified using exactly the same methods that are used to modify the selected objects in a label format.

The Default Object option functions according to the following guidelines:

  • Once new defaults have been specified for a given type of object, all additional objects of that type that are created while editing that format will be formatted according to the new defaults.

  • When you specify new default settings, only the label format you are working on is affected — other label formats remain unaffected.


Lock Object(s) Command

Lock Command

The Lock command in the Arrange menu allows you to lock the selected object(s) so that they cannot be inadvertently moved, resized, or rotated.


Unlock Object(s) Command

Unlock Command

The Unlock command in the Arrange menu allows you to unlock the selected object(s) so that they can again be moved, resized, or rotated.


The Tools Menu

The items on this menu open dialogs used for BarTender administrative and configuration activities. Click on any of the items below for more information. The items available on the Tools menu will vary depending on the edition of BarTender.

  • Log File Setup (Enterprise Edition only)

    •

  • IDoc Definitions Setup (Enterprise Edition only)

    •

  • Message Setup

  • Printer Code Template Setup (Enterprise Edition only)

    •

  • General Options

  • Password Setup

  • Log In

  • Administrative Setup


Log File Setup

Displays the Log File Setup dialog. (Enterprise Edition only)


IDoc Definitions Setup

Displays the IDoc Defnitions Setup dialog. (Enterprise Edition only)


Message Setup

Displays the Message Setup dialog.


Printer Code Template Setup Command

Setup Printer Code Template Command

Select the Printer Code Template Setup command from the Tools menu to open the Printer Code Template Setup dialog. (Enterprise Edition only.)


General Options Command

General Options

Displays the General Options dialog.


Password Setup

Displays the Password Setup dialog.


Log In

Displays the password prompt.


Adminstrative Setup

Displays the Administrative Setup dialog.


Window Menu

The Window Menu

The Window menu is used to define and switch between one or more additional views of a label format or prompt dialog. It allows you to view multiple label formats, different views of the same label format, prompt design views, and combinations of all these views. Options in the Window menu make it easy to:

  • Copy and move label objects one label format to another.

  • View more than one magnification of a label format at the same time.

  • Look at the label design and prompt dialog design for a label format at the same time.

The Window menu options are summarized below. For more information about each option, click on the appropriate option name below.

  • New Label Design Window. Opens a new window for displaying another view of the Label Design View for the active label format.

  • New Prompt Design Window. Opens a new window for displaying the active label format in the Prompt Design View mode.

  • Cascade. Stacks and arranges all open windows so that you can view their title bars.

  • Tile Horizontally. Arranges all open windows so that windows are stacked one beneath another in the label viewing area.

  • Tile Vertically. Arranges all open windows so that windows are displayed side by side in the label viewing area.

  • Arrange Icons. Arranges all minimized windows along the bottom of BarTender's label viewing area.

  • List of Open Windows. Displays the names of all currently open windows and lets you switch between them.


New Label Design Window

Opens a second window of the active label format using Label Design View, allowing you to have two or more views of the same label format. For example, in one window, you may display the label format at its actual size while displaying in a second window a view of the same format zoomed in at 200%.

As you add new windows of an open label format, BarTender indicates the number of the open window by displaying a colon and number directly after the format name (e.g., FORMAT:1, FORMAT:2). BarTender helps you keep track of open windows by displaying the format name and the window number (if applicable), in one of three locations:

  • When the active window is displayed at full screen, the format name is displayed in BarTender's main title bar.

  • When the active window is displayed at partial screen, only the format name is displayed in BarTender's main title bar. The format name and window number (if applicable) are displayed in the title bars of the individual windows.

  • The names of all open windows are listed at the bottom of the Window menu. The active window is designated by a check mark.

Important: The New Label Design Window option does not start a new label format. To start a new format, you must click on the New button on the Main toolbar or select the New option from the File menu.

See Also:

List of Open Windows


New Prompt Design Window

Opens a second window of the active label format using Prompt Design View, allowing you to display the prompt dialog associated with the currently displayed label format. For example, you may display your label format, in Label Design View, in one window while displaying in a second window, in Prompt Design View, the prompt dialog associated with the label format.

As you add new windows of an open label format, BarTender indicates the number of the open window by displaying a colon and number directly after the format name (e.g., FORMAT:1, FORMAT:2). BarTender helps you keep track of open windows by displaying the format name and the window number (if applicable) in one of three locations:

  • When the active window is displayed at full screen, the format name is displayed in BarTender's main title bar.

  • When the active window is displayed at partial screen, only the format name is displayed in BarTender's main title bar. The format name and window number (if applicable) are displayed in the title bars of the individual windows.

  • The names of all open windows are listed at the bottom of the Window menu. The active window is designated by a check mark.

See Also:

List of Open Windows


Cascade

The Cascade command stacks and overlaps all open windows so that you can view their title bars.

Note: Minimized windows are displayed as icons along the bottom of BarTender's label viewing area.


Tile Horizontally

The Tile Horizontally command rearranges all open windows so that they are stacked one on top of another in the label viewing area.

Note: Minimized windows are displayed as icons along the bottom of BarTender's label viewing area.


Tile Vertically

The Tile Vertically command rearranges all open windows so that they are displayed side by side in the label viewing area.

Note: Minimized windows are displayed as icons along the bottom of BarTender's label viewing area.


Arrange Icons

The Arrange Icons command arranges all minimized windows along the bottom of BarTender's label viewing area.


List of Open Windows

The bottom portion of the Window menu displays a list of all open label format or prompt design windows, with the active window designated by a check mark. To select a different open window as the active window simply click on the name of the window in the list.

In the following figure, the bottom portion of the Window menu shows that two views each of two label formats (aiag_pt1.btw and stock_dn.btw) are open. The check mark designates View 2 of aiag_pt1.btw as the active window.

FIGURE: Sample List of Open Windows
(Two Open Windows for Each of Two Label Formats)

See Also:

New Label Design Window

New Prompt Design Window


Help Menu

The Help Menu

The Help menu contains options that allow you to access on-line help and product information about BarTender. The Help menu options are summarized below.

  • BarTender Help. Accesses the help system.

  • Visual Basic Script Help. Accesses the Visual Basic Script help documentation.

  • Animated Tutorial. Launches a program that demonstrates BarTender's features.

  • Technical Support. Provides information on obtaining technical support.

  • Register on the Web. Accesses the page of Seagull Scientific's web site where you can register your new BarTender.

  • Seagull on the Web. Accesses the home page of Seagull Scientific's web site.

  • Activate this Software or Activation Wizard. Launches the Activation Wizard. The command will read Activate this Software until you activate it for the first time.

  • Activation Help. Provides information about software activation.

    •

  • About. Displays information about this version of BarTender.


Help Topics

Displays the Contents, Index, Search, Favorites, and Glossary tabs for the help system.

For help on Help, Press F1.

See Also:

Using and Customizing the Online Help System


Visual Basic Help

Click on Visual Basic Help to view help that is more detailed than the concise help displayed in the Description option. This opens Microsoft's entire Visual Basic Script help document. (This document also includes help on numerous Visual Basic components not included in the Category or Name options on Script Assistant.)

Also, click here for help on special BarTender objects, functions, and properties made available in the Script Assistant.


Animated Tutorial

Animated Tutorial launches an animated program that demonstrates BarTender's features.


Technical Support Menu Item

Technical Support

Technical Support opens BarTender's online help to a topic that tells you how to obtain technical support.


Register on Line

Register on the Web

Register on the Web accesses the page on Seagull Scientific's web site where you can register your new BarTender.


Seagull on the Web

Seagull on the Web accesses Seagull Scientific's web site where you can find information about BarTender and download additional printer drivers.


Activate this Software

Activate this Software or Activation Wizard

These command launches the Activation Wizard. If the software has never been activated before the command is Activate this Software. Otherwise, it is Activation Wizard.


Activation Help

Activation Help opens a FAQ about software activation.


About This Application

About

About displays program information about the version of BarTender.


The Shortcut Menus

Certain areas of BarTender's screen interface will display a drop-down menu of shortcut commands when you use your right mouse button to click on the appropriate area of the interface. For example, if you right click on any object within the label viewing area, BarTender will display a menu similar to the one shown at the end of this topic. As you can see, the menu contains shortcuts to options that are often used while creating and modifying the objects on your labels.

Depending on your personal working style and the type of keyboard and mouse you use, it may be easier for you to display a shortcut menu than it would be to select a command from the toolbars or main menus.

Some of the most commonly used shortcut menus available for BarTender's screen interface are listed below. Keep in mind that this list is not complete and that these shortcut menus (or menus that are very similar) are a standard feature of most Windows programs.

Object Properties

Label Viewing Area

Data-Entry Fields

Toolbar Area

Substring List


Shortcut Menu for the Data-Entry Options

Contains shortcuts to options commonly used when entering keyboard data into BarTender. A few examples of data-entry options are the File name options in the File Open and File Save As dialogs and the Screen Data and Sample Data options in the Data Source dialog. To display this shortcut menu, right click in any of BarTender's data-entry fields.


Shortcut Menu for the Label Viewing Area

Contains shortcuts to options commonly used when working in the label viewing area. To display this shortcut menu, right click anywhere in BarTender's label viewing area. (Note that if you right-click on an object within the label viewing area, the object properties shortcut menu will be displayed instead.)

To display information about the individual commands on this shortcut menu, click on the appropriate area of the graphic in the following figure.


Shortcut Menu for Object Properties

Contains shortcuts to options commonly used while creating and modifying label objects. To display this shortcut menu, right click on any label object. (Note that if you miss the object, and right-click on the label viewing area itself, the shortcut menu for the label viewing area will be displayed instead.)

To display information about the individual commands on this shortcut menu, click on the appropriate area of the graphic in the following figure.


Shortcut Menu for the Toolbars

Contains shortcuts to the menu options which control whether or not the toolbars and the Toolbox will be displayed by BarTender. To access this shortcut menu, right click in the toolbar area or the title bar of the Toolbox. (If no toolbars are displayed, you will not be able to access the shortcut menu. In that situation, use the View | Toolbars menu.)

For additional information about the individual toolbars available on this shortcut menu, click on the toolbar name in the following graphic.


Technical Support

This online help system and Getting Started manual contain information that will answer most technical questions. If you still have questions after consulting these resources, our Technical Support Department can be reached at any of the following telephone numbers and e-mail addresses:

Region | Voice Telephone | FAX (Faxed technical support requests receive a faxed response.) | Internet (Internet technical support requests receive a Internet response.)
United States | +1 425 641 1408 | +1 425 641 1599 | TechSupport@SeagullScientific.com
Europe | +34 91 435 55 45 | +34 91 578 05 06 | EuroTech@SeagullScientific.com
Asia/Pacific | +886 2 3765 2440 | +886 2 3765 2467 | AsiaTech@SeagullScientific.com

Note: Technical support for Visual Basic Scripting is limited. For information on support limitations, please see A Note on Technical Support for Visual Basic Scripting.

You Must Register Your Software to Receive Support

In order to receive technical support, you must click this link and register your product online within ten days after your purchase. Unless you register, you will not receive technical support.

You Must Call From Next to Your Computer

When calling for technical support, it is very important to call from a phone right next to the computer that is running BarTender. This makes it much easier for our technical support personnel to assist you.

Product Returns

If you purchased BarTender directly through Seagull Scientific, Inc., and you decide that it is not right for your purposes, you may return it to Seagull Scientific within 30 days of the date of purchase. To do so, you must first call our Technical Support Department at the number shown above. At that time, we will issue you a Return Merchandise Authorization Number (RMA#) and give you our shipping address.

Note: If you purchased BarTender through another source, your terms may vary. Please contact your reseller for information regarding return policies.


A Note on Technical Support for Visual Basic Scripting

The on-line help for the Script Assistant will provide most people with all the help necessary to generate their own Visual Basic Scripts. If you get stuck, Seagull Scientific technical support will help with the following problems:

  • Understanding the Visual Basic Script portion of the Data Source property page.

  • Understanding how the Script Assistant is used.

  • Answering questions on BarTender's "built-in" script functions (functions added by Seagull Scientific to simplify certain common scripting tasks).

  • Determining whether or not writing a script would help you solve a particular technical challenge.

  • Answering simple questions on writing Visual Basic Scripts in BarTender.

However, because Visual Basic Script is a Microsoft product not well suited for computer novices Seagull Scientific is not able to provide the following types of support:

  • Teaching you how to become a programmer.

  • Teaching Visual Basic.

  • Helping to write scripts.

  • Helping to "debug" scripts.

See Also:

Understanding the Visual Basic Script Data Source


License Agreement

Seagull Scientific ("Seagull") grants you a non-exclusive license to use the accompanying computer software and related documentation ("Seagull Software"), subject to the following provisions. You assume full responsibility for the selection of the Seagull Software to achieve your intended results, and for the installation, use, and results obtained from the Seagull Software.

Only the TRIAL EDITION of Seagull’s BarTender software may be copied and distributed freely. All other versions of BarTender are protected under standard copyright law and may not be copied.

Seagull's thermal printer drivers also may not be copied or distributed, except under either of these two conditions:
1. A BarTender Trial edition must be included with the drivers in a way that makes the recipient clearly and unambiguously aware of the fact that they have the option to install and use the included BarTender software.
2. Otherwise, explicit written authorization must be received from Seagull to distribute the drivers.

Individual users can always obtain Seagull drivers directly from Seagull, either by CD or by downloading them directly from Seagull’s web page. Printer manufacturers are expressly prohibited from redistributing Seagull’s thermal printer drivers without written authorization obtained directly from Seagull.

The license granted by this agreement for all non-Trial software is absolutely restricted to you for your own use. You may make a copy of such Seagull Software only for backup purposes. You shall not: (1) permit any third party to use the Seagull Software; (2) use the Seagull Software with the use of a generic name; (3) allow access to the licensed software by timesharing; (4) copy the documentation; or (5) modify the software.

Both the software and the related material are Copyrighted and therefore protected by Federal law. Title to and all rights and interests in the Seagull Software, wherever resident and on whatever media, are and shall remain the property of Seagull. You expressly acknowledge and agree that the Seagull Software constitutes a valuable proprietary product and trade secret of Seagull, embodying substantial creative efforts, which requires protection against unauthorized use and disclosure. You expressly agree to protect the valuable proprietary Seagull Software against unauthorized use and disclosure by taking all reasonable steps necessary to do so, including agreements with employees and others that may have access to the Seagull Software.

Seagull warrants only that the media on which the Seagull Software is furnished will contain the program and that it is free from defects in materials and workmanship under normal use for a period of thirty (30) days from the date of purchase. The warranty is effective from the date of purchase provided that within thirty days of purchase, the purchaser completes and returns the enclosed registration card.

SEAGULL EXCLUDES ALL OTHER WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. STATEMENTS BY SEAGULL STAFF OR DEALERS OR ADVERTISEMENTS NOT EXPRESSLY REFERRED TO WITHIN THIS AGREEMENT DO NOT CONSTITUTE PART OF THIS AGREEMENT. THE ENTIRE RISK AS TO THE ACCURACY AND PERFORMANCE OF THE SEAGULL SOFTWARE IS WITH YOU. THE USER IS ADVISED TO THOROUGHLY TEST THE SOFTWARE BEFORE RELYING ON IT. SEAGULL DOES NOT WARRANT THAT THE FUNCTIONS CONTAINED IN THE SEAGULL SOFTWARE WILL MEET YOUR REQUIREMENTS OR THAT THE OPERATION OF THE SEAGULL SOFTWARE WILL BE UNINTERRUPTED OR ERROR FREE.

Seagull's entire liability and your exclusive remedy shall be replacement of any media not meeting Seagull's Limited Warranty returned to Seagull or an authorized Seagull dealer with a copy of your receipt. If the authorized Seagull dealer and Seagull are both unable to deliver replacement media that is free of defects in material and workmanship, you will be given a refund.

IN NO EVENT WILL SEAGULL BE LIABLE TO YOU OR FOR ANY CLAIM BY ANY OTHER PARTY, FOR DAMAGES, INCLUDING LOST PROFITS, LOST SAVINGS OR ANY OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PRODUCT, EVEN IF SEAGULL OR AN AUTHORIZED DEALER HAS BEEN ADVISED OF THE POSSIBILITY OF DAMAGES. SEAGULL'S TOTAL LIABILITY SHALL BE LIMITED TO THE REPAIR OR REPLACEMENT OF THE PRODUCT OR TO AN AMOUNT NO GREATER THAN THE PURCHASE PRICE OF THE PRODUCT.

Some states and provinces do not allow the exclusion of implied warranties or the exclusion of liability for incidental or consequential damages so the foregoing may not apply to you. This agreement gives you specific legal rights that vary from state to state. The allocation of risks under this agreement is deliberate and the consideration for the product was determined accordingly.

This agreement shall be governed by the laws of the State of Washington, USA, and should any legal action be necessary between the parties such legal action shall be filed in Bellevue, Washington. The prevailing party in any litigation arising out of this agreement shall be entitled to be reimbursed for all attorney's fees, expense, and associated costs. If any provision of the agreement shall be held to be invalid, illegal, or unenforceable, the remaining provisions shall nevertheless be given full force and effect.

You acknowledge that you have read and understand this agreement and agree to be bound by its terms and conditions. Further, you agree that it expresses the entire agreement and that it supersedes any advertising, and any prior or contemporaneous communications, oral or written, relating to Seagull products.


Database Connection Setup - All Databases Tree View

All Databases Tree View

The All Database Tree View (located on the left-hand side of the Database Connection Setup dialog) gives the user access to all available databases, tables and fields for view, modification, queries and SQL statements, etc. Any level of the tree view can be expanded by clicking on the (+) sign to the left of its icon and collapsed by pressing the (-) sign. The root item of the tree view is All Databases. Below it you will find all of the databases that have been added. Beneath each database is a list of all of the tables selected for that database. Below each table are the fields in that table. Selecting a particular item in the tree view will show its corresponding options in the tabs to the right of the tree view. The selected item determines which Database Connection Setup tabs are made available. Also, right-clicking on any level (item) will display a contextual menu of options.

See Also:

Database Connection Setup


Alternatives to Microsoft for ODBC Drivers

Microsoft is only one of a number of companies distributing ODBC drivers. In fact, software manufacturers frequently supply their own ODBC drivers to support their own products.

Advantages/Disadvantages of Microsoft's Drivers

The advantage of Microsoft's ODBC drivers is that they have convenient licensing terms and thus are available at very low cost. However, when available, an ODBC driver from the manufacturer is highly recommended.

Alternative Source for ODBC Drivers

Another option is a company called DataDirect Technologies. Their web address is www.datadirect-technologies.com and their telephone number is: 800-876-3101. They manufacture and sell many ODBC drivers. Since DataDirect Technologies charges for them, the manufacturer of BarTender cannot make them available as inexpensively as those from Microsoft. This is however, a well-regarded option that you may want to consider as an alternative to Microsoft and the other vendor-provided ODBC drivers.


Arrange Toolbar

Contains shortcut buttons to the options in the Align and Rotate dialogs. (See Arrange Toolbar.)


Character Assistant

The Character Assistant appears in the Modify Selected Bar Code Object or Modify Selected Text Object dialog box on the Data Source tab just to the right of the Screen Data/Default Reply text box. (It also appears on the <Delimiter Value> dialog used in creating Printer Code Templates.) It appears as the following button:

This feature allows you to insert otherwise non-typeable characters by simply highlighting and clicking on the desired character. Clicking on the Character Assistant button will show a pop-up list of all available characters. The characters available are listed below.

Character Name | Displays As | Decimal Value | Hexadecimal Value
Start of Heading | «SOH» |  |
Start of Text | «STX» |  | 02
End of Text | «ETX» |  | 03
End of Transmission | «EOT» |  | 04
Enquiry | «ENQ» |  | 05
Acknowledgement | «ACK» |  | 06
Bell | «BEL» |  | 07
Backspace | «BS» | 08 | 08
Horizontal Tab | «HT» | 09 | 09
Line Feed | «LF» | 10 | 0A
Vertical Tab | «VT» | 11 | 0B
Form Feed | «FF» | 12 | 0C
Carriage Return | «CR» | 13 | 0D
Shift Out | «SO» | 14 | 0E
Shift In | «SI» | 15 | 0F
Data Link Escape | «DLE» | 16 | 10
Device Control 1 (XON) | «DC1» | 17 | 11
Device Control 2 | «DC2» | 18 | 12
Device Control 3 (XOFF) | «DC3» | 19 | 13
Device Control 4 | «DC4» | 20 | 14
Negative Acknowledgement | «NAK» | 21 | 15
Synchronous Idle | «SYN» | 22 | 16
End Transmission Block | «ETB» | 23 | 17
Cancel | «CAN» | 24 | 18
End of Media | «EM» | 25 | 19
Substitute | «SUB» | 26 | 1A
Escape | «ESC» | 27 | 1B
Field Separator | «FS» | 28 | 1C
Group Separator | «GS» | 29 | 1D
Record Separator | «RS» | 30 | 1E
Unit Separator | «US» | 31 | 1F
Delete | «DEL» | 127 | 7F


Group Box

Use the Create Group Box button [image] (and corresponding mouse cursor symbol) to draw a group box on your prompt dialog. You will find creating a group box is similar to creating a regular box in Label Design View.

After drawing a group box on a prompt dialog, you can use the property pages in the Modify Selected Objects tabbed dialog to adjust its appearance. You can also directly manipulate its position and dimensions using the mouse.

See Also:

Drawing Group Boxes

Creating a Box


Data Template

The first part of the input mask, to the left of the first semi-colon, is the template that you want the received data to follow. The data template can be comprised of control characters and literal characters. For more information see, Understanding Input Mask Characters.


Allowable Characters

When characters other than those specified in the Allowable Characters option are read from a data source file or entered from the keyboard at print time, the undesired characters will be removed from the data.

For example, if you specify that only numbers will be allowed, any letters or spaces will be removed. In this case, if the Warn When Data Validation Fails option on the Validation property page has been enabled, a message will be displayed if any non-numeric characters are encountered to indicate that they have been removed.

Descriptions of the available settings for Allowable Characters are listed below.

  • All. Specifies that all characters will be accepted for input.

  • Numeric Only. Specifies that only numbers will be accepted for input, resulting in any letters or symbols being removed from the data.

  • Alpha Only. Specifies that only letters will be accepted for input, resulting in any numbers or symbols being removed from the data.

  • Alphanumeric Only. Specifies that only numbers and letters will be accepted for input, resulting in any other symbols being removed from the data.

  • Set by Input Mask. Specifies that data will be forced to follow the template entered into the Input Mask data entry box.

  • Currency Only. Specifies that only numbers, currency symbols, and punctuation used in currency will be accepted for input.

  • Custom. Specifies that data will include only the letters, numbers, and/or symbols entered into the Characters option.


Characters

When you select "Custom" from the Allowable Characters option, the Characters option is enabled. The letters, numbers, or symbols that you enter the Characters option will be the only characters accepted when data is entered from a data file or keyed in at print time.

Example:

Assume you enter the characters "ABC123" into the Characters option. If the data "DR341CA" is read from a data file, "31C A" is all that will print on your labels because the rest of the characters that were read in from the data file had not been specified as allowable characters.

See Also:

Allowable Characters


Input Mask Control Characters

When you enter control characters into an input mask, you are telling BarTender to accept only certain characters for input in certain character positions. You can enter control characters using your keyboard or the drop-down list accessed using the arrow to the right of the Input Mask data edit box. Each of the control characters are described below.

Mask Character | Function/Description
0 | Digit (entry required). Requires numbers only. Plus and minus symbols not allowed.
9 | Digit or Space (entry optional). Allows numbers or spaces. Plus and minus symbols not allowed.
# | Digit/Space/+/- (entry optional). Allows numbers and spaces. Blank positions are converted to spaces. Plus and minus symbols are allowed.
L | Letter (entry required). Requires letters only.
? | Letter (entry optional). Allows letters and spaces.
A | Letter or Digit (entry required). Requires letters or numbers only.
a | Letter or Digit (entry optional). Allows letters, numbers, and spaces.
& | Any character or a space (entry required). Requires letters, numbers, symbols, or spaces.
C | Any character or a space (entry optional). Allows letters, numbers, symbols, or spaces.
. , : / | Decimal and Thousands Symbols and Time and Date Separators. The actual character used depends on the regional settings specified in the Regional Settings Properties dialog accessed from the Windows Control Panel.
< | Convert To Lowercase. Causes all following alphabetical data to be converted to lowercase.
> | Convert To Uppercase. Causes all following alphabetical data to be converted to uppercase
! | Fill In Data From Right To Left. Causes data to be entered from right to left rather than the default direction of left to right. You can enter the exclamation point anywhere in the input mask.
\ | Single Character. Allows you to use any of the control characters as literal characters. For example, \L would would display the letter L instead of functioning as a control character.
"" | Multiple Characters. Allows you to use a string of control characters as literal characters. For example, "LAC#" would be displayed as simply LAC#.
0 | Digit (entry required). Requires numbers only. Plus and minus symbols not allowed.


Print Literal Characters

When the Print Literal Characters option is enabled, literal characters contained in the input mask will be displayed in the label viewing area and printed on the labels. Whether Print Literal Characters is enabled or disabled, the input mask itself will still affect the data received by BarTender.

When Enabled:

A zero is added to the Input Mask option after the data template.

For example, if your input mask is (999) 000-0000;0;_, the zero between the two semi-colons indicates that the literal characters will be displayed in the label viewing area and printed on the labels.

When Disabled:

A "1" is added to your Input Mask after the data template.

For example, if your input mask is (999) 000-0000;1;_, the "1" between the two semi-colons indicates that the literal characters will not be displayed in the label viewing area and will not be printed on your labels.

Note: Rather than checking or unchecking the option, you can also enable or disable the Print Literal Characters option by manually entering a zero or a one between the two semi-colons in the Input Mask data edit box.

See Also:

Understanding the Input Mask

Understanding Input Mask Characters


Fill Characters from Right to Left

The Fill Characters from Right to Left option allows you to specify that screen data and data read from a data source file will be entered from the right and shifted to the left rather than the default direction of left to right. When enabled, BarTender enters an exclamation point (!) immediately following the input mask data template.

For example, if the input mask were "(000) 999-9999!" and the data was "4518966," the resulting data would display or print as "( ) 451-8966" instead of "(451)896-6."

Note: This option affects data read from a data source file and screen data only. Data entered in response to a prompt will always fill from left to right.


Input Mask

An input mask is a template that provides precise control over each individual character of data received, whether read from a data source file or entered from the keyboard in response to a prompt during a print job. (See also Understanding the Input Mask.)

Individual Requirements for Individual Characters

The characters that you enter into the Input Mask determine the type of data which can be received for each individual character position in a data field. Using control characters, you can state explicitly whether any character in any position should be a number, letter, symbol, or space. (For more information, see Understanding Input Mask Characters.)

Example:

If you enter a "0" into a particular position in the Input Mask, only numbers can be received for that character position.

Specifying Symbols to Act as Separators

You can also enter characters, such as spaces, dots, dashes, and parentheses, into the input mask to separate the variable data entered. (For more information, see Understanding Input Mask Characters.)

Example:

Assume the data in a telephone number field in a data file contains only numbers, such as 4254567890. You want the telephone number data to be printed on the labels using separators, so that it appears as (425) 456-7890. You can enter ( ) - into the input mask to define where the separators and numbers will print.

See Also:

Understanding the Input Mask

Sample Data Templates


Understanding Input Mask Characters

When you define an input mask, you can enter characters that determine the type of data that will be accepted for each individual character (control characters) as well as characters that will be displayed and/or printed with the data (literal characters).

Control Characters

Control characters allow you to explicitly define the type of data that will be accepted for input in a specific character position. You can define each individual character position independently from the other characters in the input mask.

Examples

Below are some examples of how the control characters in an input mask affect what data will be accepted in a particular character position.

Sample Input Mask | Characters Accepted
(999) 000-0000 | Numbers or spaces for the first three characters and entry would be optional; only numbers for the last seven characters and entry would be required
9 AAAAA | Numbers and spaces for the first character and entry would be optional; letters or numbers for the last five characters and entry would be required
LL-000 | Only letters for the first two characters and entry would be required; only numbers for the last three characters and entry would be required

Literal Characters

Literal Characters are characters that display on the screen or print that do not affect the data. They are used to insert additional characters and symbols into the data that is received by BarTender for input into your labels. Although some of the keyboard characters are considered control characters, most are not and can be entered directly into your input mask by simply typing them into the Input Mask data edit box.

Using Control Characters as Literal Characters

If you wish to use a control character as a literal character, you may do so by placing a back slash (\) immediately before the control character or placing a string of control characters within quotes.

Displaying and/or Printing Literal Characters

By default, the literal characters in your input mask will be displayed in the label viewing screen and printed on your labels. However, sometimes you may want to display the literal characters to assist in data entry when using prompt at print time, but do not want them to print on your labels. You can so this by disabling the Print Literal Characters check box. However, they will be displayed in the corresponding reply boxes of any prompt dialogs that are displayed during a print job.


Sample Input Masks

The Select Sample Mask dialog provides the following predefined sample input masks:

Mask Name | Input Mask Characters | Sample Data
Zip Code | 00000-9999 | 98033-4542
Social Security Number | 000-00-0000 | 535-26-0620
Phone Number | (999) 000-0000 | (425) 555-1212
Extension | 99999 | 23154
Short Time | 00:00 | 14:36
Medium Time | 09:00 >LL | 02:36 PM
Long Time | 09:00:00 >LL | 2:36:17 PM
Short Date | 99/99/00 | 2/28/98
Medium Date | 99\->L<LL\-00 | 02-Feb-98


Understanding the Input Mask

An input mask provides precise control over each individual character of data. At print time, it acts as a template to force data into a specified pattern. When you select "Set by Input Mask" from the Allowable Characters option, the Input Mask data edit box is enabled. You may then define your input mask by entering input mask characters or choose a predefined input mask from the Select Sample Mask dialog.

The Three Parts of the Input Mask

An input mask is comprised of three parts separated by two semicolons. The default input mask is displayed in the diagram below. For an explanation of the functions of each part, click on the name of the desired part.

See Also:

Understanding Input Mask Characters

Sample Input Masks

Defining an Input Mask


Placeholder Character

The placeholder character is the character that is displayed in the Test option and in a reply box on a prompt dialog to indicate where characters will be entered. When you select "Set By Input Mask" from the Allowable Characters option, the Placeholder Character data edit box becomes enabled. This allows you to easily change the character that will be displayed.


Test

The Test option is a display area where you can view the input mask as it will be displayed in the reply box on the prompt dialog. You can also type data directly into the Test option to see how it will be affected by the displayed input mask.

See Also:

Understanding the Input Mask


Dialog Property Page

The easiest way to resize a prompt dialog is using the mouse. If you click on an empty location in the prompt dialog, three sizing handles will be displayed, one each on the bottom and right edges and in the lower right corner of the dialog. Drag any of these handles as desired to increase or decrease the height and width of a prompt dialog.

You can also specify the dimensions of a prompt dialog using the options on the Dialog property page.

Properties:

  • Height. Used to specify and/or display the vertical dimension of a prompt dialog.

  • Width. Used to specify and/or display the horizontal dimension of a prompt dialog.

  • Full Screen. Used to specify that the prompt dialog should be displayed at the same size as your screen.

Note: The maximum dimensions of a prompt dialog are determined by your monitor's screen resolution.

See Also:

Understanding Prompt at Print-Time


dynamic area

Area of a Dialog

Part of a dialog that displays different options or status settings depending on the settings of other options in the same or related dialogs.


Pasting an Object into a Specific Position

You can also paste object(s) using the shortcut menu for the label viewing area. The main advantage of using the shortcut menu is that it allows you to position the object at the same time that you paste it.

To paste an object into a specific position using the shortcut menu for the label viewing area:

  1. Position the pointer cursor over the spot in the label viewing area where you want to paste the object.

  2. Right click and then choose the Paste command from the shortcut menu. BarTender will paste the object so that its upper left corner will be located on the same spot that you clicked on in order to display the shortcut menu.


Copying, and Pasting Using the Shortcut Menus

If you right click on any object in the label viewing area BarTender will display the Object Properties shortcut menu which contains commands often used while creating and modifying objects, including the Cut and Copy commands. Likewise, if you right click in the label viewing area itself (but not on an object), BarTender will display the shortcut menu for the label viewing area, which includes the Paste command. You may find it easier to use these shortcut menus than the standard menu options or toolbar buttons.


Definition of "Selected" Object

What it Means for Objects to be "Selected"

An object must be selected before it can be manipulated either on-screen or using the menu options. The easiest way to select an object is to enable the Select pointer tool and then click on the desired object. This activates the object's handles, allowing you to manipulate the object's position and dimensions on-screen and to modify its other characteristics using the menu options.

You can select either one object or multiple objects at the same time. Individual objects are selected by click on the Select command in the Edit menu or the pointer button in the Main toolbar and then clicking on the desired object with the pointer. Multiple objects are selected using the techniques described in Selecting a Group of Objects Using the Pointer Tool.


Edition Information Dialog

The Edition Information option on the File menu displays information about the minimum BarTender edition requirements for features used by a label format.

  • Format Name: Name of the current active format.

  • Required Edition: Minimum BarTender edition required to print all elements of the label, including trial features.

  • Edition-Specific Features in Use: Lists all of the trial features that are used in the current active format.

  • Description of Selected Feature: Describes the trial feature and specifies the minimum BarTender edition required to use the feature.


View File Button

The View File button allows the user to view the selected text file via your computer's default text editor. Once a text file database setup is complete, it can be viewed via the Browse tab found on the Database Connection Setup dialog.


Telling the Application to Exit

Telling BarTender to Exit

If you have preloaded BarTender into memory, when you are done, you can tell it to exit using the following command line.

c:\btw\bartend.exe /x

(See Using Spaces in File Names)

In the above command line, the /x parameter is used, which instructs the currently running copy of BarTender to exit.

See Also:

Command Line Parameter Summary

Rules For Specifying Command Line Parameters


Understanding ODBC Drivers

Users new to the concept of Open Data Base Connectivity will benefit from a brief analogy with the existence in Windows of support for different printers through the use of different Windows printer drivers.

Comparing to DOS Printer Drivers

Previous to the availability of Windows printer driver support, developers of DOS programs had to write their own printer support for each and every printer model that they wished to support. Not only was this a difficult challenge, but it meant that every company developing DOS software products had to independently duplicate this effort, because there was no standard method available by which different software manufacturers could make use of the printer support developed by another manufacturer. The same problem has traditionally been true when importing data from various programs: every program that needed to import data had to individually (and from scratch) have the support written for every data format from which it needed to be able to read.

Comparing to Windows Printer Drivers

Printer drivers are handled more efficiently in Windows. Instead of each program having its own support for a large variety of printers, the drivers either come with Windows, or are made available from the printer manufacturers, or are made by a software company such as Seagull Scientific, Inc. Because of these drivers, different word processors, spreadsheets, databases and other programs can all output to these printers without each having their own built-in support for every printer.

The ODBC Advantage

This same logic has been applied to databases through the use of ODBC drivers. These drivers allow a program, such as this label-printing program (but just as easily a word processor printing address labels), that needs to be able to read from a variety of data sources, to do so without having built-in support for every desired data source. Although programs must still have sophisticated internal functions in order to support ODBC, once this capability has been added, BarTender immediately becomes compatible with any data source for which an ODBC driver is available.

Which Data Sources Are Supported by ODBC, and How Are the Drivers Acquired?

Many ODBC drivers already exist and new ones frequently become available. As part of a drive to encourage their open database standard, Microsoft has written quite a few ODBC drivers. However, they are not the only source of ODBC drivers, and some drivers from other companies have demonstrated superior performance.

Please note that many of the most popular of the drivers supported by Microsoft already come for free with Microsoft Word, Access, FoxPro, Excel and Project. Even more are available from DataDirect Technologies, an alternate source for ODBC drivers. (Please note that DataDirect Technologies is only one of a number of alternate sources of ODBC drivers.)

See Also:

Understanding ODBC

Setting Up ODBC Parameters Specific to the Data File Type


Generating Data Files Using dBASE

Because BarTender has not always supported the large number of external data formats that it currently does, being able to export data from other programs as text files was once very important. Although this is now rarely necessary, it is easy to do. This section provides an example of how to create a text file from dBASE or FoxPro.

If the database program you are using does not have a built-in data export menu command, you can still easily output data to a text file using mixed quote and comma delimitation. This is done from the dBASE "dot" prompt (or comparable prompt in a dBASE-compatible product).

Creating a text file from the dBASE prompt:

  1. Load the name of the database file from which you wish to extract data by typing USE <database file name> followed by the ENTER key. (If you wish the data to be ordered other than by record number, don't forget to follow the file name with the appropriate INDEX statement.)

  2. Type COPY TO <name of output file> DELIMITED followed by the ENTER key. Remember that although this file is output from your database program, it is the data source file to be read in by BarTender.

See Also:

Quote and Comma Delimitation

Comma Delimitation

Tab Delimitation

Mixed Quote and Comma

Fixed Width


The Built-in Defaults

By selecting the New command in the File menu, you automatically set BarTender's menu options to their built-in default settings. This means the first time you place an object into the label viewing area, it will be formatted according to BarTender's built-in default settings (unless you have already modified the label format defaults for that type of object).

The bar code specified by BarTender's built-in default settings is widely used, so you may be able to print the labels you need without making any modifications to the bar code settings.

A few of the most important built-in default settings for a bar code (when printing to a 9-pin dot-matrix printer) are shown below.

Parameter | Setting
Symbology | Code 39 — Full ASCII
Height | 1.2 inch
Code Density | 5 characters per inch
Human Readable | Visible, below bar code


The Application's Default Settings

The Default Settings

BarTender's default settings are described below and again in the help screen for the main Modify menu.

  • Built-in defaults. These are the default settings which are determined as those most common for each type of object BarTender can create. BarTender uses the built-in defaults each time you create a new object (unless you have previously specified alternative label format default settings).

  • Modifying defaults settings. These are default settings which you can set on a per label format basis to overrule the built-in defaults. Label format defaults are set using the Default Object option in the Modify menu.


Set by Print Dialog and Selected Records Option

Show All Hide All

The Set by Print Dialog and Selected Records option allows you to use the Identical Copies of Label quantity while overriding that value via the Selected Records option using parenthesis. There are two methods you can use to override the Identical Copies of Label quantity for selected records.

For example, if you are printing a single label and want twenty-five copies for some specified records but only fourteen copies for other specified records, you would use one of the following procedures:

Method 1

  1. Type "25" into the Identical Copies of Label edit box on the Print dialog.

  2. Click the Options button that corresponds to the Identical Copies of Label field. This will display the Identical Copies of Label dialog.

  3. From the Identical Copies of Label dialog, select the Set by Print Dialog and Selected Records option (Default).

  4. Click OK.

  5. From the Print dialog, click the Select Records option button. This will display the Select Records dialog.

  6. From the Select Records dialog, select the records for which twenty-five copies are to be printed. The number entered into the Identical Copies of Label field on the Print dialog "25" will be the default number that will appear for each record to be printed in the Copies column. To override the default number, double-click on the default number and type the number "14" for each record that is to override the default number.

OR

To override the default number, type the number that is to override the default number in parenthesis via the Selected Records field.

Example:

"1-3,7,8,9(14), 12-40, 41-43(14)"

  7. Click OK. This will display the Print Dialog.

  8. From the Print dialog, click OK.

In the above example, twenty-five copies would print for each record specified "1-3,7,8,12-40" with the exception of records "9, 41, 42 and 43" for which fourteen copies would print.

Method 2

  1. Type "25" into the Identical Copies of Label edit box on the Print dialog.

  2. Click the Options button that corresponds to the Identical Copies of Label field. This will display the Identical Copies of Label Options dialog.

  3. From the Identical Copies of Label dialog, select the Set by Print Dialog and Selected Records option (Default). Click OK.

  4. From the Print dialog, select "Selected At Print-Time" via the Queried Records drop down list.

  5. From the Print dialog, type the string of records to be printed and the number that is to override the default number in parenthesis via the Selected Records field.

Example:

"1-3,7,8,9(14), 12-40, 41-43(14)"

  6. From the Print dialog, click OK.

In the above example, twenty-five copies would print for each record specified "1-3,7,8,12-40" with the exception of records "9, 41, 42 and 43" for which fourteen copies would print.


Set by Data Source

Sometimes, you may wish to specify that the number of identical copies (and/or the number of serialized copies) of a label to print be read from a data source. When you select Set Using Data Source, a Data Source tab displays. Click on this tab to access the associated property page and specify that the number of identical copies be read from a data file or prompted for at the start of a print job. For information on setting Identical Copies of Label, or the Number of Serialized Copies, using the Data Source property page, select the desired topic below.

Reading Identical Copies from a Database

Reading Number of Serialized Copies from a Database

Prompting the User to Type in the Number of Copies

Prompting the User to Type in the Number of Serialized Copies


Set by Print Dialog

The Set Using Print Dialog option is the default setting for both the Identical Copies of Label and the Number of Serialized Labels property pages. This specifies that the number is to be entered into the appropriate edit box on the Print dialog.


Prompting for Identical Copies of Label at Print Time

If you enable Prompting, accessed using the More Options button on the Data Source property page for Identical Copies of Label, you can enter the appropriate number of identical copies at print time.

Note: When data for a label format is set to be read from a data file, enabling Prompt at Print-Time for Identical Copies of Label allows you to enter a different number for each of the records read from the data file.

See Also:

Understanding Prompt at Print-Time


Prompting for Number of Serialized Labels at Print Time

If you enablePrompt at Print-Timeon the Data Source property page for Number of Serialized Labels you can enter a number at the start of a print job.

Note: When data for a label format is being read from a data file, enabling Prompt at Print-Time for Number of Serialized Labels allows you will be able to enter a different number of labels to serialize for each of the selected records.

See Also:

Understanding Prompt at Print-Time


Printing to Specialty Thermal Label Printers

Printing to Thermal Label Printers

If you are printing using a thermal printer driver written by Seagull Scientific, Inc., please see the on-line help for information on troubleshooting printer problems. To do so, use the following instructions:

  1. Access the Print dialog using either the File menu or the toolbar Printer button.

  2. If not already done, select the necessary printer from the list of printer Names.

  3. Click on Properties to access the printer Setup dialog.

  4. Click on Help for the on-line help for the specific driver you are using.


Font Toolbar

Contains shortcut buttons to most of the options on the Font property page. (See Font Toolbar.)


Getting Help

For general help, press F1 key at any time. For help specific to a dialog, bring up the dialog before pressing the F1 key (or click on the Help button).


Group Box Property Page

When designing a prompt dialog, you may wish to draw a box around a group of objects to show that they are related in some way. A special type of box called a Group Box is available in Prompt Design View that looks very much like a regular box, except that it contains a built-in heading along the top edge. This heading is usually used to describe the enclosed contents of the box in some way.

The options on the Group Box property page allow you to edit the title, adjust the dimensions, and specify the location of a group box on a prompt dialog.

For additional information, click on the appropriate name below.

Properties:

  • Text. Used to specify the title of a group box.

  • Height. Used to specify the vertical dimension of a dialog group box.

  • Width. Used to specify the horizontal dimension of a dialog group box.

  • Alignment. Used to specify whether the group box heading text will be positioned on the left or right edge or centered between the edges of the box.

See Also:

Understanding Prompt at Print-Time


Print System Command

Select the Export Printer Code Template command from the File menu and then one of the print systems listed to open the Printer Code Template dialog from which you can export a printer code template using the selected print system.


Visual Basic Script Help

Visual Basic Script Help loads your default web browser and displays Microsoft's full Visual Basic help document.


Export Printer Code Template Options Command

Export Printer Code Template: Options

Select the Export Printer Code Template command from the File menu and then Options to open the Printer Code Template Options dialog from which you can export a printer code template.


Error Handling Dialog (for Linked Picture)

Use this dialog to tell BarTender what to do if it cannot find the linked picture you are using as a background.

  • Always Abort Print Job. The print job will be aborted.

  • Ask Before Aborting Print Job. If the linked file cannot be found at print-time, BarTender will prompt you to decide then whether to abort the print job or continue with it.

  • Never Abort Print Job. The print job will continue with no background picture.


EAN_UCC Composite

EAN.UCC Composite

This dialog is used to create data source substrings for the one-dimensional and two-dimensional components of a composite bar code.

  • Primary Data. Used to set the data source for the one-dimensional component.

  • Secondary Data. Used to set the data source for the two-dimensional component.

When you click OK, the Data Source tab of the Modify Selected Bar Code dialog will open. The bar code will be configured as a three substring object. The first substring holds the primary data. The second substring contains the "|" character and represents the separator area between the one-dimensional and two-dimensional components. The third substring contains the secondary data.


Print Wizard - Prompt Dialog

Print Wizard — Prompt Dialog

This dialog was created at your company using BarTender's prompt at print-time feature. Enter the data requested and then click Print or Preview.


Printer Clock Options Dialog

The dialog is used to determine how the printer should respond if for any reason the printer's clock is not available when the label is printed.

Note: The dialog is opened from the Clock Options button on the Data Sources tab of the Modify Selected … Object dialog when Date or Time is the data source.

  • Use Windows Clock. The printer will use the system date/time on the computer.

  • Do Not Print Substring. The label will print, but the date/time field will be blank.

  • Always Abort Print Job. The print job will be aborted.

  • Display Print Time Printer Clock Messages. Unchecking this box for all substrings on the label that use the printer clock will hide the Printer Clock: Verification Messages dialog.


Print Wizard - Enter data for query Dialog

Print Wizard — Enter data for query Dialog

You must enter a reply into the Enter data for query box. BarTender will not continue a print job until the data entered results in a successful search.

To complete a search and continue your print job:

  1. Enter the search value into the Enter data for query box.

  2. Press the ENTER key or click on Next.

BarTender will search using the field specified for all records matching the search value. When a search is completed, the next dialog in the Print Wizard will display. If no matching records are found, you will receive a message stating such.

See Also:

Query Prompts Dialog

Understanding Query Prompting


Database Connection Setup (All Databases) - Status

Status Tab (All Databases)

The Status tab is accessed via the Database Connection Setup dialog. Its purpose is to display information about the item selected (All Databases) in the All Databases Tree View. It will display the following items.

  • Number of Databases. Displays the number of databases specified.

  • Refresh Button. Reloads the structure and configuration of the named ODBC or OLE DB data source.

See Also:

Database Connection Setup


Error Messages Dialog

Use this dialog to assist in the process of determining which error messages you want to receive and which you want to suppress. If the Ignore All Errors option is NOT selected, whether or not to ignore an error is determined per error message. When an error message dialog opens, the dialog will give you the option of ignoring the message in the future. If you choose to ignore some error messages, a list of the messages you are currently ignoring is displayed here on the Error Messages dialog.

  • Ignore All Errors. Check this box if you want BarTender to ignore all errors.

  • Remove. Highlight an error and click this button to remove it from the list. The message will no longer be suppressed.


Selecting ODBC or OLE DB Table Types

Selecting ODBC and OLE DB Table Types

The Table Types is used to select the types tables that are to be read from the data source.

  • Table. A collection of rows, containing data sets.

  • View. An alternative way of looking at the data in one or more tables. A view is usually created as a subset of the columns from one or more tables. Views are generally equivalent to tables.

  • System Table. A table that is used to store information about a specified system (the system catalog) or a specified database (the database catalog). The system catalog is comprised of system tables found exclusively in the master database. Within Microsoft Access, system tables are hidden, except when system objects are visible. Excel uses System Tables to list its data.

  • System View. An alternative way of viewing one or more system tables. (Not available with ODBC.)

  • Global Temporary. A Global temporary table is visible to all data source connections. These data sources need not be dedicated to a user or local to a computer.

  • Local Temporary. A Local Temporary table is only visible to the data source connection that created it.

  • Alias. A pseudonym given to a field, table or database. This is useful when a field or table's name has been changed, and the user is attempting to track references to the field or table. Simply put, aliases give opportunity to amend discrepancies in naming conventions. (Driver specific).

  • Synonym. Identical tables given different names. (Driver specific).

  • Enter Table Names by Hand Only. Enter table names manually.

See Also:

Understanding ODBC

Understanding OLE DB


Prompt Sizing Dialog

Dialog Tab of Modify Selected Objects Dialog

Use the Height and Width boxes to set the size of your user prompt dialog box, or check the Full Screen box.


Reply Box Property Page

A reply box is a data-entry box displayed on the prompt dialog into which data is entered in response to a user prompt. If a Default Reply has been defined, it will be displayed in the reply box.

The options on the Reply box property page allow you to specify the dimensions of a reply box. You can make this area as large or as small as needed to fit the amount data a user will enter at print time.

You may also use the Reply box property page to access the Prompt at Print-Time Options dialog by clicking on the Prompting button.

For additional information, click on the appropriate name below.

Properties:

  • Lines. Used to specify the amount of vertical space available for the default reply text.

  • Width. Used to specify the horizontal dimension of the space available for default reply text.

  • Reading Order. Used to set the reading order for the reply box. Choose Auto to use the reading order of the script set on the Font tab this dialog.

  • More Options. Used to access the More Data Source Options dialog.

See Also:

Understanding Prompt at Print-Time


E-Mail Tab of the Messages Setup Dialog

Use this tab to specify who will receive e-mail copies of BarTender messages and the structure of the e-mailed messages.

Note: This tab is available in only the Enterprise Edition of BarTender.

Click Enable E-Mail to activate the features of this tab.

  • Mail System. This box identifies the Mail/Messaging system that BarTender will use when sending e-mail messages. It will use the default mail system of the user currently logged into the computer, unless you change to a different system here. Click Setup to configure the details of the e-mail profile that will be used.

    • If you have selected Internet Mail (SMTP) as the mail/messaging system, then an Internet Mail Setup dialog opens when you click Setup.

    • If you have selected Windows Messaging (MAPI) as the mail/messaging system, then a Windows Messaging Setup dialog opens when you click Setup.

  • To. If you are using Internet Mail (SMTP), type in the address of one or more primary recipients for the messages (separated by semi-colons). If you are using Windows Messaging (MAPI) click the Select button to open your e-mail address book and select recipients.

  • CC. If you are using Internet Mail (SMTP), type in the address of one or more secondary recipients for the messages (separated by semi-colons). If you are using Windows Messaging (MAPI) click the Select button to open your e-mail address book and select recipients.

  • Output Type. Select a format for the message file to be sent from the drop down list. Your options are:

    • Text Report. Each message section will appear as a separate line in this order: Date, Time, Message Number, Message Type, Message Category, Response to Message, and Message Body.

    • Tab Delimited. Message sections are separated by tabs.

    • Comma Delimited. Message sections are separated by commas.

    • Quote and Comma Delimited. Message sections are enclosed in quotation marks and separated by commas.

Click the Send Test Message button to test that messages will be received by the proper recipients and will be structured in the chosen output format.


Export (Image) Dialog

Select the Export Image command from the File menu, when you need to export objects (or entire labels) as images from BarTender to your other Windows programs.

In the Options area, specify Clipboard as the Destination when you want to copy the selected object(s) into the Windows clipboard. After you export the objects to the clipboard, you can then enter another Windows program and use that program's Paste command to bring the contents of the clipboard into the program.

Specify File as the Destination when:

  • You want to export the objects to a file for use at a later time.

  • The program to which you are exporting the objects cannot import the objects through the Windows clipboard. (Some Windows programs do not recognize the device-independent bitmap (DIB) format used by BarTender's clipboard.)

Selecting File allows you to save exported objects in the following graphic bitmap formats: BMP, EPS, JPG, PCX/DCX, and TIF.

Note: Exporting in an EPS format will generate a bitmap version of the file rather than a file containing postscript codes.

The other options in the Export dialog are described briefly below.

  • Colors. Used to specify the number of colors to be used in the exported bitmap.

  • Resolution. Used to specify the resolution of the bitmap being exported, measured in dots-per-inch (dpi). For the best results, you should generally leave this set to the default setting of Printer. If you choose to set a Custom resolution, the available range is 20 to 3000.

  • Export selected object(s) only. Used to specify that only the currently selected objects be exported, rather than the entire label.


Printer Code Template Options Dialog

Show All Hide All

Use this dialog to configure the printer, output, and performance options. Also use it to configure the data field names that you will use to export a printer code template. More information can be found in Understanding Printer Code Templates.

Printer Tab

The Printer tab identifies the selected printer used to generate the printer code template. You must use a printer driver from Seagull Scientific.

  • Name. The printer used to generate the printer code template.

  • Document Properties. Used to access additional printer options for the currently specified printer. Any options set and saved after clicking on the Document Properties button will be available to the current label format only.

  • Printer Properties. Used to access global printer options for the currently specified printer. Any options set and saved after clicking on the Printer Properties button will be available to all label formats and other programs. (These options may also be accessed by selecting the Printers icon in the Windows Control Panel. For additional information, see your Windows documentation.)

  • Status. The status of the print job. For instance, "Ready" relays that the printer is "Ready" for the print job.

  • Type. The Type of Printer selected (i.e. HP LaserJet 1100).

  • Where. The location or path where the printer is installed.

  • Comments. Any comments that have been entered into the Windows Property dialog for this printer. See your Windows help for information on how to change these comments.

Job Options Tab

The Job Options tab is used to configure the job option data fields.

  • Property. This column provides a brief description of each type of field:

    • Format ID/Name. Identifies the printer's label format.

    • Identical Copies. The number of identical copies to print.

    • Serialized Copies. (Dependent on printer support) The number of serialized copies to print.

    • Batch Copies. (Dependent on printer support) The total number of copies (number of identical copies multiplied by the number of serialized copies) to print.

  • Template Field Name/Value. The cells in this column provide the value of each field. This value will be inserted into the printer file, so you must use the value your print system will be expecting.

  • … button. Opens a dialog in which you enter a template field name or value.

Note: In addition to the template data fields you configure on this tab, you will typically configure one or more bar code, RFID, or text objects on the label to specify a template field name using the More Data Source Options dialog.

Object Print Method Tab

The Object Print Method options are used to specify how objects will be printed on a thermal printer when an object type is not directly supported by either the printer or by the Seagull Scientific printer driver.

  • TrueType Text. Specifies whether to print TrueType fonts as Text Output or Raster Graphics. This choice affects how colored TrueType text is printed when the color is not directly supported by the printer, such as when the printer supports red and yellow, but the TrueType font is orange. Choosing Raster Graphics will cause the printer to dither (that is, mix) dots of different colors in order to produce text of the desired color. For example, the printer would dither red and yellow dots to produce orange letters. But dithered color text can be hard to read especially with small font sizes. Choosing Text Output will cause the text to print in the closest directly supported color, so orange text will print as either red or yellow depending on how dark the orange is.

  • Unsupported 1D (or 2D) Bar Codes. Specifies whether 1D and 2D bar codes will print using Raster Graphics or Device Lines if the symbology is unsupported by either the printer or the Seagull Scientific printer driver. If this option is set to Auto, the driver will determine the best printing method.

  • Lines, Boxes, and Ellipses. Specifies whether lines, boxes, or ellipses will print using Raster Graphics or using the printer's device settings if they are unsupported by either the printer or the Seagull Scientific printer driver. If this option is set to Auto, the driver will determine the best printing method.

Performance Tab

The Seagull Printer Driver Options are used to specify how BarTender will take advantage of built-in printer capabilities when using a Seagull printer driver.

  • Allow Static Graphics. Specifies that BarTender will use the printer's static graphics feature to store the specifications for all raster-type graphic objects that print out exactly the same from label to label, including TrueType fonts.

  • Allow Static Objects. Specifies that BarTender will use the printer's static objects feature to store the specifications for ALL objects that print out exactly the same from label to label, whether or not they are raster graphics. This includes printer fonts, bar codes, imported graphics, and TrueType fonts.

  • Allow Serialization. Specifies that BarTender will use the built-in incrementing capabilities of the specified printer whenever appropriate. (This option cannot be turned off when you are exporting a printer code template.)

Important Note: Keep in mind that TrueType fonts are transmitted to thermal printers as graphics, rather than downloaded fonts. Since thermal printers can only increment data when it is being handled as a font, a TrueType font cannot be incremented using the printer's built-in serialization capabilities. If you want to serialize an object on your label, and take advantage of your printer's serialization capabilities, you must use one of your printer's built-in fonts.

  • Allow Variable Data Optimization. Specifies that BarTender will use the printer's data merge feature to store the label's formatting specifications (object positions, symbology, fonts, etc.) so that only object data needs to be transmitted.

See Also:

Understanding Printer Code Templates

Exporting to a Printer Code Template

Printer Code Template Setup

Printer Code Validation


Export Printer Code Template Dialog

Note: This feature is available only in the Enterprise Edition of BarTender.

This dialog is used to generate a printer code template using the print system that was selected from the Export Printer Code Template submenu. It is also used to specify whether or not the formatting and data information should be combined into a single printer code template or split into two. For more information, see Understanding Printer Code Templates.

After you have made your choices, click the Export button. Before creating the template(s), BarTender will check for possible problems. If any are found, the Verification Messages dialog will open.

  • To Port. Select this option to send the exported printer code template directly to the port used by the current printer, keyboard terminal, XML enabled printer or ERP system.

  • All in One File. Select this option to export a single printer code template containing the printer formatting information and data. Use the File Name box to enter a path and name for the printer code template.

  • Separate Format & Data Files. Select this option to produce separate printer code templates for the formatting information and the data. This option can improve printer performance by eliminating the need for the formatting information to be sent to the printer with each label. Use the two text boxes to enter the paths and names of the two printer code templates.

  • Printer Code Only. Checking the box will produce a formatting information file that is written purely in the language of the printer and, hence, can be sent to the printer without any further processing by any print system. Leave this box unchecked to ensure that the formatting information file has all the delimiters from the Delimiter tab of the Printer Code Template Setup dialog inserted into it.

  • Version. Use the dropdown to select version options to generate compatible printer code templates.

  • Export. Click this to export the printer code template.

  • More Options. Click to open the Printer Code Template Options dialog.

See Also:

Understanding Printer Code Templates

Printer Code Export Options

Printer Code Template Setup

Printer Code Validation


Label Format Options

Label Format Options Dialog

Show All Hide All

The Label Format Options dialog has these tabs:

View

The View tab enables you to specify the ruler, grid, and zoom (magnification) settings for BarTender's label viewing area. It also allows you to specify whether or not BarTender will indicate on-screen (with a lightly dashed line) the boundary of any possible unprintable portion of your labels.BarTender displays rulers along the horizontal and vertical boundaries of the label viewing area to help you position objects on the label. The current position of the mouse cursor in the viewing area is always indicated by a lightly dashed line in the horizontal and vertical rulers.

  • Show Unprintable Region. Used to specify whether or not the boundary of the unprintable region of the label will be indicated on-screen with a lightly dashed line.

  • Zoom Factor. Used to specify the zoom factor percentage which will be used by the Zoom In and Zoom Out commands.

Rulers

  • Divisions per <unit>. Used to specify the number of divisions per unit of measure on BarTender's horizontal and vertical rulers (where <unit> is inch, cm, mm, or the system default).

  • Snap. Used to enable the "snap to ruler" feature.

Grid

BarTender's rulers are supplemented by a grid system which displays a specific number of grid points (or dots) within the label viewing area. These grid points can be very helpful for the precise positioning and resizing of objects during label design and editing.

  • Divisions per <unit>. Used to specify the number of divisions per unit of measure on BarTender's grid (where <unit> is inch, cm, mm, or the system default).

  • Show. Used to specify whether or not the grid will be visible in the label viewing area.

Regional Settings

The Regional Settings tab enables you to design your label in ways that are appropriate to the languages that will be used on the label.

  • Units. Used to to specify whether an American or Metric unit of measure will be used in measurements of horizontal or vertical distance.

  • Decimal Symbol. Used to specify which character will be as the displayed decimal character.

  • Reading Order. Used to specify the reading order for all edit boxes in the BarTender user interface. (The reading order of text objects on label formats and prompts is set on the properties dialog of each individual object. Double-click the object to open the dialog.)

  • Windows Settings. Opens the Regional Settings dialog of Windows.

Comments

The Comments tab enables you to save a comment about the active label format. These comments may be viewed from the File Open dialog when you execute the Open command, allowing you to determine the intended use of the format.

The standard ASCII and cursor pad keys are used to enter and edit the comments.

If you enable (check) the Pop up comments after file open option at the bottom of the Comments tab, BarTender will automatically display the Comments dialog each time you open the file. You may then either edit the comment or simply view the comment and click OK to proceed with editing or printing your labels.

General

The General tab contains additional controls for Printer Code Modifier functionality that can be associated with label formats.

  • Action List... button. This brings up the Action List dialog, allowing print code to be searched and changed.

  • Visual Basic Script... Brings up the Visual Basic Script assistant dialog, allowing more complex modifications to be made to the print code.

  • Test... Brings up the Test dialog, allowing the Actions and Visual Basic scripting to be tested on real printer code in a file.


Group Box on Prompt Properties

Group Box on a User Prompt

Type the text that should appear as the name of the group on your prompt in the Text box.

Set the height and width of the text object in the boxes provided.

Select how the text should be aligned relative to the boundaries of the group: Left, Centered, or Right.

Select the Reading Order for the group box's label. Choose Auto to use the reading order of the script set on the Font tab this dialog.


Modify Group Box Title

Modify [Group Box] Text

The Modify [Group Box] Text dialog opens when you click the Edit tool in Prompt Design View and click a group box. Use the dialog to change the title of the group box.

Click the Properties button to open the object's properties page.


Line (on Prompt) Property Page

The easiest way to increase or decrease the length of a line is using the mouse. However, the Length option on the Line property page allows you to manually adjust the length of a line on the prompt dialog.


Log File Tab of the Messages Setup Dialog

Use this tab to configure how messages will be logged to a file. Select Enable Logging to activate the features of this tab.

  • Log File Folder. Enter the directory where log files will be saved.

  • Organization. Select an option for how log files will be created and named:

  • One File. BarTender will log all messages to the same file.

  • By Date. BarTender will name log files after the current date and will start each day with a new log file.

  • Output Type. Select a format for the log files:

  • Tab Delimited. Logged messages are separated by tabs.

  • Comma Delimited. Logged messages are separated by commas.

  • Quote and Comma Delimited. Logged messages are enclosed in quotation marks and separated by commas.

  • Encoding. Select the character set of the log file if it is different from the default. For example, you might need to do this if you are using a language other than the default for your version of Windows. Your options are

  • Unicode

  • Unicode (Big Endian)

  • UTF-8

  • Use Windows Settings

  • Arabic (1256)

  • Baltic (1257)

  • Central Europe (1250)

  • Chinese Simplified (GB-2312, 936)

  • Chinese Traditional (Korea, Big 5, 950)

  • Cyrillic (1251)

  • Greek (1253)

  • Hebrew (1255)

  • Japanese (SHIFT-JIS, 932)

  • Korean (Hangul, 949)

  • Korean (Johab, 1361)

  • Thai (874)

  • Turkish (1254)

  • US, Western Europe (ANSI, 1252)

  • Vietnam (1258)

  • Log Files buttons:

  • View. Click to browse to a log file.

  • View Last. Click to open the most recent log file.

  • Delete All. Click to delete all log files.


Internet Mail Setup

Internet Mail Setup Dialog

This dialog is opened when Internet Mail (SMTP) is selected as the Mail System and the Setup button is clicked on the E-Mail tab of the Messages Setup dialog. Use it to change the Mail/Messaging system profile that BarTender will use to send messages, or use it to setup a new Mail/Messaging system profile. Unless you specify otherwise, BarTender will use the default profile of the computer's currently logged-in user.

  • Mail Server. Enter the name of the mail server. For example, smtp.mycompany.com.

  • Your Name. Enter the full name of the user whose e-mail account should be used by BarTender.

  • E-Mail Address. Enter the e-mail address of the user whose e-mail account should be used by BarTender.

  • Requires Authentication. Check this box if the mail server requires that users logon before sending e-mail. Doing so, will enable the User Name and Password text boxes.

  • User Name. Enter the mail system login name of the user whose e-mail account should be used by BarTender.

  • Password. Enter the password for the login name.

  • Port. Enter the port to be used when communicating with the mail server.

  • Timeout. Set how long BarTender should keep trying to send any e-mail message before it concludes that it cannot connect to the mail server.

  • Encoding. Select the encoding to use for the text of the e-mail message. Your options are:

  • Unicode

  • Unicode (Big Endian)

  • UTF-8

  • Use Windows Settings

  • Arabic (1256)

  • Baltic (1257)

  • Central Europe (1250)

  • Chinese Simplified (GB-2312, 936)

  • Chinese Traditional (Korea, Big 5, 950)

  • Cyrillic (1251)

  • Greek (1253)

  • Hebrew (1255)

  • Japanese (SHIFT-JIS, 932)

  • Korean (Hangul, 949)

  • Korean (Johab, 1361)

  • Thai (874)

  • Turkish (1254)

  • US, Western Europe (ANSI, 1252)

  • Vietnam (1258)

    Click the Test button to ensure that BarTender can communicate with the mail server.


Messages Tab of Messages Setup Dialog

Use this tab to determine what messages will be displayed or logged, and how BarTender will respond to them.

  • The grid at the top lists the messages that can appear in BarTender with these columns:

  • #. The message's unique ID number.

  • Severity. Message severity increases from informational, to warning, to error.

  • Type. Identifies the category of message. (E.g., printer, database)

  • Default Response to Message. Current setting for how BarTender will respond to the message when it is running in automation mode.

  • Message Target(s). The places the message will appear.

  • Message Contents window. Shows the content of the currently highlighted message.

  • Message Target(s). Select where the message should appear:

  • Dialog: The message will appear on screen.

  • Log File: (Available only if message logging has been enabled on the Log File tab.) The message will appear in the log file.

  • Automation Exception: If BarTender is run from another program by means of ActiveX automation, then the message will be passed to the other program, which is responsible for handling it. Checking this option has no effect if BarTender is not being run automatically.Reserved for future use.

  • NT/2000/XP/2003 Event Log: The message will be sent to the operating system's event log.

  • E-Mail Notification: (Available only if e-mail has been enabled on the E-Mail tab.) The message will be sent as e-mail to a pre-defined list of recipients.

  • Default Response to Message. Some messages required a response (such as clicking OK or Cancel), so BarTender must make these responses automatically if the message cannot be displayed to the user for selection of a response (e.g., the dialog is turned off). The possible responses to the currently highlighted message appear here. Select the one you want BarTender to always make automatically.


Modify Screen Data

The Modify Screen Data dialog allows you to quickly and easily change the screen data for the currently selected bar code, RFID, or text object without accessing the Data Source property page.

The Modify Screen Data dialog options are summarized below.

  • Substring. Used to select which substring to modify when a label object has more than one. (This option is only present if the object you clicked on has more than one substring.)

  • Screen Data. Used to enter the data you want to be displayed on the screen for the selected label object. (Use CTRL-TAB to enter a tab.)

  • Data Source. Used to access the Data Source property page.

For information about accessing the Modify Screen Data dialog, see Using the Data Edit Tool.


Verification Messages Dialog

This dialog alerts you to design issues of the label format that will affect the printed output (or exported printer code templates).

The table provides brief information about any issues. (For more detailed information, highlight a message and click the Details button.)

  • Errors will have a [image] icon to the left. You must resolve any error condition before you can continue printing/exporting. Warnings will be marked with a [image] icon. It is not mandatory that you resolve warnings before continuing printing/exporting, but the output may not be what you want. (Highlight a warning and click Details to see a dialog that will tell you the results of continuing without resolving the issue.)

  • Object. This identifies the type of object that is involved in the error or warning. Possible values include Text, RFID, Bar Code, Printer, and Page Setup.

  • Field(s). When applicable, this identifies the printer code template field that is causing the warning or error condition.

  • Message. This provides a brief description of the nature of the error or warning.

To the right are these buttons:

  • Edit. Highlight an error/warning and click this button to be taken to a BarTender dialog for problem resolution. For example, if you highlight a warning that a text object is set to use a printer template field and a TrueType font, clicking Edit will take you to the Modify Selected Text Object dialog where you can change to a printer-based font.

  • AutoFix. Click this button to have BarTender automatically fix the currently highlighted error/warning condition(s). You can undo any AutoFix actions after the printing/exporting is complete by using the Undo command on the Edit menu.

  • Details. Highlight any error or warning on the list and click this button to open a window giving detailed information about the problem and how AutoFix can help.

Click Continue when you are finished resolving conditions.


Advanced Position Settings Dialog

Use the drop down list to select the label reference point. The X and Y positioning coordinates for the object will be measured from the label reference point.

For example, on a 2 inch by 2 inch label, if the the label reference point is the top left corner and the X and Y coordinates of a point are each set to 0.5 inches, then the point will be 1/2 inch to the right of the upper left corner and 1/2 inch down from it. Thus, it would be in the middle of the upper left quadrant of the label. If the label reference point were then changed to the center of the label, but the X and Y coordinates remained at 0.5 inches, then the point would be in the middle of the lower right quadrant: 1/2 inch to the right and below the center point of the label.

Important: The label reference point is not the same as the object reference point. Click here for information on the difference.

Your options for setting the label reference point are:

  • Top Left corner of the label

  • Top Center of the label

  • Top Right corner of the label

  • Center Left edge of the label

  • Center of the label

  • Center Right edge of the label

  • Bottom Left corner of the label

  • Bottom Center of the label

  • Bottom Right corner of the label


Advanced Rotation Settings Dialog

Use this dialog to specify the object's rotation point. This is the point around which the object will pivot when you rotate it. Your options are:

  • Use Object Reference Point (default). The object will pivot around its own reference point, which you specify on the Position property page of the Modify Selected … Object dialog.

  • Center of Label. The object will pivot around the center of the label. This option is especially useful on round labels, such as CD labels.

  • Position on Label. The object will pivot around a point on the label that you specify. Use the X and Y coordinate boxes to specify the location of the rotation point relative to the label's reference point. (You set the label's reference point on the Advanced Position Settings dialog which you open by clicking the first Advanced button on the Position property page of the Modify Selected … Object dialog.

  • Lock. Check this option if you want the point you specified to remain exactly where it is on the label, even if you later move the object that was selected at the time you specified the point. If you do not check this option, the point will move with the object.

Note: For fast rotation, use the rotation tool on the Main toolbar. You can also rotate an object around its center point by selecting Rotate from the Arrange menu.


License Management Tab

Use this dialog to configure BarTender's connection to the Seagull License Server.

Automatically Find Seagull License Server. Check this as an alternative to specifying an exact network address. (If a Seagull License Server is running behind a network router, it cannot be found.)

Preferred and Alternate

Use these sections to configure the connection to the preferred Seagull License Server; and, optionally, to an alternate Seagull License Server that will be used if for any reason BarTender cannot connect to the preferred server.

  • Address. Specify the exact network address of the Seagull License Server.

  • Port. Specify a port ID from 1024 to 65535.

  • Timeout. Specify how long BarTender should look for the Seagull License Server before giving up.

  • Retries. Specify how many times BarTender should look for the Seagull License Server before giving up.

  • Test. Click this button to verify that BarTender can connect to the Seagull License Server through the specified port.

Note: Settings made here are stored in a configuration file that is setup on the Administrative Setup dialog. Open the dialog from the Tools menu.


Delimiter Value Dialogs

A Delimiter Value dialog (named after the delimiter) opens when you click the … button in any of the rows of the Delimiters tab on the Printer Code Template dialog. Use it to enter the value you want to give the delimiter.

To enter control characters, click the Character Assistant button to the right of the text box. This opens the Character Assistant.


<Template Field> Dialogs

A <template field> dialog (named after the field) opens when you click the … button in any of the rows of the Job Options tab on the Printer Code Template Options dialog. Use it to enter the name/value you want to give the field.

To enter control characters, click the Character Assistant button to the right of the text box. This opens the Character Assistant.

You also use this dialog to specify the Type of the template field. The following types are available:

  • A basic Template Field serves as a placeholder. At print-time, the print system will replace the field name with actual data. For example, you might use "NumberOfCopies" as the value for the Printer Copies field. (The name will be immediately preceded in the printer code template with the character(s) you specified as the value of the Start Field Delimiter on the Delimiters tab of the Printer Code Template dialog. Similarly, it will be followed by the value of the End Field Delimiter. For example, if you set "<" and ">" as the start and end characters and "NumberOfCopies" as the field name, BarTender will put "<NumberOfCopies>", without the quotation marks, into the printer code template.)

  • A Constant field type will be inserted into the printer code template as a literal value. For example, you might use "1" as the value for the Printer Copies field. BarTender will put "1" (without the quotation marks) in the file but it will not put the field delimiters around the value.

  • With a Set By Driver field, the driver will supply the field name when the printer code template is generated. (This option is not available for every kind of template field.)

  • With a Use Print Dialog Copies field, the number of copies can be set in the Print Dialog, using the Identical Copies of Label options in the Quantity tab.


Select Supported Printers

Use this dialog to ensure that all installed printers that are supported by your Ultralite Edition of BarTender are available for label printing.

Any supported printers that have not been renamed are already available and are checked on the list. Check the names of any supported printers that have been renamed since they were originally installed.


Select Sample Mask

When you select "Set by Input Mask" for the Allowable Characters option, the Select Sample Mask button is enabled, allowing access to the Select Sample Mask dialog. (See also Understanding the Input Mask.)

For your convenience, the Select Sample Mask dialog contains commonly used input masks, such as Zip Code and Social Security Number. You can use any of these sample masks, edit the sample masks to suit your needs, or create your own by entering the input mask characters into the Input Mask data edit box.

See Also:

Sample Data Templates

Understanding Input Mask Characters


Modify Prompt Test

Modify Prompt Text Dialog

The Modify [Prompt] Text dialog opens when you click the Edit tool in Prompt Design View and click a text object. Use the dialog to change the text.

Click the Properties button to open the object's properties page.


Prompt Static Text Properties

Static Text on a User Prompt

Type the text that should appear in the text object on your prompt in the Text box.

Set the width of the text object in the Width box.

Select how the text should be aligned within the text object (the rectangle marked by the object's handles): Left, Centered, or Right.

Select the Reading Order for the text. Choose Auto to use the reading order of the script set on the Font tab this dialog.


Save Stock Dialog

To add a new category, highlight the contents of the Category box and type the new category's name. (This will not delete the category name that was originally in the box.)

To add a new stock type, select the stock type's category in the Category box and then highlight the contents of the Stock Name box and type in the new stock type's name. (This will not delete the name that was originally in the box.)


Trial Features Dialog

The Trial Features option on the File menu lets you try out features from more advanced BarTender editions. (Since the RFID Enterprise edition already provides all available BarTender features, it does not have this menu option.)

Current Format Tab

The Current Format tab lists and describes all of the trial features that are used in the current open format. (Refer to the section Trial Features Tab below for information on all the trial features of this edition of BarTender.)

The Stop Using Trial Features in This Format button will remove all the listed features from the current format. This will allow you to continue using the format after your free trial period has expired, but it will remove all trial features that have been used on the label. If you do not like the results of the automatic trial feature removal, you can remove trial features individually by opening the appropriate dialogs and replacing them or turning them off.

Trial Features Tab

The tab briefly explains the free trial period, and tells you how much time remains in your free trial period.

The List of All Trial Features button displays a list and description of all the features that are available during your free trial period.

The How to Upgrade button will take you to the Seagull Scientific web site for information on upgrading to another edition of BarTender.

As its name indicates, deselecting the Enable Trial Features checkbox will hide the menu items and dialog options that implement the various trial features. This option is especially useful when you want to ensure that you do not inadvertently use a trial feature on a label that you want to continue using after the 30 day trial period has expired.

Warning Options Tab

The Warning Options tab gives you the option of turning on or off each of the trial feature warnings that are displayed your edition of BarTender.

The types of warnings are:

  • Always warn of expiration within 5 days. This warning will display only during the last five days of the trial period.

  • Always warn when an unsupported printer is selected. Not all printers are supported in every edition of BarTender. If you select a printer that is not supported, you will see a warning.

  • Always warn before printing a label that uses Trial Features. When you print a format that uses trial features, a warning is displayed telling you that your labels will be printed in demonstration mode if your trial period has expired.

  • Always warn when a Trial Feature is accessed from a toolbar. Most buttons and menu items that give you access to trial features are indicated by the word "(Trial)" on the caption. Some buttons (on the toolbars) do not have captions, so a warning is displayed to let you know you are using a trial feature.

  • Always warn when opening a format that uses Trial Features. Opening a format that uses trial features will display a warning telling you that your labels will be printed in demonstration mode if your trial period has expired.

  • Always warn when creating objects that use Trial Features. Creating an object that uses trial features will display a warning telling you that your labels will be printed in demonstration mode if your trial period has expired.


Printer Code Template Warnings: Message Details

Message Details

This window provides detailed information about the highlighted warning or error on the Verification Messages dialog. Use this information to decide if you want to use AutoFix or manually change the label format to resolve the problem. (It is not mandatory that you resolve warnings before continuing, but errors must be fixed.)

  • Type. Warning or Error.

  • Message #. Identification number for the error or warning.

  • Object. Identification of the type of object that is involved in the error or warning. Possible values include Text, Bar Code, Printer, and Page Setup.

  • Field(s). When applicable, identification of the printer code template field that is causing the warning or error condition.

  • Problem. A description of the problem.

  • Result. A description of what will happen if you continue without resolving the warning.

  • Auto Fix. A description of what the AutoFix feature will do.

Note: There is a tack button, [image], on this dialog. When it is pushed in, [image], the dialog will stay open even if you switch focus to another window.


VB Scripting

VB Scripting Tab

Sometimes you may need to perform custom data validation or data processing for an object. The VB Scripting property page, of the More Data Source Options dialog, enables you to access the Script Assistant so that you can specify your own Visual Basic Script routines for these special circumstances. These scripts will run after the data is processed according to options selected on the Validation, Truncation, Minimum, and Maximum tabs in the More Data Source Options dialog. (The dialog is opened by clicking the More Options button on the Data Sources tab of the Modify Selected … Object dialog.)

Review this overview of Visual Basic Scripting in BarTender before using the options on this tab.

Note: Ordinarily, you will access Visual Basic Scripting through this tab only if the data for an object is coming from the screen, a database, or the system date/time. If you want a script itself to be the data source for an object, you should set the data source of the object to Visual Basic Script on the Data Sources tab of the Modify Selected … Object dialog. The Edit button on that tab opens the Script Assistant in which you create the script.

  • Use VB Scripting. Check this box to enable Visual Basic Scripting.

  • Select an event to edit. Highlight one of the listed items before clicking the Edit button.

    • Functions and Sub[routine]s. This item is not really an event, it is simply a collection of Visual Basic Script functions and subroutines (that you write) which can be used by the scripts that you create for genuine events, such as the OnProcessData event.

    • OnProcessData. During a print job this event will occur once for every record accessed by the text, RFID, or bar code object. For each record, the event occurs after BarTender has processed the options you have chosen, if any, on the Prompting, Validation, Truncation, Minimum, and Maximum tabs of this dialog. It occurs before any options you have chosen on the Serialization tab. (Every text, RFID, or bar code object has its own OnProcessData event.) For example, if you use the Minimum tab to pad characters onto the end of the object's data, these characters will have already been added before any script you associate with this event executes. Accordingly, if the the script processes the data, it will operate on the new, expanded, data, not the original data. On the other hand, if the label format is set to produce three serialized labels for every record, the event will not run three times for each of these labels.

    • OnPostSerialize. This event is listed only if serialization has been enabled on the Serialization tab. It occurs once for every member of the set of serialized values.

  • Edit. Opens the Script Assistant.

Note: There is a tack button, [image], on this dialog. When it is pushed in, [image], the dialog will stay open even if you switch focus to another window.


Horizontal Scroll Bar

The horizontal bar along the bottom edge of BarTender's label viewing area which allows you to move the contents of the active window to the left or right when more information is available than will fit into the label viewing area.


How

How BarTender Processes Path and File Names

Seagull Scientific recommends that you specify complete path and file names in your command line parameters. When you use a file name alone, and/or a file name without an extension, BarTender will use the following rules to find the file:

If no file name extension is specified (and there is no period at the end of the file name), then BarTender will assume that an extension is implied:

  • For the parameters that take format file names (F=, AF=, FA=), BarTender will assume ".btw" as the extension.

  • For the D= parameter (database files), BarTender will assume ".dat".

  • For the IDoc= parameter (SAP R/3 IDoc files), BarTender will assume ".idoc".

  • For the ITD= parameter (SAP R/3 IDoc Definition files), BarTender will assume ".itd".

    • Note. To specify a file that has no extension, add a period to the end of the file name when you write the parameter. For example, if you want to use a database file named "addresses", use "D=<pathname>addresses." instead of "D=<pathname>addresses".

If no path is specified, then BarTender will search for the file the following directories, in this order. It will use the first file it finds that matches the specified file name.

  1. The current working directory.

  2. The default location for the type of file as shown here:

    • For the parameters that take format file names (F=, AF=, FA=), the default directory is ...\My Documents\BarTender\Formats

    • For the D= parameter (database files), the default directory is ...\My Documents\BarTender\Databases

    • For the IDoc= parameter (SAP R/3 IDoc files), the default directory is ...\My Documents\BarTender\SAP\IDoc

    • For the ITD= parameter (SAP R/3 IDoc Definition files), the default directory is ...\My Documents\BarTender\SAP

      • Note. The "..." stands in for the full path to the "\My Documents" directory. This path will vary depending on your version of Windows.

  3. The BarTender installation directory.

See Also:


ImageReferences

ImaageReferences

Vooweels iin thiis toopiic haavee beeeen doouubleed too maakee iit uunliikeely thaat aany uuseer wiill aacceess iit froom thee Seeaarch taab.

Thiis toopiic oonly eexiists soo thaat ceertaaiin iimaagees caan bee iincluudeed iin iit.

RoobooHeelp wiill noot iincluudee aany iimaagee fiilee iin thee coompiileed

*.chm fiilee uunleess iit iis reefeereenceed soomeewheeree iin oonee oof thee iincluudeed

*.htm fiilees.

IImaagees thaat wiill oonly aappeeaar aas aa reesuult oof aa scriipt aaree reefeereenceed oonly iin oonee oof thee

*.js fiilees. Heencee, theey doon't geet iincluudeed iin thee .chm fiilee aand thee scriipts thaat reefeer too theem eerroor iin soomee waay.

Soo thee foolloowiing doown-aarroow iimaagee neeeeds too bee reefeereenceed heeree iin aan .htm fiilee.


Label

The smaller, white section within the label viewing area that represents the active label.


Label Viewing Area

The area on the Label Design screen where you create and edit your label formats.


License Management Configuration File

License-enabled editions of BarTender come with a file, named BTLM.ini, that saves the license management settings they make on the License Management tab of the General Options dialog. See the file itself for further information.


Main Menu Bar

The horizontal bar positioned along the top of the label viewing area which allows you to access the main pull-down menus.


Main Toolbar

Contains shortcut buttons to some of the most frequently used commands. (See Main Toolbar.)


Media Usage Reporter

Show All Hide All

A special component included with BarTender is the inventory tracking component called Media Usage Reporter. Adding this component, by dragging it to a label format from the Toolbox, ensures that each time you execute a print job with the format, your media supplier automatically receives an e-mail telling it the number of labels printed. The media supplier keeps track of your label stock usage and sends you new supplies of stock before you run out.

How it Works

When added to a label format (see below), the component appears to be a simple text object with default text reading "Media Usage Reporter."

However, this text is configured to be invisible when the format is printed, so the component is actually never seen on a printed label. Its purpose is to associate certain Visual Basic scripts with the format. These scripts e-mail to your media supplier the number of labels printed in each job.

Adding the Component to Your Label Formats

After you install BarTender, the first major step in using the component is add it to one or more of your label formats. Do the following for each label format whose stock you want to track:

  1. Open the format in BarTender.
  2. Open the Components pane in the Toolbox.
  3. Open the Samples folder.
  4. Open the Media Usage Reporter folder.
  5. Left-click the component and, while holding down the mouse button, drag it to the label. Since the component never prints visibly, it does not matter where you put it. You can even put it in the dark area of the label design view just off of the label.
  6. Select Page Setup from the File menu, and open the Stock tab on the Page Setup dialog.
  7. Select a stock.
  8. Click OK.
  9. Save the label format.

Set Up Access to the E-mail Server (Configure Email.ini)

The second major step is to add some information about your e-mail system to the file Email.ini. You do this only one time, not for every label format. The path to this file varies with your version of Windows:

Windows 2000/XP: C:\Documents and Settings\All Users\Application Data\Seagull\BarTender

Window 98: C:\Windows\All Users\Application Data\Seagull\BarTender

  1. Open the file in any plain text editor, such as Windows Notepad.
  2. The file itself contains the instructions about how you should add values to the parameters. See the illustration below. Simply type the requested values while keeping these points in mind:
    • There should be no space after any “=” sign.
    • If your mail server requires that users login before they can send e-mail, then type “Yes” as the value of the Authenticate= parameter.
    • Put the customer ID assigned to you by your media supplier as the value of the Subject= parameter.
    • Put the sender’s e-mail address as the value of the From= parameter.
    • For the value of the To= parameter obtain an address from your media supplier.

The contents of the file are shown here:

[Label Inventory Tracker]

'--- Enter the name of the mail server to be used at the printing site.

MailServer=

'--- Enter Yes or No depending on the requirements of the email server.

Authenticate=

'--- If Authenticate is Yes, then specify the desired LoginName and Password.

LoginName=

Password=

'--- Enter the customer ID. This will be included in the body of the email.

Subject=

'--- Enter the stock Category that is required and the name of the label

' vendor, separated by a comma. There should be no spaces on either side

' of the comma. If the user prints a format not using this stock category,

' an error message will be displayed. Leave blank if you do not need this

' behavior. The label vendor name is used in a couple of error messages.

' If it is left blank, generic text will be used instead.

Message=

'--- Specify the email address of the label vendor.

To=

'--- Specify the From email address.

From=

'--- These two settings almost never need to be changed. Don't change them

' unless you know exactly what you are doing.

Port=25

Timeout=60

'--- Specify the encoding to be used for the email subject and body. (See the BarTender

' help under "Visual Basic Scripting" for available BtEncodingType values.)

EncodingType=2

'Sample of a completed section

'[Label Inventory Tracker]

'MailServer=mail.mycompany.com

'Authenticate=Yes

'LoginName=me@mycompany.com

'Password=myPassword

'Subject=myCustomerID

'Message=Quality Media,Quality Media Corp.

'To=labelInventoryTracker@qualitymedia.com

'From=me@mycompany.com

'Port=25

'Timeout=60

Testing the Component

Test the configuration of the label format and Email.ini with these steps:

  1. Make a copy of Email.ini under the name OriginalEmail.ini.
  2. Open Email.ini in a text editor and change the value of the To= parameter to your own e-mail address. Save and close the file.
  3. Open any label format on which you have added the Media Usage Reporter and select Print from the File menu to open the Print dialog.
  4. Set the Identical Copies of Label and Number of Serialized Labels values to values greater than 1.
  5. If the label format is linked to a database, then in the Selected Records box specify a small number of records, such “1-4” and click the Print button. (Refer to BarTender's online help for instructions in how to setup a database.)
  6. After the print job completes, verify that you received an e-mail message and it correctly identifies your stock type and that the number of labels specified in the message matches the number that actually printed.
  7. Rename Email.ini to TestEmail.ini and then rename OriginalEmail.ini to Email.ini.


Merge Field Data Source

Merge Fields

A Merge Field on a label will use data from a database field when you print the label. When you select Merge Field as the source, the following controls appear in the Options area of the Data Source tab of the Modify Selected … Object dialog.

  • Field Name. Enter a name for the Merge Field here. It must match the name of the database field that you want to use as the source of data (case sensitive).

  • Sample Data. Enter the data that you want to print if CD Designer is unable to find the database at print-time.

  • More Options. Opens the More Options dialog.

The Merge Field must be linked to a database field. You can do this at design time or when you launch CD Designer to print the label.

Linking at Application Launch

Give the Merge Field the same name as the database field (case sensitive). The first line of the text file database must be a header that specifies the field names. Moreover, the fields must be delimited using the mixed-quote-and-comma method. Then when you launch CD Designer to print the label format, add the D= parameter to the command line to specify the database. CD Designer will read data for the Merge Field from the database field with the same name.

Design Time Linking

Connect the label format to a database using the Database Connection Setup Dialog which you can launch from CD Designer's main toolbar. Then connect the Merge Field to a field in the database. If you use this method, the Merge Field name does not have to be the same as the database field from which it will read data, and you do not need to use the D= parameter.

Note: Merge Field data sources work just like Database Field data sources. Everything said in this help system about the Database Field data source also applies to Merge Fields.


Columns in MicroPDF417

The MicroPDF417 symbology is organized into multiple rows of information, with each row looking like a very thin bar code. The encoded information looks somewhat like an irregular checkerboard. There are also from one to four Row Address Patterns, each 10 modules wide.

When Columns is set to Auto, the number of rows and columns in this checkerboard data area is adjusted so that its overall shape is as close to a square as possible. You can also specify from 1 to 4 columns.

Note: Only certain combinations of rows and columns may be used. Therefore, the number of rows available in the Rows drop down list will vary depending on the number of columns selected in the Columns drop down list.


Columns in PDF417

Automatically Controlling the Shape of the PDF417 Symbol

The PDF417 symbology is organized into multiple rows of information, with each row looking like a very thin bar code. If you examine these rows more closely, you will notice that the first five and last five bars extend the entire height of the symbol, much like in a conventional bar code. These are the start and stop patterns that serve to help your scanner figure out that PDF417 is the type of bar code being scanned. Inside of these start and stop patterns, the encoded information looks somewhat like an irregular checkerboard. When Columns is set to "Auto," the number of rows and columns in this checkerboard data area is adjusted so that its overall shape is as close to a square as possible.

Manually Controlling the Shape of the PDF417 Symbol

As an alternative to the "Auto" setting, you can manually specify the number of columns to appear in the checkerboard data area. A column consists of four bars and spaces and defines the fundamental unit of encoded data. Each row consists of a minimum of three columns of information (12 bars and spaces) in the checkerboard portion of the data area. This is because there is always one column each on the left and right containing "indicator code words" with information that tells the scanner what encoding methods were used to encode the rest of each row of data. Between these two columns (8 bars and spaces) will be a minimum of one column (4 bars and spaces) of information. The number of columns in this portion of the data area can be set using the Columns option to between 1 and 30.

Trading Off: Symbol Width versus Height

It should be noted that, at any given correction level setting, reducing the number of columns will increase the number of rows required to encode the same amount of data. Accordingly, although you have the option of reducing the number of columns in order to make the PDF417 symbol narrower than the relatively square dimensions of the "Auto" setting, doing so will make the symbol proportionally taller. Therefore, when encoding larger amounts of data, a low Columns setting can result in a PDF417 that is too tall to fit on the label.


Basic/Advanced Button

In the Basic mode, this button will say Advanced and clicking on it will switch you to that mode.

In the Advanced mode, it will say Basic and clicking on it will switch you to that mode.

Note: If you have used the Advanced mode to set an object to use multiple sources or to share data with another substring, the Basic button will be grayed. Therefore, you will not be able to return to the Basic mode.


Default Reply (Screen Data Option)

Default Reply

The Default Reply option allows you to specify the text that will display in the reply box on the prompt or query prompt dialog and as sample text on your label format. When you first set an object to Prompt at Print-Time, the default reply is "Sample Reply." If you desire a different default reply, you may enter it directly into the Default Reply edit box on the Data Source property page.

When you set a label object to Prompt at Print-Time, the default reply can come from a number of different sources depending on which data source type is selected. The Default Reply message at the top of the Reply Options group displays the source of the default reply for the current label object.

To overwrite the default reply when it is displayed on the prompt dialog at print time, type data into the reply box and the new data will print on the label. If you don’t enter a response, the default reply will print on the label.

See Also:

Understanding Prompt at Print-Time

Shortcut Menu for the Data-Entry Options

Print-time User Prompt

Update Default Reply After Print

Combining Different Data Sources


Sample Data for Substring

Sample Data

The Sample Data option is similar to the Screen Data option in that whatever data you enter for the Sample Data option is displayed in the label viewing area. However, at print-time, sample data is replaced on the actual label by the data in the field specified by the Use Data File Field # option.

To enter sample data, simply use your keyboard to type the desired data directly into the Sample Data option.

See Also:

Shortcut Menu for the Data-Entry Options


Screen Data Options

When you initially insert a bar code, RFID, or text object into your label format, BarTender will display it using screen data as the default data source. Screen data is data for an object that you enter directly into BarTender, usually by typing. BarTender will use screen data at print-time for any bar code, RFID, or text object for which data from another source type has not been specified.

When you set the data source for an object to Screen Data, the Screen Data option will display on the Data Source property page.

  • Screen Data. Used to enter data for an object directly into BarTender.

If you enable Prompt at Print-Time for an object using Screen Data, the name of the Screen Data option changes to read "Default Reply."

  • Default Reply. Used to enter the default reply for an object set to prompt at the start of a print job.

    • Note: If you want BarTender to prompt you at print-time for data that it will use to matching records from a database, do not use the Screen Data option. Use the Read from Database option and the Query Prompts feature.

See Also:

Shortcut Menu for the Data-Entry Options

Combining Different Data Sources


Serializing Data

Show All Hide All

The serialization options can be used with screen data, input file data, prompt data, or a Visual Basic script. This means that the starting value of your sequence can be the data substring in the Screen Data option, the data in the specified field of your data source file, the data entered in response to a prompt at print-time, or data generated using a programmed Visual Basic script.

For example, suppose the value in the Screen Data option for the currently selected object is "001Y7." If you enable the Serialization option and leave all of the Serialization options set to their default values, the data for the currently selected object would increment as follows for the first five labels that are output:

Label #1: 001Y7

Label #2: 001Y8

Label #3: 001Y9

Label #4: 001Z0

Label #5: 001Z1

Note that BarTender supports code incrementing for capital letters as well as all numbers. If you want to append letters to the right or left side of a data string but NOT have them increment as the numbers do, simply add a substring containing the desired letters to the data for the currently selected object using the Substring List option on the Advanced Data Source property page.

How Printing Identical Copies of a Label Affects Serialization

When data on a label format is set to serialize and a number is entered into the Identical Copies of Label option on the Print dialog, the same number of identical labels will be printed for each value in the series. To illustrate using the previous example:

Assume Identical Copies of Label is set to "5." Then Label #1 would print five identical labels, Label #2 would print five identical labels, and so on for each value in the series.

Reading the Number of Identical Copies from a Field in a Data File

Sometimes, if a label format reads data from a data file, you may want to vary the number of identical copies for each serialized label. You can do this by selecting the Options button on the Print dialog and setting the number of identical copies to read from a field in the data file. For instructions, see Reading Number of Identical Copies from a Data File.

Depending on your labeling task, you may or may not want a particular label object to serialize when printing identical labels with a copy count read from a data file. Use the Label(s)/Record(s) option to specify whether or not a label object will serialize.

If set to "Record(s)"

The currently specified object or substring will remain constant while multiple copies of the same label data are being printed.

If set to "Label(s)"

The currently specified object or substring will increment once for every label that is printed, regardless of whether or not multiple copies of a label are being printed.

See Also:

Serialization Options

Setting up a Field that Counts


Naming and Sharing Substrings

Show All Hide All

You may have two or more objects on a label that are to use the same data, but you don't want to specify the data multiple times. Any of the different source types can share data with other substrings.

Make a Substring Shareable

  1. Double-click on the object that uses the data substring that you want to share with another object. BarTender will display the Modify Selected Bar Code or Text tabbed dialog. Click on the Data Source tab to display the Data Source property page. Click on the Advanced button then the Share/Name mini-tab to display the Share/Name options.

  2. If the label object is composed of more than one substring, and the substring that you wish to share is not already the currently specified substring, click on the substring that you want to share in the Substring List.

  3. Click on the Name option and type in the name that you wish to use to refer to this substring.

  4. Click on the OK button. The named substring will appear on the Data Sources pane of the Toolbox.

Using a Shareable a Substring

Important: You cannot share a substring unless you have previously named it as described in the section Make a Substring Shareable above.

There is more than one way to reuse a shareable substring:

Method 1

  1. Open the Data Sources pane of the Toolbox.

  2. Expand the Named Substrings directory and click the desired substring. While holding down the mouse button, drag the substring to the desired location on the label.

  3. Release the mouse button. A short-cut menu appears giving you the option to create a bar code, text object, RFID object, or picture.

  4. Select one and the object appears on the label.

Method 2

  1. Create the object that should use another substring's data and then double-click it. BarTender will display the Modify Selected … Object tabbed dialog. Click on the Data Source tab to display the Data Source property page. Click on the Advanced button then the Share/Name mini-tab to display the Share/Name options.

  2. If the label object is composed of more than one substring, and the substring that is to use another substring's data is not already the currently specified substring, click on the desired substring in the Substring List.

  3. Click on the down arrow immediately after the Name option to drop down the list of currently shareable substring names. Then, click on the name of the substring containing the data to be shared with the currently selected substring.

  4. Click on the OK button.


The More Options Button

When you click on the More Options button, the More Data Source Options tabbed dialog is displayed, which provides access to additional data source options such as Serialization and Validation. You can then click on the tabs to switch between the different property pages.

The features available on the More Data Source Options dialog are summarized below. For additional information, click on the desired option name below.

  • Prompting. Used to enable prompt at print-time, enter prompt text, and define how a reply will be treated.

  • Validation. Used to force data to conform to specified rules.

  • Truncation. Used to remove unwanted characters and spaces from data.

  • Minimum. Used to specify the fewest number of characters that can be entered.

  • Maximum. Used to limit the number of characters that can be entered.

  • VB Scripting. Used to write Visual Basic Scripts to perform custom data processing or validation.

  • Serialization. Used specify how data is to be incremented or decremented.

  • General. Used to specify that a label object will not print if certain data is not supplied or will be visible when used as the human readable characters for a bar code.


Suppressing Substrings

The Suppress if option specifies that the contents of a selected substring will be ignored during a print job if the next (or previous) substring is empty. This option can be particularly helpful in projects where the data is being read in from a data source file that may have some blank fields, but you don't want to see blank spaces in your label output.

Example:

One common example of an label system where the Suppress if option is useful would be address labels printed from a data file that has been generated from a customer database. Assume that you want to print out address labels with the customer name, company name, street address, city, state and zip code as shown in the following sample records.

"Jake Diamond","Diamond, Inc.","PO Box 60","Gem Town","NV","50897"

"Meg Reilly","","148 Circle Drive","Maple","WA","98005"

"","All-State Trucking","5601 Interstate","Huntsville","IN","40890"

If you set up your label format to have each of these fields print out as separate text objects, your labels would be output as follows:

Jake Diamond | Meg Reilly |
Diamond, Inc. |  | All-State Trucking
PO Box 60 | 148 Circle Drive | 5601 Interstate
Gem Town, NV 50897 | Maple, WA 98005 | Huntsville, IN 40890

Notice how the blank second field in the second record and the blank first field in the third record of the sample data file result in skipped lines on the labels.

You can avoid these skipped lines by specifying:

  • the entire address be output as a single paragraph using BarTender's Paragraph setting (on the Text property page).

  • BarTender will suppress a carriage return whenever the previous substring is empty. The following chart shows how you would set up the data string for your paragraph text.

Substring | Contents | Data Source | Suppress If
#1 | Customer Name | Input File Data | Disabled
#2 | Carriage Return | Screen Data | Enabled
#3 | Company Name | Input File Data | Disabled
#4 | Carriage Return | Screen Data | Enabled
#5 | Street Address | Input File Data | Disabled
#6 | Carriage Return | Screen Data | Enabled
#7 | City | Input File Data | Disabled
#8 | Comma and Space | Screen Data | Disabled
#9 | State | Input File Data | Disabled
$10 | Two Spaces | Screen Data | Disabled
#11 | Zip Code | Input File Data | Disabled

Now, BarTender will not add a line (carriage return) unless the substring prior to the substring containing the specified carriage return actually contains data. Using this method, the same three labels that we printed out earlier would appear as follows, without the skipped lines:

Jake Diamond | Meg Reilly | All-State Trucking
Diamond, Inc. | 148 Circle Drive | 5601 Interstate
PO Box 60 | Maple, WA 98005 | Huntsville, IN 40890
Gem Town, NV 50897 |  |


Field Name

This option allows you to specify the field from your database that will replace the sample data for the currently specified substring at print-time.

When you are reading data in from a text file without field names, BarTender reads the fields in each record of your data file from left to right. For example, if you select "Field 3", BarTender will (at print-time) replace the screen data for the currently selected substring with the data from the third field in your data file. (The sample data will only be replaced on the printed labels, not on the screen.)

If, in the previous example, the fields for a record in the data file were

"LA","32014","Oranges","California Transport"

the data in the third field, "Oranges", would replace the screen data for the currently selected object.


Visible When Used As Human Readable Characters

The Advanced Data Source property page allows you to specify that the data for a given bar code, RFID, or text object will be combined from multiple substrings, instead of a single string. These substrings can be a combination of screen data, prompt data, input file data, the time, or date. Although all of the characters in the combined string will be encoded into the displayed bar code, there may be times when you do not want the data for one or more of the substrings to appear in the bar code's human readable characters.

When the Visible When Used as Human Readable Characters option is enabled for a particular bar code (or a substring in a bar code), BarTender prints the human readable characters for that substring. When this option is disabled, no human readable characters are printed.

Note: The Visibility option on the Human Readable property page has precedence over this option: If the former option is set to Full or None, then this option will be disabled and will have no effect. If the Visibility option on the Human Readable property page is set to Set by Data Source Options, then this Visible When Used as Human Readable Characters option will determine whether the or not the data will be visible.


Displaying the Properties for the Selected Object

Any of the following methods may be used to display the main property page for the selected object. After the main property page has been displayed, click on any of the tabs positioned along the top of the Modify dialog to view the other property pages available for that object.

  • Double-click on the object that you want to modify. This is the easiest method as it immediately displays the main property page for the selected object.

  • Right click on the object that you want to modify. This displays the Object Properties shortcut menu. After the shortcut menu has been displayed, click on the Properties option in the shortcut menu to display the main property page for the selected object.

  • Use the Modify menu. (This method is the slowest because it requires the most mouse clicks. For users familiar with this program, the two previous methods are quicker.) After selecting the object(s) that you want to modify, click on the Modify option in the main menu bar. Then, click on either the Selected Object or the Selected Group menu option to display the property pages for the selected object(s).


Modifying an Existing Named ODBC Data Source

Sometimes, if a data file has been moved or renamed, you may need to modify a Named ODBC Data Source you previously created. Follow the procedure below if you need to modify an existing named ODBC data source.

Warning: If the ODBC data source you are modifying is needed by one of your other Windows programs, you should create a new data source, rather than modify an existing one.

  1. Select the Database Connection Setup option from the File menu.

  2. From the All Database Tree View, specify an existing named ODBC data source.

  3. From the Options tab, click the Setup button positioned just to the left of the ODBC Administrator button or click the ODBC Administrator button, pending on what changes to the ODBC Data Source you wish to make.

  4. Modify the settings in the ODBC Setup dialog or ODBC Administator as necessary for your needs. Note that the most common modifications made to data sources are to change the name of the data source and modify the specified file directory or database name (which controls which files the ODBC data source will be able to access). The ODBC drivers used by some data sources may display additional settings specific to that driver.

  5. Click the OK or Cancel button, depending on whether or not you wish to save or abandon the changes you have made.

See Also:

Specifying an Existing Named ODBC Data Source

Creating a New Named ODBC Data Source


Defining an Input Mask

You can define an input mask one of two ways:

  • Select a prepared sample input mask from the Select Sample Mask dialog.

  • Enter the input mask characters into the Input Mask data edit box. You can enter the characters using your keyboard or the drop-down list displayed when you click on the right-facing arrow to the right of the Input Mask data edit box.

How a Data Template Affects Received Data

When you define an input mask, BarTender forces the data received to follow the specified pattern. The examples below show how input mask characters determine the type of data that can be received. For more information and a more detailed list of possible input mask characters, see Understanding Input Mask Characters.

Examples:

(999) 000-0000 — the default input mask: The "9" indicates that numbers or spaces can be accepted for input, and entry is optional; the "0" indicates that only numbers can be accepted for input, and entry is required.

LL-AAAA: The "L" indicates that letters only can be accepted for input, and entry is required; the "A"; indicates that letters and numbers can be accepted for input and entry is option.

See Also:

Understanding the Input Mask

Sample Input Masks


Setting Up Your Database Properly

When setting up a database from which BarTender will import pictures, the database must refer to an external picture file by name. BarTender cannot import pictures stored directly inside, or embedded into, a database.

Because your picture files are most likely stored in a folder other than the folder where BarTender program files are stored, you can either enter the path into the picture file reference field inside the database or into BarTender's Default Path option. If all picture files are stored in a single folder, the Default Path option can be used to tell BarTender where to find the picture files.

Examples of database picture file references

Referencing only the filename

picture.pcx

Referencing the path and filename c:\graphics\picture.pcx

Procedure:

Importing Pictures into a Label Format


To Add Group Boxes

  1. Choose Create from the menu bar and click on Text, click on the Create Group Box button on the toolbar.

  2. Position your mouse cursor at the position on the prompt dialog where you want to add a text object and click your left mouse button. A text object will appear on your prompt dialog.

To edit the default group box heading, see Editing Text.

See Next:

To Add Lines


To Add Lines

  1. Choose Create from the menu bar and click on Text, click on the Create Line button on the toolbar.

  2. Position your mouse cursor at the position on the prompt dialog where you want to add a text object and click your left mouse button. A text object will appear on your prompt dialog.

See Next:

Moving Objects on a Prompt Dialog


To Add Regular Text Objects

  1. Choose Create from the menu bar and click on Text, or click on the Create Text button on the toolbar.

  2. Position your mouse cursor at the position on the prompt dialog where you want to add text and click your left mouse button. A text object will appear on your prompt dialog.

To edit the sample text, see Editing Text.

See Next:

To Add Group Boxes


Adding Objects to a Prompt Dialog

In addition to user prompts and reply boxes, you can add regular text objects, group boxes, and lines to enhance the appearance of a prompt dialog. For instructions on how to place additional objects on a prompt dialog, click on the desired topic below.

  • To Add Regular Text Objects.

  • To Add Group Boxes.

  • To Add Lines.

See Next:

Moving Objects on a Prompt Dialog


Moving Objects on a Prompt Dialog

Moving prompt dialog objects does more than change the appearance of the prompt dialog. Depending on the location of the reply boxes, you can also change the order in which a user is prompted for data.

The easiest way to move prompt dialog objects is using your mouse. To move a prompt dialog object using your mouse, click on the object and, holding down your left mouse button, drag the object to the desired location.

For added control, you can view the grid when moving objects around on the prompt dialog. For exact positioning, use the Position property page for a prompt dialog object.

Important: While moving user prompts and reply boxes, make certain not to separate them too far apart. Otherwise, you may accidentally put the wrong prompts and reply boxes together, causing incorrect data to be entered at print time.

See Next:

Changing Prompting Order


Prompt Frequency

The Prompt Frequency options allow you to specify how often a prompt dialog will request user input during the print job. Most will use the default setting of Once Every Print Job. However, if a label format is set to read from an external data file, objects on the label can be set to request data once at the start of a print job or to request data for each record read from the data file.

  • Once Every Print Job. Used to set an object to request input once at the start of a print job. The same information will print on every label for every record in a data file. Once every print job is the default setting for most label objects.

  • Every Record. Used to set an object to request input for each record read from a data file. This option will display a prompt for every record read, allowing different information to be printed for each label. When an object or substring set to prompt at print time reads data from an external data file, Every Record is the only available setting.


Print-time User Prompt

When you enable Prompt at Print-Time for an object, the Print-Time User Prompt allows you to enter instructions that will display on the prompt dialog. These instructions will remind a user to enter data into the associated reply box. The default text for the user prompt is "Sample Prompt," but you can overwrite the default text by typing in any text into the Print Time User Prompt data-entry box.

See Also:

Understanding Prompt at Print-Time

Creating a Print-Time Prompt

Shortcut Menu for the Data-Entry Options

Update Default Reply After Print


Read Only

The Read Only option allows you to display at print time the data for an object without allowing a user to change the default reply. You might use Read Only if the data for an object effects the data a user might enter in response to another prompt, especially if the default reply was being read from a data file.

Example:

If you are printing labels for inventory items, you may need to know a product number or description before you can enter a quantity or price at print-time. By setting the product number and description label objects to prompt at print time, but enabling Read Only, you can see the data for these objects at print time as a default reply, but can’t accidentally modify it. You can then enter in the desired data for the quantity and/or price reply boxes.


Skip Data Entry Box When Tabbing

The Skip Data Entry Box When Tabbing option allows you to specify that your cursor will skip a reply box when you are entering data into a prompt dialog at print time. At times you may want to skip a reply box because the default reply data rarely changes. However, should you need to enter a different reply, you can easily position your cursor inside the reply box using your mouse and edit the data.


Treat Carriage Return as a Tab

The Treat Carriage Return as a Tab option allows you to specify that when entering data into a prompt dialog at print time, the cursor will automatically move from the current prompt reply box to the next one when you press Enter. By default, this option is turned on. When this option is disabled, pressing the enter key will close the prompt dialog and start the print job.


Customizing a Prompt Dialog

Although BarTender automatically designs a default prompt dialog for you, sometimes it may be inadequate for your needs. You may wish to move or resize the user prompts and reply boxes that BarTender automatically places on the prompt dialog. In addition, you may wish add regular text objects, boxes, and lines to customize the look of the prompt dialog or resize the prompt dialog to fit all the necessary objects.

To customize a prompt dialog, you need to switch to Prompt Design View. In Prompt Design View, instead of seeing the label format on your screen, you will see the prompt dialog. Designing a prompt dialog is very similar to designing labels. You move, resize, and edit using the same basic tools.

To switch to Prompt Design View:

  1. Select View from the menu bar.

  2. Click on Prompt Design View.

For information on each of these customization features, click on the desired below:

  • Adding objects to a prompt dialog.

  • Moving objects on the prompt dialog.

  • Resizing objects on the prompt dialog.

  • Resizing the prompt dialog.

See Next:

Responding to Prompts at Print-Time


Understanding the Default Prompt Dialog

When you set one or more label objects to Prompt at Print-Time, BarTender creates a prompt dialog. By default, user prompts and reply boxes are placed on the prompt dialog with one user prompt and one reply box per line. These are arranged on the prompt dialog in the order in which they were set to Prompt at Print-Time.

Since BarTender automatically arranges the user prompts and reply boxes, you can easily print using the default prompt dialog. However, for various reasons, you may wish to customize a prompt dialog.

See Next:

Customizing a Prompt Dialog

See Also:

Understanding Prompt at Print-Time


Editing the User Prompt

Creating the User Prompt

Show All Hide All

A user prompt gives instructions about what to enter into a related reply box. You can assist a user by making a user prompt as explanatory as is necessary. For example, if you are designing a shipping label for which the weight needs to be entered at print time, you could create a user prompt which reads, "Weight," or you could give complete instructions which read, "Enter the package weight (rounding up to the nearest pound)."

You can edit a user prompt in Label Design View or from within Prompt Design View.

In Label Design View

  1. Double-click on the label object for which you need to enter a user prompt.

  2. Click on the Data Source tab if not already selected.

  3. Click on the More Options … button and select Prompting from the list to access the Substring Options dialog with the Prompt at Print Time tab selected.

  4. Click inside the Print-Time User Prompt data entry box and type the appropriate prompt.

  5. Set any other options as desired.

  6. Click OK to return to the Data Source property page.

  7. Click OK to return to your label format.

In Prompt Design View

  1. Double-click on the user prompt on the prompt dialog.

  2. Click on the Text tab if not already selected.

  3. Click your mouse cursor inside the Text data-entry box.

  4. Edit the text as necessary.

  5. Click OK to return to the prompt dialog.

See Next:

Editing the Default Reply


Editing the Default Reply

The Default Reply is a sample response which displays in the reply box on the prompt dialog at print time. However, depending on the data source type selected, the Default Reply may also display on your label format and on the prompt dialog in Prompt Design View.

You can enter any text necessary to display as a default reply to a prompt. You could even enter a default reply as a response that is true in most situations but could potentially change.

For example, an object on a shipping label might be set to prompt for a shipping method. If the standard shipping method is UPS Ground, then "UPS Ground" can be entered as the default reply when designing the label. At print time, "UPS Ground" will display in the reply box. If no response is entered into the reply box at print time, "UPS Ground" will print on the label. However, if desired, a user can override the default reply by entering a different shipping method.

When you set a label object to Prompt at Print-Time, the Default Reply can come from any of number of different sources depending on which data source type is selected. When the data source type is set to "Screen Data," use the procedure below to edit the default reply. For other data source types, see the Default Reply message located in the Reply Options section of the Prompt at Print-Time options dialog for the source of the default reply.

To Enter a Default Reply

  1. Double-click on the label object for which you need to enter a default reply.

  2. Click on the Data Source tab if not already selected.

  3. If not done already, enable Prompt at Print-Time.

  4. Enter the default reply into the Default Reply data-entry box on the Data Source property page.

  5. Click OK.

  6. Repeat this procedure for each object that requires data to be entered at print-time. If an object has more than one substring, you need to individually enable Prompt at Print-Time for each substring for which you need data to be prompted.

See Next:

Understanding the Default Prompt Dialog


Changing Prompting Order

When a prompt dialog with multiple reply boxes displays at print time, the cursor will move from one reply box to the next each time you press TAB or ENTER. The order in which the cursor moves through the reply boxes depends on their position in the dialog.

To change prompting order, all you have to do is reposition your reply boxes.

Important: Prompting order is determined on a left to right, top to bottom order. Therefore, if you have two reply boxes on the same line, the reply box on the left will prompt for data before the reply box on the right. However, if the reply box on the right is slightly higher than the reply box on the left, the reply box on the right will prompt first.

See Next:

Resizing Objects on the Prompt Dialog


Resizing Objects on the Prompt Dialog

At times you may wish to resize the objects on the prompt dialog. Although there are several different types of objects which you can place on a prompt dialog, the basic process of increasing or decreasing the size of each object is the same. The easiest way to resize is using your mouse.

To resize an object using your mouse:

  1. Click on the object you want to size. The sizing handles will appear.

  2. Position your mouse cursor over one of the handles.

  3. Click and hold your left mouse button and drag your mouse until the object is the correct size.

You can also resize an object using the appropriate property page for the selected object. Below is a list of prompt dialog objects along with the appropriate property page and the options necessary to resize.

Object | Property Page | Sizing
User Prompt | Text | Width
Reply Box | Reply Box | Lines, Width
Regular Text Object | Text | Width
Group Box | Group Box | Height, Width
Line | Line | Length

See Next:

Responding to Prompts at Print-Time


Update Default Reply After Print

This option allows you to specify that the last reply entered in response to a prompt at print time will be displayed as the new default reply. When this option is enabled, after completing each print job, the data entered in response to a prompt will be displayed as the new default reply data for the next print job. When you exit from the prompting mode at the end of your last print job, the data on the screen will be updated to reflect the data entered in response to the most recently executed prompts.

  • Update Default Reply After Print. Used to specify that the last reply entered in response to a prompt at print time will be displayed as the new default reply.

See Also:

Print-time User Prompt

Creating a Print-Time Prompt

Understanding Prompt at Print-Time


Serializing Identical Copies

The Serialize identical copies option specifies that the substring data should be serialized even on otherwise identical copies of the label.

See Also:

Incrementing and Decrementing Data

Rollover/Rollunder

Preserving Substring Length

Updating Serial Numbers After Print


Incrementing and Decrementing Data

The Increment option consists of four parts which, when combined, tell BarTender exactly how you want a data substring to be serialized.

The first part of the Increment option consists of two radio buttons which allow you to specify whether you want the substring data to increment or decrement. The second part allows you to fill-in a value that specifies how much to increase or decrease the substring data. The third and fourth parts of the option allow you to specify how often you want the data to increment or decrement.

The default settings for this option specify that the substring is to "Increment by 1 every 1 label." For most purposes, these settings work well. However, suppose you want the substring data to decrease by a value of 5 every other record. You would change the settings to read "Decrement by 5 every 2 records."

See Also:

Rollover

Preserving Substring Length

Serializing Identical Copies

Updating Serial Numbers After Print


Preserving Substring Length

This option specifies whether or not the total number of characters in a substring will increase (or decrease) by one when the value for the substring reaches the highest or lowest value possible for the substring's length.

By default, the Preserve substring length option is disabled. This means that when the specified substring reaches its highest (or lowest) value, it will automatically increase (or decrease) normally to its next value. For example, a three-character numeric substring will increment past the value of 999 to 1000, 1001, 1002, etc. A three-character numeric substring will decrement past the value of 100 to 99, 98, 97, etc.

When the Preserve substring length option is enabled (and the specified substring is set to increment), BarTender will increment the substring to the highest value possible for that substring's length. After it reaches that value, BarTender will start over at the lowest value possible for the substring's length. For example, a three-character numeric substring will increment up through 999 and then start over at 001, 002, 003, etc. The same three-character substring would decrement to 001 and then start over at 999, 998, 997, etc.

See Also:

Incrementing and Decrementing Data

Rollover/Rollunder

Serializing Identical Copies

Updating Serial Numbers After Print


Rollover/Rollunder

Rollover

The Rollover option lets you specify a maximum (or minimum) allowable value beyond which the data cannot increment (or decrement). Like the Increment/Decrement option, the Rollover option consists of multiple parts. The check box allows you to enable or disable the option. When the option is enabled, the second part of the option allows you to fill-in a maximum rollover value (or rollunder value if the substring is set to "Decrement"). The last part of the option allows you to specify a value to reset to when rollover or rollunder occurs.

For example, let's suppose that you want a substring to increment up to the value of 5,000 and then start over at 1,000. First, you would enable the Rollover check box for the specified substring. Then, you would set the Limit to "5,000" and Reset to "1,000."

See Also:

Incrementing and Decrementing Data

Preserving Substring Length

Serializing Identical Copies

Updating Serial Numbers After Print


Specifying a Custom Character Set for Serializing

Specifying a Custom Set of Characters for Serializing Substring Data

The Sequence option is used in conjunction with the Type option to display a sample of the set of characters which is being used to serialize the substring data. When the "Custom" setting has been selected, the Sequence option allows you to type in any custom set of characters to be used for serializing the substring.

Important: BarTender does not allow you to specify the same character twice in a custom set of characters. If you do repeat a character in the data string that you specify, BarTender will automatically end the sequence just prior to the repeated character. For example, if you type in a five-character sequence of 24682, BarTender will only use the first four characters in the sequence.


Specifying a Character Set for Serializing

Specifying a Set of Characters for Serializing Substring Data

The Type option specifies the set of characters that will be used to serialize the substring data. The "Alphanumeric" setting works best for most purposes and is the default setting. However, you can also choose from six other settings, including a "Custom" setting which works in conjunction with the Sequence option to allow the specification of any unique set of characters.

Note: In what follows, "alpha" refers to uppercase letters only. Lowercase serialization is not supported.

Choose from any of the following settings:

  • Auto Alpha or Numeric. With this setting, BarTender automatically senses at print-time whether the initial characters in the substring to be serialized are numeric or alphabetic and maintains compatibility with that character set. That is, if the characters to be serialized start out as numeric, the serialized data will continue to be numeric and, if the characters to be serialized start out as alphabetic, the serialized data will continue to be alphabetic.

  • Numeric (Base 10). The set of characters in the serialized substring will be made up of the ten digits 0 through 9 only.

  • Alpha. The set of characters in the serialized substring will be alphabetic only. (Although there are 26 characters in this set, we do not refer to it as base 26, because it does not start with 0, as do standard numbering systems.)

  • Alphanumeric. The set of characters used in the serialization sequence will include the ten digits 0 through 9 and the 26 characters A through Z (in that order). (Unlike the "Auto Alpha or Numeric" setting, both sets of characters are used, not one or the other.) Because there are 36 characters in this set, it is sometimes referred to as base 36.

  • Alphanumeric without I and O. Same as the alphanumeric set of characters, except for the absence of the letters "I" and "O," which are left out to avoid potential confusion with the numbers one and zero.

  • Hexadecimal (Base 16). Includes the ten digits 0 through 9 and the six letters A through F (in that order).

  • Custom. Allows you to specify any arbitrary set of characters with which to serialize.


Updating Serial Number After Print

Updating Substring After Print

When this option is enabled, the screen data for the serialized substring is updated after the print job to reflect any changes in the data that resulted from incrementing or decrementing.

See Also:

Incrementing and Decrementing Data

Rollover/Rollunder

Preserving Substring Length

Serializing Identical Copies


User Prompt

A User Prompt is a message displayed on the prompt dialog that requests a user to enter data into an associated reply box. The user prompt will not print and is for instructions only.


Reply Box

A reply box is a data-entry box displayed on the prompt dialog into which data is entered in response to a user prompt. If a default reply has been defined, it will be displayed in the reply box. At print time, a user can accept the default reply or enter new data into the reply box. If no reply is entered in response to a user prompt, the default reply will print.


Modify Text

The Modify Text dialog allows you to quickly and easily change the text for a text object or a group box without accessing the Text or Group Box property page. The Modify Text dialog options are summarized below.

  • Text. Used to enter the text you wish to be displayed on the prompt dialog.

  • Properties. Used to access the Text or Group Box property page.

For information about accessing the Modify Text dialog, see Using the Data Edit Tool.


Setting Up ODBC Parameters Specific to the Data File

Many types of data files have configuration parameters that apply only when using that specific type of file. For example, when reading from dBASE files, you need to specify whether you will be reading from dBASE III or dBASE IV files. Similarly, FoxPro and a number of other programs also support older data file versions, requiring that you specify which one you are using. Furthermore, it is sometimes necessary to specify which index file or files will be associated with the table from which data will be read.

If you are using an existing named ODBC data source, these parameters would have been specified when it was originally set up. However, occasionally you may need to change the settings via the ODBC Data Source Administrator. The two most important functions of the ODBC Administrator dialog are:

  • To specify the data file version

  • To specify which index file(s) to use

See Also:

Understanding ODBC


Specifying Which Index File(s) to Use

The ODBC Administrator's Driver Configure Setup dialog will sometimes have a list of one or more index files from which to choose. Properly specifying which indexes to use can be critical to system performance.

Many data source file types supported by BarTender have index information associated with them that can be found and used automatically by the ODBC drivers without your help. However, some types of data source files do not allow you to access any index information unless you explicitly specify which indexes are to be used. (Index files contain sorted information that allows records in data files to be found more quickly.)

The following lists specify some common data file types and whether or not their indexing information can be automatically found by the ODBC drivers used by BarTender.

Support Automatic Index Detection

Access

dBASE IV

FoxPro for Windows 2.5 (or greater)

Paradox

Require Explicit Specification of Which Index Files to Use

dBASE III

FoxPro 2.0

As indicated from these lists, when reading from dBASE IV files, the ODBC driver used by BarTender will automatically look for the associated index file. dBASE IV is one of a number of current database platforms that uses a "complex" index file typically containing several individual indexes. For example, a complex index file called CUSTOMER may contain individual indexes for a customer's name, address, city, state, and telephone. If the index file is given the same root name as the database, it is easy for the ODBC driver to detect and use it. Accordingly, unless a non-standard naming convention was intentionally used when the index files were originally created, the ODBC driver will find your dBASE IV index files even if you don’t explicitly specify which ones to use in BarTender's dBASE Setup dialog. However, this is not true when reading from dBASE III files.


Specifying the Data File Version

It is often not sufficient to merely select a generic data file type such as dBASE, FoxPro, or Paradox. For example, the file types for dBASE III and dBASE IV are different and not backward compatible. Similarly, the file formats for FoxPro 2.0, 2.5, and 2.6 also have important differences. Therefore, when specifying a named ODBC data source, you should examine the Driver's Configuration Setup dialog to see if multiple file versions are supported, and if so, which one was selected by default.


Placeholder Character Definition

Placeholder Character

The third part of the input mask, to the right of the second semi-colon, identifies the character placeholder that will be displayed in the Test option and in the reply box on the prompt dialog.

In the default input mask, the character entered as the placeholder character is the underscore. You can change the placeholder character by entering a new character into the Placeholder Character data edit box or by entering it directly into the Input Mask data edit box.


Specifying Whether or Not to Print Literal Characters

The second part of the input mask, in between the two semi-colons, tells BarTender whether you want any literal characters contained in the data template to be displayed in the label viewing area and printed on the labels.

When you first select "Set by Input Mask" from the Allowable Characters option, the default input mask starts out with a zero in location. This indicates that the literal characters in the input mask will be displayed with the screen data in the label viewing area, in the reply field on a prompt dialog, and in the printed data.

If you uncheck the Print Literal Characters option or delete the zero character and replace it with a one, the literal characters of the Input Mask will be displayed in the prompt reply field only but will not print.

For more information, see Understanding Input Mask Characters.


Accessing the Application's Start Up Command Line

Accessing BarTender's Start Up Command Line

Use the following procedure to access BarTender's start up command line.

  1. If you do not have a shortcut icon on your desktop, locate the bartend.exe file using the Explorer and position your mouse cursor on top of it.

  2. Click and hold your left mouse button and drag your pointer onto your desktop. A shortcut icon will automatically be created.

  3. Right click on BarTender shortcut icon and click on Properties.

  4. Click on the Shortcut tab.

  5. Enter the desired command line parameters into the Target edit box.


Deleting an Object

The Delete command erases the currently selected object from the label viewing area. (To remove an object from the label viewing area, but save a copy of its specifications in the clipboard at the same time, use the Cut command instead of the Delete command.)

To delete an object and save a copy of its specifications in the clipboard:

  1. Click on the object that you want to delete.

  2. Click on the Cut button [image] on the Main toolbar. The object will be removed from the label format but a copy of its specifications will be placed in the clipboard for use in another part of the same label format or in another label format altogether.

To delete an object when you no longer need its specifications:

To delete an object using the shortcut menu:

  1. Right click on the object that you want to delete.

  2. Click on the Delete command in the shortcut menu.

To delete an object using the Edit menu:

  1. Click on the object that you want to delete.

  2. Click on the Edit menu option in the main menu bar.

  3. Click on the Delete command in the Edit menu. BarTender will remove the selected bar code from the label viewing area.

Keyboard Shortcut: After you click on the object, press the DELETE key to erase it from the label viewing area.


Resizing an Object

The easiest way to change the size of an object is to use your mouse to drag one of the object's handles until the object is the desired size.

To resize an object using your mouse:

  1. Click on the object you want to resize to select it.

  2. Position the pointer cursor over one of the four corner handles to resize both height and width. To resize in only one direction, position the pointer over one of the side handles, or over the top-center or bottom-center handle.

  3. Click and hold down your left mouse button.

  4. Continue to hold down your left mouse button and drag the selected handle until the object is the desired size.

  5. Release the mouse button.

See Also:

Density of Bar Code

Height of Bar Code

Size of Text

Length of Line

Height of Box

Width of Box


Demagnifying an Object

Demagnifying the Format in the Label Viewing Area

Click on the Zoom Out button [image] on the Main toolbar. The label viewing area will be demagnified by the percentage of the zoom factor.

See Also:

The Zoom Out Command


Magnifying an Object

Magnifying the Format in the Label Viewing Area

Click on the Zoom In button [image] on the Main toolbar. The label viewing area will be magnified by the percentage of the zoom factor.

See Also:

The Zoom In Command


Specifying Ruler and Grid Settings

BarTender's rulers are displayed along the horizontal and vertical boundaries of the label viewing area. BarTender's grid supplements the rulers by allowing you to display a specific number of grid points along each axis of BarTender's viewing area. These features can be very helpful during label setup, especially while sizing and placing objects.

To specify the ruler settings:

  1. Display the View Options dialog by selecting View Options from the View menu.

  2. Enter the number of divisions you want for each unit of measure in the Divisions per inch (for Rulers) option.

  3. If you want to position and size objects according to the ruler's coordinates, enable the Snap option by clicking on the check box.

  4. Click on the OK command button.

To specify the grid settings:

  1. Display the View Options dialog by selecting View Options from the View menu.

  2. Enter the number of divisions you want for each unit of measure in the Divisions per inch (for Grid) option.

  3. If you want the grid points to appear in the label viewing area, enable Show option by clicking on the check box. (To hide the grid points, disable the Show option by clicking on the check box again.)

  4. Click on the OK command button.


Specifying a Database

The simplest type of database from which to read is a text file with delimited or fixed-width fields. The following is the procedure to tell BarTender to read from a simple text file.

To specify a text file from which to read label data:

  1. Click on File on the main menu; then click on Database Connection Setup to display the Add Database Connection Wizard Setup dialog. After reading the Add Database Connection Wizard first page text, click Next>.

  2. From the Add Database Connection Wizard — Type dialog, specify the delimitation method. Then click Next>. (Delimitation is how BarTender knows where one field ends and another field begins. The default delimitation is "Mixed Quote and Comma." For more information about the four delimitation methods, see "delimitation" in the help index.)

  3. From the Add Database Connection Wizard — File dialog, click on Select File to specify the file from which to read. The Specify Data File dialog will display. Use it to locate the folder and file name.

  4. When you have selected the data file to use, click Open.

  5. Click Next>to display the Add Database Connection Wizard — Delimitation dialog, and select the Delimitation Type. Click Next>.

  6. From the Add Database Connection Wizard — Fields dialog, answer yes or no to the displayed question, and click Finish.

  7. To return to your label format, click OK on the Database Connection Setup dialog.

See Also:

Specifying an Existing Named ODBC Data Source

Creating a New Named ODBC Data Source

Understanding OLE DB

Understanding SAP IDocs


Modifying the Data Source for Label Objects

  1. To modify the data source for your bar code, RFID, and text objects, use the following procedure.

  2. Double-click on the object whose data you want to modify. Depending on the object type, BarTender will display either the Modify Bar Code or Modify Text tabbed dialog.

  3. Click on the Data Source tab to display the Data Source property page.

  4. To change the data source for the selected object, click on the down arrow to the right of the Source option to display the list of data sources. Click again on the desired data source.

  5. Use the other options on the Data Source property page to modify the data as necessary.

See Also:

The Data Source Property Page

Available Data Sources for Label Objects


Modifying the Screen Data for Label Objects

A new bar code, RFID, or text object always uses screen data as its default data type. The easiest way to change the screen data for a text or bar code object is to use the Data Edit button on the Main toolbar, as described below. (You can also edit the screen data from within the Data Source tab of the Modify Object tabbed dialog.)

To modify the screen data of an object:

  1. Click on the Data Edit button [image] on the Main toolbar.

  2. Click on the desired object. BarTender will display the Modify Screen Data dialog. The cursor will be blinking in the Screen Data option to show that you can type in the data for the selected object.

  3. Use your keyboard to enter the data for your object.

  4. Click on the OK button. BarTender will redraw the object using the new screen data.

See Also:

The Data Edit Tool

Displaying the Data Source Property Page


Printing Your Labels

  1. Click on the Printer button [image] on the Main toolbar or the Print option in the File menu to display the Print dialog.

  2. Confirm that the right printer name is selected. (It is strongly recommended that you never design labels while the wrong printer name is selected as it can significantly slow down printing performance.)

  3. If any of the objects in your label format use data from a data source file, the Database check box should be enabled. When enabled, you can use the Database Connection Setup button to display the Database Connection Setup dialog.

  4. Type the number of copies desired of each label into the Identical Copies of Label option.

Note: If you need to specify the number of identical copies using a data file or a prompt at print time, click on the Options button to access the Identical Copies of Label property page.

  5. If you are specifying a sequence of labels, type the length of the sequence into the Number of Serialized Labels option. (Keep in mind that in order to specify a sequence of labels, the Serialize option on the Data Source property page must be enabled for one or more label objects.)

Note: If you need to specify the number of serialized labels using a data file or a prompt at print time, click on the Options button to access the Number of Serialized Labels property page.

  6. Click on the Print button, and BarTender will do one of the following:

    • If the objects on your label format use only screen or Database Data, BarTender will begin printing your labels.

    OR

    • If any objects in your label format are set to prompt at print-time, BarTender will display the prompt dialog. When you finish entering all the data necessary to print the label(s), click on the Print button, and BarTender will begin printing your labels. If you need assistance, click on the Help button inside the prompt dialog.

See Also:

Print

Database Connection Setup Dialog


Selecting a Printer

  1. Click on the Printer button [image] on the Main toolbar or the Printoption in the File menu to display the Print dialog.

  2. Display the drop-down list of installed printer drivers by clicking on the down arrow on the right side of the Name option.

  3. Click on the name of the printer to which you will be printing. If necessary, click on the Properties button to display and modify the printer settings for the selected printer.

  4. Click the Close button to return to the label viewing area.

See Also:

Print


Setting Objects to Prompt for Data

To set an object to prompt for data:

  1. Double-click on the object for which you want the data to be entered at print-time. BarTender will display the Modify dialog.

  2. Click on the Data Source tab to display the Data Source property page.

  3. Click on the Prompting button to access the Prompt at Print Time Options dialog.

  4. Click on the Prompt at Print-Time option box to enable the Prompt Options and Reply Options.

  5. Use the Print-Time User Prompt option to enter the appropriate prompt.

  6. Set any other options as desired.

  7. Click the OK button to return to the Data Source property page.

  8. If the selected data source is Screen Data, enter the default reply into the Default Reply data-entry box on the Data Source property page. Click the OK button.

  9. Repeat this procedure for each object that requires data to be entered at print-time. If an object has more than one substring that you want prompted for data, you must individually enable Prompt at Print-Time for each one.

See Also:

Understanding Prompt at Print-Time


Setting up a Field that Counts

Sometimes you may want to set up a field that counts the number of labels. For example, 1 of 5, 2 of 5, 3 of 5, etc. The following set of instructions will help you to accomplish this.

  1. Place a text object on your label format.

  2. Double-click on it to access the Data Source property page.

  3. Type a "1" into the Screen Data option.

  4. Click on the More Options button. A list of additional options will be displayed.

  5. Select Serialization from the list. The More Data Source Options dialog will be displayed with the Serialization tab already selected.

  6. Enable the Serialization check box.

  7. Turn off Update substring after print.

  8. Click OK to return to the Data Source property page.

  9. To add additional substrings, click on the Advanced button to view the advanced data source options. In the Substring List option you will see a single substring.

  10. Double-click on the empty substring cell at the end of the list. The Source list will drop down.

  11. Select Screen Data from the list of data sources.

  12. In the Screen Data edit box, type a space, "of" and another space.

  13. Double-click on empty substring cell at the end of the list.

  14. Select Screen Data from the list of data sources. (If you have a field which contains the total number of labels to print, you can choose Database Field from the list and specify the correct field in the Field Name option.)

  15. Type "1" into the Screen Data option. However, since the total number of labels to print will likely change, you will want to share this substring with the Number of Serialized Labels option on the Print dialog. To do this:

  • Click on the Share/Name tab

  • Click inside the Share Name option

  • Type "number of labels to print"

  16. Click OK to return to your label format.

  17. Access the Print dialog using the toolbar button or the File menu.

  18. Click on the Options … button next to Number of Serialized Labels.

  19. Select Set by Data Source and click on the Data Source tab.

  20. To share this field with the share name previously setup:

  • Click on Advanced

  • Click on the Share/Name tab

  • Click on the down arrow next to the Share Names option for a list of available share names and select "number of labels to print."

  21. Click on the Screen Data tab and click on the More Options button and select Prompting from the list.

  22. Click on the check box to enable Prompt at Print Time.

  23. In the Print Time User Prompt option, type "Number of Labels to Print."

  24. Click OK to return to the Print dialog.

  25. Click Close to return to your label format.

  26. When you print this label format, you will receive a prompt at the start of the print job requesting you to enter the number of labels to print. The printer will not only print the number of labels you enter but will print on the label the number you enter and will serialize each label until that number is reached. For example, after performing the previous steps, your label format will read "1 of 1." If when you print you enter a "4" in response to the prompt "Number of Labels to Print," your labels will print out as follows:

    1 of 4

    2 of 4

    3 of 4

    4 of 4


The Prompt Design Screen

Prompt Design View is used to customize a prompt dialog. Many of the tools used to create and format labels are available for designing prompt dialogs. The main difference is the display of a prompt dialog instead of a label format.

You can switch from Label Design View to Prompt Design View by selecting Prompt Design View from the View menu.


resize buttons (for

Resize Buttons (for BarTender's main window)

Buttons used to specify whether the BarTender window will be displayed in a full or partial window or minimized to an icon.


resize buttons (for BarTender's format windows)

Resize Buttons (for the label format windows)

Buttons used to specify whether the active label format window will be displayed in a full or partial window or minimized to an icon.


Rotation Tool

To rotate an object with the mouse:

  1. (You can do this step and the next one in either order.) Select the object you wish to rotate, if it isn't already selected.

  2. Click the Rotation Tool button, [image], on the Main toolbar. Some of the handles on the object will change from square to round.

  3. Move the cursor over one of the round handles. It changes into a rotation cursor.

  4. Hold the left mouse button down and drag the handle to rotate the object around it's rotation point. For lines, boxes, and pictures, you can control how much the object rotates by positioning the rotation cursor closer or farther from the rotation point: To increase the angle of rotation in small degrees, drag the cursor away from the rotation point while rotating. To increase the angle of ration in large degrees, drag the cursor close to the rotation point while rotating. Lines, boxes, and pictures can rotated to a precision of 0.1 degrees.

Note: You can also rotate an object using the Rotate dialog accessed from the Arrange menu or the three rotation buttons on the Arrange toolbar.

Note: You can change the rotation point from the Advanced Rotation Settings dialog accessed by clicking the second Advanced button on the Position tab in the Modify Selected … Object dialog.


Rulers

Horizontal and vertical rulers displayed along the top and left side of the label viewing area to help position objects on the label.


Launching the Application

Running BarTender

  1. Click the Windows Start button.

  2. Point to Programs and then navigate to BarTender's folder.

  3. Click on BarTender's icon.

See Also:

Running BarTender from Other Programs


Select Profile Dialog

Windows Messaging Setup Dialog

This dialog is opened (when Windows Messaging (MAPI) is selected as the Mail System) from the E-Mail tab of the Messages Setup dialog. Use it to change the Mail/Messaging system profile that BarTender will use to send messages, or use it to setup a new Mail/Messaging system profile. Unless you specify otherwise, BarTender will use the default profile of the computer's currently logged-in user.

Click Use Profile to activate the features of this dialog.

  • Profile. Select a profile from the drop down list, or click the Setup button to setup a profile in Windows. See Windows help for details.

  • Password. Enter the password for the selected profile.

See Also:

Understanding Mail/Messaging Profiles


Status Bar

Displays information specific to the label format and the currently selected label object. However, when your mouse pointer is positioned on a toolbar or menu item, a temporary help line about that item will be displayed instead. (See Status Bar.)


Substring Cell

Any single line displayed in the Substring List option. Each substring cell contains the data for a single data substring. A substring list may contain an unlimited number of substring cells with each cell containing data from any one of the five data types used by BarTender. The graphic to the left shows a substring list with two cells. The top cell is empty, waiting for a data type to be specified. The second cell contains the sample data for a screen data substring.


Substring

The set of data characters assigned to a bar code, RFID, or text object that will print out for that object at print-time. This data may consist of screen data, input file data, prompt at print-time data, the date or the time. While it is frequently necessary for bar code, RFID, and text objects to receive their data from a only single substring, sometimes it is necessary for label objects to receive their data from multiple substrings.


Title Bar

The horizontal bar positioned along the top of BarTender's program window that displays BarTender's name and the name of the active label format.


toolbox definition

Tool Box

A collection of panes from which users can quickly add to their label basic objects, predefined, reusable components, data sources, and symbology-specific bar codes. See The Toolbox for details.


Transparent Effects

Enabling Use Transparent Effects on the General Options dialog turns on the following effects:

  • Off-Label Blending. When an object is partially off the label, the part that is off becomes semi-transparent.

  • Semi-transparency During Screen Manipulation. When an object is being moved, rotated, or resized using the mouse, it becomes semi-transparent so that objects it overlaps are visible.

Note: The movement of of objects and the resizing of the BarTender window may be slowed by this option on computers without graphics cards.


Understanding Mail/Messaging Profiles

Understanding Mail/Messaging System Profiles

The Mail/Messaging system enables applications, like BarTender, to send e-mail, or use other message system features, without the need for any user action.

If the application is configured on the E-Mail tab of the Messages Setup dialog to use Windows Messaging (MAPI), instead of Internet Mail (SMTP), as the Mail System; then, it must login to the Mail/Messaging system similarly to the way computer users typically must login to a network. Just as the network must have the user's name and password on file, so too the Mail/Messaging system must have a record of profiles and their associated passwords. A profile includes such things as an address book, a mail folder, and one or more mail services. A mail service is a system or protocol for passing messages. Some common mail services are SMTP, POP3, Lotus CC:Mail, and Microsoft Exchange. Your place of work may even have a custom-made mail service.

Profiles are always relative to both a user and a particular computer. Different users logging into the same computer may have different profiles available, and a given user may have different profiles available on different machines.

Unless it is told otherwise, BarTender will use the default profile of whatever user is currently logged into the computer. You can tell it to use a different profile by clicking the Setup button on the E-Mail tab of the Messages Setup dialog. The dialog that opens will vary, depending on the mail service selected in the Mail System box to the left of the button.

Each time BarTender has a message to send, it logs into the Mail/Messaging system using the designated profile and password and sends the message with no user intervention required.


Understanding Prompt at Print-Time

When you design a label and the data for one or more label objects will not be known until print time, you can configure BarTender to display a prompt dialog at the start of a print job which allows you to enter the necessary data. For example, you may need to print a standard shipping label which includes the weight of a package, but the weight of the package may be not be known until print time.

For more information about using Prompt at Print-Time and the Prompt dialogs, click on the desired topic below.

  • Enabling Prompt at Print-Time

  • Editing the User Prompt

  • Editing the Default Reply

  • Understanding the Default Prompt Dialog

  • Customizing a Prompt Dialog

  • Changing Prompting Order

  • Responding to Prompts at Print-Time

  • Understanding the Print Wizard

Note: If the data you want to prompt for is not the data that will appear on the label, but is instead data that will be used as a criterion in an SQL query executed at print-time, then use BarTender's query prompting feature rather than the prompt at print-time feature.


Understanding Reading Order

There are two senses in which text can have a reading order. Each language has an inherent reading order and, in text that mixes languages, there is a reading order for the separate runs of characters from each language.

Reading Order Inherent to a Language

The inherent reading order of a language is the direction in which its symbols are read and written. Most languages read from left to right, as does English, Spanish, and Russian. A few, such as Hebrew and Arabic, read from right to left. Examples:

English is Left-to-Right (LTR):

People ought to wear more hats.

Start→

Hebrew is Right-to-Left (RTL):

אנשים צריכים ללבוש יותר כובעים.

←Start

Reading Order in Directionally Mixed Text

When a line includes text from both RTL and LTR languages, then it consists of separate runs of characters from each language. Within a run, the characters use the language's inherent reading order. But the series of runs also has a reading order, defined by the author's intent. When some Hebrew is included in text intended for English readers, then the overall reading order is LTR. In this example, the numbers indicate the reading order of the runs and the arrows show the reading order within each run:

The Hebrew word for hat is כובע, which is hard to pronounce.

|1→ |←2| 3→ |

When English is included in Hebrew, the overall reading order is RTL:

המילה של אנגלית לכובע hat, שקשה לבטא.

| ←3|2→| ←1|

Directionally Mixed Text in BarTender

When text is printed with the wrong reading order, the results can be dramatic. The following text, which is a translation into Hebrew of the English term 2.5" Screw, is displayed LTR as intended.

2.5" הברג

|1→ | ←2|

If the text were displayed RTL, it would look like this:

2.5" הברג

| ←2|1→|

For this reason, BarTender enables you specify the reading order of runs in directionally mixed text. You can set a reading order for all edit boxes in the BarTender user interface on the Format Options dialog. Each text object on a label format has its own Reading Order setting on the Text tab of the Modify Selected Text Object dialog for the object. Similarly, every prompt object that has text has its own Reading Order setting on the Modify Selected Objects dialog.


Understanding Reference Points

Objects on labels are positioned with X and Y coordinates. The X coordinate is the distance of the object, right or left, from a certain point on the label. The Y coordinate is the distance, up or down, from that same point. The point is called the label reference point. When you are designing a label, you can choose any of nine locations on the label to be the label reference point. Your options are shown here as red boxes on the following image. (Top Left is the default.)

Note: The red boxes are for illustration only. they do not appear on the actual label design screen.

If the label is round or elliptical, the nine possible reference points are the center and around the perimeter of an invisible rectangle whose lines intersect the label at its highest, lowest, rightmost, and leftmost points:

Precise positioning requires that another question be answered: What point on the object (center?, upper left corner?, etc.) should be the point that is placed precisely at the XY coordinate? This point is called the object reference point, and when designing the label and placing objects on it, you can give any of nine possible answers to this question. Your options are shown as green boxes on the following image. (Top Left is the default.)

The label reference point serves as the center of a Cartesian coordinate system and the object reference point is a point in that system. So, the X coordinate of an object is the right-to-left distance of its object reference point from the label reference point. The Y coordinate is the up-down distance of the object reference point from the label reference point.

Note: The object reference point for a line object will always be the center point of the line. Also, you are not required to specify the position of a line in terms of the XY coordinate of the object reference point relative to the label reference point. You have the option of using the XY coordinate of one or the other end point of the line (relative to the label reference point).


Possible Script-based Actions

These are just some actions that might be performed using BarTender's scripts:

  • Start a special output file.

  • Write to a file.

  • Pop up a message.

  • Cancel a print job.

See Also:

Possible Script-based Data Processing Tasks


Possible Script-based Data Processing Tasks

These are just some data processing tasks that might be performed using BarTender's scripts:

  • Discard a portion of the data for a substring.

  • Change all characters to upper case.

  • Format numeric data to look like a price.

  • Compute a custom check-digit.

  • Perform some math on a numeric value.

  • Modify the data in other substrings.

See Also:

Possible Script-based Actions


Performance Warning for "OnIdenticalCopies" Event

When you set a value greater than one in the Identical Copies of Label option on the Print dialog, BarTender normally takes advantage of certain high-speed capabilities built into your printer. BarTender can send the label to your printer once and instruct the printer to print the desired number of identical copies. This saves the time that would have been required for BarTender to send the identical label image to your printer over and over again for each printed label.

However, if you write a script for the OnIdenticalCopies event, it will be executed for every label that is printed, even if the labels are identical. This requires that BarTender disable the previously mentioned printer optimization, which can result in a significant loss in performance.


OnNewRecord

When reading from a data source file, an OnNewRecord event script will be executed each time a new record is read from your database or text file at print time.


OnScreenUpdate

OnScreenUpdate is unique because execution is not limited to print time only. Instead, an OnScreenUpdate event script but will execute any time a label object is updated on the screen. Label objects are updated on the screen in response to a number of events.

  • Clicking OK to exit a dialog.

  • Returning from the Prompt Design view to the Label Design view.

  • In a few instances at the beginning and end of a print job.

Although other uses may exist, the most important labeling task for this event is to write scripts that give an on-screen value to a non-printing object that is being used to create a print job log file.


OnSerialize

OnSerialize is called when serialization might occur for a label format. The frequency of execution of the OnSerialize event depends on the number of serialized labels being printed. This is true regardless of whether the number of serialized labels is specified in BarTender's Print dialog or is being read from a data file.

If the Number of Serialized Labels in the Print dialog is given a set value, and no serialization values are being read from a data file, that value will specify how many times the OnSerialize event is called per label job.

If the value for the number of serialized labels is being read from a data file (which means a new serialization value for each record), then the value read in for each record specifies how many times the OnSerialize event is called for each corresponding record. (The total number of times OnSerialize is called per label job will be equal to the sum of the serialization values read in for each record.)

Serialization need not be enabled for any objects on the label for the OnSerialize script to be called. As long as the OnSerialize event contains a script, that script will be called according to the frequency defined above.


Defining and Using Global Variables

The Functions and Subs script, available when using Event Control Scripts, can be used to declare variables that can be accessed by multiple scripts for a single label object substring. However, because of the way Visual Basic Script works, BarTender does not in the conventional sense support variables that are global to an entire label design (and therefore shareable by scripts for different label objects). However, the shared substrings that can be defined using BarTender's Data Source property page in its advanced mode provides us with two general ways to share data between multiple label objects when using Visual Basic Scripts.

Sharing Script Output Between Label Objects

If all you need to do is share the output of a script with multiple label objects, define a share name for the script that you want to share. Then double-click on any of the other label objects whose data you want to come from your shared script and specify the same share name. When you are done setting up the sharing, you will notice that each of the associated substrings will contain the same script in the Data Source property page. (When using multi-line scripts, don’t forget that you won’t have any output to share unless you begin the last line of your script with "value =" and then follow that with the output value that you want to share.)

To Define "Global" Variables to be Used by the Scripts of Multiple Label Objects

The sharing of script output between label objects (as covered in the previous paragraph) does not address the possible need to access and modify a variable from within the scripts of multiple label objects. However, true "global" variables are not supported by BarTender in the conventional manner most Visual Basic programmers are familiar with. Instead, you can use one or more substrings with share names as if they are global variables.

Additional Thoughts on the Creation of Global Variables

Since you can access and/or modify any named substrings from inside of any of your Visual Basic Scripts, they are effectively global variables, even though they are not defined using the conventional Visual Basic technique.


Defining Global Variables Using Substring Share Names

Note: The following procedure defines a single label object with one substring for each desired global variable. However, by enabling Do Not Print Object, we effectively remove it from the printed label. In other words, we create a label object but aren’t really using it as a label object. (If you are distracted by the on-screen version, you can always use your mouse to move it off your label. Or, if you prefer, you can change the color of the text to white. Just remember where you put it, so you don’t lose it!) Note that, although we give each substring a share name, it is not necessary to have another object share this data in order to reference the share name from your script.

  1. Create a text object in your label design area in the normal manner.

  2. Double-click on the text object to bring up the Modify Object dialog.

  3. Click on the General tab and enable the Do Not Print Object option.

  4. Click on the Data Source tab and then the Advanced button.

  5. Click on the General tab in the Substring group box and type the name of a desired variable into the Share Name edit box.

  6. Click on the Screen Data edit box and replace "Sample Text" with the value to which you would like to initialize your variable.

Important: Your variables will only be initialized to Screen Data value when you first load your label format. If the value stored in the variable is changed by the execution of your scripts, and you need to have a known starting value at the beginning of a print job, you will have to use Event Control Scripts and the OnPrintStart event to initialize your variables.

If this is the only global variable you will need, you are done. Otherwise, continue with these steps:

  1. To define another global variable, click in the empty box at the end of your Substring List.

  2. In the Source option, specify Screen Data.

  3. As in steps 5 and 6, enter in a Share Name for the new variable and replace the "Sample Text" with the desired initialization value.

  4. Re-perform steps 7, 8 and 9 for each additional global variable you wish to define.


The Two Main Uses of Scripts

A Visual Basic Script can be written to perform a surprising number of tasks. However, certain challenges are better suited to script-based solutions than others. BarTender's scripting capability is typically used to test for a condition or wait for an event and then:

  • Change data that has been read into BarTender or combine it with other data in a special way.

AND/OR

  • Trigger a user-defined action.

Possible test conditions that might cause a script to start or affect its operation.

Possible events that might cause a script to start.

Examples of data processing that might be performed using scripts.

Examples of actions that might be performed using scripts.


Launching Scripts in Response to Application Events

Launching Scripts in Response to Events

Terminology can differ somewhat between software programs and computer languages and the definitions of "event" and a "test condition" sometimes overlap. In general, however, a "test condition" consists of an examination of some data and an if comparison. In contrast, an "event" is associated with a when, rather than an if.

To avoid unnecessary confusion, BarTender's Script Assistant does not support different types of events unless the Type option of the Visual Basic Script data source has been set to "Event Control Scripts." In that case, scripts can be written that execute in response to any of a number of events, such as the beginning or end of a print job, or a new record being read from a database.

For more details on events and event handling, see Event Control Scripts.


Test Conditions

In software jargon, a "test condition" in a Visual Basic Script is an examination of certain data that, depending on the results, causes an action to be taken or data to be altered. The examples below are not Visual Basic code, but simply English language expressions intended to demonstrate some common test conditions.

  • If the data field has leading or trailing blank characters, then …

  • If dash characters or commas are found in the field, then …

  • If the data in the price field is greater than $100, then …

  • If the data field contains any non-numeric characters, then …

  • If the data field is more than 25 characters long, then …

  • If the data field is empty, then …

Tests need not be performed individually, as shown above, but can also be performed as part of a group of tests joined by any of a number of operators such as "and" and "or." For example:

  • If "this" and "this," then …

  • If "this" or "this," but not also "this," then …

Finally, if a condition test does not pass, an optional "else" clause may be used, possibly containing an additional test condition of its own. (The examples below may read better if you mentally substitute the word "otherwise" for "else.")

Example with simple "else":

If the price is greater than $100 then

perform a function, computation or change the data

else

perform an alternate function or computation, or change the data in some other way

Example with "else" that includes an alternate test condition:

If the customer name field contains any trailing space characters (or "blanks")

remove the trailing spaces

else, if the customer name field contains any leading space characters

change the leading spaces to asterisks


Different Types of Event Scripts

Two Special Event Scripts

The Functions and Subs and OnAutoSelectedEvent scripts referenced at the top of the Event List are different from the other listed scripts and merit special discussion. For more information, see Two Special Event Scripts .

Regular Event Scripts

Clicking on a name in the Event List highlights that event makes the associated script available for creation or editing in the edit box area. For a list of available events, see Regular Event Scripts.

See Also:

Event Control Scripts

Using The Script Assistant


Vertical Scroll Bar

The vertical bar along the right edge of BarTender's label viewing area which allows you to move the contents of the active window up or down when more information is available than will fit into the label viewing area.


Divisions per Inch for Grid

Divisions per <unit> (for Grid)

The Divisions per <unit> for Grid option in the View Options dialog (where <unit> is inch, cm, mm, or the system default) allows you to specify the number of equally spaced grid points which will appear for each unit of measure in BarTender's label viewing area. For example, the default setting, 8, displays grid points one-eighth of an inch apart on the label viewing area. If your unit of measure had been set to centimeters, the grid points would be displayed one-eighth of a centimeter apart in the label viewing area. BarTender allows you to specify from 1 to 100 divisions per unit.

See Also:

Show Grid


Show Grid

Show (for Grid)

The Show option in the View Options dialog allows you to specify whether or not you want the grid points to appear in the label viewing area.

See Also:

Divisions per <unit> for Grid


Alignment for Group Box Headings

Alignment

When you add a group box to a prompt dialog, the heading text is automatically placed along the top of the box. Using the Alignment on the Group Box property page, you can specify where this text is placed along the top of the box.

Below are the different alignment selections and how they effect a group box heading.

  • Left. Used to position heading text at the left edge of the group box. (Default)

  • Center. Used to position heading text between the left and right edges of the group box.

  • Right. Used to position heading text at the right edge of the group box.

See Also:

Understanding Prompt at Print-Time


Resizing the Prompt Dialog

To Resize Using your Mouse:

  1. Click on the prompt dialog.

  2. To adjust the height, position the mouse cursor over the bottom handle.
    To adjust the width, position the mouse cursor over the right handle.
    To adjust both height and width at the same time, position the mouse cursor over the lower-right corner handle.

  3. Click and hold down your left mouse button.

  4. Drag the selected handle until the prompt dialog is the desired size.

  5. Release the mouse button.

To Resize Using the Property Page:

  1. Double-click on the prompt dialog to display the Dialog property page.

  2. Place your cursor in the Height or Width data entry box, and type the desired measurement.

  3. Click the OK button.

See Also:

Understanding Prompt at Print-Time


Resizing a Reply Box

The easiest way to resize a reply box is using your mouse. However, the Lines and Width options on the Reply Box property page allow you to manually enter the exact number of lines and the width of a reply box. Both methods are described below.

Mouse Method:

  1. Click on the desired reply box on the Prompt Dialog.

  2. Position your mouse cursor over the appropriate sizing handle.

  3. Click and hold down your left mouse button.

  4. Drag the selected handle until the text object is the desired size.

  5. Release the mouse button.

If you need to specify an exact measurement, you can manually enter it into the Lines and Width options on the Text property page using the following method.

Property Page Method:

  1. Double-click on the object to display the Modify Selected Objects tabbed dialog.

  2. Click on the tab for the Reply Box property page.

  3. Select Lines to enter an exact number of lines and type the desired number into the data-entry box.

  4. Select Width to enter an exact horizontal dimension and type the desired width into the data-entry box.

  5. Click the OK button.

See Also:

Understanding Prompt at Print-Time


Units of Measure

The Units option in the View Options dialog allows you to specify inches, centimeters, millimeters, or use the computer's default setting as the unit of measure in BarTender. This affects all menu options which are related to a measurement of horizontal or vertical distance, such as the height of a bar code, the distance of the human readable characters from a bar code, and the position of an object on the label.

See Also:

Divisions per <unit> (for Rulers)

Divisions per <unit> (for Grid)


Divisions per Inch for Rulers

Divisions per <unit> (for Rulers)

The Divisions per <unit> for Rulers option (where <unit> is inch, cm, mm, or the system default) in the View Options dialog allows you to specify the number of division marks in each unit of measure on the rulers. For example, with the default setting of 16, division marks will appear in the rulers every 1/16". Likewise, if your unit of measure is set to centimeters, 16 division marks will appear in each centimeter of the rulers. BarTender allows you to specify from 1 to 100 divisions per unit.

See Also:

Snap to Rulers


Snap to Rulers

Snap (for Rulers)

The Snap option in the View Options dialog allows you to specify whether or not objects will be placed and sized according to the divisions of the ruler. With Snap enabled, the positioning and sizing of objects is constrained by the position of the division marks of the rulers. This makes it easier to precisely position and resize objects. When Snap is disabled, you have complete freedom of movement when positioning and sizing the objects on your label.

To turn the Snap option on and off, just select or deselect the Snap option by clicking on the check box with your mouse.

See Also:

Divisions per <unit> for Rulers


Alignment of Text in Prompt Dialog Objects

Alignment

The Alignment is used to specify whether the text in a user prompt or regular text object will be positioned at the left or right edges of the object or centered between the edges. Examples are shown below.

LEFT ALIGNED (Default)
Creating and printing labels is easy for novice and experienced users alike.

CENTER ALIGNED
Creating and printing labels is easy for novice and experienced users alike.

RIGHT ALIGNED
Creating and printing labels is easy for novice and experienced users alike.

See Also:

Understanding Prompt at Print-Time


Resizing a Text Object

The easiest way to resize a user prompt or regular text object is using your mouse. However, the Width on the Text property page also allows you to specify the width. Both methods are described below.

Mouse Method:

  1. Click on the desired object on the Prompt Dialog.

  2. Position your mouse cursor over the left or right sizing handle.

  3. Click and hold down your left mouse button.

  4. Drag the selected handle until the text object is the desired size.

  5. Release the mouse button.

If you need to specify an exact measurement, you can enter it into the Width on the Text property page using the following method.

Property Page Method:

  1. Double-click on the object to display the Modify Selected Objects tabbed dialog.

  2. If not automatically displayed, click on the tab for the Text property page.

  3. Select Width to enter an exact horizontal dimension and type the desired width into the data-entry box.

  4. Click the OK button.

See Also:

Understanding Prompt at Print-Time


Editing Text

Using the Text on the Text property page or the Group Box property page, you can enter and edit the text for a user prompt, a regular text object, or a heading for a group box on a prompt dialog. You can also edit text using the Data Edit button on the Main toolbar and the Modify Text dialog. Both methods are described below.

Property Page Method:

  1. Double-click on the object to access the Modify Selected Objects tabbed dialog.

  2. Select the Text tab.

  3. Click your mouse cursor inside the Text data-entry box.

  4. Edit text as necessary.

  5. Click the OK button.

Modify Text Dialog Method:

  1. Click on the Data Edit (or I-Bar) button on the toolbar.

  2. Click on the object you want to edit. The Modify Text dialog will appear.

  3. Click your mouse cursor inside the data-entry box.

  4. Add or delete text as necessary.

  5. Click the OK button.

See Also:

Understanding Prompt at Print-Time


Toolbars

BarTender provides the following toolbars and a status bar.

  • Main Toolbar. Provides shortcuts to the most common commands.

  • Font Toolbar. Provides shortcuts to the most common text formatting commands.

  • Arrange Toolbar. Provides shortcuts to commands which effect the placement and orientation of label objects.

  • Status Bar. Displays current printer setting for label format and information about selected objects. However, when your mouse pointer is positioned on a toolbar or menu item, a temporary help line about that item will be displayed instead.

You can show or hide the different toolbars and the status bar using the Toolbars option on the View menu. When you see the secondary menu listing the different toolbars available, notice the check mark to the left of the toolbar name. The check mark means the toolbar is active, and you will see it on your screen. If no check mark is displayed, the toolbar is hidden.

To Show or Hide a Toolbar

  1. Click on the Toolbars option on the View menu.

  2. Click on the name of the desired toolbar.

Note: You can also show or hide a toolbar by right clicking in the toolbar or status bar area and select the desired toolbar from the Toolbar shortcut menu


Show Unprintable Region

Most laser and other "page" printers have a certain region around the perimeter of the page within which they cannot print. On laser printers, such as those in the HP LaserJet series, the unprintable region is generally within about a .200" margin around the perimeter of the page. In order to be certain that all of the objects on your labels are printed in entirety on every label on the page, you need to position objects with this unprintable region in mind.

When the Show Unprintable Region option in the Format Options (or View Options) dialog is enabled, BarTender displays a lightly dashed line along the border of your on-screen label which can be quite useful in helping you determine the best placement of the objects on your label.

Keep in mind that the "unprintable" area shown by the dashed line represents a "worst case" scenario. Only in the event that your label is the size of a full page will all four sides of the dashed area apply to all of your labels. In the more common situation where you have multiple labels per page, the top row of labels on the page will be subject to the unprintable region shown on the screen at the top of the label, the left column of labels will be subject to the unprintable region shown on the screen at the left side of the label, etc. In other words, only those labels that have an edge against the edge of the page will be affected, and then it is only that edge of the label that will be affected.


Zoom Factor

Factor

The default setting for the Zoom Factor option in the View Options dialog is 200% which means that the size of the image in the label viewing area will be doubled each time you execute the Zoom In command. Likewise, each time you execute the Zoom Out command the size of the image in the viewing area will be halved. The Zoom Factor option can be modified in 5% increments from 100% to 500%.